#if defined(SPANDSP_USE_FIXED_POINT)
#define RX_PULSESHAPER_SCALE(x)    ((int16_t) (32767.000000*x + ((x >= 0.0)  ?  0.5  :  -0.5)))
#define RX_PULSESHAPER_GAIN        1.000000f
#else
#define RX_PULSESHAPER_SCALE(x)    (x)
#define RX_PULSESHAPER_GAIN        1.000000f
#endif
#define RX_PULSESHAPER_COEFF_SETS  48

#if defined(SPANDSP_USE_FIXED_POINT)
static const int16_t rx_pulseshaper_re[RX_PULSESHAPER_COEFF_SETS][27] =
#else
static const float rx_pulseshaper_re[RX_PULSESHAPER_COEFF_SETS][27] =
#endif
{
    {
        RX_PULSESHAPER_SCALE(  -0.0002255872f),     /* Filter 0 */
        RX_PULSESHAPER_SCALE(   0.0010772222f),
        RX_PULSESHAPER_SCALE(  -0.0020489445f),
        RX_PULSESHAPER_SCALE(   0.0027904150f),
        RX_PULSESHAPER_SCALE(  -0.0024613387f),
        RX_PULSESHAPER_SCALE(   0.0016519065f),
        RX_PULSESHAPER_SCALE(  -0.0046141778f),
        RX_PULSESHAPER_SCALE(  -0.0019967002f),
        RX_PULSESHAPER_SCALE(  -0.0042213209f),
        RX_PULSESHAPER_SCALE(  -0.0233976908f),
        RX_PULSESHAPER_SCALE(   0.0257378154f),
        RX_PULSESHAPER_SCALE(  -0.0418758480f),
        RX_PULSESHAPER_SCALE(   0.0466891757f),
        RX_PULSESHAPER_SCALE(   0.3227157401f),
        RX_PULSESHAPER_SCALE(   0.0753364934f),
        RX_PULSESHAPER_SCALE(  -0.1782016976f),
        RX_PULSESHAPER_SCALE(  -0.0305229951f),
        RX_PULSESHAPER_SCALE(  -0.0232941009f),
        RX_PULSESHAPER_SCALE(  -0.0367764376f),
        RX_PULSESHAPER_SCALE(   0.0007147686f),
        RX_PULSESHAPER_SCALE(  -0.0127244661f),
        RX_PULSESHAPER_SCALE(  -0.0014302684f),
        RX_PULSESHAPER_SCALE(  -0.0045579430f),
        RX_PULSESHAPER_SCALE(  -0.0020412237f),
        RX_PULSESHAPER_SCALE(  -0.0020619062f),
        RX_PULSESHAPER_SCALE(  -0.0037295068f),
        RX_PULSESHAPER_SCALE(  -0.0000888674f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002275045f),     /* Filter 1 */
        RX_PULSESHAPER_SCALE(   0.0009871030f),
        RX_PULSESHAPER_SCALE(  -0.0020910005f),
        RX_PULSESHAPER_SCALE(   0.0027251718f),
        RX_PULSESHAPER_SCALE(  -0.0025870150f),
        RX_PULSESHAPER_SCALE(   0.0016252864f),
        RX_PULSESHAPER_SCALE(  -0.0048916461f),
        RX_PULSESHAPER_SCALE(  -0.0019896282f),
        RX_PULSESHAPER_SCALE(  -0.0048397183f),
        RX_PULSESHAPER_SCALE(  -0.0237455030f),
        RX_PULSESHAPER_SCALE(   0.0251964824f),
        RX_PULSESHAPER_SCALE(  -0.0443225480f),
        RX_PULSESHAPER_SCALE(   0.0474524786f),
        RX_PULSESHAPER_SCALE(   0.3241661817f),
        RX_PULSESHAPER_SCALE(   0.0749845594f),
        RX_PULSESHAPER_SCALE(  -0.1752765472f),
        RX_PULSESHAPER_SCALE(  -0.0287604572f),
        RX_PULSESHAPER_SCALE(  -0.0237602558f),
        RX_PULSESHAPER_SCALE(  -0.0362156055f),
        RX_PULSESHAPER_SCALE(   0.0006115933f),
        RX_PULSESHAPER_SCALE(  -0.0127572522f),
        RX_PULSESHAPER_SCALE(  -0.0013441760f),
        RX_PULSESHAPER_SCALE(  -0.0046259388f),
        RX_PULSESHAPER_SCALE(  -0.0019355984f),
        RX_PULSESHAPER_SCALE(  -0.0021082373f),
        RX_PULSESHAPER_SCALE(  -0.0036506219f),
        RX_PULSESHAPER_SCALE(  -0.0000961621f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002292356f),     /* Filter 2 */
        RX_PULSESHAPER_SCALE(   0.0008953516f),
        RX_PULSESHAPER_SCALE(  -0.0021317307f),
        RX_PULSESHAPER_SCALE(   0.0026574247f),
        RX_PULSESHAPER_SCALE(  -0.0027108768f),
        RX_PULSESHAPER_SCALE(   0.0015966924f),
        RX_PULSESHAPER_SCALE(  -0.0051685886f),
        RX_PULSESHAPER_SCALE(  -0.0019806028f),
        RX_PULSESHAPER_SCALE(  -0.0054668819f),
        RX_PULSESHAPER_SCALE(  -0.0240839366f),
        RX_PULSESHAPER_SCALE(   0.0246287070f),
        RX_PULSESHAPER_SCALE(  -0.0467972740f),
        RX_PULSESHAPER_SCALE(   0.0482124309f),
        RX_PULSESHAPER_SCALE(   0.3255589583f),
        RX_PULSESHAPER_SCALE(   0.0746194218f),
        RX_PULSESHAPER_SCALE(  -0.1723405841f),
        RX_PULSESHAPER_SCALE(  -0.0270191668f),
        RX_PULSESHAPER_SCALE(  -0.0242027906f),
        RX_PULSESHAPER_SCALE(  -0.0356412310f),
        RX_PULSESHAPER_SCALE(   0.0005099998f),
        RX_PULSESHAPER_SCALE(  -0.0127779291f),
        RX_PULSESHAPER_SCALE(  -0.0012580760f),
        RX_PULSESHAPER_SCALE(  -0.0046884769f),
        RX_PULSESHAPER_SCALE(  -0.0018286778f),
        RX_PULSESHAPER_SCALE(  -0.0021526629f),
        RX_PULSESHAPER_SCALE(  -0.0035694830f),
        RX_PULSESHAPER_SCALE(  -0.0001033120f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002307776f),     /* Filter 3 */
        RX_PULSESHAPER_SCALE(   0.0008020323f),
        RX_PULSESHAPER_SCALE(  -0.0021710924f),
        RX_PULSESHAPER_SCALE(   0.0025872146f),
        RX_PULSESHAPER_SCALE(  -0.0028327981f),
        RX_PULSESHAPER_SCALE(   0.0015661291f),
        RX_PULSESHAPER_SCALE(  -0.0054447504f),
        RX_PULSESHAPER_SCALE(  -0.0019695991f),
        RX_PULSESHAPER_SCALE(  -0.0061025085f),
        RX_PULSESHAPER_SCALE(  -0.0244126100f),
        RX_PULSESHAPER_SCALE(   0.0240343329f),
        RX_PULSESHAPER_SCALE(  -0.0492994401f),
        RX_PULSESHAPER_SCALE(   0.0489687740f),
        RX_PULSESHAPER_SCALE(   0.3268935489f),
        RX_PULSESHAPER_SCALE(   0.0742412167f),
        RX_PULSESHAPER_SCALE(  -0.1693947961f),
        RX_PULSESHAPER_SCALE(  -0.0252995164f),
        RX_PULSESHAPER_SCALE(  -0.0246218749f),
        RX_PULSESHAPER_SCALE(  -0.0350539125f),
        RX_PULSESHAPER_SCALE(   0.0004100340f),
        RX_PULSESHAPER_SCALE(  -0.0127866764f),
        RX_PULSESHAPER_SCALE(  -0.0011720447f),
        RX_PULSESHAPER_SCALE(  -0.0047455585f),
        RX_PULSESHAPER_SCALE(  -0.0017205672f),
        RX_PULSESHAPER_SCALE(  -0.0021951580f),
        RX_PULSESHAPER_SCALE(  -0.0034861722f),
        RX_PULSESHAPER_SCALE(  -0.0001103123f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002321276f),     /* Filter 4 */
        RX_PULSESHAPER_SCALE(   0.0007072109f),
        RX_PULSESHAPER_SCALE(  -0.0022090439f),
        RX_PULSESHAPER_SCALE(   0.0025145852f),
        RX_PULSESHAPER_SCALE(  -0.0029526538f),
        RX_PULSESHAPER_SCALE(   0.0015336029f),
        RX_PULSESHAPER_SCALE(  -0.0057198736f),
        RX_PULSESHAPER_SCALE(  -0.0019565932f),
        RX_PULSESHAPER_SCALE(  -0.0067462851f),
        RX_PULSESHAPER_SCALE(  -0.0247311415f),
        RX_PULSESHAPER_SCALE(   0.0234132139f),
        RX_PULSESHAPER_SCALE(  -0.0518284447f),
        RX_PULSESHAPER_SCALE(   0.0497212496f),
        RX_PULSESHAPER_SCALE(   0.3281694539f),
        RX_PULSESHAPER_SCALE(   0.0738500851f),
        RX_PULSESHAPER_SCALE(  -0.1664401711f),
        RX_PULSESHAPER_SCALE(  -0.0236018863f),
        RX_PULSESHAPER_SCALE(  -0.0250176873f),
        RX_PULSESHAPER_SCALE(  -0.0344542470f),
        RX_PULSESHAPER_SCALE(   0.0003117404f),
        RX_PULSESHAPER_SCALE(  -0.0127836799f),
        RX_PULSESHAPER_SCALE(  -0.0010861574f),
        RX_PULSESHAPER_SCALE(  -0.0047971897f),
        RX_PULSESHAPER_SCALE(  -0.0016113718f),
        RX_PULSESHAPER_SCALE(  -0.0022356997f),
        RX_PULSESHAPER_SCALE(  -0.0034007723f),
        RX_PULSESHAPER_SCALE(  -0.0001171583f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002332832f),     /* Filter 5 */
        RX_PULSESHAPER_SCALE(   0.0006109552f),
        RX_PULSESHAPER_SCALE(  -0.0022455442f),
        RX_PULSESHAPER_SCALE(   0.0024395822f),
        RX_PULSESHAPER_SCALE(  -0.0030703191f),
        RX_PULSESHAPER_SCALE(   0.0014991218f),
        RX_PULSESHAPER_SCALE(  -0.0059936981f),
        RX_PULSESHAPER_SCALE(  -0.0019415623f),
        RX_PULSESHAPER_SCALE(  -0.0073978882f),
        RX_PULSESHAPER_SCALE(  -0.0250391499f),
        RX_PULSESHAPER_SCALE(   0.0227652148f),
        RX_PULSESHAPER_SCALE(  -0.0543836710f),
        RX_PULSESHAPER_SCALE(   0.0504695999f),
        RX_PULSESHAPER_SCALE(   0.3293861955f),
        RX_PULSESHAPER_SCALE(   0.0734461726f),
        RX_PULSESHAPER_SCALE(  -0.1634776955f),
        RX_PULSESHAPER_SCALE(  -0.0219266450f),
        RX_PULSESHAPER_SCALE(  -0.0253904152f),
        RX_PULSESHAPER_SCALE(  -0.0338428304f),
        RX_PULSESHAPER_SCALE(   0.0002151615f),
        RX_PULSESHAPER_SCALE(  -0.0127691317f),
        RX_PULSESHAPER_SCALE(  -0.0010004881f),
        RX_PULSESHAPER_SCALE(  -0.0048433807f),
        RX_PULSESHAPER_SCALE(  -0.0015011966f),
        RX_PULSESHAPER_SCALE(  -0.0022742665f),
        RX_PULSESHAPER_SCALE(  -0.0033133675f),
        RX_PULSESHAPER_SCALE(  -0.0001238454f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002342418f),     /* Filter 6 */
        RX_PULSESHAPER_SCALE(   0.0005133345f),
        RX_PULSESHAPER_SCALE(  -0.0022805534f),
        RX_PULSESHAPER_SCALE(   0.0023622537f),
        RX_PULSESHAPER_SCALE(  -0.0031856702f),
        RX_PULSESHAPER_SCALE(   0.0014626957f),
        RX_PULSESHAPER_SCALE(  -0.0062659613f),
        RX_PULSESHAPER_SCALE(  -0.0019244851f),
        RX_PULSESHAPER_SCALE(  -0.0080569845f),
        RX_PULSESHAPER_SCALE(  -0.0253362545f),
        RX_PULSESHAPER_SCALE(   0.0220902113f),
        RX_PULSESHAPER_SCALE(  -0.0569644870f),
        RX_PULSESHAPER_SCALE(   0.0512135677f),
        RX_PULSESHAPER_SCALE(   0.3305433175f),
        RX_PULSESHAPER_SCALE(   0.0730296294f),
        RX_PULSESHAPER_SCALE(  -0.1605083547f),
        RX_PULSESHAPER_SCALE(  -0.0202741490f),
        RX_PULSESHAPER_SCALE(  -0.0257402545f),
        RX_PULSESHAPER_SCALE(  -0.0332202566f),
        RX_PULSESHAPER_SCALE(   0.0001203381f),
        RX_PULSESHAPER_SCALE(  -0.0127432298f),
        RX_PULSESHAPER_SCALE(  -0.0009151100f),
        RX_PULSESHAPER_SCALE(  -0.0048841464f),
        RX_PULSESHAPER_SCALE(  -0.0013901470f),
        RX_PULSESHAPER_SCALE(  -0.0023108390f),
        RX_PULSESHAPER_SCALE(  -0.0032240431f),
        RX_PULSESHAPER_SCALE(  -0.0001303693f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002350011f),     /* Filter 7 */
        RX_PULSESHAPER_SCALE(   0.0004144199f),
        RX_PULSESHAPER_SCALE(  -0.0023140326f),
        RX_PULSESHAPER_SCALE(   0.0022826505f),
        RX_PULSESHAPER_SCALE(  -0.0032985840f),
        RX_PULSESHAPER_SCALE(   0.0014243362f),
        RX_PULSESHAPER_SCALE(  -0.0065363986f),
        RX_PULSESHAPER_SCALE(  -0.0019053410f),
        RX_PULSESHAPER_SCALE(  -0.0087232308f),
        RX_PULSESHAPER_SCALE(  -0.0256220751f),
        RX_PULSESHAPER_SCALE(   0.0213880900f),
        RX_PULSESHAPER_SCALE(  -0.0595702457f),
        RX_PULSESHAPER_SCALE(   0.0519528964f),
        RX_PULSESHAPER_SCALE(   0.3316403858f),
        RX_PULSESHAPER_SCALE(   0.0726006104f),
        RX_PULSESHAPER_SCALE(  -0.1575331322f),
        RX_PULSESHAPER_SCALE(  -0.0186447426f),
        RX_PULSESHAPER_SCALE(  -0.0260674099f),
        RX_PULSESHAPER_SCALE(  -0.0325871175f),
        RX_PULSESHAPER_SCALE(   0.0000273092f),
        RX_PULSESHAPER_SCALE(  -0.0127061779f),
        RX_PULSESHAPER_SCALE(  -0.0008300949f),
        RX_PULSESHAPER_SCALE(  -0.0049195064f),
        RX_PULSESHAPER_SCALE(  -0.0012783277f),
        RX_PULSESHAPER_SCALE(  -0.0023453996f),
        RX_PULSESHAPER_SCALE(  -0.0031328853f),
        RX_PULSESHAPER_SCALE(  -0.0001367258f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002355590f),     /* Filter 8 */
        RX_PULSESHAPER_SCALE(   0.0003142838f),
        RX_PULSESHAPER_SCALE(  -0.0023459437f),
        RX_PULSESHAPER_SCALE(   0.0022008254f),
        RX_PULSESHAPER_SCALE(  -0.0034089384f),
        RX_PULSESHAPER_SCALE(   0.0013840566f),
        RX_PULSESHAPER_SCALE(  -0.0068047432f),
        RX_PULSESHAPER_SCALE(  -0.0018841111f),
        RX_PULSESHAPER_SCALE(  -0.0093962739f),
        RX_PULSESHAPER_SCALE(  -0.0258962327f),
        RX_PULSESHAPER_SCALE(   0.0206587488f),
        RX_PULSESHAPER_SCALE(  -0.0622002854f),
        RX_PULSESHAPER_SCALE(   0.0526873304f),
        RX_PULSESHAPER_SCALE(   0.3326769885f),
        RX_PULSESHAPER_SCALE(   0.0721592747f),
        RX_PULSESHAPER_SCALE(  -0.1545530092f),
        RX_PULSESHAPER_SCALE(  -0.0170387578f),
        RX_PULSESHAPER_SCALE(  -0.0263720942f),
        RX_PULSESHAPER_SCALE(  -0.0319440027f),
        RX_PULSESHAPER_SCALE(  -0.0000638881f),
        RX_PULSESHAPER_SCALE(  -0.0126581851f),
        RX_PULSESHAPER_SCALE(  -0.0007455136f),
        RX_PULSESHAPER_SCALE(  -0.0049494841f),
        RX_PULSESHAPER_SCALE(  -0.0011658436f),
        RX_PULSESHAPER_SCALE(  -0.0023779323f),
        RX_PULSESHAPER_SCALE(  -0.0030399812f),
        RX_PULSESHAPER_SCALE(  -0.0001429108f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002359134f),     /* Filter 9 */
        RX_PULSESHAPER_SCALE(   0.0002130005f),
        RX_PULSESHAPER_SCALE(  -0.0023762497f),
        RX_PULSESHAPER_SCALE(   0.0021168335f),
        RX_PULSESHAPER_SCALE(  -0.0035166124f),
        RX_PULSESHAPER_SCALE(   0.0013418721f),
        RX_PULSESHAPER_SCALE(  -0.0070707265f),
        RX_PULSESHAPER_SCALE(  -0.0018607777f),
        RX_PULSESHAPER_SCALE(  -0.0100757509f),
        RX_PULSESHAPER_SCALE(  -0.0261583493f),
        RX_PULSESHAPER_SCALE(   0.0199020968f),
        RX_PULSESHAPER_SCALE(  -0.0648539300f),
        RX_PULSESHAPER_SCALE(   0.0534166148f),
        RX_PULSESHAPER_SCALE(   0.3336527365f),
        RX_PULSESHAPER_SCALE(   0.0717057859f),
        RX_PULSESHAPER_SCALE(  -0.1515689641f),
        RX_PULSESHAPER_SCALE(  -0.0154565143f),
        RX_PULSESHAPER_SCALE(  -0.0266545283f),
        RX_PULSESHAPER_SCALE(  -0.0312914988f),
        RX_PULSESHAPER_SCALE(  -0.0001532182f),
        RX_PULSESHAPER_SCALE(  -0.0125994661f),
        RX_PULSESHAPER_SCALE(  -0.0006614356f),
        RX_PULSESHAPER_SCALE(  -0.0049741077f),
        RX_PULSESHAPER_SCALE(  -0.0010527989f),
        RX_PULSESHAPER_SCALE(  -0.0024084233f),
        RX_PULSESHAPER_SCALE(  -0.0029454189f),
        RX_PULSESHAPER_SCALE(  -0.0001489205f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002360624f),     /* Filter 10 */
        RX_PULSESHAPER_SCALE(   0.0001106454f),
        RX_PULSESHAPER_SCALE(  -0.0024049149f),
        RX_PULSESHAPER_SCALE(   0.0020307323f),
        RX_PULSESHAPER_SCALE(  -0.0036214861f),
        RX_PULSESHAPER_SCALE(   0.0012977996f),
        RX_PULSESHAPER_SCALE(  -0.0073340784f),
        RX_PULSESHAPER_SCALE(  -0.0018353241f),
        RX_PULSESHAPER_SCALE(  -0.0107612894f),
        RX_PULSESHAPER_SCALE(  -0.0264080482f),
        RX_PULSESHAPER_SCALE(   0.0191180546f),
        RX_PULSESHAPER_SCALE(  -0.0675304890f),
        RX_PULSESHAPER_SCALE(   0.0541404958f),
        RX_PULSESHAPER_SCALE(   0.3345672628f),
        RX_PULSESHAPER_SCALE(   0.0712403120f),
        RX_PULSESHAPER_SCALE(  -0.1485819726f),
        RX_PULSESHAPER_SCALE(  -0.0138983195f),
        RX_PULSESHAPER_SCALE(  -0.0269149414f),
        RX_PULSESHAPER_SCALE(  -0.0306301899f),
        RX_PULSESHAPER_SCALE(  -0.0002406474f),
        RX_PULSESHAPER_SCALE(  -0.0125302403f),
        RX_PULSESHAPER_SCALE(  -0.0005779289f),
        RX_PULSESHAPER_SCALE(  -0.0049934093f),
        RX_PULSESHAPER_SCALE(  -0.0009392976f),
        RX_PULSESHAPER_SCALE(  -0.0024368602f),
        RX_PULSESHAPER_SCALE(  -0.0028492872f),
        RX_PULSESHAPER_SCALE(  -0.0001547513f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002360044f),     /* Filter 11 */
        RX_PULSESHAPER_SCALE(   0.0000072955f),
        RX_PULSESHAPER_SCALE(  -0.0024319045f),
        RX_PULSESHAPER_SCALE(   0.0019425816f),
        RX_PULSESHAPER_SCALE(  -0.0037234411f),
        RX_PULSESHAPER_SCALE(   0.0012518579f),
        RX_PULSESHAPER_SCALE(  -0.0075945272f),
        RX_PULSESHAPER_SCALE(  -0.0018077352f),
        RX_PULSESHAPER_SCALE(  -0.0114525072f),
        RX_PULSESHAPER_SCALE(  -0.0266449544f),
        RX_PULSESHAPER_SCALE(   0.0183065544f),
        RX_PULSESHAPER_SCALE(  -0.0702292580f),
        RX_PULSESHAPER_SCALE(   0.0548587208f),
        RX_PULSESHAPER_SCALE(   0.3354202238f),
        RX_PULSESHAPER_SCALE(   0.0707630251f),
        RX_PULSESHAPER_SCALE(  -0.1455930065f),
        RX_PULSESHAPER_SCALE(  -0.0123644682f),
        RX_PULSESHAPER_SCALE(  -0.0271535701f),
        RX_PULSESHAPER_SCALE(  -0.0299606565f),
        RX_PULSESHAPER_SCALE(  -0.0003261439f),
        RX_PULSESHAPER_SCALE(  -0.0124507324f),
        RX_PULSESHAPER_SCALE(  -0.0004950606f),
        RX_PULSESHAPER_SCALE(  -0.0050074254f),
        RX_PULSESHAPER_SCALE(  -0.0008254432f),
        RX_PULSESHAPER_SCALE(  -0.0024632328f),
        RX_PULSESHAPER_SCALE(  -0.0027516756f),
        RX_PULSESHAPER_SCALE(  -0.0001603995f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002357379f),     /* Filter 12 */
        RX_PULSESHAPER_SCALE(  -0.0000969708f),
        RX_PULSESHAPER_SCALE(  -0.0024571850f),
        RX_PULSESHAPER_SCALE(   0.0018524433f),
        RX_PULSESHAPER_SCALE(  -0.0038223602f),
        RX_PULSESHAPER_SCALE(   0.0012040675f),
        RX_PULSESHAPER_SCALE(  -0.0078518000f),
        RX_PULSESHAPER_SCALE(  -0.0017779972f),
        RX_PULSESHAPER_SCALE(  -0.0121490129f),
        RX_PULSESHAPER_SCALE(  -0.0268686945f),
        RX_PULSESHAPER_SCALE(   0.0174675399f),
        RX_PULSESHAPER_SCALE(  -0.0729495187f),
        RX_PULSESHAPER_SCALE(   0.0555710383f),
        RX_PULSESHAPER_SCALE(   0.3362112984f),
        RX_PULSESHAPER_SCALE(   0.0702741014f),
        RX_PULSESHAPER_SCALE(  -0.1426030339f),
        RX_PULSESHAPER_SCALE(  -0.0108552427f),
        RX_PULSESHAPER_SCALE(  -0.0273706589f),
        RX_PULSESHAPER_SCALE(  -0.0292834757f),
        RX_PULSESHAPER_SCALE(  -0.0004096776f),
        RX_PULSESHAPER_SCALE(  -0.0123611714f),
        RX_PULSESHAPER_SCALE(  -0.0004128962f),
        RX_PULSESHAPER_SCALE(  -0.0050161965f),
        RX_PULSESHAPER_SCALE(  -0.0007113383f),
        RX_PULSESHAPER_SCALE(  -0.0024875325f),
        RX_PULSESHAPER_SCALE(  -0.0026526740f),
        RX_PULSESHAPER_SCALE(  -0.0001658620f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002352615f),     /* Filter 13 */
        RX_PULSESHAPER_SCALE(  -0.0002020740f),
        RX_PULSESHAPER_SCALE(  -0.0024807239f),
        RX_PULSESHAPER_SCALE(   0.0017603814f),
        RX_PULSESHAPER_SCALE(  -0.0039181276f),
        RX_PULSESHAPER_SCALE(   0.0011544506f),
        RX_PULSESHAPER_SCALE(  -0.0081056228f),
        RX_PULSESHAPER_SCALE(  -0.0017460976f),
        RX_PULSESHAPER_SCALE(  -0.0128504058f),
        RX_PULSESHAPER_SCALE(  -0.0270788974f),
        RX_PULSESHAPER_SCALE(   0.0166009668f),
        RX_PULSESHAPER_SCALE(  -0.0756905396f),
        RX_PULSESHAPER_SCALE(   0.0562771984f),
        RX_PULSESHAPER_SCALE(   0.3369401889f),
        RX_PULSESHAPER_SCALE(   0.0697737213f),
        RX_PULSESHAPER_SCALE(  -0.1396130182f),
        RX_PULSESHAPER_SCALE(  -0.0093709128f),
        RX_PULSESHAPER_SCALE(  -0.0275664596f),
        RX_PULSESHAPER_SCALE(  -0.0285992206f),
        RX_PULSESHAPER_SCALE(  -0.0004912202f),
        RX_PULSESHAPER_SCALE(  -0.0122617910f),
        RX_PULSESHAPER_SCALE(  -0.0003314998f),
        RX_PULSESHAPER_SCALE(  -0.0050197671f),
        RX_PULSESHAPER_SCALE(  -0.0005970853f),
        RX_PULSESHAPER_SCALE(  -0.0025097524f),
        RX_PULSESHAPER_SCALE(  -0.0025523733f),
        RX_PULSESHAPER_SCALE(  -0.0001711354f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002345739f),     /* Filter 14 */
        RX_PULSESHAPER_SCALE(  -0.0003079330f),
        RX_PULSESHAPER_SCALE(  -0.0025024901f),
        RX_PULSESHAPER_SCALE(   0.0016664622f),
        RX_PULSESHAPER_SCALE(  -0.0040106295f),
        RX_PULSESHAPER_SCALE(   0.0011030314f),
        RX_PULSESHAPER_SCALE(  -0.0083557207f),
        RX_PULSESHAPER_SCALE(  -0.0017120255f),
        RX_PULSESHAPER_SCALE(  -0.0135562760f),
        RX_PULSESHAPER_SCALE(  -0.0272751938f),
        RX_PULSESHAPER_SCALE(   0.0157068026f),
        RX_PULSESHAPER_SCALE(  -0.0784515756f),
        RX_PULSESHAPER_SCALE(   0.0569769525f),
        RX_PULSESHAPER_SCALE(   0.3376066210f),
        RX_PULSESHAPER_SCALE(   0.0692620692f),
        RX_PULSESHAPER_SCALE(  -0.1366239185f),
        RX_PULSESHAPER_SCALE(  -0.0079117354f),
        RX_PULSESHAPER_SCALE(  -0.0277412312f),
        RX_PULSESHAPER_SCALE(  -0.0279084604f),
        RX_PULSESHAPER_SCALE(  -0.0005707451f),
        RX_PULSESHAPER_SCALE(  -0.0121528290f),
        RX_PULSESHAPER_SCALE(  -0.0002509341f),
        RX_PULSESHAPER_SCALE(  -0.0050181856f),
        RX_PULSESHAPER_SCALE(  -0.0004827856f),
        RX_PULSESHAPER_SCALE(  -0.0025298877f),
        RX_PULSESHAPER_SCALE(  -0.0024508643f),
        RX_PULSESHAPER_SCALE(  -0.0001762169f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002336743f),     /* Filter 15 */
        RX_PULSESHAPER_SCALE(  -0.0004144658f),
        RX_PULSESHAPER_SCALE(  -0.0025224539f),
        RX_PULSESHAPER_SCALE(   0.0015707541f),
        RX_PULSESHAPER_SCALE(  -0.0040997535f),
        RX_PULSESHAPER_SCALE(   0.0010498359f),
        RX_PULSESHAPER_SCALE(  -0.0086018182f),
        RX_PULSESHAPER_SCALE(  -0.0016757712f),
        RX_PULSESHAPER_SCALE(  -0.0142662045f),
        RX_PULSESHAPER_SCALE(  -0.0274572171f),
        RX_PULSESHAPER_SCALE(   0.0147850268f),
        RX_PULSESHAPER_SCALE(  -0.0812318688f),
        RX_PULSESHAPER_SCALE(   0.0576700538f),
        RX_PULSESHAPER_SCALE(   0.3382103435f),
        RX_PULSESHAPER_SCALE(   0.0687393331f),
        RX_PULSESHAPER_SCALE(  -0.1336366882f),
        RX_PULSESHAPER_SCALE(  -0.0064779550f),
        RX_PULSESHAPER_SCALE(  -0.0278952399f),
        RX_PULSESHAPER_SCALE(  -0.0272117599f),
        RX_PULSESHAPER_SCALE(  -0.0006482275f),
        RX_PULSESHAPER_SCALE(  -0.0120345272f),
        RX_PULSESHAPER_SCALE(  -0.0001712605f),
        RX_PULSESHAPER_SCALE(  -0.0050115044f),
        RX_PULSESHAPER_SCALE(  -0.0003685397f),
        RX_PULSESHAPER_SCALE(  -0.0025479352f),
        RX_PULSESHAPER_SCALE(  -0.0023482385f),
        RX_PULSESHAPER_SCALE(  -0.0001811037f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002325617f),     /* Filter 16 */
        RX_PULSESHAPER_SCALE(  -0.0005215892f),
        RX_PULSESHAPER_SCALE(  -0.0025405864f),
        RX_PULSESHAPER_SCALE(   0.0014733275f),
        RX_PULSESHAPER_SCALE(  -0.0041853892f),
        RX_PULSESHAPER_SCALE(   0.0009948916f),
        RX_PULSESHAPER_SCALE(  -0.0088436391f),
        RX_PULSESHAPER_SCALE(  -0.0016373265f),
        RX_PULSESHAPER_SCALE(  -0.0149797637f),
        RX_PULSESHAPER_SCALE(  -0.0276246035f),
        RX_PULSESHAPER_SCALE(   0.0138356311f),
        RX_PULSESHAPER_SCALE(  -0.0840306488f),
        RX_PULSESHAPER_SCALE(   0.0583562570f),
        RX_PULSESHAPER_SCALE(   0.3387511289f),
        RX_PULSESHAPER_SCALE(   0.0682057050f),
        RX_PULSESHAPER_SCALE(  -0.1306522756f),
        RX_PULSESHAPER_SCALE(  -0.0050698033f),
        RX_PULSESHAPER_SCALE(  -0.0280287586f),
        RX_PULSESHAPER_SCALE(  -0.0265096790f),
        RX_PULSESHAPER_SCALE(  -0.0007236445f),
        RX_PULSESHAPER_SCALE(  -0.0119071312f),
        RX_PULSESHAPER_SCALE(  -0.0000925387f),
        RX_PULSESHAPER_SCALE(  -0.0049997797f),
        RX_PULSESHAPER_SCALE(  -0.0002544474f),
        RX_PULSESHAPER_SCALE(  -0.0025638935f),
        RX_PULSESHAPER_SCALE(  -0.0022445878f),
        RX_PULSESHAPER_SCALE(  -0.0001857931f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002312354f),     /* Filter 17 */
        RX_PULSESHAPER_SCALE(  -0.0006292189f),
        RX_PULSESHAPER_SCALE(  -0.0025568607f),
        RX_PULSESHAPER_SCALE(   0.0013742548f),
        RX_PULSESHAPER_SCALE(  -0.0042674280f),
        RX_PULSESHAPER_SCALE(   0.0009382283f),
        RX_PULSESHAPER_SCALE(  -0.0090809071f),
        RX_PULSESHAPER_SCALE(  -0.0015966849f),
        RX_PULSESHAPER_SCALE(  -0.0156965171f),
        RX_PULSESHAPER_SCALE(  -0.0277769916f),
        RX_PULSESHAPER_SCALE(   0.0128586191f),
        RX_PULSESHAPER_SCALE(  -0.0868471326f),
        RX_PULSESHAPER_SCALE(   0.0590353189f),
        RX_PULSESHAPER_SCALE(   0.3392287735f),
        RX_PULSESHAPER_SCALE(   0.0676613808f),
        RX_PULSESHAPER_SCALE(  -0.1276716224f),
        RX_PULSESHAPER_SCALE(  -0.0036874991f),
        RX_PULSESHAPER_SCALE(  -0.0281420669f),
        RX_PULSESHAPER_SCALE(  -0.0258027730f),
        RX_PULSESHAPER_SCALE(  -0.0007969747f),
        RX_PULSESHAPER_SCALE(  -0.0117708901f),
        RX_PULSESHAPER_SCALE(  -0.0000148271f),
        RX_PULSESHAPER_SCALE(  -0.0049830712f),
        RX_PULSESHAPER_SCALE(  -0.0001406075f),
        RX_PULSESHAPER_SCALE(  -0.0025777629f),
        RX_PULSESHAPER_SCALE(  -0.0021400040f),
        RX_PULSESHAPER_SCALE(  -0.0001902827f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002296950f),     /* Filter 18 */
        RX_PULSESHAPER_SCALE(  -0.0007372695f),
        RX_PULSESHAPER_SCALE(  -0.0025712507f),
        RX_PULSESHAPER_SCALE(   0.0012736106f),
        RX_PULSESHAPER_SCALE(  -0.0043457636f),
        RX_PULSESHAPER_SCALE(   0.0008798770f),
        RX_PULSESHAPER_SCALE(  -0.0093133456f),
        RX_PULSESHAPER_SCALE(  -0.0015538410f),
        RX_PULSESHAPER_SCALE(  -0.0164160196f),
        RX_PULSESHAPER_SCALE(  -0.0279140236f),
        RX_PULSESHAPER_SCALE(   0.0118540071f),
        RX_PULSESHAPER_SCALE(  -0.0896805253f),
        RX_PULSESHAPER_SCALE(   0.0597069980f),
        RX_PULSESHAPER_SCALE(   0.3396430972f),
        RX_PULSESHAPER_SCALE(   0.0671065596f),
        RX_PULSESHAPER_SCALE(  -0.1246956645f),
        RX_PULSESHAPER_SCALE(  -0.0023312486f),
        RX_PULSESHAPER_SCALE(  -0.0282354509f),
        RX_PULSESHAPER_SCALE(  -0.0250915918f),
        RX_PULSESHAPER_SCALE(  -0.0008681986f),
        RX_PULSESHAPER_SCALE(  -0.0116260565f),
        RX_PULSESHAPER_SCALE(   0.0000618177f),
        RX_PULSESHAPER_SCALE(  -0.0049614424f),
        RX_PULSESHAPER_SCALE(  -0.0000271176f),
        RX_PULSESHAPER_SCALE(  -0.0025895456f),
        RX_PULSESHAPER_SCALE(  -0.0020345793f),
        RX_PULSESHAPER_SCALE(  -0.0001945702f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002279401f),     /* Filter 19 */
        RX_PULSESHAPER_SCALE(  -0.0008456549f),
        RX_PULSESHAPER_SCALE(  -0.0025837321f),
        RX_PULSESHAPER_SCALE(   0.0011714711f),
        RX_PULSESHAPER_SCALE(  -0.0044202916f),
        RX_PULSESHAPER_SCALE(   0.0008198711f),
        RX_PULSESHAPER_SCALE(  -0.0095406785f),
        RX_PULSESHAPER_SCALE(  -0.0015087913f),
        RX_PULSESHAPER_SCALE(  -0.0171378178f),
        RX_PULSESHAPER_SCALE(  -0.0280353446f),
        RX_PULSESHAPER_SCALE(   0.0108218234f),
        RX_PULSESHAPER_SCALE(  -0.0925300200f),
        RX_PULSESHAPER_SCALE(   0.0603710549f),
        RX_PULSESHAPER_SCALE(   0.3399939436f),
        RX_PULSESHAPER_SCALE(   0.0665414442f),
        RX_PULSESHAPER_SCALE(  -0.1217253306f),
        RX_PULSESHAPER_SCALE(  -0.0010012450f),
        RX_PULSESHAPER_SCALE(  -0.0283092029f),
        RX_PULSESHAPER_SCALE(  -0.0243766800f),
        RX_PULSESHAPER_SCALE(  -0.0009372985f),
        RX_PULSESHAPER_SCALE(  -0.0114728860f),
        RX_PULSESHAPER_SCALE(   0.0001373403f),
        RX_PULSESHAPER_SCALE(  -0.0049349603f),
        RX_PULSESHAPER_SCALE(   0.0000859256f),
        RX_PULSESHAPER_SCALE(  -0.0025992453f),
        RX_PULSESHAPER_SCALE(  -0.0019284058f),
        RX_PULSESHAPER_SCALE(  -0.0001986536f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002259705f),     /* Filter 20 */
        RX_PULSESHAPER_SCALE(  -0.0009542879f),
        RX_PULSESHAPER_SCALE(  -0.0025942817f),
        RX_PULSESHAPER_SCALE(   0.0010679146f),
        RX_PULSESHAPER_SCALE(  -0.0044909099f),
        RX_PULSESHAPER_SCALE(   0.0007582452f),
        RX_PULSESHAPER_SCALE(  -0.0097626295f),
        RX_PULSESHAPER_SCALE(  -0.0014615337f),
        RX_PULSESHAPER_SCALE(  -0.0178614501f),
        RX_PULSESHAPER_SCALE(  -0.0281406035f),
        RX_PULSESHAPER_SCALE(   0.0097621089f),
        RX_PULSESHAPER_SCALE(  -0.0953947986f),
        RX_PULSESHAPER_SCALE(   0.0610272526f),
        RX_PULSESHAPER_SCALE(   0.3402811804f),
        RX_PULSESHAPER_SCALE(   0.0659662411f),
        RX_PULSESHAPER_SCALE(  -0.1187615423f),
        RX_PULSESHAPER_SCALE(   0.0003023310f),
        RX_PULSESHAPER_SCALE(  -0.0283636214f),
        RX_PULSESHAPER_SCALE(  -0.0236585765f),
        RX_PULSESHAPER_SCALE(  -0.0010042584f),
        RX_PULSESHAPER_SCALE(  -0.0113116371f),
        RX_PULSESHAPER_SCALE(   0.0002116871f),
        RX_PULSESHAPER_SCALE(  -0.0049036954f),
        RX_PULSESHAPER_SCALE(   0.0001984268f),
        RX_PULSESHAPER_SCALE(  -0.0026068677f),
        RX_PULSESHAPER_SCALE(  -0.0018215756f),
        RX_PULSESHAPER_SCALE(  -0.0002025310f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002237864f),     /* Filter 21 */
        RX_PULSESHAPER_SCALE(  -0.0010630805f),
        RX_PULSESHAPER_SCALE(  -0.0026028781f),
        RX_PULSESHAPER_SCALE(   0.0009630212f),
        RX_PULSESHAPER_SCALE(  -0.0045575190f),
        RX_PULSESHAPER_SCALE(   0.0006950361f),
        RX_PULSESHAPER_SCALE(  -0.0099789231f),
        RX_PULSESHAPER_SCALE(  -0.0014120676f),
        RX_PULSESHAPER_SCALE(  -0.0185864469f),
        RX_PULSESHAPER_SCALE(  -0.0282294527f),
        RX_PULSESHAPER_SCALE(   0.0086749169f),
        RX_PULSESHAPER_SCALE(  -0.0982740317f),
        RX_PULSESHAPER_SCALE(   0.0616753560f),
        RX_PULSESHAPER_SCALE(   0.3405046994f),
        RX_PULSESHAPER_SCALE(   0.0653811596f),
        RX_PULSESHAPER_SCALE(  -0.1158052137f),
        RX_PULSESHAPER_SCALE(   0.0015793118f),
        RX_PULSESHAPER_SCALE(  -0.0283990105f),
        RX_PULSESHAPER_SCALE(  -0.0229378142f),
        RX_PULSESHAPER_SCALE(  -0.0010690639f),
        RX_PULSESHAPER_SCALE(  -0.0111425710f),
        RX_PULSESHAPER_SCALE(   0.0002848063f),
        RX_PULSESHAPER_SCALE(  -0.0048677214f),
        RX_PULSESHAPER_SCALE(   0.0003102917f),
        RX_PULSESHAPER_SCALE(  -0.0026124200f),
        RX_PULSESHAPER_SCALE(  -0.0017141808f),
        RX_PULSESHAPER_SCALE(  -0.0002062008f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002213880f),     /* Filter 22 */
        RX_PULSESHAPER_SCALE(  -0.0011719442f),
        RX_PULSESHAPER_SCALE(  -0.0026095011f),
        RX_PULSESHAPER_SCALE(   0.0008568729f),
        RX_PULSESHAPER_SCALE(  -0.0046200215f),
        RX_PULSESHAPER_SCALE(   0.0006302822f),
        RX_PULSESHAPER_SCALE(  -0.0101892847f),
        RX_PULSESHAPER_SCALE(  -0.0013603940f),
        RX_PULSESHAPER_SCALE(  -0.0193123305f),
        RX_PULSESHAPER_SCALE(  -0.0283015486f),
        RX_PULSESHAPER_SCALE(   0.0075603132f),
        RX_PULSESHAPER_SCALE(  -0.1011668792f),
        RX_PULSESHAPER_SCALE(   0.0623151328f),
        RX_PULSESHAPER_SCALE(   0.3406644160f),
        RX_PULSESHAPER_SCALE(   0.0647864126f),
        RX_PULSESHAPER_SCALE(  -0.1128572509f),
        RX_PULSESHAPER_SCALE(   0.0028295425f),
        RX_PULSESHAPER_SCALE(  -0.0284156803f),
        RX_PULSESHAPER_SCALE(  -0.0222149199f),
        RX_PULSESHAPER_SCALE(  -0.0011317024f),
        RX_PULSESHAPER_SCALE(  -0.0109659514f),
        RX_PULSESHAPER_SCALE(   0.0003566474f),
        RX_PULSESHAPER_SCALE(  -0.0048271155f),
        RX_PULSESHAPER_SCALE(   0.0004214275f),
        RX_PULSESHAPER_SCALE(  -0.0026159112f),
        RX_PULSESHAPER_SCALE(  -0.0016063133f),
        RX_PULSESHAPER_SCALE(  -0.0002096614f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002187756f),     /* Filter 23 */
        RX_PULSESHAPER_SCALE(  -0.0012807895f),
        RX_PULSESHAPER_SCALE(  -0.0026141321f),
        RX_PULSESHAPER_SCALE(   0.0007495533f),
        RX_PULSESHAPER_SCALE(  -0.0046783230f),
        RX_PULSESHAPER_SCALE(   0.0005640236f),
        RX_PULSESHAPER_SCALE(  -0.0103934403f),
        RX_PULSESHAPER_SCALE(  -0.0013065156f),
        RX_PULSESHAPER_SCALE(  -0.0200386159f),
        RX_PULSESHAPER_SCALE(  -0.0283565521f),
        RX_PULSESHAPER_SCALE(   0.0064183765f),
        RX_PULSESHAPER_SCALE(  -0.1040724905f),
        RX_PULSESHAPER_SCALE(   0.0629463529f),
        RX_PULSESHAPER_SCALE(   0.3407602701f),
        RX_PULSESHAPER_SCALE(   0.0641822160f),
        RX_PULSESHAPER_SCALE(  -0.1099185516f),
        RX_PULSESHAPER_SCALE(   0.0040528809f),
        RX_PULSESHAPER_SCALE(  -0.0284139459f),
        RX_PULSESHAPER_SCALE(  -0.0214904140f),
        RX_PULSESHAPER_SCALE(  -0.0011921631f),
        RX_PULSESHAPER_SCALE(  -0.0107820442f),
        RX_PULSESHAPER_SCALE(   0.0004271617f),
        RX_PULSESHAPER_SCALE(  -0.0047819577f),
        RX_PULSESHAPER_SCALE(   0.0005317428f),
        RX_PULSESHAPER_SCALE(  -0.0026173518f),
        RX_PULSESHAPER_SCALE(  -0.0014980648f),
        RX_PULSESHAPER_SCALE(  -0.0002129114f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002159498f),     /* Filter 24 */
        RX_PULSESHAPER_SCALE(  -0.0013895266f),
        RX_PULSESHAPER_SCALE(  -0.0026167542f),
        RX_PULSESHAPER_SCALE(   0.0006411476f),
        RX_PULSESHAPER_SCALE(  -0.0047323315f),
        RX_PULSESHAPER_SCALE(   0.0004963022f),
        RX_PULSESHAPER_SCALE(  -0.0105911172f),
        RX_PULSESHAPER_SCALE(  -0.0012504367f),
        RX_PULSESHAPER_SCALE(  -0.0207648103f),
        RX_PULSESHAPER_SCALE(  -0.0283941279f),
        RX_PULSESHAPER_SCALE(   0.0052491978f),
        RX_PULSESHAPER_SCALE(  -0.1069900048f),
        RX_PULSESHAPER_SCALE(   0.0635687888f),
        RX_PULSESHAPER_SCALE(   0.3407922255f),
        RX_PULSESHAPER_SCALE(   0.0635687888f),
        RX_PULSESHAPER_SCALE(  -0.1069900048f),
        RX_PULSESHAPER_SCALE(   0.0052491978f),
        RX_PULSESHAPER_SCALE(  -0.0283941279f),
        RX_PULSESHAPER_SCALE(  -0.0207648103f),
        RX_PULSESHAPER_SCALE(  -0.0012504367f),
        RX_PULSESHAPER_SCALE(  -0.0105911172f),
        RX_PULSESHAPER_SCALE(   0.0004963022f),
        RX_PULSESHAPER_SCALE(  -0.0047323315f),
        RX_PULSESHAPER_SCALE(   0.0006411476f),
        RX_PULSESHAPER_SCALE(  -0.0026167542f),
        RX_PULSESHAPER_SCALE(  -0.0013895266f),
        RX_PULSESHAPER_SCALE(  -0.0002159498f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002129114f),     /* Filter 25 */
        RX_PULSESHAPER_SCALE(  -0.0014980648f),
        RX_PULSESHAPER_SCALE(  -0.0026173518f),
        RX_PULSESHAPER_SCALE(   0.0005317429f),
        RX_PULSESHAPER_SCALE(  -0.0047819577f),
        RX_PULSESHAPER_SCALE(   0.0004271617f),
        RX_PULSESHAPER_SCALE(  -0.0107820442f),
        RX_PULSESHAPER_SCALE(  -0.0011921631f),
        RX_PULSESHAPER_SCALE(  -0.0214904140f),
        RX_PULSESHAPER_SCALE(  -0.0284139458f),
        RX_PULSESHAPER_SCALE(   0.0040528809f),
        RX_PULSESHAPER_SCALE(  -0.1099185516f),
        RX_PULSESHAPER_SCALE(   0.0641822160f),
        RX_PULSESHAPER_SCALE(   0.3407602701f),
        RX_PULSESHAPER_SCALE(   0.0629463529f),
        RX_PULSESHAPER_SCALE(  -0.1040724905f),
        RX_PULSESHAPER_SCALE(   0.0064183765f),
        RX_PULSESHAPER_SCALE(  -0.0283565521f),
        RX_PULSESHAPER_SCALE(  -0.0200386159f),
        RX_PULSESHAPER_SCALE(  -0.0013065156f),
        RX_PULSESHAPER_SCALE(  -0.0103934403f),
        RX_PULSESHAPER_SCALE(   0.0005640236f),
        RX_PULSESHAPER_SCALE(  -0.0046783230f),
        RX_PULSESHAPER_SCALE(   0.0007495533f),
        RX_PULSESHAPER_SCALE(  -0.0026141321f),
        RX_PULSESHAPER_SCALE(  -0.0012807895f),
        RX_PULSESHAPER_SCALE(  -0.0002187756f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002096614f),     /* Filter 26 */
        RX_PULSESHAPER_SCALE(  -0.0016063134f),
        RX_PULSESHAPER_SCALE(  -0.0026159112f),
        RX_PULSESHAPER_SCALE(   0.0004214275f),
        RX_PULSESHAPER_SCALE(  -0.0048271154f),
        RX_PULSESHAPER_SCALE(   0.0003566474f),
        RX_PULSESHAPER_SCALE(  -0.0109659514f),
        RX_PULSESHAPER_SCALE(  -0.0011317024f),
        RX_PULSESHAPER_SCALE(  -0.0222149198f),
        RX_PULSESHAPER_SCALE(  -0.0284156802f),
        RX_PULSESHAPER_SCALE(   0.0028295425f),
        RX_PULSESHAPER_SCALE(  -0.1128572510f),
        RX_PULSESHAPER_SCALE(   0.0647864126f),
        RX_PULSESHAPER_SCALE(   0.3406644160f),
        RX_PULSESHAPER_SCALE(   0.0623151328f),
        RX_PULSESHAPER_SCALE(  -0.1011668792f),
        RX_PULSESHAPER_SCALE(   0.0075603133f),
        RX_PULSESHAPER_SCALE(  -0.0283015487f),
        RX_PULSESHAPER_SCALE(  -0.0193123305f),
        RX_PULSESHAPER_SCALE(  -0.0013603940f),
        RX_PULSESHAPER_SCALE(  -0.0101892847f),
        RX_PULSESHAPER_SCALE(   0.0006302822f),
        RX_PULSESHAPER_SCALE(  -0.0046200216f),
        RX_PULSESHAPER_SCALE(   0.0008568729f),
        RX_PULSESHAPER_SCALE(  -0.0026095011f),
        RX_PULSESHAPER_SCALE(  -0.0011719442f),
        RX_PULSESHAPER_SCALE(  -0.0002213880f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002062008f),     /* Filter 27 */
        RX_PULSESHAPER_SCALE(  -0.0017141808f),
        RX_PULSESHAPER_SCALE(  -0.0026124200f),
        RX_PULSESHAPER_SCALE(   0.0003102917f),
        RX_PULSESHAPER_SCALE(  -0.0048677214f),
        RX_PULSESHAPER_SCALE(   0.0002848063f),
        RX_PULSESHAPER_SCALE(  -0.0111425710f),
        RX_PULSESHAPER_SCALE(  -0.0010690639f),
        RX_PULSESHAPER_SCALE(  -0.0229378141f),
        RX_PULSESHAPER_SCALE(  -0.0283990105f),
        RX_PULSESHAPER_SCALE(   0.0015793118f),
        RX_PULSESHAPER_SCALE(  -0.1158052138f),
        RX_PULSESHAPER_SCALE(   0.0653811596f),
        RX_PULSESHAPER_SCALE(   0.3405046994f),
        RX_PULSESHAPER_SCALE(   0.0616753560f),
        RX_PULSESHAPER_SCALE(  -0.0982740316f),
        RX_PULSESHAPER_SCALE(   0.0086749169f),
        RX_PULSESHAPER_SCALE(  -0.0282294527f),
        RX_PULSESHAPER_SCALE(  -0.0185864469f),
        RX_PULSESHAPER_SCALE(  -0.0014120676f),
        RX_PULSESHAPER_SCALE(  -0.0099789231f),
        RX_PULSESHAPER_SCALE(   0.0006950361f),
        RX_PULSESHAPER_SCALE(  -0.0045575190f),
        RX_PULSESHAPER_SCALE(   0.0009630212f),
        RX_PULSESHAPER_SCALE(  -0.0026028781f),
        RX_PULSESHAPER_SCALE(  -0.0010630805f),
        RX_PULSESHAPER_SCALE(  -0.0002237864f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0002025310f),     /* Filter 28 */
        RX_PULSESHAPER_SCALE(  -0.0018215756f),
        RX_PULSESHAPER_SCALE(  -0.0026068677f),
        RX_PULSESHAPER_SCALE(   0.0001984268f),
        RX_PULSESHAPER_SCALE(  -0.0049036954f),
        RX_PULSESHAPER_SCALE(   0.0002116871f),
        RX_PULSESHAPER_SCALE(  -0.0113116371f),
        RX_PULSESHAPER_SCALE(  -0.0010042584f),
        RX_PULSESHAPER_SCALE(  -0.0236585765f),
        RX_PULSESHAPER_SCALE(  -0.0283636214f),
        RX_PULSESHAPER_SCALE(   0.0003023310f),
        RX_PULSESHAPER_SCALE(  -0.1187615424f),
        RX_PULSESHAPER_SCALE(   0.0659662411f),
        RX_PULSESHAPER_SCALE(   0.3402811804f),
        RX_PULSESHAPER_SCALE(   0.0610272526f),
        RX_PULSESHAPER_SCALE(  -0.0953947985f),
        RX_PULSESHAPER_SCALE(   0.0097621089f),
        RX_PULSESHAPER_SCALE(  -0.0281406035f),
        RX_PULSESHAPER_SCALE(  -0.0178614501f),
        RX_PULSESHAPER_SCALE(  -0.0014615337f),
        RX_PULSESHAPER_SCALE(  -0.0097626294f),
        RX_PULSESHAPER_SCALE(   0.0007582452f),
        RX_PULSESHAPER_SCALE(  -0.0044909099f),
        RX_PULSESHAPER_SCALE(   0.0010679146f),
        RX_PULSESHAPER_SCALE(  -0.0025942817f),
        RX_PULSESHAPER_SCALE(  -0.0009542879f),
        RX_PULSESHAPER_SCALE(  -0.0002259705f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001986536f),     /* Filter 29 */
        RX_PULSESHAPER_SCALE(  -0.0019284058f),
        RX_PULSESHAPER_SCALE(  -0.0025992453f),
        RX_PULSESHAPER_SCALE(   0.0000859256f),
        RX_PULSESHAPER_SCALE(  -0.0049349603f),
        RX_PULSESHAPER_SCALE(   0.0001373403f),
        RX_PULSESHAPER_SCALE(  -0.0114728860f),
        RX_PULSESHAPER_SCALE(  -0.0009372985f),
        RX_PULSESHAPER_SCALE(  -0.0243766800f),
        RX_PULSESHAPER_SCALE(  -0.0283092029f),
        RX_PULSESHAPER_SCALE(  -0.0010012450f),
        RX_PULSESHAPER_SCALE(  -0.1217253307f),
        RX_PULSESHAPER_SCALE(   0.0665414443f),
        RX_PULSESHAPER_SCALE(   0.3399939436f),
        RX_PULSESHAPER_SCALE(   0.0603710549f),
        RX_PULSESHAPER_SCALE(  -0.0925300199f),
        RX_PULSESHAPER_SCALE(   0.0108218235f),
        RX_PULSESHAPER_SCALE(  -0.0280353446f),
        RX_PULSESHAPER_SCALE(  -0.0171378178f),
        RX_PULSESHAPER_SCALE(  -0.0015087913f),
        RX_PULSESHAPER_SCALE(  -0.0095406784f),
        RX_PULSESHAPER_SCALE(   0.0008198711f),
        RX_PULSESHAPER_SCALE(  -0.0044202916f),
        RX_PULSESHAPER_SCALE(   0.0011714711f),
        RX_PULSESHAPER_SCALE(  -0.0025837321f),
        RX_PULSESHAPER_SCALE(  -0.0008456549f),
        RX_PULSESHAPER_SCALE(  -0.0002279401f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001945702f),     /* Filter 30 */
        RX_PULSESHAPER_SCALE(  -0.0020345793f),
        RX_PULSESHAPER_SCALE(  -0.0025895456f),
        RX_PULSESHAPER_SCALE(  -0.0000271176f),
        RX_PULSESHAPER_SCALE(  -0.0049614424f),
        RX_PULSESHAPER_SCALE(   0.0000618176f),
        RX_PULSESHAPER_SCALE(  -0.0116260566f),
        RX_PULSESHAPER_SCALE(  -0.0008681986f),
        RX_PULSESHAPER_SCALE(  -0.0250915918f),
        RX_PULSESHAPER_SCALE(  -0.0282354509f),
        RX_PULSESHAPER_SCALE(  -0.0023312486f),
        RX_PULSESHAPER_SCALE(  -0.1246956646f),
        RX_PULSESHAPER_SCALE(   0.0671065596f),
        RX_PULSESHAPER_SCALE(   0.3396430972f),
        RX_PULSESHAPER_SCALE(   0.0597069980f),
        RX_PULSESHAPER_SCALE(  -0.0896805252f),
        RX_PULSESHAPER_SCALE(   0.0118540072f),
        RX_PULSESHAPER_SCALE(  -0.0279140236f),
        RX_PULSESHAPER_SCALE(  -0.0164160196f),
        RX_PULSESHAPER_SCALE(  -0.0015538410f),
        RX_PULSESHAPER_SCALE(  -0.0093133456f),
        RX_PULSESHAPER_SCALE(   0.0008798770f),
        RX_PULSESHAPER_SCALE(  -0.0043457636f),
        RX_PULSESHAPER_SCALE(   0.0012736106f),
        RX_PULSESHAPER_SCALE(  -0.0025712507f),
        RX_PULSESHAPER_SCALE(  -0.0007372695f),
        RX_PULSESHAPER_SCALE(  -0.0002296950f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001902827f),     /* Filter 31 */
        RX_PULSESHAPER_SCALE(  -0.0021400041f),
        RX_PULSESHAPER_SCALE(  -0.0025777629f),
        RX_PULSESHAPER_SCALE(  -0.0001406075f),
        RX_PULSESHAPER_SCALE(  -0.0049830712f),
        RX_PULSESHAPER_SCALE(  -0.0000148271f),
        RX_PULSESHAPER_SCALE(  -0.0117708901f),
        RX_PULSESHAPER_SCALE(  -0.0007969747f),
        RX_PULSESHAPER_SCALE(  -0.0258027730f),
        RX_PULSESHAPER_SCALE(  -0.0281420669f),
        RX_PULSESHAPER_SCALE(  -0.0036874991f),
        RX_PULSESHAPER_SCALE(  -0.1276716225f),
        RX_PULSESHAPER_SCALE(   0.0676613808f),
        RX_PULSESHAPER_SCALE(   0.3392287735f),
        RX_PULSESHAPER_SCALE(   0.0590353189f),
        RX_PULSESHAPER_SCALE(  -0.0868471325f),
        RX_PULSESHAPER_SCALE(   0.0128586192f),
        RX_PULSESHAPER_SCALE(  -0.0277769917f),
        RX_PULSESHAPER_SCALE(  -0.0156965171f),
        RX_PULSESHAPER_SCALE(  -0.0015966849f),
        RX_PULSESHAPER_SCALE(  -0.0090809070f),
        RX_PULSESHAPER_SCALE(   0.0009382283f),
        RX_PULSESHAPER_SCALE(  -0.0042674281f),
        RX_PULSESHAPER_SCALE(   0.0013742548f),
        RX_PULSESHAPER_SCALE(  -0.0025568607f),
        RX_PULSESHAPER_SCALE(  -0.0006292188f),
        RX_PULSESHAPER_SCALE(  -0.0002312354f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001857931f),     /* Filter 32 */
        RX_PULSESHAPER_SCALE(  -0.0022445878f),
        RX_PULSESHAPER_SCALE(  -0.0025638935f),
        RX_PULSESHAPER_SCALE(  -0.0002544474f),
        RX_PULSESHAPER_SCALE(  -0.0049997796f),
        RX_PULSESHAPER_SCALE(  -0.0000925387f),
        RX_PULSESHAPER_SCALE(  -0.0119071312f),
        RX_PULSESHAPER_SCALE(  -0.0007236445f),
        RX_PULSESHAPER_SCALE(  -0.0265096790f),
        RX_PULSESHAPER_SCALE(  -0.0280287586f),
        RX_PULSESHAPER_SCALE(  -0.0050698033f),
        RX_PULSESHAPER_SCALE(  -0.1306522756f),
        RX_PULSESHAPER_SCALE(   0.0682057050f),
        RX_PULSESHAPER_SCALE(   0.3387511289f),
        RX_PULSESHAPER_SCALE(   0.0583562570f),
        RX_PULSESHAPER_SCALE(  -0.0840306488f),
        RX_PULSESHAPER_SCALE(   0.0138356311f),
        RX_PULSESHAPER_SCALE(  -0.0276246035f),
        RX_PULSESHAPER_SCALE(  -0.0149797637f),
        RX_PULSESHAPER_SCALE(  -0.0016373265f),
        RX_PULSESHAPER_SCALE(  -0.0088436391f),
        RX_PULSESHAPER_SCALE(   0.0009948916f),
        RX_PULSESHAPER_SCALE(  -0.0041853892f),
        RX_PULSESHAPER_SCALE(   0.0014733275f),
        RX_PULSESHAPER_SCALE(  -0.0025405864f),
        RX_PULSESHAPER_SCALE(  -0.0005215892f),
        RX_PULSESHAPER_SCALE(  -0.0002325617f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001811037f),     /* Filter 33 */
        RX_PULSESHAPER_SCALE(  -0.0023482386f),
        RX_PULSESHAPER_SCALE(  -0.0025479352f),
        RX_PULSESHAPER_SCALE(  -0.0003685397f),
        RX_PULSESHAPER_SCALE(  -0.0050115044f),
        RX_PULSESHAPER_SCALE(  -0.0001712605f),
        RX_PULSESHAPER_SCALE(  -0.0120345272f),
        RX_PULSESHAPER_SCALE(  -0.0006482275f),
        RX_PULSESHAPER_SCALE(  -0.0272117599f),
        RX_PULSESHAPER_SCALE(  -0.0278952399f),
        RX_PULSESHAPER_SCALE(  -0.0064779551f),
        RX_PULSESHAPER_SCALE(  -0.1336366883f),
        RX_PULSESHAPER_SCALE(   0.0687393331f),
        RX_PULSESHAPER_SCALE(   0.3382103435f),
        RX_PULSESHAPER_SCALE(   0.0576700538f),
        RX_PULSESHAPER_SCALE(  -0.0812318688f),
        RX_PULSESHAPER_SCALE(   0.0147850268f),
        RX_PULSESHAPER_SCALE(  -0.0274572172f),
        RX_PULSESHAPER_SCALE(  -0.0142662045f),
        RX_PULSESHAPER_SCALE(  -0.0016757712f),
        RX_PULSESHAPER_SCALE(  -0.0086018182f),
        RX_PULSESHAPER_SCALE(   0.0010498359f),
        RX_PULSESHAPER_SCALE(  -0.0040997535f),
        RX_PULSESHAPER_SCALE(   0.0015707541f),
        RX_PULSESHAPER_SCALE(  -0.0025224538f),
        RX_PULSESHAPER_SCALE(  -0.0004144658f),
        RX_PULSESHAPER_SCALE(  -0.0002336743f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001762169f),     /* Filter 34 */
        RX_PULSESHAPER_SCALE(  -0.0024508643f),
        RX_PULSESHAPER_SCALE(  -0.0025298877f),
        RX_PULSESHAPER_SCALE(  -0.0004827856f),
        RX_PULSESHAPER_SCALE(  -0.0050181856f),
        RX_PULSESHAPER_SCALE(  -0.0002509341f),
        RX_PULSESHAPER_SCALE(  -0.0121528290f),
        RX_PULSESHAPER_SCALE(  -0.0005707451f),
        RX_PULSESHAPER_SCALE(  -0.0279084604f),
        RX_PULSESHAPER_SCALE(  -0.0277412312f),
        RX_PULSESHAPER_SCALE(  -0.0079117354f),
        RX_PULSESHAPER_SCALE(  -0.1366239185f),
        RX_PULSESHAPER_SCALE(   0.0692620692f),
        RX_PULSESHAPER_SCALE(   0.3376066210f),
        RX_PULSESHAPER_SCALE(   0.0569769525f),
        RX_PULSESHAPER_SCALE(  -0.0784515755f),
        RX_PULSESHAPER_SCALE(   0.0157068026f),
        RX_PULSESHAPER_SCALE(  -0.0272751938f),
        RX_PULSESHAPER_SCALE(  -0.0135562760f),
        RX_PULSESHAPER_SCALE(  -0.0017120255f),
        RX_PULSESHAPER_SCALE(  -0.0083557207f),
        RX_PULSESHAPER_SCALE(   0.0011030314f),
        RX_PULSESHAPER_SCALE(  -0.0040106295f),
        RX_PULSESHAPER_SCALE(   0.0016664622f),
        RX_PULSESHAPER_SCALE(  -0.0025024901f),
        RX_PULSESHAPER_SCALE(  -0.0003079330f),
        RX_PULSESHAPER_SCALE(  -0.0002345739f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001711354f),     /* Filter 35 */
        RX_PULSESHAPER_SCALE(  -0.0025523733f),
        RX_PULSESHAPER_SCALE(  -0.0025097524f),
        RX_PULSESHAPER_SCALE(  -0.0005970853f),
        RX_PULSESHAPER_SCALE(  -0.0050197670f),
        RX_PULSESHAPER_SCALE(  -0.0003314998f),
        RX_PULSESHAPER_SCALE(  -0.0122617910f),
        RX_PULSESHAPER_SCALE(  -0.0004912202f),
        RX_PULSESHAPER_SCALE(  -0.0285992206f),
        RX_PULSESHAPER_SCALE(  -0.0275664596f),
        RX_PULSESHAPER_SCALE(  -0.0093709128f),
        RX_PULSESHAPER_SCALE(  -0.1396130183f),
        RX_PULSESHAPER_SCALE(   0.0697737213f),
        RX_PULSESHAPER_SCALE(   0.3369401889f),
        RX_PULSESHAPER_SCALE(   0.0562771984f),
        RX_PULSESHAPER_SCALE(  -0.0756905395f),
        RX_PULSESHAPER_SCALE(   0.0166009668f),
        RX_PULSESHAPER_SCALE(  -0.0270788974f),
        RX_PULSESHAPER_SCALE(  -0.0128504058f),
        RX_PULSESHAPER_SCALE(  -0.0017460976f),
        RX_PULSESHAPER_SCALE(  -0.0081056228f),
        RX_PULSESHAPER_SCALE(   0.0011544506f),
        RX_PULSESHAPER_SCALE(  -0.0039181276f),
        RX_PULSESHAPER_SCALE(   0.0017603814f),
        RX_PULSESHAPER_SCALE(  -0.0024807239f),
        RX_PULSESHAPER_SCALE(  -0.0002020740f),
        RX_PULSESHAPER_SCALE(  -0.0002352615f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001658620f),     /* Filter 36 */
        RX_PULSESHAPER_SCALE(  -0.0026526741f),
        RX_PULSESHAPER_SCALE(  -0.0024875325f),
        RX_PULSESHAPER_SCALE(  -0.0007113383f),
        RX_PULSESHAPER_SCALE(  -0.0050161965f),
        RX_PULSESHAPER_SCALE(  -0.0004128962f),
        RX_PULSESHAPER_SCALE(  -0.0123611714f),
        RX_PULSESHAPER_SCALE(  -0.0004096776f),
        RX_PULSESHAPER_SCALE(  -0.0292834756f),
        RX_PULSESHAPER_SCALE(  -0.0273706589f),
        RX_PULSESHAPER_SCALE(  -0.0108552428f),
        RX_PULSESHAPER_SCALE(  -0.1426030339f),
        RX_PULSESHAPER_SCALE(   0.0702741014f),
        RX_PULSESHAPER_SCALE(   0.3362112984f),
        RX_PULSESHAPER_SCALE(   0.0555710383f),
        RX_PULSESHAPER_SCALE(  -0.0729495187f),
        RX_PULSESHAPER_SCALE(   0.0174675399f),
        RX_PULSESHAPER_SCALE(  -0.0268686946f),
        RX_PULSESHAPER_SCALE(  -0.0121490129f),
        RX_PULSESHAPER_SCALE(  -0.0017779972f),
        RX_PULSESHAPER_SCALE(  -0.0078518000f),
        RX_PULSESHAPER_SCALE(   0.0012040675f),
        RX_PULSESHAPER_SCALE(  -0.0038223602f),
        RX_PULSESHAPER_SCALE(   0.0018524432f),
        RX_PULSESHAPER_SCALE(  -0.0024571850f),
        RX_PULSESHAPER_SCALE(  -0.0000969708f),
        RX_PULSESHAPER_SCALE(  -0.0002357379f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001603995f),     /* Filter 37 */
        RX_PULSESHAPER_SCALE(  -0.0027516756f),
        RX_PULSESHAPER_SCALE(  -0.0024632328f),
        RX_PULSESHAPER_SCALE(  -0.0008254431f),
        RX_PULSESHAPER_SCALE(  -0.0050074254f),
        RX_PULSESHAPER_SCALE(  -0.0004950606f),
        RX_PULSESHAPER_SCALE(  -0.0124507324f),
        RX_PULSESHAPER_SCALE(  -0.0003261439f),
        RX_PULSESHAPER_SCALE(  -0.0299606565f),
        RX_PULSESHAPER_SCALE(  -0.0271535701f),
        RX_PULSESHAPER_SCALE(  -0.0123644683f),
        RX_PULSESHAPER_SCALE(  -0.1455930066f),
        RX_PULSESHAPER_SCALE(   0.0707630251f),
        RX_PULSESHAPER_SCALE(   0.3354202237f),
        RX_PULSESHAPER_SCALE(   0.0548587208f),
        RX_PULSESHAPER_SCALE(  -0.0702292579f),
        RX_PULSESHAPER_SCALE(   0.0183065544f),
        RX_PULSESHAPER_SCALE(  -0.0266449544f),
        RX_PULSESHAPER_SCALE(  -0.0114525072f),
        RX_PULSESHAPER_SCALE(  -0.0018077352f),
        RX_PULSESHAPER_SCALE(  -0.0075945272f),
        RX_PULSESHAPER_SCALE(   0.0012518579f),
        RX_PULSESHAPER_SCALE(  -0.0037234411f),
        RX_PULSESHAPER_SCALE(   0.0019425816f),
        RX_PULSESHAPER_SCALE(  -0.0024319045f),
        RX_PULSESHAPER_SCALE(   0.0000072955f),
        RX_PULSESHAPER_SCALE(  -0.0002360044f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001547513f),     /* Filter 38 */
        RX_PULSESHAPER_SCALE(  -0.0028492873f),
        RX_PULSESHAPER_SCALE(  -0.0024368602f),
        RX_PULSESHAPER_SCALE(  -0.0009392976f),
        RX_PULSESHAPER_SCALE(  -0.0049934093f),
        RX_PULSESHAPER_SCALE(  -0.0005779289f),
        RX_PULSESHAPER_SCALE(  -0.0125302403f),
        RX_PULSESHAPER_SCALE(  -0.0002406474f),
        RX_PULSESHAPER_SCALE(  -0.0306301899f),
        RX_PULSESHAPER_SCALE(  -0.0269149414f),
        RX_PULSESHAPER_SCALE(  -0.0138983196f),
        RX_PULSESHAPER_SCALE(  -0.1485819727f),
        RX_PULSESHAPER_SCALE(   0.0712403120f),
        RX_PULSESHAPER_SCALE(   0.3345672628f),
        RX_PULSESHAPER_SCALE(   0.0541404958f),
        RX_PULSESHAPER_SCALE(  -0.0675304890f),
        RX_PULSESHAPER_SCALE(   0.0191180546f),
        RX_PULSESHAPER_SCALE(  -0.0264080483f),
        RX_PULSESHAPER_SCALE(  -0.0107612894f),
        RX_PULSESHAPER_SCALE(  -0.0018353241f),
        RX_PULSESHAPER_SCALE(  -0.0073340784f),
        RX_PULSESHAPER_SCALE(   0.0012977997f),
        RX_PULSESHAPER_SCALE(  -0.0036214862f),
        RX_PULSESHAPER_SCALE(   0.0020307323f),
        RX_PULSESHAPER_SCALE(  -0.0024049149f),
        RX_PULSESHAPER_SCALE(   0.0001106454f),
        RX_PULSESHAPER_SCALE(  -0.0002360624f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001489205f),     /* Filter 39 */
        RX_PULSESHAPER_SCALE(  -0.0029454190f),
        RX_PULSESHAPER_SCALE(  -0.0024084233f),
        RX_PULSESHAPER_SCALE(  -0.0010527989f),
        RX_PULSESHAPER_SCALE(  -0.0049741077f),
        RX_PULSESHAPER_SCALE(  -0.0006614356f),
        RX_PULSESHAPER_SCALE(  -0.0125994661f),
        RX_PULSESHAPER_SCALE(  -0.0001532182f),
        RX_PULSESHAPER_SCALE(  -0.0312914988f),
        RX_PULSESHAPER_SCALE(  -0.0266545283f),
        RX_PULSESHAPER_SCALE(  -0.0154565144f),
        RX_PULSESHAPER_SCALE(  -0.1515689642f),
        RX_PULSESHAPER_SCALE(   0.0717057859f),
        RX_PULSESHAPER_SCALE(   0.3336527364f),
        RX_PULSESHAPER_SCALE(   0.0534166148f),
        RX_PULSESHAPER_SCALE(  -0.0648539299f),
        RX_PULSESHAPER_SCALE(   0.0199020968f),
        RX_PULSESHAPER_SCALE(  -0.0261583493f),
        RX_PULSESHAPER_SCALE(  -0.0100757509f),
        RX_PULSESHAPER_SCALE(  -0.0018607777f),
        RX_PULSESHAPER_SCALE(  -0.0070707265f),
        RX_PULSESHAPER_SCALE(   0.0013418721f),
        RX_PULSESHAPER_SCALE(  -0.0035166124f),
        RX_PULSESHAPER_SCALE(   0.0021168335f),
        RX_PULSESHAPER_SCALE(  -0.0023762497f),
        RX_PULSESHAPER_SCALE(   0.0002130005f),
        RX_PULSESHAPER_SCALE(  -0.0002359134f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001429108f),     /* Filter 40 */
        RX_PULSESHAPER_SCALE(  -0.0030399812f),
        RX_PULSESHAPER_SCALE(  -0.0023779323f),
        RX_PULSESHAPER_SCALE(  -0.0011658436f),
        RX_PULSESHAPER_SCALE(  -0.0049494841f),
        RX_PULSESHAPER_SCALE(  -0.0007455136f),
        RX_PULSESHAPER_SCALE(  -0.0126581851f),
        RX_PULSESHAPER_SCALE(  -0.0000638881f),
        RX_PULSESHAPER_SCALE(  -0.0319440026f),
        RX_PULSESHAPER_SCALE(  -0.0263720941f),
        RX_PULSESHAPER_SCALE(  -0.0170387578f),
        RX_PULSESHAPER_SCALE(  -0.1545530092f),
        RX_PULSESHAPER_SCALE(   0.0721592747f),
        RX_PULSESHAPER_SCALE(   0.3326769885f),
        RX_PULSESHAPER_SCALE(   0.0526873304f),
        RX_PULSESHAPER_SCALE(  -0.0622002854f),
        RX_PULSESHAPER_SCALE(   0.0206587488f),
        RX_PULSESHAPER_SCALE(  -0.0258962328f),
        RX_PULSESHAPER_SCALE(  -0.0093962739f),
        RX_PULSESHAPER_SCALE(  -0.0018841111f),
        RX_PULSESHAPER_SCALE(  -0.0068047432f),
        RX_PULSESHAPER_SCALE(   0.0013840566f),
        RX_PULSESHAPER_SCALE(  -0.0034089384f),
        RX_PULSESHAPER_SCALE(   0.0022008254f),
        RX_PULSESHAPER_SCALE(  -0.0023459437f),
        RX_PULSESHAPER_SCALE(   0.0003142838f),
        RX_PULSESHAPER_SCALE(  -0.0002355590f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001367258f),     /* Filter 41 */
        RX_PULSESHAPER_SCALE(  -0.0031328853f),
        RX_PULSESHAPER_SCALE(  -0.0023453996f),
        RX_PULSESHAPER_SCALE(  -0.0012783277f),
        RX_PULSESHAPER_SCALE(  -0.0049195063f),
        RX_PULSESHAPER_SCALE(  -0.0008300949f),
        RX_PULSESHAPER_SCALE(  -0.0127061779f),
        RX_PULSESHAPER_SCALE(   0.0000273091f),
        RX_PULSESHAPER_SCALE(  -0.0325871175f),
        RX_PULSESHAPER_SCALE(  -0.0260674099f),
        RX_PULSESHAPER_SCALE(  -0.0186447426f),
        RX_PULSESHAPER_SCALE(  -0.1575331323f),
        RX_PULSESHAPER_SCALE(   0.0726006104f),
        RX_PULSESHAPER_SCALE(   0.3316403858f),
        RX_PULSESHAPER_SCALE(   0.0519528964f),
        RX_PULSESHAPER_SCALE(  -0.0595702456f),
        RX_PULSESHAPER_SCALE(   0.0213880901f),
        RX_PULSESHAPER_SCALE(  -0.0256220751f),
        RX_PULSESHAPER_SCALE(  -0.0087232308f),
        RX_PULSESHAPER_SCALE(  -0.0019053410f),
        RX_PULSESHAPER_SCALE(  -0.0065363986f),
        RX_PULSESHAPER_SCALE(   0.0014243362f),
        RX_PULSESHAPER_SCALE(  -0.0032985840f),
        RX_PULSESHAPER_SCALE(   0.0022826505f),
        RX_PULSESHAPER_SCALE(  -0.0023140326f),
        RX_PULSESHAPER_SCALE(   0.0004144199f),
        RX_PULSESHAPER_SCALE(  -0.0002350011f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001303693f),     /* Filter 42 */
        RX_PULSESHAPER_SCALE(  -0.0032240431f),
        RX_PULSESHAPER_SCALE(  -0.0023108390f),
        RX_PULSESHAPER_SCALE(  -0.0013901470f),
        RX_PULSESHAPER_SCALE(  -0.0048841464f),
        RX_PULSESHAPER_SCALE(  -0.0009151100f),
        RX_PULSESHAPER_SCALE(  -0.0127432299f),
        RX_PULSESHAPER_SCALE(   0.0001203381f),
        RX_PULSESHAPER_SCALE(  -0.0332202566f),
        RX_PULSESHAPER_SCALE(  -0.0257402545f),
        RX_PULSESHAPER_SCALE(  -0.0202741491f),
        RX_PULSESHAPER_SCALE(  -0.1605083548f),
        RX_PULSESHAPER_SCALE(   0.0730296294f),
        RX_PULSESHAPER_SCALE(   0.3305433175f),
        RX_PULSESHAPER_SCALE(   0.0512135677f),
        RX_PULSESHAPER_SCALE(  -0.0569644869f),
        RX_PULSESHAPER_SCALE(   0.0220902113f),
        RX_PULSESHAPER_SCALE(  -0.0253362545f),
        RX_PULSESHAPER_SCALE(  -0.0080569845f),
        RX_PULSESHAPER_SCALE(  -0.0019244850f),
        RX_PULSESHAPER_SCALE(  -0.0062659613f),
        RX_PULSESHAPER_SCALE(   0.0014626957f),
        RX_PULSESHAPER_SCALE(  -0.0031856702f),
        RX_PULSESHAPER_SCALE(   0.0023622537f),
        RX_PULSESHAPER_SCALE(  -0.0022805534f),
        RX_PULSESHAPER_SCALE(   0.0005133345f),
        RX_PULSESHAPER_SCALE(  -0.0002342418f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001238454f),     /* Filter 43 */
        RX_PULSESHAPER_SCALE(  -0.0033133676f),
        RX_PULSESHAPER_SCALE(  -0.0022742665f),
        RX_PULSESHAPER_SCALE(  -0.0015011966f),
        RX_PULSESHAPER_SCALE(  -0.0048433806f),
        RX_PULSESHAPER_SCALE(  -0.0010004881f),
        RX_PULSESHAPER_SCALE(  -0.0127691318f),
        RX_PULSESHAPER_SCALE(   0.0002151615f),
        RX_PULSESHAPER_SCALE(  -0.0338428304f),
        RX_PULSESHAPER_SCALE(  -0.0253904152f),
        RX_PULSESHAPER_SCALE(  -0.0219266451f),
        RX_PULSESHAPER_SCALE(  -0.1634776956f),
        RX_PULSESHAPER_SCALE(   0.0734461726f),
        RX_PULSESHAPER_SCALE(   0.3293861955f),
        RX_PULSESHAPER_SCALE(   0.0504695998f),
        RX_PULSESHAPER_SCALE(  -0.0543836710f),
        RX_PULSESHAPER_SCALE(   0.0227652149f),
        RX_PULSESHAPER_SCALE(  -0.0250391499f),
        RX_PULSESHAPER_SCALE(  -0.0073978882f),
        RX_PULSESHAPER_SCALE(  -0.0019415623f),
        RX_PULSESHAPER_SCALE(  -0.0059936981f),
        RX_PULSESHAPER_SCALE(   0.0014991218f),
        RX_PULSESHAPER_SCALE(  -0.0030703191f),
        RX_PULSESHAPER_SCALE(   0.0024395821f),
        RX_PULSESHAPER_SCALE(  -0.0022455442f),
        RX_PULSESHAPER_SCALE(   0.0006109552f),
        RX_PULSESHAPER_SCALE(  -0.0002332832f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001171583f),     /* Filter 44 */
        RX_PULSESHAPER_SCALE(  -0.0034007723f),
        RX_PULSESHAPER_SCALE(  -0.0022356997f),
        RX_PULSESHAPER_SCALE(  -0.0016113718f),
        RX_PULSESHAPER_SCALE(  -0.0047971896f),
        RX_PULSESHAPER_SCALE(  -0.0010861574f),
        RX_PULSESHAPER_SCALE(  -0.0127836799f),
        RX_PULSESHAPER_SCALE(   0.0003117404f),
        RX_PULSESHAPER_SCALE(  -0.0344542470f),
        RX_PULSESHAPER_SCALE(  -0.0250176873f),
        RX_PULSESHAPER_SCALE(  -0.0236018863f),
        RX_PULSESHAPER_SCALE(  -0.1664401711f),
        RX_PULSESHAPER_SCALE(   0.0738500851f),
        RX_PULSESHAPER_SCALE(   0.3281694539f),
        RX_PULSESHAPER_SCALE(   0.0497212495f),
        RX_PULSESHAPER_SCALE(  -0.0518284447f),
        RX_PULSESHAPER_SCALE(   0.0234132139f),
        RX_PULSESHAPER_SCALE(  -0.0247311415f),
        RX_PULSESHAPER_SCALE(  -0.0067462851f),
        RX_PULSESHAPER_SCALE(  -0.0019565932f),
        RX_PULSESHAPER_SCALE(  -0.0057198736f),
        RX_PULSESHAPER_SCALE(   0.0015336029f),
        RX_PULSESHAPER_SCALE(  -0.0029526538f),
        RX_PULSESHAPER_SCALE(   0.0025145852f),
        RX_PULSESHAPER_SCALE(  -0.0022090439f),
        RX_PULSESHAPER_SCALE(   0.0007072109f),
        RX_PULSESHAPER_SCALE(  -0.0002321276f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001103123f),     /* Filter 45 */
        RX_PULSESHAPER_SCALE(  -0.0034861722f),
        RX_PULSESHAPER_SCALE(  -0.0021951581f),
        RX_PULSESHAPER_SCALE(  -0.0017205672f),
        RX_PULSESHAPER_SCALE(  -0.0047455585f),
        RX_PULSESHAPER_SCALE(  -0.0011720448f),
        RX_PULSESHAPER_SCALE(  -0.0127866764f),
        RX_PULSESHAPER_SCALE(   0.0004100340f),
        RX_PULSESHAPER_SCALE(  -0.0350539125f),
        RX_PULSESHAPER_SCALE(  -0.0246218749f),
        RX_PULSESHAPER_SCALE(  -0.0252995164f),
        RX_PULSESHAPER_SCALE(  -0.1693947962f),
        RX_PULSESHAPER_SCALE(   0.0742412167f),
        RX_PULSESHAPER_SCALE(   0.3268935488f),
        RX_PULSESHAPER_SCALE(   0.0489687740f),
        RX_PULSESHAPER_SCALE(  -0.0492994400f),
        RX_PULSESHAPER_SCALE(   0.0240343329f),
        RX_PULSESHAPER_SCALE(  -0.0244126100f),
        RX_PULSESHAPER_SCALE(  -0.0061025085f),
        RX_PULSESHAPER_SCALE(  -0.0019695991f),
        RX_PULSESHAPER_SCALE(  -0.0054447503f),
        RX_PULSESHAPER_SCALE(   0.0015661291f),
        RX_PULSESHAPER_SCALE(  -0.0028327981f),
        RX_PULSESHAPER_SCALE(   0.0025872146f),
        RX_PULSESHAPER_SCALE(  -0.0021710924f),
        RX_PULSESHAPER_SCALE(   0.0008020323f),
        RX_PULSESHAPER_SCALE(  -0.0002307776f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0001033120f),     /* Filter 46 */
        RX_PULSESHAPER_SCALE(  -0.0035694831f),
        RX_PULSESHAPER_SCALE(  -0.0021526629f),
        RX_PULSESHAPER_SCALE(  -0.0018286778f),
        RX_PULSESHAPER_SCALE(  -0.0046884769f),
        RX_PULSESHAPER_SCALE(  -0.0012580760f),
        RX_PULSESHAPER_SCALE(  -0.0127779291f),
        RX_PULSESHAPER_SCALE(   0.0005099998f),
        RX_PULSESHAPER_SCALE(  -0.0356412310f),
        RX_PULSESHAPER_SCALE(  -0.0242027906f),
        RX_PULSESHAPER_SCALE(  -0.0270191669f),
        RX_PULSESHAPER_SCALE(  -0.1723405841f),
        RX_PULSESHAPER_SCALE(   0.0746194218f),
        RX_PULSESHAPER_SCALE(   0.3255589582f),
        RX_PULSESHAPER_SCALE(   0.0482124309f),
        RX_PULSESHAPER_SCALE(  -0.0467972740f),
        RX_PULSESHAPER_SCALE(   0.0246287071f),
        RX_PULSESHAPER_SCALE(  -0.0240839366f),
        RX_PULSESHAPER_SCALE(  -0.0054668819f),
        RX_PULSESHAPER_SCALE(  -0.0019806028f),
        RX_PULSESHAPER_SCALE(  -0.0051685886f),
        RX_PULSESHAPER_SCALE(   0.0015966924f),
        RX_PULSESHAPER_SCALE(  -0.0027108768f),
        RX_PULSESHAPER_SCALE(   0.0026574246f),
        RX_PULSESHAPER_SCALE(  -0.0021317307f),
        RX_PULSESHAPER_SCALE(   0.0008953516f),
        RX_PULSESHAPER_SCALE(  -0.0002292356f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0000961621f),     /* Filter 47 */
        RX_PULSESHAPER_SCALE(  -0.0036506219f),
        RX_PULSESHAPER_SCALE(  -0.0021082373f),
        RX_PULSESHAPER_SCALE(  -0.0019355984f),
        RX_PULSESHAPER_SCALE(  -0.0046259388f),
        RX_PULSESHAPER_SCALE(  -0.0013441760f),
        RX_PULSESHAPER_SCALE(  -0.0127572522f),
        RX_PULSESHAPER_SCALE(   0.0006115933f),
        RX_PULSESHAPER_SCALE(  -0.0362156055f),
        RX_PULSESHAPER_SCALE(  -0.0237602557f),
        RX_PULSESHAPER_SCALE(  -0.0287604572f),
        RX_PULSESHAPER_SCALE(  -0.1752765473f),
        RX_PULSESHAPER_SCALE(   0.0749845594f),
        RX_PULSESHAPER_SCALE(   0.3241661817f),
        RX_PULSESHAPER_SCALE(   0.0474524786f),
        RX_PULSESHAPER_SCALE(  -0.0443225480f),
        RX_PULSESHAPER_SCALE(   0.0251964824f),
        RX_PULSESHAPER_SCALE(  -0.0237455030f),
        RX_PULSESHAPER_SCALE(  -0.0048397183f),
        RX_PULSESHAPER_SCALE(  -0.0019896282f),
        RX_PULSESHAPER_SCALE(  -0.0048916461f),
        RX_PULSESHAPER_SCALE(   0.0016252864f),
        RX_PULSESHAPER_SCALE(  -0.0025870150f),
        RX_PULSESHAPER_SCALE(   0.0027251718f),
        RX_PULSESHAPER_SCALE(  -0.0020910005f),
        RX_PULSESHAPER_SCALE(   0.0009871030f),
        RX_PULSESHAPER_SCALE(  -0.0002275045f)
    }
};

#if defined(SPANDSP_USE_FIXED_POINT)
static const int16_t rx_pulseshaper_im[RX_PULSESHAPER_COEFF_SETS][27] =
#else
static const float rx_pulseshaper_im[RX_PULSESHAPER_COEFF_SETS][27] =
#endif
{
    {
        RX_PULSESHAPER_SCALE(  -0.0028663577f),     /* Filter 0 */
        RX_PULSESHAPER_SCALE(  -0.0003500107f),
        RX_PULSESHAPER_SCALE(  -0.0033435735f),
        RX_PULSESHAPER_SCALE(  -0.0027904150f),
        RX_PULSESHAPER_SCALE(  -0.0015083103f),
        RX_PULSESHAPER_SCALE(  -0.0050840455f),
        RX_PULSESHAPER_SCALE(  -0.0003631437f),
        RX_PULSESHAPER_SCALE(  -0.0126066690f),
        RX_PULSESHAPER_SCALE(   0.0017485284f),
        RX_PULSESHAPER_SCALE(  -0.0322041586f),
        RX_PULSESHAPER_SCALE(  -0.0301351100f),
        RX_PULSESHAPER_SCALE(  -0.0213368103f),
        RX_PULSESHAPER_SCALE(  -0.1944744127f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3137990785f),
        RX_PULSESHAPER_SCALE(   0.0907983001f),
        RX_PULSESHAPER_SCALE(  -0.0357378355f),
        RX_PULSESHAPER_SCALE(   0.0320615793f),
        RX_PULSESHAPER_SCALE(  -0.0152332992f),
        RX_PULSESHAPER_SCALE(  -0.0045128713f),
        RX_PULSESHAPER_SCALE(   0.0010014372f),
        RX_PULSESHAPER_SCALE(  -0.0044019135f),
        RX_PULSESHAPER_SCALE(   0.0027931110f),
        RX_PULSESHAPER_SCALE(  -0.0020412237f),
        RX_PULSESHAPER_SCALE(   0.0033647251f),
        RX_PULSESHAPER_SCALE(  -0.0012117902f),
        RX_PULSESHAPER_SCALE(   0.0011291668f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0028907192f),     /* Filter 1 */
        RX_PULSESHAPER_SCALE(  -0.0003207292f),
        RX_PULSESHAPER_SCALE(  -0.0034122027f),
        RX_PULSESHAPER_SCALE(  -0.0027251718f),
        RX_PULSESHAPER_SCALE(  -0.0015853248f),
        RX_PULSESHAPER_SCALE(  -0.0050021172f),
        RX_PULSESHAPER_SCALE(  -0.0003849809f),
        RX_PULSESHAPER_SCALE(  -0.0125620181f),
        RX_PULSESHAPER_SCALE(   0.0020046770f),
        RX_PULSESHAPER_SCALE(  -0.0326828810f),
        RX_PULSESHAPER_SCALE(  -0.0295012904f),
        RX_PULSESHAPER_SCALE(  -0.0225834662f),
        RX_PULSESHAPER_SCALE(  -0.1976537983f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3123331681f),
        RX_PULSESHAPER_SCALE(   0.0893078615f),
        RX_PULSESHAPER_SCALE(  -0.0336741688f),
        RX_PULSESHAPER_SCALE(   0.0327031865f),
        RX_PULSESHAPER_SCALE(  -0.0150009950f),
        RX_PULSESHAPER_SCALE(  -0.0038614483f),
        RX_PULSESHAPER_SCALE(   0.0010040175f),
        RX_PULSESHAPER_SCALE(  -0.0041369483f),
        RX_PULSESHAPER_SCALE(   0.0028347789f),
        RX_PULSESHAPER_SCALE(  -0.0019355984f),
        RX_PULSESHAPER_SCALE(   0.0034403305f),
        RX_PULSESHAPER_SCALE(  -0.0011861589f),
        RX_PULSESHAPER_SCALE(   0.0012218552f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029127146f),     /* Filter 2 */
        RX_PULSESHAPER_SCALE(  -0.0002909174f),
        RX_PULSESHAPER_SCALE(  -0.0034786683f),
        RX_PULSESHAPER_SCALE(  -0.0026574247f),
        RX_PULSESHAPER_SCALE(  -0.0016612274f),
        RX_PULSESHAPER_SCALE(  -0.0049141139f),
        RX_PULSESHAPER_SCALE(  -0.0004067767f),
        RX_PULSESHAPER_SCALE(  -0.0125050341f),
        RX_PULSESHAPER_SCALE(   0.0022644566f),
        RX_PULSESHAPER_SCALE(  -0.0331486949f),
        RX_PULSESHAPER_SCALE(  -0.0288365110f),
        RX_PULSESHAPER_SCALE(  -0.0238444021f),
        RX_PULSESHAPER_SCALE(  -0.2008192274f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3108122604f),
        RX_PULSESHAPER_SCALE(   0.0878119136f),
        RX_PULSESHAPER_SCALE(  -0.0316353798f),
        RX_PULSESHAPER_SCALE(   0.0333122834f),
        RX_PULSESHAPER_SCALE(  -0.0147630813f),
        RX_PULSESHAPER_SCALE(  -0.0032200118f),
        RX_PULSESHAPER_SCALE(   0.0010056448f),
        RX_PULSESHAPER_SCALE(  -0.0038719599f),
        RX_PULSESHAPER_SCALE(   0.0028731023f),
        RX_PULSESHAPER_SCALE(  -0.0018286778f),
        RX_PULSESHAPER_SCALE(   0.0035128265f),
        RX_PULSESHAPER_SCALE(  -0.0011597953f),
        RX_PULSESHAPER_SCALE(   0.0013127038f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029323070f),     /* Filter 3 */
        RX_PULSESHAPER_SCALE(  -0.0002605961f),
        RX_PULSESHAPER_SCALE(  -0.0035429008f),
        RX_PULSESHAPER_SCALE(  -0.0025872146f),
        RX_PULSESHAPER_SCALE(  -0.0017359409f),
        RX_PULSESHAPER_SCALE(  -0.0048200498f),
        RX_PULSESHAPER_SCALE(  -0.0004285111f),
        RX_PULSESHAPER_SCALE(  -0.0124355594f),
        RX_PULSESHAPER_SCALE(   0.0025277418f),
        RX_PULSESHAPER_SCALE(  -0.0336010750f),
        RX_PULSESHAPER_SCALE(  -0.0281405882f),
        RX_PULSESHAPER_SCALE(  -0.0251193194f),
        RX_PULSESHAPER_SCALE(  -0.2039696230f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3092369227f),
        RX_PULSESHAPER_SCALE(   0.0863109597f),
        RX_PULSESHAPER_SCALE(  -0.0296219278f),
        RX_PULSESHAPER_SCALE(   0.0338891035f),
        RX_PULSESHAPER_SCALE(  -0.0145198060f),
        RX_PULSESHAPER_SCALE(  -0.0025888530f),
        RX_PULSESHAPER_SCALE(   0.0010063333f),
        RX_PULSESHAPER_SCALE(  -0.0036071828f),
        RX_PULSESHAPER_SCALE(   0.0029080820f),
        RX_PULSESHAPER_SCALE(  -0.0017205672f),
        RX_PULSESHAPER_SCALE(   0.0035821724f),
        RX_PULSESHAPER_SCALE(  -0.0011327260f),
        RX_PULSESHAPER_SCALE(   0.0014016509f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029494613f),     /* Filter 4 */
        RX_PULSESHAPER_SCALE(  -0.0002297867f),
        RX_PULSESHAPER_SCALE(  -0.0036048319f),
        RX_PULSESHAPER_SCALE(  -0.0025145852f),
        RX_PULSESHAPER_SCALE(  -0.0018093886f),
        RX_PULSESHAPER_SCALE(  -0.0047199444f),
        RX_PULSESHAPER_SCALE(  -0.0004501638f),
        RX_PULSESHAPER_SCALE(  -0.0123534432f),
        RX_PULSESHAPER_SCALE(   0.0027944028f),
        RX_PULSESHAPER_SCALE(  -0.0340394960f),
        RX_PULSESHAPER_SCALE(  -0.0274133513f),
        RX_PULSESHAPER_SCALE(  -0.0264079116f),
        RX_PULSESHAPER_SCALE(  -0.2071039093f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3076077423f),
        RX_PULSESHAPER_SCALE(   0.0848055030f),
        RX_PULSESHAPER_SCALE(  -0.0276342583f),
        RX_PULSESHAPER_SCALE(   0.0344338926f),
        RX_PULSESHAPER_SCALE(  -0.0142714164f),
        RX_PULSESHAPER_SCALE(  -0.0019682517f),
        RX_PULSESHAPER_SCALE(   0.0010060974f),
        RX_PULSESHAPER_SCALE(  -0.0033428487f),
        RX_PULSESHAPER_SCALE(   0.0029397216f),
        RX_PULSESHAPER_SCALE(  -0.0016113718f),
        RX_PULSESHAPER_SCALE(   0.0036483303f),
        RX_PULSESHAPER_SCALE(  -0.0011049779f),
        RX_PULSESHAPER_SCALE(   0.0014886371f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029641443f),     /* Filter 5 */
        RX_PULSESHAPER_SCALE(  -0.0001985114f),
        RX_PULSESHAPER_SCALE(  -0.0036643951f),
        RX_PULSESHAPER_SCALE(  -0.0024395821f),
        RX_PULSESHAPER_SCALE(  -0.0018814940f),
        RX_PULSESHAPER_SCALE(  -0.0046138225f),
        RX_PULSESHAPER_SCALE(  -0.0004717143f),
        RX_PULSESHAPER_SCALE(  -0.0122585422f),
        RX_PULSESHAPER_SCALE(   0.0030643056f),
        RX_PULSESHAPER_SCALE(  -0.0344634332f),
        RX_PULSESHAPER_SCALE(  -0.0266546419f),
        RX_PULSESHAPER_SCALE(  -0.0277098644f),
        RX_PULSESHAPER_SCALE(  -0.2102210127f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3059253257f),
        RX_PULSESHAPER_SCALE(   0.0832960463f),
        RX_PULSESHAPER_SCALE(  -0.0256728028f),
        RX_PULSESHAPER_SCALE(   0.0349469084f),
        RX_PULSESHAPER_SCALE(  -0.0140181593f),
        RX_PULSESHAPER_SCALE(  -0.0013584764f),
        RX_PULSESHAPER_SCALE(   0.0010049525f),
        RX_PULSESHAPER_SCALE(  -0.0030791858f),
        RX_PULSESHAPER_SCALE(   0.0029680275f),
        RX_PULSESHAPER_SCALE(  -0.0015011966f),
        RX_PULSESHAPER_SCALE(   0.0037112657f),
        RX_PULSESHAPER_SCALE(  -0.0010765784f),
        RX_PULSESHAPER_SCALE(   0.0015736048f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029763245f),     /* Filter 6 */
        RX_PULSESHAPER_SCALE(  -0.0001667925f),
        RX_PULSESHAPER_SCALE(  -0.0037215250f),
        RX_PULSESHAPER_SCALE(  -0.0023622537f),
        RX_PULSESHAPER_SCALE(  -0.0019521812f),
        RX_PULSESHAPER_SCALE(  -0.0045017145f),
        RX_PULSESHAPER_SCALE(  -0.0004931419f),
        RX_PULSESHAPER_SCALE(  -0.0121507204f),
        RX_PULSESHAPER_SCALE(   0.0033373123f),
        RX_PULSESHAPER_SCALE(  -0.0348723626f),
        RX_PULSESHAPER_SCALE(  -0.0258643143f),
        RX_PULSESHAPER_SCALE(  -0.0290248559f),
        RX_PULSESHAPER_SCALE(  -0.2133198616f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3041902986f),
        RX_PULSESHAPER_SCALE(   0.0817830916f),
        RX_PULSESHAPER_SCALE(  -0.0237379786f),
        RX_PULSESHAPER_SCALE(   0.0354284210f),
        RX_PULSESHAPER_SCALE(  -0.0137602808f),
        RX_PULSESHAPER_SCALE(  -0.0007597849f),
        RX_PULSESHAPER_SCALE(   0.0010029139f),
        RX_PULSESHAPER_SCALE(  -0.0028164189f),
        RX_PULSESHAPER_SCALE(   0.0029930088f),
        RX_PULSESHAPER_SCALE(  -0.0013901470f),
        RX_PULSESHAPER_SCALE(   0.0037709466f),
        RX_PULSESHAPER_SCALE(  -0.0010475551f),
        RX_PULSESHAPER_SCALE(   0.0016564987f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029859725f),     /* Filter 7 */
        RX_PULSESHAPER_SCALE(  -0.0001346532f),
        RX_PULSESHAPER_SCALE(  -0.0037761580f),
        RX_PULSESHAPER_SCALE(  -0.0022826505f),
        RX_PULSESHAPER_SCALE(  -0.0020213749f),
        RX_PULSESHAPER_SCALE(  -0.0043836560f),
        RX_PULSESHAPER_SCALE(  -0.0005144257f),
        RX_PULSESHAPER_SCALE(  -0.0120298497f),
        RX_PULSESHAPER_SCALE(   0.0036132805f),
        RX_PULSESHAPER_SCALE(  -0.0352657610f),
        RX_PULSESHAPER_SCALE(  -0.0250422359f),
        RX_PULSESHAPER_SCALE(  -0.0303525562f),
        RX_PULSESHAPER_SCALE(  -0.2163993876f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3024033057f),
        RX_PULSESHAPER_SCALE(   0.0802671400f),
        RX_PULSESHAPER_SCALE(  -0.0218301888f),
        RX_PULSESHAPER_SCALE(   0.0358787117f),
        RX_PULSESHAPER_SCALE(  -0.0134980260f),
        RX_PULSESHAPER_SCALE(  -0.0001724232f),
        RX_PULSESHAPER_SCALE(   0.0009999979f),
        RX_PULSESHAPER_SCALE(  -0.0025547695f),
        RX_PULSESHAPER_SCALE(   0.0030146774f),
        RX_PULSESHAPER_SCALE(  -0.0012783277f),
        RX_PULSESHAPER_SCALE(   0.0038273443f),
        RX_PULSESHAPER_SCALE(  -0.0010179361f),
        RX_PULSESHAPER_SCALE(   0.0017372654f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029930606f),     /* Filter 8 */
        RX_PULSESHAPER_SCALE(  -0.0001021170f),
        RX_PULSESHAPER_SCALE(  -0.0038282321f),
        RX_PULSESHAPER_SCALE(  -0.0022008254f),
        RX_PULSESHAPER_SCALE(  -0.0020890001f),
        RX_PULSESHAPER_SCALE(  -0.0042596882f),
        RX_PULSESHAPER_SCALE(  -0.0005355449f),
        RX_PULSESHAPER_SCALE(  -0.0118958096f),
        RX_PULSESHAPER_SCALE(   0.0038920641f),
        RX_PULSESHAPER_SCALE(  -0.0356431066f),
        RX_PULSESHAPER_SCALE(  -0.0241882871f),
        RX_PULSESHAPER_SCALE(  -0.0316926284f),
        RX_PULSESHAPER_SCALE(  -0.2194585253f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3005650102f),
        RX_PULSESHAPER_SCALE(   0.0787486915f),
        RX_PULSESHAPER_SCALE(  -0.0199498222f),
        RX_PULSESHAPER_SCALE(   0.0362980736f),
        RX_PULSESHAPER_SCALE(  -0.0132316391f),
        RX_PULSESHAPER_SCALE(   0.0004033735f),
        RX_PULSESHAPER_SCALE(   0.0009962208f),
        RX_PULSESHAPER_SCALE(  -0.0022944550f),
        RX_PULSESHAPER_SCALE(   0.0030330478f),
        RX_PULSESHAPER_SCALE(  -0.0011658436f),
        RX_PULSESHAPER_SCALE(   0.0038804329f),
        RX_PULSESHAPER_SCALE(  -0.0009877498f),
        RX_PULSESHAPER_SCALE(   0.0018158537f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029975634f),     /* Filter 9 */
        RX_PULSESHAPER_SCALE(  -0.0000692081f),
        RX_PULSESHAPER_SCALE(  -0.0038776871f),
        RX_PULSESHAPER_SCALE(  -0.0021168335f),
        RX_PULSESHAPER_SCALE(  -0.0021549828f),
        RX_PULSESHAPER_SCALE(  -0.0041298577f),
        RX_PULSESHAPER_SCALE(  -0.0005564782f),
        RX_PULSESHAPER_SCALE(  -0.0117484878f),
        RX_PULSESHAPER_SCALE(   0.0041735127f),
        RX_PULSESHAPER_SCALE(  -0.0360038791f),
        RX_PULSESHAPER_SCALE(  -0.0233023614f),
        RX_PULSESHAPER_SCALE(  -0.0330447278f),
        RX_PULSESHAPER_SCALE(  -0.2224962134f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2986760936f),
        RX_PULSESHAPER_SCALE(   0.0772282446f),
        RX_PULSESHAPER_SCALE(  -0.0180972531f),
        RX_PULSESHAPER_SCALE(   0.0366868109f),
        RX_PULSESHAPER_SCALE(  -0.0129613632f),
        RX_PULSESHAPER_SCALE(   0.0009673813f),
        RX_PULSESHAPER_SCALE(   0.0009915995f),
        RX_PULSESHAPER_SCALE(  -0.0020356893f),
        RX_PULSESHAPER_SCALE(   0.0030481371f),
        RX_PULSESHAPER_SCALE(  -0.0010527989f),
        RX_PULSESHAPER_SCALE(   0.0039301896f),
        RX_PULSESHAPER_SCALE(  -0.0009570246f),
        RX_PULSESHAPER_SCALE(   0.0018922147f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029994572f),     /* Filter 10 */
        RX_PULSESHAPER_SCALE(  -0.0000359509f),
        RX_PULSESHAPER_SCALE(  -0.0039244645f),
        RX_PULSESHAPER_SCALE(  -0.0020307323f),
        RX_PULSESHAPER_SCALE(  -0.0022192496f),
        RX_PULSESHAPER_SCALE(  -0.0039942166f),
        RX_PULSESHAPER_SCALE(  -0.0005772045f),
        RX_PULSESHAPER_SCALE(  -0.0115877801f),
        RX_PULSESHAPER_SCALE(   0.0044574720f),
        RX_PULSESHAPER_SCALE(  -0.0363475602f),
        RX_PULSESHAPER_SCALE(  -0.0223843659f),
        RX_PULSESHAPER_SCALE(  -0.0344085028f),
        RX_PULSESHAPER_SCALE(  -0.2255113948f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2967372552f),
        RX_PULSESHAPER_SCALE(   0.0757062964f),
        RX_PULSESHAPER_SCALE(  -0.0162728414f),
        RX_PULSESHAPER_SCALE(   0.0370452387f),
        RX_PULSESHAPER_SCALE(  -0.0126874401f),
        RX_PULSESHAPER_SCALE(   0.0015193879f),
        RX_PULSESHAPER_SCALE(   0.0009861513f),
        RX_PULSESHAPER_SCALE(  -0.0017786823f),
        RX_PULSESHAPER_SCALE(   0.0030599652f),
        RX_PULSESHAPER_SCALE(  -0.0009392976f),
        RX_PULSESHAPER_SCALE(   0.0039765945f),
        RX_PULSESHAPER_SCALE(  -0.0009257895f),
        RX_PULSESHAPER_SCALE(   0.0019663015f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029987206f),     /* Filter 11 */
        RX_PULSESHAPER_SCALE(  -0.0000023704f),
        RX_PULSESHAPER_SCALE(  -0.0039685075f),
        RX_PULSESHAPER_SCALE(  -0.0019425816f),
        RX_PULSESHAPER_SCALE(  -0.0022817277f),
        RX_PULSESHAPER_SCALE(  -0.0038528225f),
        RX_PULSESHAPER_SCALE(  -0.0005977023f),
        RX_PULSESHAPER_SCALE(  -0.0114135907f),
        RX_PULSESHAPER_SCALE(   0.0047437838f),
        RX_PULSESHAPER_SCALE(  -0.0366736335f),
        RX_PULSESHAPER_SCALE(  -0.0214342212f),
        RX_PULSESHAPER_SCALE(  -0.0357835943f),
        RX_PULSESHAPER_SCALE(  -0.2285030170f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2947492121f),
        RX_PULSESHAPER_SCALE(   0.0741833421f),
        RX_PULSESHAPER_SCALE(  -0.0144769322f),
        RX_PULSESHAPER_SCALE(   0.0373736830f),
        RX_PULSESHAPER_SCALE(  -0.0124101103f),
        RX_PULSESHAPER_SCALE(   0.0020591917f),
        RX_PULSESHAPER_SCALE(   0.0009798939f),
        RX_PULSESHAPER_SCALE(  -0.0015236399f),
        RX_PULSESHAPER_SCALE(   0.0030685542f),
        RX_PULSESHAPER_SCALE(  -0.0008254432f),
        RX_PULSESHAPER_SCALE(   0.0040196306f),
        RX_PULSESHAPER_SCALE(  -0.0008940736f),
        RX_PULSESHAPER_SCALE(   0.0020380695f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029953341f),     /* Filter 12 */
        RX_PULSESHAPER_SCALE(   0.0000315077f),
        RX_PULSESHAPER_SCALE(  -0.0040097615f),
        RX_PULSESHAPER_SCALE(  -0.0018524433f),
        RX_PULSESHAPER_SCALE(  -0.0023423453f),
        RX_PULSESHAPER_SCALE(  -0.0037057386f),
        RX_PULSESHAPER_SCALE(  -0.0006179501f),
        RX_PULSESHAPER_SCALE(  -0.0112258324f),
        RX_PULSESHAPER_SCALE(   0.0050322859f),
        RX_PULSESHAPER_SCALE(  -0.0369815854f),
        RX_PULSESHAPER_SCALE(  -0.0204518615f),
        RX_PULSESHAPER_SCALE(  -0.0371696363f),
        RX_PULSESHAPER_SCALE(  -0.2314700330f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2927126984f),
        RX_PULSESHAPER_SCALE(   0.0726598749f),
        RX_PULSESHAPER_SCALE(  -0.0127098562f),
        RX_PULSESHAPER_SCALE(   0.0376724801f),
        RX_PULSESHAPER_SCALE(  -0.0121296128f),
        RX_PULSESHAPER_SCALE(   0.0025866029f),
        RX_PULSESHAPER_SCALE(   0.0009728453f),
        RX_PULSESHAPER_SCALE(  -0.0012707638f),
        RX_PULSESHAPER_SCALE(   0.0030739292f),
        RX_PULSESHAPER_SCALE(  -0.0007113383f),
        RX_PULSESHAPER_SCALE(   0.0040592840f),
        RX_PULSESHAPER_SCALE(  -0.0008619060f),
        RX_PULSESHAPER_SCALE(   0.0021074764f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029892805f),     /* Filter 13 */
        RX_PULSESHAPER_SCALE(   0.0000656578f),
        RX_PULSESHAPER_SCALE(  -0.0040481735f),
        RX_PULSESHAPER_SCALE(  -0.0017603814f),
        RX_PULSESHAPER_SCALE(  -0.0024010317f),
        RX_PULSESHAPER_SCALE(  -0.0035530336f),
        RX_PULSESHAPER_SCALE(  -0.0006379264f),
        RX_PULSESHAPER_SCALE(  -0.0110244266f),
        RX_PULSESHAPER_SCALE(   0.0053228123f),
        RX_PULSESHAPER_SCALE(  -0.0372709048f),
        RX_PULSESHAPER_SCALE(  -0.0194372347f),
        RX_PULSESHAPER_SCALE(  -0.0385662562f),
        RX_PULSESHAPER_SCALE(  -0.2344114015f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2906284654f),
        RX_PULSESHAPER_SCALE(   0.0711363859f),
        RX_PULSESHAPER_SCALE(  -0.0109719291f),
        RX_PULSESHAPER_SCALE(   0.0379419766f),
        RX_PULSESHAPER_SCALE(  -0.0118461850f),
        RX_PULSESHAPER_SCALE(   0.0031014424f),
        RX_PULSESHAPER_SCALE(   0.0009650239f),
        RX_PULSESHAPER_SCALE(  -0.0010202514f),
        RX_PULSESHAPER_SCALE(   0.0030761172f),
        RX_PULSESHAPER_SCALE(  -0.0005970853f),
        RX_PULSESHAPER_SCALE(   0.0040955437f),
        RX_PULSESHAPER_SCALE(  -0.0008293163f),
        RX_PULSESHAPER_SCALE(   0.0021744820f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029805446f),     /* Filter 14 */
        RX_PULSESHAPER_SCALE(   0.0001000535f),
        RX_PULSESHAPER_SCALE(  -0.0040836928f),
        RX_PULSESHAPER_SCALE(  -0.0016664622f),
        RX_PULSESHAPER_SCALE(  -0.0024577169f),
        RX_PULSESHAPER_SCALE(  -0.0033947816f),
        RX_PULSESHAPER_SCALE(  -0.0006576095f),
        RX_PULSESHAPER_SCALE(  -0.0108093036f),
        RX_PULSESHAPER_SCALE(   0.0056151934f),
        RX_PULSESHAPER_SCALE(  -0.0375410836f),
        RX_PULSESHAPER_SCALE(  -0.0183903030f),
        RX_PULSESHAPER_SCALE(  -0.0399730743f),
        RX_PULSESHAPER_SCALE(  -0.2373260872f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2884972807f),
        RX_PULSESHAPER_SCALE(   0.0696133635f),
        RX_PULSESHAPER_SCALE(  -0.0092634520f),
        RX_PULSESHAPER_SCALE(   0.0381825291f),
        RX_PULSESHAPER_SCALE(  -0.0115600628f),
        RX_PULSESHAPER_SCALE(   0.0036035428f),
        RX_PULSESHAPER_SCALE(   0.0009564484f),
        RX_PULSESHAPER_SCALE(  -0.0007722957f),
        RX_PULSESHAPER_SCALE(   0.0030751481f),
        RX_PULSESHAPER_SCALE(  -0.0004827856f),
        RX_PULSESHAPER_SCALE(   0.0041284016f),
        RX_PULSESHAPER_SCALE(  -0.0007963341f),
        RX_PULSESHAPER_SCALE(   0.0022390486f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029691134f),     /* Filter 15 */
        RX_PULSESHAPER_SCALE(   0.0001346681f),
        RX_PULSESHAPER_SCALE(  -0.0041162706f),
        RX_PULSESHAPER_SCALE(  -0.0015707541f),
        RX_PULSESHAPER_SCALE(  -0.0025123322f),
        RX_PULSESHAPER_SCALE(  -0.0032310625f),
        RX_PULSESHAPER_SCALE(  -0.0006769778f),
        RX_PULSESHAPER_SCALE(  -0.0105804029f),
        RX_PULSESHAPER_SCALE(   0.0059092554f),
        RX_PULSESHAPER_SCALE(  -0.0377916173f),
        RX_PULSESHAPER_SCALE(  -0.0173110422f),
        RX_PULSESHAPER_SCALE(  -0.0413897045f),
        RX_PULSESHAPER_SCALE(  -0.2402130618f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2863199281f),
        RX_PULSESHAPER_SCALE(   0.0680912936f),
        RX_PULSESHAPER_SCALE(  -0.0075847108f),
        RX_PULSESHAPER_SCALE(   0.0383945039f),
        RX_PULSESHAPER_SCALE(  -0.0112714800f),
        RX_PULSESHAPER_SCALE(   0.0040927476f),
        RX_PULSESHAPER_SCALE(   0.0009471378f),
        RX_PULSESHAPER_SCALE(  -0.0005270855f),
        RX_PULSESHAPER_SCALE(   0.0030710539f),
        RX_PULSESHAPER_SCALE(  -0.0003685397f),
        RX_PULSESHAPER_SCALE(   0.0041578524f),
        RX_PULSESHAPER_SCALE(  -0.0007629890f),
        RX_PULSESHAPER_SCALE(   0.0023011406f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029549762f),     /* Filter 16 */
        RX_PULSESHAPER_SCALE(   0.0001694746f),
        RX_PULSESHAPER_SCALE(  -0.0041458603f),
        RX_PULSESHAPER_SCALE(  -0.0014733275f),
        RX_PULSESHAPER_SCALE(  -0.0025648098f),
        RX_PULSESHAPER_SCALE(  -0.0030619616f),
        RX_PULSESHAPER_SCALE(  -0.0006960095f),
        RX_PULSESHAPER_SCALE(  -0.0103376729f),
        RX_PULSESHAPER_SCALE(   0.0062048213f),
        RX_PULSESHAPER_SCALE(  -0.0380220048f),
        RX_PULSESHAPER_SCALE(  -0.0161994426f),
        RX_PULSESHAPER_SCALE(  -0.0428157541f),
        RX_PULSESHAPER_SCALE(  -0.2430713040f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2840972074f),
        RX_PULSESHAPER_SCALE(   0.0665706594f),
        RX_PULSESHAPER_SCALE(  -0.0059359770f),
        RX_PULSESHAPER_SCALE(   0.0385782766f),
        RX_PULSESHAPER_SCALE(  -0.0109806686f),
        RX_PULSESHAPER_SCALE(   0.0045689113f),
        RX_PULSESHAPER_SCALE(   0.0009371116f),
        RX_PULSESHAPER_SCALE(  -0.0002848048f),
        RX_PULSESHAPER_SCALE(   0.0030638689f),
        RX_PULSESHAPER_SCALE(  -0.0002544474f),
        RX_PULSESHAPER_SCALE(   0.0041838939f),
        RX_PULSESHAPER_SCALE(  -0.0007293108f),
        RX_PULSESHAPER_SCALE(   0.0023607249f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029381242f),     /* Filter 17 */
        RX_PULSESHAPER_SCALE(   0.0002044456f),
        RX_PULSESHAPER_SCALE(  -0.0041724174f),
        RX_PULSESHAPER_SCALE(  -0.0013742548f),
        RX_PULSESHAPER_SCALE(  -0.0026150833f),
        RX_PULSESHAPER_SCALE(  -0.0028875696f),
        RX_PULSESHAPER_SCALE(  -0.0007146829f),
        RX_PULSESHAPER_SCALE(  -0.0100810715f),
        RX_PULSESHAPER_SCALE(   0.0065017103f),
        RX_PULSESHAPER_SCALE(  -0.0382317491f),
        RX_PULSESHAPER_SCALE(  -0.0150555086f),
        RX_PULSESHAPER_SCALE(  -0.0442508243f),
        RX_PULSESHAPER_SCALE(  -0.2458998002f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2818299337f),
        RX_PULSESHAPER_SCALE(   0.0650519408f),
        RX_PULSESHAPER_SCALE(  -0.0043175067f),
        RX_PULSESHAPER_SCALE(   0.0387342321f),
        RX_PULSESHAPER_SCALE(  -0.0106878585f),
        RX_PULSESHAPER_SCALE(   0.0050318999f),
        RX_PULSESHAPER_SCALE(   0.0009263891f),
        RX_PULSESHAPER_SCALE(  -0.0000456330f),
        RX_PULSESHAPER_SCALE(   0.0030536299f),
        RX_PULSESHAPER_SCALE(  -0.0001406075f),
        RX_PULSESHAPER_SCALE(   0.0042065267f),
        RX_PULSESHAPER_SCALE(  -0.0006953295f),
        RX_PULSESHAPER_SCALE(   0.0024177704f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0029185512f),     /* Filter 18 */
        RX_PULSESHAPER_SCALE(   0.0002395534f),
        RX_PULSESHAPER_SCALE(  -0.0041958998f),
        RX_PULSESHAPER_SCALE(  -0.0012736106f),
        RX_PULSESHAPER_SCALE(  -0.0026630874f),
        RX_PULSESHAPER_SCALE(  -0.0027079830f),
        RX_PULSESHAPER_SCALE(  -0.0007329762f),
        RX_PULSESHAPER_SCALE(  -0.0098105661f),
        RX_PULSESHAPER_SCALE(   0.0067997380f),
        RX_PULSESHAPER_SCALE(  -0.0384203574f),
        RX_PULSESHAPER_SCALE(  -0.0138792591f),
        RX_PULSESHAPER_SCALE(  -0.0456945099f),
        RX_PULSESHAPER_SCALE(  -0.2486975449f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2795189371f),
        RX_PULSESHAPER_SCALE(   0.0635356145f),
        RX_PULSESHAPER_SCALE(  -0.0027295414f),
        RX_PULSESHAPER_SCALE(   0.0388627641f),
        RX_PULSESHAPER_SCALE(  -0.0103932776f),
        RX_PULSESHAPER_SCALE(   0.0054815902f),
        RX_PULSESHAPER_SCALE(   0.0009149905f),
        RX_PULSESHAPER_SCALE(   0.0001902552f),
        RX_PULSESHAPER_SCALE(   0.0030403758f),
        RX_PULSESHAPER_SCALE(  -0.0000271176f),
        RX_PULSESHAPER_SCALE(   0.0042257543f),
        RX_PULSESHAPER_SCALE(  -0.0006610749f),
        RX_PULSESHAPER_SCALE(   0.0024722487f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0028962530f),     /* Filter 19 */
        RX_PULSESHAPER_SCALE(   0.0002747699f),
        RX_PULSESHAPER_SCALE(  -0.0042162676f),
        RX_PULSESHAPER_SCALE(  -0.0011714711f),
        RX_PULSESHAPER_SCALE(  -0.0027087582f),
        RX_PULSESHAPER_SCALE(  -0.0025233036f),
        RX_PULSESHAPER_SCALE(  -0.0007508677f),
        RX_PULSESHAPER_SCALE(  -0.0095261335f),
        RX_PULSESHAPER_SCALE(   0.0070987166f),
        RX_PULSESHAPER_SCALE(  -0.0385873415f),
        RX_PULSESHAPER_SCALE(  -0.0126707273f),
        RX_PULSESHAPER_SCALE(  -0.0471464000f),
        RX_PULSESHAPER_SCALE(  -0.2514635412f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2771650624f),
        RX_PULSESHAPER_SCALE(   0.0620221538f),
        RX_PULSESHAPER_SCALE(  -0.0011723073f),
        RX_PULSESHAPER_SCALE(   0.0389642751f),
        RX_PULSESHAPER_SCALE(  -0.0100971515f),
        RX_PULSESHAPER_SCALE(   0.0059178699f),
        RX_PULSESHAPER_SCALE(   0.0009029357f),
        RX_PULSESHAPER_SCALE(   0.0004226898f),
        RX_PULSESHAPER_SCALE(   0.0030241476f),
        RX_PULSESHAPER_SCALE(   0.0000859256f),
        RX_PULSESHAPER_SCALE(   0.0042415828f),
        RX_PULSESHAPER_SCALE(  -0.0006265770f),
        RX_PULSESHAPER_SCALE(   0.0025241335f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0028712280f),     /* Filter 20 */
        RX_PULSESHAPER_SCALE(   0.0003100669f),
        RX_PULSESHAPER_SCALE(  -0.0042334830f),
        RX_PULSESHAPER_SCALE(  -0.0010679146f),
        RX_PULSESHAPER_SCALE(  -0.0027520331f),
        RX_PULSESHAPER_SCALE(  -0.0023336387f),
        RX_PULSESHAPER_SCALE(  -0.0007683356f),
        RX_PULSESHAPER_SCALE(  -0.0092277606f),
        RX_PULSESHAPER_SCALE(   0.0073984549f),
        RX_PULSESHAPER_SCALE(  -0.0387322179f),
        RX_PULSESHAPER_SCALE(  -0.0114299610f),
        RX_PULSESHAPER_SCALE(  -0.0486060776f),
        RX_PULSESHAPER_SCALE(  -0.2541968011f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2747691687f),
        RX_PULSESHAPER_SCALE(   0.0605120283f),
        RX_PULSESHAPER_SCALE(   0.0003539841f),
        RX_PULSESHAPER_SCALE(   0.0390391757f),
        RX_PULSESHAPER_SCALE(  -0.0097997032f),
        RX_PULSESHAPER_SCALE(   0.0063406379f),
        RX_PULSESHAPER_SCALE(   0.0008902452f),
        RX_PULSESHAPER_SCALE(   0.0006515060f),
        RX_PULSESHAPER_SCALE(   0.0030049884f),
        RX_PULSESHAPER_SCALE(   0.0001984268f),
        RX_PULSESHAPER_SCALE(   0.0042540215f),
        RX_PULSESHAPER_SCALE(  -0.0005918658f),
        RX_PULSESHAPER_SCALE(   0.0025734010f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0028434764f),     /* Filter 21 */
        RX_PULSESHAPER_SCALE(   0.0003454158f),
        RX_PULSESHAPER_SCALE(  -0.0042475110f),
        RX_PULSESHAPER_SCALE(  -0.0009630212f),
        RX_PULSESHAPER_SCALE(  -0.0027928512f),
        RX_PULSESHAPER_SCALE(  -0.0021391012f),
        RX_PULSESHAPER_SCALE(  -0.0007853583f),
        RX_PULSESHAPER_SCALE(  -0.0089154438f),
        RX_PULSESHAPER_SCALE(   0.0076987584f),
        RX_PULSESHAPER_SCALE(  -0.0388545083f),
        RX_PULSESHAPER_SCALE(  -0.0101570226f),
        RX_PULSESHAPER_SCALE(  -0.0500731202f),
        RX_PULSESHAPER_SCALE(  -0.2568963462f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2723321290f),
        RX_PULSESHAPER_SCALE(   0.0590057036f),
        RX_PULSESHAPER_SCALE(   0.0018491366f),
        RX_PULSESHAPER_SCALE(   0.0390878847f),
        RX_PULSESHAPER_SCALE(  -0.0095011537f),
        RX_PULSESHAPER_SCALE(   0.0067498038f),
        RX_PULSESHAPER_SCALE(   0.0008769394f),
        RX_PULSESHAPER_SCALE(   0.0008765437f),
        RX_PULSESHAPER_SCALE(   0.0029829435f),
        RX_PULSESHAPER_SCALE(   0.0003102917f),
        RX_PULSESHAPER_SCALE(   0.0042630820f),
        RX_PULSESHAPER_SCALE(  -0.0005569711f),
        RX_PULSESHAPER_SCALE(   0.0026200296f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0028130012f),     /* Filter 22 */
        RX_PULSESHAPER_SCALE(   0.0003807878f),
        RX_PULSESHAPER_SCALE(  -0.0042583187f),
        RX_PULSESHAPER_SCALE(  -0.0008568729f),
        RX_PULSESHAPER_SCALE(  -0.0028311528f),
        RX_PULSESHAPER_SCALE(  -0.0019398091f),
        RX_PULSESHAPER_SCALE(  -0.0008019141f),
        RX_PULSESHAPER_SCALE(  -0.0085891897f),
        RX_PULSESHAPER_SCALE(   0.0079994292f),
        RX_PULSESHAPER_SCALE(  -0.0389537399f),
        RX_PULSESHAPER_SCALE(  -0.0088519895f),
        RX_PULSESHAPER_SCALE(  -0.0515470996f),
        RX_PULSESHAPER_SCALE(  -0.2595612082f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2698548295f),
        RX_PULSESHAPER_SCALE(   0.0575036415f),
        RX_PULSESHAPER_SCALE(   0.0033129686f),
        RX_PULSESHAPER_SCALE(   0.0391108286f),
        RX_PULSESHAPER_SCALE(  -0.0092017211f),
        RX_PULSESHAPER_SCALE(   0.0071452880f),
        RX_PULSESHAPER_SCALE(   0.0008630391f),
        RX_PULSESHAPER_SCALE(   0.0010976479f),
        RX_PULSESHAPER_SCALE(   0.0029580602f),
        RX_PULSESHAPER_SCALE(   0.0004214275f),
        RX_PULSESHAPER_SCALE(   0.0042687791f),
        RX_PULSESHAPER_SCALE(  -0.0005219228f),
        RX_PULSESHAPER_SCALE(   0.0026640002f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0027798073f),     /* Filter 23 */
        RX_PULSESHAPER_SCALE(   0.0004161537f),
        RX_PULSESHAPER_SCALE(  -0.0042658759f),
        RX_PULSESHAPER_SCALE(  -0.0007495533f),
        RX_PULSESHAPER_SCALE(  -0.0028668800f),
        RX_PULSESHAPER_SCALE(  -0.0017358861f),
        RX_PULSESHAPER_SCALE(  -0.0008179815f),
        RX_PULSESHAPER_SCALE(  -0.0082490150f),
        RX_PULSESHAPER_SCALE(   0.0083002665f),
        RX_PULSESHAPER_SCALE(  -0.0390294456f),
        RX_PULSESHAPER_SCALE(  -0.0075149533f),
        RX_PULSESHAPER_SCALE(  -0.0530275825f),
        RX_PULSESHAPER_SCALE(  -0.2621904291f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2673381697f),
        RX_PULSESHAPER_SCALE(   0.0560062994f),
        RX_PULSESHAPER_SCALE(   0.0047453139f),
        RX_PULSESHAPER_SCALE(   0.0391084414f),
        RX_PULSESHAPER_SCALE(  -0.0089016209f),
        RX_PULSESHAPER_SCALE(   0.0075270216f),
        RX_PULSESHAPER_SCALE(   0.0008485653f),
        RX_PULSESHAPER_SCALE(   0.0013146686f),
        RX_PULSESHAPER_SCALE(   0.0029303875f),
        RX_PULSESHAPER_SCALE(   0.0005317428f),
        RX_PULSESHAPER_SCALE(   0.0042711300f),
        RX_PULSESHAPER_SCALE(  -0.0004867508f),
        RX_PULSESHAPER_SCALE(   0.0027052959f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0027439023f),     /* Filter 24 */
        RX_PULSESHAPER_SCALE(   0.0004514845f),
        RX_PULSESHAPER_SCALE(  -0.0042701548f),
        RX_PULSESHAPER_SCALE(  -0.0006411476f),
        RX_PULSESHAPER_SCALE(  -0.0028999764f),
        RX_PULSESHAPER_SCALE(  -0.0015274612f),
        RX_PULSESHAPER_SCALE(  -0.0008335390f),
        RX_PULSESHAPER_SCALE(  -0.0078949465f),
        RX_PULSESHAPER_SCALE(   0.0086010661f),
        RX_PULSESHAPER_SCALE(  -0.0390811643f),
        RX_PULSESHAPER_SCALE(  -0.0061460209f),
        RX_PULSESHAPER_SCALE(  -0.0545141303f),
        RX_PULSESHAPER_SCALE(  -0.2647830615f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2647830615f),
        RX_PULSESHAPER_SCALE(   0.0545141303f),
        RX_PULSESHAPER_SCALE(   0.0061460209f),
        RX_PULSESHAPER_SCALE(   0.0390811644f),
        RX_PULSESHAPER_SCALE(  -0.0086010661f),
        RX_PULSESHAPER_SCALE(   0.0078949465f),
        RX_PULSESHAPER_SCALE(   0.0008335390f),
        RX_PULSESHAPER_SCALE(   0.0015274612f),
        RX_PULSESHAPER_SCALE(   0.0028999765f),
        RX_PULSESHAPER_SCALE(   0.0006411476f),
        RX_PULSESHAPER_SCALE(   0.0042701547f),
        RX_PULSESHAPER_SCALE(  -0.0004514845f),
        RX_PULSESHAPER_SCALE(   0.0027439023f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0027052959f),     /* Filter 25 */
        RX_PULSESHAPER_SCALE(   0.0004867508f),
        RX_PULSESHAPER_SCALE(  -0.0042711300f),
        RX_PULSESHAPER_SCALE(  -0.0005317429f),
        RX_PULSESHAPER_SCALE(  -0.0029303874f),
        RX_PULSESHAPER_SCALE(  -0.0013146686f),
        RX_PULSESHAPER_SCALE(  -0.0008485653f),
        RX_PULSESHAPER_SCALE(  -0.0075270217f),
        RX_PULSESHAPER_SCALE(   0.0089016209f),
        RX_PULSESHAPER_SCALE(  -0.0391084414f),
        RX_PULSESHAPER_SCALE(  -0.0047453138f),
        RX_PULSESHAPER_SCALE(  -0.0560062994f),
        RX_PULSESHAPER_SCALE(  -0.2673381697f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2621904290f),
        RX_PULSESHAPER_SCALE(   0.0530275825f),
        RX_PULSESHAPER_SCALE(   0.0075149533f),
        RX_PULSESHAPER_SCALE(   0.0390294456f),
        RX_PULSESHAPER_SCALE(  -0.0083002665f),
        RX_PULSESHAPER_SCALE(   0.0082490149f),
        RX_PULSESHAPER_SCALE(   0.0008179815f),
        RX_PULSESHAPER_SCALE(   0.0017358861f),
        RX_PULSESHAPER_SCALE(   0.0028668800f),
        RX_PULSESHAPER_SCALE(   0.0007495533f),
        RX_PULSESHAPER_SCALE(   0.0042658759f),
        RX_PULSESHAPER_SCALE(  -0.0004161537f),
        RX_PULSESHAPER_SCALE(   0.0027798073f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0026640002f),     /* Filter 26 */
        RX_PULSESHAPER_SCALE(   0.0005219228f),
        RX_PULSESHAPER_SCALE(  -0.0042687791f),
        RX_PULSESHAPER_SCALE(  -0.0004214275f),
        RX_PULSESHAPER_SCALE(  -0.0029580602f),
        RX_PULSESHAPER_SCALE(  -0.0010976478f),
        RX_PULSESHAPER_SCALE(  -0.0008630391f),
        RX_PULSESHAPER_SCALE(  -0.0071452880f),
        RX_PULSESHAPER_SCALE(   0.0092017211f),
        RX_PULSESHAPER_SCALE(  -0.0391108285f),
        RX_PULSESHAPER_SCALE(  -0.0033129686f),
        RX_PULSESHAPER_SCALE(  -0.0575036415f),
        RX_PULSESHAPER_SCALE(  -0.2698548295f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2595612082f),
        RX_PULSESHAPER_SCALE(   0.0515470996f),
        RX_PULSESHAPER_SCALE(   0.0088519895f),
        RX_PULSESHAPER_SCALE(   0.0389537399f),
        RX_PULSESHAPER_SCALE(  -0.0079994292f),
        RX_PULSESHAPER_SCALE(   0.0085891897f),
        RX_PULSESHAPER_SCALE(   0.0008019141f),
        RX_PULSESHAPER_SCALE(   0.0019398091f),
        RX_PULSESHAPER_SCALE(   0.0028311529f),
        RX_PULSESHAPER_SCALE(   0.0008568729f),
        RX_PULSESHAPER_SCALE(   0.0042583187f),
        RX_PULSESHAPER_SCALE(  -0.0003807877f),
        RX_PULSESHAPER_SCALE(   0.0028130012f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0026200296f),     /* Filter 27 */
        RX_PULSESHAPER_SCALE(   0.0005569711f),
        RX_PULSESHAPER_SCALE(  -0.0042630820f),
        RX_PULSESHAPER_SCALE(  -0.0003102917f),
        RX_PULSESHAPER_SCALE(  -0.0029829435f),
        RX_PULSESHAPER_SCALE(  -0.0008765437f),
        RX_PULSESHAPER_SCALE(  -0.0008769394f),
        RX_PULSESHAPER_SCALE(  -0.0067498038f),
        RX_PULSESHAPER_SCALE(   0.0095011537f),
        RX_PULSESHAPER_SCALE(  -0.0390878846f),
        RX_PULSESHAPER_SCALE(  -0.0018491365f),
        RX_PULSESHAPER_SCALE(  -0.0590057036f),
        RX_PULSESHAPER_SCALE(  -0.2723321290f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2568963462f),
        RX_PULSESHAPER_SCALE(   0.0500731202f),
        RX_PULSESHAPER_SCALE(   0.0101570227f),
        RX_PULSESHAPER_SCALE(   0.0388545083f),
        RX_PULSESHAPER_SCALE(  -0.0076987584f),
        RX_PULSESHAPER_SCALE(   0.0089154438f),
        RX_PULSESHAPER_SCALE(   0.0007853583f),
        RX_PULSESHAPER_SCALE(   0.0021391012f),
        RX_PULSESHAPER_SCALE(   0.0027928512f),
        RX_PULSESHAPER_SCALE(   0.0009630212f),
        RX_PULSESHAPER_SCALE(   0.0042475110f),
        RX_PULSESHAPER_SCALE(  -0.0003454158f),
        RX_PULSESHAPER_SCALE(   0.0028434764f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0025734010f),     /* Filter 28 */
        RX_PULSESHAPER_SCALE(   0.0005918658f),
        RX_PULSESHAPER_SCALE(  -0.0042540215f),
        RX_PULSESHAPER_SCALE(  -0.0001984268f),
        RX_PULSESHAPER_SCALE(  -0.0030049884f),
        RX_PULSESHAPER_SCALE(  -0.0006515060f),
        RX_PULSESHAPER_SCALE(  -0.0008902452f),
        RX_PULSESHAPER_SCALE(  -0.0063406379f),
        RX_PULSESHAPER_SCALE(   0.0097997032f),
        RX_PULSESHAPER_SCALE(  -0.0390391757f),
        RX_PULSESHAPER_SCALE(  -0.0003539841f),
        RX_PULSESHAPER_SCALE(  -0.0605120283f),
        RX_PULSESHAPER_SCALE(  -0.2747691687f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2541968010f),
        RX_PULSESHAPER_SCALE(   0.0486060776f),
        RX_PULSESHAPER_SCALE(   0.0114299610f),
        RX_PULSESHAPER_SCALE(   0.0387322179f),
        RX_PULSESHAPER_SCALE(  -0.0073984549f),
        RX_PULSESHAPER_SCALE(   0.0092277606f),
        RX_PULSESHAPER_SCALE(   0.0007683356f),
        RX_PULSESHAPER_SCALE(   0.0023336388f),
        RX_PULSESHAPER_SCALE(   0.0027520331f),
        RX_PULSESHAPER_SCALE(   0.0010679146f),
        RX_PULSESHAPER_SCALE(   0.0042334830f),
        RX_PULSESHAPER_SCALE(  -0.0003100669f),
        RX_PULSESHAPER_SCALE(   0.0028712280f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0025241335f),     /* Filter 29 */
        RX_PULSESHAPER_SCALE(   0.0006265770f),
        RX_PULSESHAPER_SCALE(  -0.0042415828f),
        RX_PULSESHAPER_SCALE(  -0.0000859256f),
        RX_PULSESHAPER_SCALE(  -0.0030241476f),
        RX_PULSESHAPER_SCALE(  -0.0004226898f),
        RX_PULSESHAPER_SCALE(  -0.0009029357f),
        RX_PULSESHAPER_SCALE(  -0.0059178699f),
        RX_PULSESHAPER_SCALE(   0.0100971515f),
        RX_PULSESHAPER_SCALE(  -0.0389642751f),
        RX_PULSESHAPER_SCALE(   0.0011723073f),
        RX_PULSESHAPER_SCALE(  -0.0620221538f),
        RX_PULSESHAPER_SCALE(  -0.2771650624f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2514635411f),
        RX_PULSESHAPER_SCALE(   0.0471464000f),
        RX_PULSESHAPER_SCALE(   0.0126707273f),
        RX_PULSESHAPER_SCALE(   0.0385873415f),
        RX_PULSESHAPER_SCALE(  -0.0070987166f),
        RX_PULSESHAPER_SCALE(   0.0095261335f),
        RX_PULSESHAPER_SCALE(   0.0007508677f),
        RX_PULSESHAPER_SCALE(   0.0025233037f),
        RX_PULSESHAPER_SCALE(   0.0027087582f),
        RX_PULSESHAPER_SCALE(   0.0011714711f),
        RX_PULSESHAPER_SCALE(   0.0042162676f),
        RX_PULSESHAPER_SCALE(  -0.0002747699f),
        RX_PULSESHAPER_SCALE(   0.0028962531f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0024722487f),     /* Filter 30 */
        RX_PULSESHAPER_SCALE(   0.0006610749f),
        RX_PULSESHAPER_SCALE(  -0.0042257543f),
        RX_PULSESHAPER_SCALE(   0.0000271176f),
        RX_PULSESHAPER_SCALE(  -0.0030403758f),
        RX_PULSESHAPER_SCALE(  -0.0001902552f),
        RX_PULSESHAPER_SCALE(  -0.0009149905f),
        RX_PULSESHAPER_SCALE(  -0.0054815902f),
        RX_PULSESHAPER_SCALE(   0.0103932776f),
        RX_PULSESHAPER_SCALE(  -0.0388627641f),
        RX_PULSESHAPER_SCALE(   0.0027295414f),
        RX_PULSESHAPER_SCALE(  -0.0635356145f),
        RX_PULSESHAPER_SCALE(  -0.2795189371f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2486975449f),
        RX_PULSESHAPER_SCALE(   0.0456945099f),
        RX_PULSESHAPER_SCALE(   0.0138792591f),
        RX_PULSESHAPER_SCALE(   0.0384203575f),
        RX_PULSESHAPER_SCALE(  -0.0067997380f),
        RX_PULSESHAPER_SCALE(   0.0098105661f),
        RX_PULSESHAPER_SCALE(   0.0007329762f),
        RX_PULSESHAPER_SCALE(   0.0027079831f),
        RX_PULSESHAPER_SCALE(   0.0026630874f),
        RX_PULSESHAPER_SCALE(   0.0012736106f),
        RX_PULSESHAPER_SCALE(   0.0041958998f),
        RX_PULSESHAPER_SCALE(  -0.0002395534f),
        RX_PULSESHAPER_SCALE(   0.0029185512f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0024177704f),     /* Filter 31 */
        RX_PULSESHAPER_SCALE(   0.0006953295f),
        RX_PULSESHAPER_SCALE(  -0.0042065268f),
        RX_PULSESHAPER_SCALE(   0.0001406075f),
        RX_PULSESHAPER_SCALE(  -0.0030536299f),
        RX_PULSESHAPER_SCALE(   0.0000456330f),
        RX_PULSESHAPER_SCALE(  -0.0009263891f),
        RX_PULSESHAPER_SCALE(  -0.0050319000f),
        RX_PULSESHAPER_SCALE(   0.0106878585f),
        RX_PULSESHAPER_SCALE(  -0.0387342321f),
        RX_PULSESHAPER_SCALE(   0.0043175068f),
        RX_PULSESHAPER_SCALE(  -0.0650519408f),
        RX_PULSESHAPER_SCALE(  -0.2818299337f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2458998002f),
        RX_PULSESHAPER_SCALE(   0.0442508243f),
        RX_PULSESHAPER_SCALE(   0.0150555087f),
        RX_PULSESHAPER_SCALE(   0.0382317491f),
        RX_PULSESHAPER_SCALE(  -0.0065017103f),
        RX_PULSESHAPER_SCALE(   0.0100810715f),
        RX_PULSESHAPER_SCALE(   0.0007146829f),
        RX_PULSESHAPER_SCALE(   0.0028875697f),
        RX_PULSESHAPER_SCALE(   0.0026150833f),
        RX_PULSESHAPER_SCALE(   0.0013742548f),
        RX_PULSESHAPER_SCALE(   0.0041724174f),
        RX_PULSESHAPER_SCALE(  -0.0002044456f),
        RX_PULSESHAPER_SCALE(   0.0029381242f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0023607249f),     /* Filter 32 */
        RX_PULSESHAPER_SCALE(   0.0007293108f),
        RX_PULSESHAPER_SCALE(  -0.0041838939f),
        RX_PULSESHAPER_SCALE(   0.0002544474f),
        RX_PULSESHAPER_SCALE(  -0.0030638689f),
        RX_PULSESHAPER_SCALE(   0.0002848048f),
        RX_PULSESHAPER_SCALE(  -0.0009371116f),
        RX_PULSESHAPER_SCALE(  -0.0045689114f),
        RX_PULSESHAPER_SCALE(   0.0109806686f),
        RX_PULSESHAPER_SCALE(  -0.0385782766f),
        RX_PULSESHAPER_SCALE(   0.0059359770f),
        RX_PULSESHAPER_SCALE(  -0.0665706595f),
        RX_PULSESHAPER_SCALE(  -0.2840972074f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2430713040f),
        RX_PULSESHAPER_SCALE(   0.0428157541f),
        RX_PULSESHAPER_SCALE(   0.0161994427f),
        RX_PULSESHAPER_SCALE(   0.0380220048f),
        RX_PULSESHAPER_SCALE(  -0.0062048213f),
        RX_PULSESHAPER_SCALE(   0.0103376729f),
        RX_PULSESHAPER_SCALE(   0.0006960095f),
        RX_PULSESHAPER_SCALE(   0.0030619616f),
        RX_PULSESHAPER_SCALE(   0.0025648098f),
        RX_PULSESHAPER_SCALE(   0.0014733275f),
        RX_PULSESHAPER_SCALE(   0.0041458603f),
        RX_PULSESHAPER_SCALE(  -0.0001694746f),
        RX_PULSESHAPER_SCALE(   0.0029549762f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0023011406f),     /* Filter 33 */
        RX_PULSESHAPER_SCALE(   0.0007629890f),
        RX_PULSESHAPER_SCALE(  -0.0041578524f),
        RX_PULSESHAPER_SCALE(   0.0003685397f),
        RX_PULSESHAPER_SCALE(  -0.0030710538f),
        RX_PULSESHAPER_SCALE(   0.0005270855f),
        RX_PULSESHAPER_SCALE(  -0.0009471378f),
        RX_PULSESHAPER_SCALE(  -0.0040927476f),
        RX_PULSESHAPER_SCALE(   0.0112714800f),
        RX_PULSESHAPER_SCALE(  -0.0383945039f),
        RX_PULSESHAPER_SCALE(   0.0075847109f),
        RX_PULSESHAPER_SCALE(  -0.0680912937f),
        RX_PULSESHAPER_SCALE(  -0.2863199281f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2402130618f),
        RX_PULSESHAPER_SCALE(   0.0413897045f),
        RX_PULSESHAPER_SCALE(   0.0173110423f),
        RX_PULSESHAPER_SCALE(   0.0377916173f),
        RX_PULSESHAPER_SCALE(  -0.0059092554f),
        RX_PULSESHAPER_SCALE(   0.0105804029f),
        RX_PULSESHAPER_SCALE(   0.0006769778f),
        RX_PULSESHAPER_SCALE(   0.0032310625f),
        RX_PULSESHAPER_SCALE(   0.0025123322f),
        RX_PULSESHAPER_SCALE(   0.0015707541f),
        RX_PULSESHAPER_SCALE(   0.0041162706f),
        RX_PULSESHAPER_SCALE(  -0.0001346681f),
        RX_PULSESHAPER_SCALE(   0.0029691134f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022390486f),     /* Filter 34 */
        RX_PULSESHAPER_SCALE(   0.0007963341f),
        RX_PULSESHAPER_SCALE(  -0.0041284016f),
        RX_PULSESHAPER_SCALE(   0.0004827856f),
        RX_PULSESHAPER_SCALE(  -0.0030751481f),
        RX_PULSESHAPER_SCALE(   0.0007722957f),
        RX_PULSESHAPER_SCALE(  -0.0009564484f),
        RX_PULSESHAPER_SCALE(  -0.0036035428f),
        RX_PULSESHAPER_SCALE(   0.0115600628f),
        RX_PULSESHAPER_SCALE(  -0.0381825291f),
        RX_PULSESHAPER_SCALE(   0.0092634520f),
        RX_PULSESHAPER_SCALE(  -0.0696133635f),
        RX_PULSESHAPER_SCALE(  -0.2884972807f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2373260871f),
        RX_PULSESHAPER_SCALE(   0.0399730743f),
        RX_PULSESHAPER_SCALE(   0.0183903030f),
        RX_PULSESHAPER_SCALE(   0.0375410836f),
        RX_PULSESHAPER_SCALE(  -0.0056151934f),
        RX_PULSESHAPER_SCALE(   0.0108093036f),
        RX_PULSESHAPER_SCALE(   0.0006576095f),
        RX_PULSESHAPER_SCALE(   0.0033947816f),
        RX_PULSESHAPER_SCALE(   0.0024577169f),
        RX_PULSESHAPER_SCALE(   0.0016664622f),
        RX_PULSESHAPER_SCALE(   0.0040836928f),
        RX_PULSESHAPER_SCALE(  -0.0001000535f),
        RX_PULSESHAPER_SCALE(   0.0029805446f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021744820f),     /* Filter 35 */
        RX_PULSESHAPER_SCALE(   0.0008293163f),
        RX_PULSESHAPER_SCALE(  -0.0040955437f),
        RX_PULSESHAPER_SCALE(   0.0005970853f),
        RX_PULSESHAPER_SCALE(  -0.0030761172f),
        RX_PULSESHAPER_SCALE(   0.0010202514f),
        RX_PULSESHAPER_SCALE(  -0.0009650239f),
        RX_PULSESHAPER_SCALE(  -0.0031014425f),
        RX_PULSESHAPER_SCALE(   0.0118461850f),
        RX_PULSESHAPER_SCALE(  -0.0379419766f),
        RX_PULSESHAPER_SCALE(   0.0109719292f),
        RX_PULSESHAPER_SCALE(  -0.0711363859f),
        RX_PULSESHAPER_SCALE(  -0.2906284654f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2344114014f),
        RX_PULSESHAPER_SCALE(   0.0385662562f),
        RX_PULSESHAPER_SCALE(   0.0194372348f),
        RX_PULSESHAPER_SCALE(   0.0372709048f),
        RX_PULSESHAPER_SCALE(  -0.0053228124f),
        RX_PULSESHAPER_SCALE(   0.0110244265f),
        RX_PULSESHAPER_SCALE(   0.0006379264f),
        RX_PULSESHAPER_SCALE(   0.0035530336f),
        RX_PULSESHAPER_SCALE(   0.0024010317f),
        RX_PULSESHAPER_SCALE(   0.0017603814f),
        RX_PULSESHAPER_SCALE(   0.0040481735f),
        RX_PULSESHAPER_SCALE(  -0.0000656578f),
        RX_PULSESHAPER_SCALE(   0.0029892805f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021074764f),     /* Filter 36 */
        RX_PULSESHAPER_SCALE(   0.0008619060f),
        RX_PULSESHAPER_SCALE(  -0.0040592841f),
        RX_PULSESHAPER_SCALE(   0.0007113383f),
        RX_PULSESHAPER_SCALE(  -0.0030739292f),
        RX_PULSESHAPER_SCALE(   0.0012707638f),
        RX_PULSESHAPER_SCALE(  -0.0009728453f),
        RX_PULSESHAPER_SCALE(  -0.0025866029f),
        RX_PULSESHAPER_SCALE(   0.0121296128f),
        RX_PULSESHAPER_SCALE(  -0.0376724801f),
        RX_PULSESHAPER_SCALE(   0.0127098563f),
        RX_PULSESHAPER_SCALE(  -0.0726598750f),
        RX_PULSESHAPER_SCALE(  -0.2927126985f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2314700330f),
        RX_PULSESHAPER_SCALE(   0.0371696363f),
        RX_PULSESHAPER_SCALE(   0.0204518615f),
        RX_PULSESHAPER_SCALE(   0.0369815854f),
        RX_PULSESHAPER_SCALE(  -0.0050322859f),
        RX_PULSESHAPER_SCALE(   0.0112258323f),
        RX_PULSESHAPER_SCALE(   0.0006179501f),
        RX_PULSESHAPER_SCALE(   0.0037057386f),
        RX_PULSESHAPER_SCALE(   0.0023423453f),
        RX_PULSESHAPER_SCALE(   0.0018524432f),
        RX_PULSESHAPER_SCALE(   0.0040097615f),
        RX_PULSESHAPER_SCALE(  -0.0000315077f),
        RX_PULSESHAPER_SCALE(   0.0029953341f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020380695f),     /* Filter 37 */
        RX_PULSESHAPER_SCALE(   0.0008940736f),
        RX_PULSESHAPER_SCALE(  -0.0040196306f),
        RX_PULSESHAPER_SCALE(   0.0008254431f),
        RX_PULSESHAPER_SCALE(  -0.0030685542f),
        RX_PULSESHAPER_SCALE(   0.0015236400f),
        RX_PULSESHAPER_SCALE(  -0.0009798939f),
        RX_PULSESHAPER_SCALE(  -0.0020591917f),
        RX_PULSESHAPER_SCALE(   0.0124101102f),
        RX_PULSESHAPER_SCALE(  -0.0373736830f),
        RX_PULSESHAPER_SCALE(   0.0144769323f),
        RX_PULSESHAPER_SCALE(  -0.0741833421f),
        RX_PULSESHAPER_SCALE(  -0.2947492121f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2285030170f),
        RX_PULSESHAPER_SCALE(   0.0357835942f),
        RX_PULSESHAPER_SCALE(   0.0214342213f),
        RX_PULSESHAPER_SCALE(   0.0366736336f),
        RX_PULSESHAPER_SCALE(  -0.0047437838f),
        RX_PULSESHAPER_SCALE(   0.0114135907f),
        RX_PULSESHAPER_SCALE(   0.0005977023f),
        RX_PULSESHAPER_SCALE(   0.0038528225f),
        RX_PULSESHAPER_SCALE(   0.0022817277f),
        RX_PULSESHAPER_SCALE(   0.0019425816f),
        RX_PULSESHAPER_SCALE(   0.0039685075f),
        RX_PULSESHAPER_SCALE(   0.0000023705f),
        RX_PULSESHAPER_SCALE(   0.0029987206f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019663015f),     /* Filter 38 */
        RX_PULSESHAPER_SCALE(   0.0009257895f),
        RX_PULSESHAPER_SCALE(  -0.0039765945f),
        RX_PULSESHAPER_SCALE(   0.0009392976f),
        RX_PULSESHAPER_SCALE(  -0.0030599652f),
        RX_PULSESHAPER_SCALE(   0.0017786824f),
        RX_PULSESHAPER_SCALE(  -0.0009861513f),
        RX_PULSESHAPER_SCALE(  -0.0015193879f),
        RX_PULSESHAPER_SCALE(   0.0126874401f),
        RX_PULSESHAPER_SCALE(  -0.0370452387f),
        RX_PULSESHAPER_SCALE(   0.0162728414f),
        RX_PULSESHAPER_SCALE(  -0.0757062964f),
        RX_PULSESHAPER_SCALE(  -0.2967372553f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2255113947f),
        RX_PULSESHAPER_SCALE(   0.0344085027f),
        RX_PULSESHAPER_SCALE(   0.0223843660f),
        RX_PULSESHAPER_SCALE(   0.0363475602f),
        RX_PULSESHAPER_SCALE(  -0.0044574720f),
        RX_PULSESHAPER_SCALE(   0.0115877801f),
        RX_PULSESHAPER_SCALE(   0.0005772045f),
        RX_PULSESHAPER_SCALE(   0.0039942166f),
        RX_PULSESHAPER_SCALE(   0.0022192496f),
        RX_PULSESHAPER_SCALE(   0.0020307323f),
        RX_PULSESHAPER_SCALE(   0.0039244645f),
        RX_PULSESHAPER_SCALE(   0.0000359509f),
        RX_PULSESHAPER_SCALE(   0.0029994572f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018922147f),     /* Filter 39 */
        RX_PULSESHAPER_SCALE(   0.0009570246f),
        RX_PULSESHAPER_SCALE(  -0.0039301896f),
        RX_PULSESHAPER_SCALE(   0.0010527989f),
        RX_PULSESHAPER_SCALE(  -0.0030481371f),
        RX_PULSESHAPER_SCALE(   0.0020356893f),
        RX_PULSESHAPER_SCALE(  -0.0009915995f),
        RX_PULSESHAPER_SCALE(  -0.0009673814f),
        RX_PULSESHAPER_SCALE(   0.0129613632f),
        RX_PULSESHAPER_SCALE(  -0.0366868109f),
        RX_PULSESHAPER_SCALE(   0.0180972531f),
        RX_PULSESHAPER_SCALE(  -0.0772282446f),
        RX_PULSESHAPER_SCALE(  -0.2986760936f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2224962134f),
        RX_PULSESHAPER_SCALE(   0.0330447278f),
        RX_PULSESHAPER_SCALE(   0.0233023615f),
        RX_PULSESHAPER_SCALE(   0.0360038791f),
        RX_PULSESHAPER_SCALE(  -0.0041735127f),
        RX_PULSESHAPER_SCALE(   0.0117484878f),
        RX_PULSESHAPER_SCALE(   0.0005564782f),
        RX_PULSESHAPER_SCALE(   0.0041298577f),
        RX_PULSESHAPER_SCALE(   0.0021549829f),
        RX_PULSESHAPER_SCALE(   0.0021168335f),
        RX_PULSESHAPER_SCALE(   0.0038776871f),
        RX_PULSESHAPER_SCALE(   0.0000692081f),
        RX_PULSESHAPER_SCALE(   0.0029975634f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018158537f),     /* Filter 40 */
        RX_PULSESHAPER_SCALE(   0.0009877498f),
        RX_PULSESHAPER_SCALE(  -0.0038804329f),
        RX_PULSESHAPER_SCALE(   0.0011658436f),
        RX_PULSESHAPER_SCALE(  -0.0030330478f),
        RX_PULSESHAPER_SCALE(   0.0022944550f),
        RX_PULSESHAPER_SCALE(  -0.0009962208f),
        RX_PULSESHAPER_SCALE(  -0.0004033735f),
        RX_PULSESHAPER_SCALE(   0.0132316391f),
        RX_PULSESHAPER_SCALE(  -0.0362980736f),
        RX_PULSESHAPER_SCALE(   0.0199498222f),
        RX_PULSESHAPER_SCALE(  -0.0787486915f),
        RX_PULSESHAPER_SCALE(  -0.3005650102f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2194585253f),
        RX_PULSESHAPER_SCALE(   0.0316926284f),
        RX_PULSESHAPER_SCALE(   0.0241882871f),
        RX_PULSESHAPER_SCALE(   0.0356431066f),
        RX_PULSESHAPER_SCALE(  -0.0038920641f),
        RX_PULSESHAPER_SCALE(   0.0118958096f),
        RX_PULSESHAPER_SCALE(   0.0005355449f),
        RX_PULSESHAPER_SCALE(   0.0042596882f),
        RX_PULSESHAPER_SCALE(   0.0020890001f),
        RX_PULSESHAPER_SCALE(   0.0022008254f),
        RX_PULSESHAPER_SCALE(   0.0038282321f),
        RX_PULSESHAPER_SCALE(   0.0001021170f),
        RX_PULSESHAPER_SCALE(   0.0029930606f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017372654f),     /* Filter 41 */
        RX_PULSESHAPER_SCALE(   0.0010179361f),
        RX_PULSESHAPER_SCALE(  -0.0038273443f),
        RX_PULSESHAPER_SCALE(   0.0012783277f),
        RX_PULSESHAPER_SCALE(  -0.0030146774f),
        RX_PULSESHAPER_SCALE(   0.0025547695f),
        RX_PULSESHAPER_SCALE(  -0.0009999979f),
        RX_PULSESHAPER_SCALE(   0.0001724232f),
        RX_PULSESHAPER_SCALE(   0.0134980260f),
        RX_PULSESHAPER_SCALE(  -0.0358787117f),
        RX_PULSESHAPER_SCALE(   0.0218301888f),
        RX_PULSESHAPER_SCALE(  -0.0802671400f),
        RX_PULSESHAPER_SCALE(  -0.3024033057f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2163993875f),
        RX_PULSESHAPER_SCALE(   0.0303525562f),
        RX_PULSESHAPER_SCALE(   0.0250422360f),
        RX_PULSESHAPER_SCALE(   0.0352657610f),
        RX_PULSESHAPER_SCALE(  -0.0036132805f),
        RX_PULSESHAPER_SCALE(   0.0120298497f),
        RX_PULSESHAPER_SCALE(   0.0005144257f),
        RX_PULSESHAPER_SCALE(   0.0043836560f),
        RX_PULSESHAPER_SCALE(   0.0020213749f),
        RX_PULSESHAPER_SCALE(   0.0022826505f),
        RX_PULSESHAPER_SCALE(   0.0037761580f),
        RX_PULSESHAPER_SCALE(   0.0001346532f),
        RX_PULSESHAPER_SCALE(   0.0029859725f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016564987f),     /* Filter 42 */
        RX_PULSESHAPER_SCALE(   0.0010475551f),
        RX_PULSESHAPER_SCALE(  -0.0037709466f),
        RX_PULSESHAPER_SCALE(   0.0013901470f),
        RX_PULSESHAPER_SCALE(  -0.0029930088f),
        RX_PULSESHAPER_SCALE(   0.0028164190f),
        RX_PULSESHAPER_SCALE(  -0.0010029139f),
        RX_PULSESHAPER_SCALE(   0.0007597848f),
        RX_PULSESHAPER_SCALE(   0.0137602808f),
        RX_PULSESHAPER_SCALE(  -0.0354284209f),
        RX_PULSESHAPER_SCALE(   0.0237379786f),
        RX_PULSESHAPER_SCALE(  -0.0817830916f),
        RX_PULSESHAPER_SCALE(  -0.3041902986f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2133198615f),
        RX_PULSESHAPER_SCALE(   0.0290248558f),
        RX_PULSESHAPER_SCALE(   0.0258643144f),
        RX_PULSESHAPER_SCALE(   0.0348723626f),
        RX_PULSESHAPER_SCALE(  -0.0033373123f),
        RX_PULSESHAPER_SCALE(   0.0121507204f),
        RX_PULSESHAPER_SCALE(   0.0004931419f),
        RX_PULSESHAPER_SCALE(   0.0045017145f),
        RX_PULSESHAPER_SCALE(   0.0019521812f),
        RX_PULSESHAPER_SCALE(   0.0023622537f),
        RX_PULSESHAPER_SCALE(   0.0037215250f),
        RX_PULSESHAPER_SCALE(   0.0001667925f),
        RX_PULSESHAPER_SCALE(   0.0029763245f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015736048f),     /* Filter 43 */
        RX_PULSESHAPER_SCALE(   0.0010765784f),
        RX_PULSESHAPER_SCALE(  -0.0037112657f),
        RX_PULSESHAPER_SCALE(   0.0015011966f),
        RX_PULSESHAPER_SCALE(  -0.0029680275f),
        RX_PULSESHAPER_SCALE(   0.0030791858f),
        RX_PULSESHAPER_SCALE(  -0.0010049525f),
        RX_PULSESHAPER_SCALE(   0.0013584764f),
        RX_PULSESHAPER_SCALE(   0.0140181593f),
        RX_PULSESHAPER_SCALE(  -0.0349469084f),
        RX_PULSESHAPER_SCALE(   0.0256728028f),
        RX_PULSESHAPER_SCALE(  -0.0832960463f),
        RX_PULSESHAPER_SCALE(  -0.3059253257f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2102210126f),
        RX_PULSESHAPER_SCALE(   0.0277098644f),
        RX_PULSESHAPER_SCALE(   0.0266546419f),
        RX_PULSESHAPER_SCALE(   0.0344634333f),
        RX_PULSESHAPER_SCALE(  -0.0030643056f),
        RX_PULSESHAPER_SCALE(   0.0122585422f),
        RX_PULSESHAPER_SCALE(   0.0004717143f),
        RX_PULSESHAPER_SCALE(   0.0046138225f),
        RX_PULSESHAPER_SCALE(   0.0018814940f),
        RX_PULSESHAPER_SCALE(   0.0024395821f),
        RX_PULSESHAPER_SCALE(   0.0036643951f),
        RX_PULSESHAPER_SCALE(   0.0001985114f),
        RX_PULSESHAPER_SCALE(   0.0029641443f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014886371f),     /* Filter 44 */
        RX_PULSESHAPER_SCALE(   0.0011049779f),
        RX_PULSESHAPER_SCALE(  -0.0036483303f),
        RX_PULSESHAPER_SCALE(   0.0016113717f),
        RX_PULSESHAPER_SCALE(  -0.0029397216f),
        RX_PULSESHAPER_SCALE(   0.0033428487f),
        RX_PULSESHAPER_SCALE(  -0.0010060974f),
        RX_PULSESHAPER_SCALE(   0.0019682516f),
        RX_PULSESHAPER_SCALE(   0.0142714164f),
        RX_PULSESHAPER_SCALE(  -0.0344338925f),
        RX_PULSESHAPER_SCALE(   0.0276342584f),
        RX_PULSESHAPER_SCALE(  -0.0848055030f),
        RX_PULSESHAPER_SCALE(  -0.3076077423f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2071039093f),
        RX_PULSESHAPER_SCALE(   0.0264079116f),
        RX_PULSESHAPER_SCALE(   0.0274133514f),
        RX_PULSESHAPER_SCALE(   0.0340394960f),
        RX_PULSESHAPER_SCALE(  -0.0027944028f),
        RX_PULSESHAPER_SCALE(   0.0123534432f),
        RX_PULSESHAPER_SCALE(   0.0004501638f),
        RX_PULSESHAPER_SCALE(   0.0047199444f),
        RX_PULSESHAPER_SCALE(   0.0018093886f),
        RX_PULSESHAPER_SCALE(   0.0025145852f),
        RX_PULSESHAPER_SCALE(   0.0036048319f),
        RX_PULSESHAPER_SCALE(   0.0002297867f),
        RX_PULSESHAPER_SCALE(   0.0029494613f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014016509f),     /* Filter 45 */
        RX_PULSESHAPER_SCALE(   0.0011327260f),
        RX_PULSESHAPER_SCALE(  -0.0035821724f),
        RX_PULSESHAPER_SCALE(   0.0017205672f),
        RX_PULSESHAPER_SCALE(  -0.0029080820f),
        RX_PULSESHAPER_SCALE(   0.0036071828f),
        RX_PULSESHAPER_SCALE(  -0.0010063333f),
        RX_PULSESHAPER_SCALE(   0.0025888530f),
        RX_PULSESHAPER_SCALE(   0.0145198059f),
        RX_PULSESHAPER_SCALE(  -0.0338891035f),
        RX_PULSESHAPER_SCALE(   0.0296219278f),
        RX_PULSESHAPER_SCALE(  -0.0863109597f),
        RX_PULSESHAPER_SCALE(  -0.3092369228f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2039696229f),
        RX_PULSESHAPER_SCALE(   0.0251193193f),
        RX_PULSESHAPER_SCALE(   0.0281405883f),
        RX_PULSESHAPER_SCALE(   0.0336010750f),
        RX_PULSESHAPER_SCALE(  -0.0025277418f),
        RX_PULSESHAPER_SCALE(   0.0124355594f),
        RX_PULSESHAPER_SCALE(   0.0004285111f),
        RX_PULSESHAPER_SCALE(   0.0048200498f),
        RX_PULSESHAPER_SCALE(   0.0017359409f),
        RX_PULSESHAPER_SCALE(   0.0025872146f),
        RX_PULSESHAPER_SCALE(   0.0035429008f),
        RX_PULSESHAPER_SCALE(   0.0002605961f),
        RX_PULSESHAPER_SCALE(   0.0029323070f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013127038f),     /* Filter 46 */
        RX_PULSESHAPER_SCALE(   0.0011597954f),
        RX_PULSESHAPER_SCALE(  -0.0035128265f),
        RX_PULSESHAPER_SCALE(   0.0018286778f),
        RX_PULSESHAPER_SCALE(  -0.0028731023f),
        RX_PULSESHAPER_SCALE(   0.0038719599f),
        RX_PULSESHAPER_SCALE(  -0.0010056448f),
        RX_PULSESHAPER_SCALE(   0.0032200118f),
        RX_PULSESHAPER_SCALE(   0.0147630813f),
        RX_PULSESHAPER_SCALE(  -0.0333122834f),
        RX_PULSESHAPER_SCALE(   0.0316353798f),
        RX_PULSESHAPER_SCALE(  -0.0878119136f),
        RX_PULSESHAPER_SCALE(  -0.3108122604f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2008192274f),
        RX_PULSESHAPER_SCALE(   0.0238444021f),
        RX_PULSESHAPER_SCALE(   0.0288365110f),
        RX_PULSESHAPER_SCALE(   0.0331486950f),
        RX_PULSESHAPER_SCALE(  -0.0022644566f),
        RX_PULSESHAPER_SCALE(   0.0125050341f),
        RX_PULSESHAPER_SCALE(   0.0004067767f),
        RX_PULSESHAPER_SCALE(   0.0049141139f),
        RX_PULSESHAPER_SCALE(   0.0016612274f),
        RX_PULSESHAPER_SCALE(   0.0026574246f),
        RX_PULSESHAPER_SCALE(   0.0034786683f),
        RX_PULSESHAPER_SCALE(   0.0002909174f),
        RX_PULSESHAPER_SCALE(   0.0029127146f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012218552f),     /* Filter 47 */
        RX_PULSESHAPER_SCALE(   0.0011861589f),
        RX_PULSESHAPER_SCALE(  -0.0034403305f),
        RX_PULSESHAPER_SCALE(   0.0019355984f),
        RX_PULSESHAPER_SCALE(  -0.0028347789f),
        RX_PULSESHAPER_SCALE(   0.0041369484f),
        RX_PULSESHAPER_SCALE(  -0.0010040175f),
        RX_PULSESHAPER_SCALE(   0.0038614482f),
        RX_PULSESHAPER_SCALE(   0.0150009950f),
        RX_PULSESHAPER_SCALE(  -0.0327031865f),
        RX_PULSESHAPER_SCALE(   0.0336741688f),
        RX_PULSESHAPER_SCALE(  -0.0893078616f),
        RX_PULSESHAPER_SCALE(  -0.3123331681f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.1976537983f),
        RX_PULSESHAPER_SCALE(   0.0225834662f),
        RX_PULSESHAPER_SCALE(   0.0295012905f),
        RX_PULSESHAPER_SCALE(   0.0326828811f),
        RX_PULSESHAPER_SCALE(  -0.0020046770f),
        RX_PULSESHAPER_SCALE(   0.0125620181f),
        RX_PULSESHAPER_SCALE(   0.0003849809f),
        RX_PULSESHAPER_SCALE(   0.0050021172f),
        RX_PULSESHAPER_SCALE(   0.0015853249f),
        RX_PULSESHAPER_SCALE(   0.0027251718f),
        RX_PULSESHAPER_SCALE(   0.0034122027f),
        RX_PULSESHAPER_SCALE(   0.0003207292f),
        RX_PULSESHAPER_SCALE(   0.0028907192f)
    }
};
