#if defined(SPANDSP_USE_FIXED_POINT)
#define RX_PULSESHAPER_SCALE(x)    ((int16_t) (32767.000000*x + ((x >= 0.0)  ?  0.5  :  -0.5)))
#define RX_PULSESHAPER_GAIN        1.000000f
#else
#define RX_PULSESHAPER_SCALE(x)    (x)
#define RX_PULSESHAPER_GAIN        1.000000f
#endif
#define RX_PULSESHAPER_COEFF_SETS  192

#if defined(SPANDSP_USE_FIXED_POINT)
static const int16_t rx_pulseshaper_re[RX_PULSESHAPER_COEFF_SETS][27] =
#else
static const float rx_pulseshaper_re[RX_PULSESHAPER_COEFF_SETS][27] =
#endif
{
    {
        RX_PULSESHAPER_SCALE(  -0.0020619019f),     /* Filter 0 */
        RX_PULSESHAPER_SCALE(   0.0003585524f),
        RX_PULSESHAPER_SCALE(  -0.0033205510f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0024369456f),
        RX_PULSESHAPER_SCALE(  -0.0015483291f),
        RX_PULSESHAPER_SCALE(  -0.0039043547f),
        RX_PULSESHAPER_SCALE(  -0.0072869117f),
        RX_PULSESHAPER_SCALE(  -0.0031365194f),
        RX_PULSESHAPER_SCALE(  -0.0318625955f),
        RX_PULSESHAPER_SCALE(   0.0179723866f),
        RX_PULSESHAPER_SCALE(  -0.0443341749f),
        RX_PULSESHAPER_SCALE(   0.0312604836f),
        RX_PULSESHAPER_SCALE(   0.3230605459f),
        RX_PULSESHAPER_SCALE(   0.0505378037f),
        RX_PULSESHAPER_SCALE(  -0.1900507450f),
        RX_PULSESHAPER_SCALE(  -0.0211630895f),
        RX_PULSESHAPER_SCALE(  -0.0320270274f),
        RX_PULSESHAPER_SCALE(  -0.0278489297f),
        RX_PULSESHAPER_SCALE(   0.0026072440f),
        RX_PULSESHAPER_SCALE(  -0.0110460170f),
        RX_PULSESHAPER_SCALE(   0.0013541000f),
        RX_PULSESHAPER_SCALE(  -0.0049488107f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036972877f),
        RX_PULSESHAPER_SCALE(  -0.0010388973f),
        RX_PULSESHAPER_SCALE(  -0.0010338347f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020683703f),     /* Filter 1 */
        RX_PULSESHAPER_SCALE(   0.0003525572f),
        RX_PULSESHAPER_SCALE(  -0.0033401244f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0024716960f),
        RX_PULSESHAPER_SCALE(  -0.0015426378f),
        RX_PULSESHAPER_SCALE(  -0.0039641289f),
        RX_PULSESHAPER_SCALE(  -0.0072818060f),
        RX_PULSESHAPER_SCALE(  -0.0032521647f),
        RX_PULSESHAPER_SCALE(  -0.0319837525f),
        RX_PULSESHAPER_SCALE(   0.0178808458f),
        RX_PULSESHAPER_SCALE(  -0.0449835119f),
        RX_PULSESHAPER_SCALE(   0.0313889726f),
        RX_PULSESHAPER_SCALE(   0.3234303876f),
        RX_PULSESHAPER_SCALE(   0.0504793866f),
        RX_PULSESHAPER_SCALE(  -0.1892688068f),
        RX_PULSESHAPER_SCALE(  -0.0208540459f),
        RX_PULSESHAPER_SCALE(  -0.0321881097f),
        RX_PULSESHAPER_SCALE(  -0.0277423732f),
        RX_PULSESHAPER_SCALE(   0.0025114777f),
        RX_PULSESHAPER_SCALE(  -0.0110530881f),
        RX_PULSESHAPER_SCALE(   0.0013333686f),
        RX_PULSESHAPER_SCALE(  -0.0049666220f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037159694f),
        RX_PULSESHAPER_SCALE(  -0.0010327347f),
        RX_PULSESHAPER_SCALE(  -0.0010510197f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020747355f),     /* Filter 2 */
        RX_PULSESHAPER_SCALE(   0.0003465272f),
        RX_PULSESHAPER_SCALE(  -0.0033595730f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0025063443f),
        RX_PULSESHAPER_SCALE(  -0.0015368277f),
        RX_PULSESHAPER_SCALE(  -0.0040238977f),
        RX_PULSESHAPER_SCALE(  -0.0072762576f),
        RX_PULSESHAPER_SCALE(  -0.0033682448f),
        RX_PULSESHAPER_SCALE(  -0.0321041445f),
        RX_PULSESHAPER_SCALE(   0.0177881557f),
        RX_PULSESHAPER_SCALE(  -0.0456347666f),
        RX_PULSESHAPER_SCALE(   0.0315173310f),
        RX_PULSESHAPER_SCALE(   0.3237966340f),
        RX_PULSESHAPER_SCALE(   0.0504204099f),
        RX_PULSESHAPER_SCALE(  -0.1884861070f),
        RX_PULSESHAPER_SCALE(  -0.0205459267f),
        RX_PULSESHAPER_SCALE(  -0.0323471508f),
        RX_PULSESHAPER_SCALE(  -0.0276351624f),
        RX_PULSESHAPER_SCALE(   0.0024160784f),
        RX_PULSESHAPER_SCALE(  -0.0110594931f),
        RX_PULSESHAPER_SCALE(   0.0013126376f),
        RX_PULSESHAPER_SCALE(  -0.0049840538f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037344365f),
        RX_PULSESHAPER_SCALE(  -0.0010265339f),
        RX_PULSESHAPER_SCALE(  -0.0010681027f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020809969f),     /* Filter 3 */
        RX_PULSESHAPER_SCALE(   0.0003404626f),
        RX_PULSESHAPER_SCALE(  -0.0033788955f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0025408883f),
        RX_PULSESHAPER_SCALE(  -0.0015308989f),
        RX_PULSESHAPER_SCALE(  -0.0040836578f),
        RX_PULSESHAPER_SCALE(  -0.0072702649f),
        RX_PULSESHAPER_SCALE(  -0.0034847564f),
        RX_PULSESHAPER_SCALE(  -0.0322237633f),
        RX_PULSESHAPER_SCALE(   0.0176943144f),
        RX_PULSESHAPER_SCALE(  -0.0462879296f),
        RX_PULSESHAPER_SCALE(   0.0316455558f),
        RX_PULSESHAPER_SCALE(   0.3241592766f),
        RX_PULSESHAPER_SCALE(   0.0503608748f),
        RX_PULSESHAPER_SCALE(  -0.1877026622f),
        RX_PULSESHAPER_SCALE(  -0.0202387362f),
        RX_PULSESHAPER_SCALE(  -0.0325041544f),
        RX_PULSESHAPER_SCALE(  -0.0275273046f),
        RX_PULSESHAPER_SCALE(   0.0023210490f),
        RX_PULSESHAPER_SCALE(  -0.0110652345f),
        RX_PULSESHAPER_SCALE(   0.0012919082f),
        RX_PULSESHAPER_SCALE(  -0.0050011063f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037526884f),
        RX_PULSESHAPER_SCALE(  -0.0010202953f),
        RX_PULSESHAPER_SCALE(  -0.0010850831f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020871539f),     /* Filter 4 */
        RX_PULSESHAPER_SCALE(   0.0003343637f),
        RX_PULSESHAPER_SCALE(  -0.0033980907f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0025753258f),
        RX_PULSESHAPER_SCALE(  -0.0015248514f),
        RX_PULSESHAPER_SCALE(  -0.0041434056f),
        RX_PULSESHAPER_SCALE(  -0.0072638265f),
        RX_PULSESHAPER_SCALE(  -0.0036016961f),
        RX_PULSESHAPER_SCALE(  -0.0323426007f),
        RX_PULSESHAPER_SCALE(   0.0175993200f),
        RX_PULSESHAPER_SCALE(  -0.0469429914f),
        RX_PULSESHAPER_SCALE(   0.0317736445f),
        RX_PULSESHAPER_SCALE(   0.3245183067f),
        RX_PULSESHAPER_SCALE(   0.0503007828f),
        RX_PULSESHAPER_SCALE(  -0.1869184891f),
        RX_PULSESHAPER_SCALE(  -0.0199324788f),
        RX_PULSESHAPER_SCALE(  -0.0326591240f),
        RX_PULSESHAPER_SCALE(  -0.0274188069f),
        RX_PULSESHAPER_SCALE(   0.0022263920f),
        RX_PULSESHAPER_SCALE(  -0.0110703147f),
        RX_PULSESHAPER_SCALE(   0.0012711817f),
        RX_PULSESHAPER_SCALE(  -0.0050177794f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037707246f),
        RX_PULSESHAPER_SCALE(  -0.0010140193f),
        RX_PULSESHAPER_SCALE(  -0.0011019602f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020932058f),     /* Filter 5 */
        RX_PULSESHAPER_SCALE(   0.0003282306f),
        RX_PULSESHAPER_SCALE(  -0.0034171573f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0026096547f),
        RX_PULSESHAPER_SCALE(  -0.0015186851f),
        RX_PULSESHAPER_SCALE(  -0.0042031378f),
        RX_PULSESHAPER_SCALE(  -0.0072569406f),
        RX_PULSESHAPER_SCALE(  -0.0037190604f),
        RX_PULSESHAPER_SCALE(  -0.0324606484f),
        RX_PULSESHAPER_SCALE(   0.0175031707f),
        RX_PULSESHAPER_SCALE(  -0.0475999425f),
        RX_PULSESHAPER_SCALE(   0.0319015942f),
        RX_PULSESHAPER_SCALE(   0.3248737160f),
        RX_PULSESHAPER_SCALE(   0.0502401353f),
        RX_PULSESHAPER_SCALE(  -0.1861336042f),
        RX_PULSESHAPER_SCALE(  -0.0196271590f),
        RX_PULSESHAPER_SCALE(  -0.0328120633f),
        RX_PULSESHAPER_SCALE(  -0.0273096765f),
        RX_PULSESHAPER_SCALE(   0.0021321101f),
        RX_PULSESHAPER_SCALE(  -0.0110747363f),
        RX_PULSESHAPER_SCALE(   0.0012504592f),
        RX_PULSESHAPER_SCALE(  -0.0050340735f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037885445f),
        RX_PULSESHAPER_SCALE(  -0.0010077062f),
        RX_PULSESHAPER_SCALE(  -0.0011187334f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020991522f),     /* Filter 6 */
        RX_PULSESHAPER_SCALE(   0.0003220637f),
        RX_PULSESHAPER_SCALE(  -0.0034360941f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0026438726f),
        RX_PULSESHAPER_SCALE(  -0.0015124002f),
        RX_PULSESHAPER_SCALE(  -0.0042628509f),
        RX_PULSESHAPER_SCALE(  -0.0072496059f),
        RX_PULSESHAPER_SCALE(  -0.0038368459f),
        RX_PULSESHAPER_SCALE(  -0.0325778982f),
        RX_PULSESHAPER_SCALE(   0.0174058646f),
        RX_PULSESHAPER_SCALE(  -0.0482587731f),
        RX_PULSESHAPER_SCALE(   0.0320294023f),
        RX_PULSESHAPER_SCALE(   0.3252254961f),
        RX_PULSESHAPER_SCALE(   0.0501789338f),
        RX_PULSESHAPER_SCALE(  -0.1853480241f),
        RX_PULSESHAPER_SCALE(  -0.0193227810f),
        RX_PULSESHAPER_SCALE(  -0.0329629759f),
        RX_PULSESHAPER_SCALE(  -0.0271999206f),
        RX_PULSESHAPER_SCALE(   0.0020382061f),
        RX_PULSESHAPER_SCALE(  -0.0110785018f),
        RX_PULSESHAPER_SCALE(   0.0012297418f),
        RX_PULSESHAPER_SCALE(  -0.0050499884f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038061474f),
        RX_PULSESHAPER_SCALE(  -0.0010013565f),
        RX_PULSESHAPER_SCALE(  -0.0011354018f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021049923f),     /* Filter 7 */
        RX_PULSESHAPER_SCALE(   0.0003158633f),
        RX_PULSESHAPER_SCALE(  -0.0034548998f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0026779775f),
        RX_PULSESHAPER_SCALE(  -0.0015059966f),
        RX_PULSESHAPER_SCALE(  -0.0043225415f),
        RX_PULSESHAPER_SCALE(  -0.0072418207f),
        RX_PULSESHAPER_SCALE(  -0.0039550491f),
        RX_PULSESHAPER_SCALE(  -0.0326943419f),
        RX_PULSESHAPER_SCALE(   0.0173074000f),
        RX_PULSESHAPER_SCALE(  -0.0489194735f),
        RX_PULSESHAPER_SCALE(   0.0321570659f),
        RX_PULSESHAPER_SCALE(   0.3255736387f),
        RX_PULSESHAPER_SCALE(   0.0501171796f),
        RX_PULSESHAPER_SCALE(  -0.1845617654f),
        RX_PULSESHAPER_SCALE(  -0.0190193490f),
        RX_PULSESHAPER_SCALE(  -0.0331118657f),
        RX_PULSESHAPER_SCALE(  -0.0270895463f),
        RX_PULSESHAPER_SCALE(   0.0019446825f),
        RX_PULSESHAPER_SCALE(  -0.0110816139f),
        RX_PULSESHAPER_SCALE(   0.0012090307f),
        RX_PULSESHAPER_SCALE(  -0.0050655245f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038235328f),
        RX_PULSESHAPER_SCALE(  -0.0009949706f),
        RX_PULSESHAPER_SCALE(  -0.0011519650f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021107257f),     /* Filter 8 */
        RX_PULSESHAPER_SCALE(   0.0003096295f),
        RX_PULSESHAPER_SCALE(  -0.0034735731f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0027119670f),
        RX_PULSESHAPER_SCALE(  -0.0014994743f),
        RX_PULSESHAPER_SCALE(  -0.0043822061f),
        RX_PULSESHAPER_SCALE(  -0.0072335836f),
        RX_PULSESHAPER_SCALE(  -0.0040736663f),
        RX_PULSESHAPER_SCALE(  -0.0328099713f),
        RX_PULSESHAPER_SCALE(   0.0172077751f),
        RX_PULSESHAPER_SCALE(  -0.0495820340f),
        RX_PULSESHAPER_SCALE(   0.0322845825f),
        RX_PULSESHAPER_SCALE(   0.3259181356f),
        RX_PULSESHAPER_SCALE(   0.0500548741f),
        RX_PULSESHAPER_SCALE(  -0.1837748448f),
        RX_PULSESHAPER_SCALE(  -0.0187168674f),
        RX_PULSESHAPER_SCALE(  -0.0332587364f),
        RX_PULSESHAPER_SCALE(  -0.0269785608f),
        RX_PULSESHAPER_SCALE(   0.0018515420f),
        RX_PULSESHAPER_SCALE(  -0.0110840749f),
        RX_PULSESHAPER_SCALE(   0.0011883270f),
        RX_PULSESHAPER_SCALE(  -0.0050806818f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038407002f),
        RX_PULSESHAPER_SCALE(  -0.0009885489f),
        RX_PULSESHAPER_SCALE(  -0.0011684221f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021163518f),     /* Filter 9 */
        RX_PULSESHAPER_SCALE(   0.0003033626f),
        RX_PULSESHAPER_SCALE(  -0.0034921128f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0027458390f),
        RX_PULSESHAPER_SCALE(  -0.0014928334f),
        RX_PULSESHAPER_SCALE(  -0.0044418413f),
        RX_PULSESHAPER_SCALE(  -0.0072248931f),
        RX_PULSESHAPER_SCALE(  -0.0041926941f),
        RX_PULSESHAPER_SCALE(  -0.0329247781f),
        RX_PULSESHAPER_SCALE(   0.0171069881f),
        RX_PULSESHAPER_SCALE(  -0.0502464448f),
        RX_PULSESHAPER_SCALE(   0.0324119492f),
        RX_PULSESHAPER_SCALE(   0.3262589788f),
        RX_PULSESHAPER_SCALE(   0.0499920190f),
        RX_PULSESHAPER_SCALE(  -0.1829872788f),
        RX_PULSESHAPER_SCALE(  -0.0184153403f),
        RX_PULSESHAPER_SCALE(  -0.0334035918f),
        RX_PULSESHAPER_SCALE(  -0.0268669712f),
        RX_PULSESHAPER_SCALE(   0.0017587871f),
        RX_PULSESHAPER_SCALE(  -0.0110858877f),
        RX_PULSESHAPER_SCALE(   0.0011676319f),
        RX_PULSESHAPER_SCALE(  -0.0050954606f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038576490f),
        RX_PULSESHAPER_SCALE(  -0.0009820917f),
        RX_PULSESHAPER_SCALE(  -0.0011847726f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021218699f),     /* Filter 10 */
        RX_PULSESHAPER_SCALE(   0.0002970630f),
        RX_PULSESHAPER_SCALE(  -0.0035105177f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0027795914f),
        RX_PULSESHAPER_SCALE(  -0.0014860740f),
        RX_PULSESHAPER_SCALE(  -0.0045014435f),
        RX_PULSESHAPER_SCALE(  -0.0072157476f),
        RX_PULSESHAPER_SCALE(  -0.0043121289f),
        RX_PULSESHAPER_SCALE(  -0.0330387541f),
        RX_PULSESHAPER_SCALE(   0.0170050373f),
        RX_PULSESHAPER_SCALE(  -0.0509126960f),
        RX_PULSESHAPER_SCALE(   0.0325391634f),
        RX_PULSESHAPER_SCALE(   0.3265961602f),
        RX_PULSESHAPER_SCALE(   0.0499286156f),
        RX_PULSESHAPER_SCALE(  -0.1821990841f),
        RX_PULSESHAPER_SCALE(  -0.0181147720f),
        RX_PULSESHAPER_SCALE(  -0.0335464359f),
        RX_PULSESHAPER_SCALE(  -0.0267547848f),
        RX_PULSESHAPER_SCALE(   0.0016664204f),
        RX_PULSESHAPER_SCALE(  -0.0110870548f),
        RX_PULSESHAPER_SCALE(   0.0011469465f),
        RX_PULSESHAPER_SCALE(  -0.0051098611f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038743788f),
        RX_PULSESHAPER_SCALE(  -0.0009755996f),
        RX_PULSESHAPER_SCALE(  -0.0012010158f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021272795f),     /* Filter 11 */
        RX_PULSESHAPER_SCALE(   0.0002907308f),
        RX_PULSESHAPER_SCALE(  -0.0035287866f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0028132218f),
        RX_PULSESHAPER_SCALE(  -0.0014791960f),
        RX_PULSESHAPER_SCALE(  -0.0045610093f),
        RX_PULSESHAPER_SCALE(  -0.0072061457f),
        RX_PULSESHAPER_SCALE(  -0.0044319670f),
        RX_PULSESHAPER_SCALE(  -0.0331518911f),
        RX_PULSESHAPER_SCALE(   0.0169019212f),
        RX_PULSESHAPER_SCALE(  -0.0515807775f),
        RX_PULSESHAPER_SCALE(   0.0326662223f),
        RX_PULSESHAPER_SCALE(   0.3269296719f),
        RX_PULSESHAPER_SCALE(   0.0498646654f),
        RX_PULSESHAPER_SCALE(  -0.1814102772f),
        RX_PULSESHAPER_SCALE(  -0.0178151665f),
        RX_PULSESHAPER_SCALE(  -0.0336872725f),
        RX_PULSESHAPER_SCALE(  -0.0266420086f),
        RX_PULSESHAPER_SCALE(   0.0015744444f),
        RX_PULSESHAPER_SCALE(  -0.0110875788f),
        RX_PULSESHAPER_SCALE(   0.0011262720f),
        RX_PULSESHAPER_SCALE(  -0.0051238834f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038908889f),
        RX_PULSESHAPER_SCALE(  -0.0009690729f),
        RX_PULSESHAPER_SCALE(  -0.0012171511f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021325801f),     /* Filter 12 */
        RX_PULSESHAPER_SCALE(   0.0002843663f),
        RX_PULSESHAPER_SCALE(  -0.0035469181f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0028467281f),
        RX_PULSESHAPER_SCALE(  -0.0014721996f),
        RX_PULSESHAPER_SCALE(  -0.0046205352f),
        RX_PULSESHAPER_SCALE(  -0.0071960860f),
        RX_PULSESHAPER_SCALE(  -0.0045522048f),
        RX_PULSESHAPER_SCALE(  -0.0332641808f),
        RX_PULSESHAPER_SCALE(   0.0167976379f),
        RX_PULSESHAPER_SCALE(  -0.0522506793f),
        RX_PULSESHAPER_SCALE(   0.0327931231f),
        RX_PULSESHAPER_SCALE(   0.3272595060f),
        RX_PULSESHAPER_SCALE(   0.0498001699f),
        RX_PULSESHAPER_SCALE(  -0.1806208747f),
        RX_PULSESHAPER_SCALE(  -0.0175165281f),
        RX_PULSESHAPER_SCALE(  -0.0338261058f),
        RX_PULSESHAPER_SCALE(  -0.0265286498f),
        RX_PULSESHAPER_SCALE(   0.0014828615f),
        RX_PULSESHAPER_SCALE(  -0.0110874625f),
        RX_PULSESHAPER_SCALE(   0.0011056094f),
        RX_PULSESHAPER_SCALE(  -0.0051375279f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039071790f),
        RX_PULSESHAPER_SCALE(  -0.0009625121f),
        RX_PULSESHAPER_SCALE(  -0.0012331778f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021377711f),     /* Filter 13 */
        RX_PULSESHAPER_SCALE(   0.0002779699f),
        RX_PULSESHAPER_SCALE(  -0.0035649111f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0028801082f),
        RX_PULSESHAPER_SCALE(  -0.0014650847f),
        RX_PULSESHAPER_SCALE(  -0.0046800177f),
        RX_PULSESHAPER_SCALE(  -0.0071855671f),
        RX_PULSESHAPER_SCALE(  -0.0046728385f),
        RX_PULSESHAPER_SCALE(  -0.0333756150f),
        RX_PULSESHAPER_SCALE(   0.0166921859f),
        RX_PULSESHAPER_SCALE(  -0.0529223913f),
        RX_PULSESHAPER_SCALE(   0.0329198633f),
        RX_PULSESHAPER_SCALE(   0.3275856548f),
        RX_PULSESHAPER_SCALE(   0.0497351307f),
        RX_PULSESHAPER_SCALE(  -0.1798308932f),
        RX_PULSESHAPER_SCALE(  -0.0172188607f),
        RX_PULSESHAPER_SCALE(  -0.0339629396f),
        RX_PULSESHAPER_SCALE(  -0.0264147156f),
        RX_PULSESHAPER_SCALE(   0.0013916744f),
        RX_PULSESHAPER_SCALE(  -0.0110867085f),
        RX_PULSESHAPER_SCALE(   0.0010849600f),
        RX_PULSESHAPER_SCALE(  -0.0051507947f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039232485f),
        RX_PULSESHAPER_SCALE(  -0.0009559175f),
        RX_PULSESHAPER_SCALE(  -0.0012490953f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021428519f),     /* Filter 14 */
        RX_PULSESHAPER_SCALE(   0.0002715418f),
        RX_PULSESHAPER_SCALE(  -0.0035827643f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0029133597f),
        RX_PULSESHAPER_SCALE(  -0.0014578516f),
        RX_PULSESHAPER_SCALE(  -0.0047394532f),
        RX_PULSESHAPER_SCALE(  -0.0071745874f),
        RX_PULSESHAPER_SCALE(  -0.0047938646f),
        RX_PULSESHAPER_SCALE(  -0.0334861854f),
        RX_PULSESHAPER_SCALE(   0.0165855637f),
        RX_PULSESHAPER_SCALE(  -0.0535959035f),
        RX_PULSESHAPER_SCALE(   0.0330464399f),
        RX_PULSESHAPER_SCALE(   0.3279081106f),
        RX_PULSESHAPER_SCALE(   0.0496695492f),
        RX_PULSESHAPER_SCALE(  -0.1790403493f),
        RX_PULSESHAPER_SCALE(  -0.0169221685f),
        RX_PULSESHAPER_SCALE(  -0.0340977781f),
        RX_PULSESHAPER_SCALE(  -0.0263002131f),
        RX_PULSESHAPER_SCALE(   0.0013008854f),
        RX_PULSESHAPER_SCALE(  -0.0110853195f),
        RX_PULSESHAPER_SCALE(   0.0010643249f),
        RX_PULSESHAPER_SCALE(  -0.0051636843f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039390969f),
        RX_PULSESHAPER_SCALE(  -0.0009492895f),
        RX_PULSESHAPER_SCALE(  -0.0012649030f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021478221f),     /* Filter 15 */
        RX_PULSESHAPER_SCALE(   0.0002650822f),
        RX_PULSESHAPER_SCALE(  -0.0036004766f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0029464806f),
        RX_PULSESHAPER_SCALE(  -0.0014505002f),
        RX_PULSESHAPER_SCALE(  -0.0047988382f),
        RX_PULSESHAPER_SCALE(  -0.0071631457f),
        RX_PULSESHAPER_SCALE(  -0.0049152791f),
        RX_PULSESHAPER_SCALE(  -0.0335958839f),
        RX_PULSESHAPER_SCALE(   0.0164777695f),
        RX_PULSESHAPER_SCALE(  -0.0542712054f),
        RX_PULSESHAPER_SCALE(   0.0331728504f),
        RX_PULSESHAPER_SCALE(   0.3282268658f),
        RX_PULSESHAPER_SCALE(   0.0496034270f),
        RX_PULSESHAPER_SCALE(  -0.1782492596f),
        RX_PULSESHAPER_SCALE(  -0.0166264554f),
        RX_PULSESHAPER_SCALE(  -0.0342306254f),
        RX_PULSESHAPER_SCALE(  -0.0261851494f),
        RX_PULSESHAPER_SCALE(   0.0012104969f),
        RX_PULSESHAPER_SCALE(  -0.0110832983f),
        RX_PULSESHAPER_SCALE(   0.0010437050f),
        RX_PULSESHAPER_SCALE(  -0.0051761968f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039547239f),
        RX_PULSESHAPER_SCALE(  -0.0009426286f),
        RX_PULSESHAPER_SCALE(  -0.0012806003f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021526809f),     /* Filter 16 */
        RX_PULSESHAPER_SCALE(   0.0002585915f),
        RX_PULSESHAPER_SCALE(  -0.0036180467f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0029794686f),
        RX_PULSESHAPER_SCALE(  -0.0014430306f),
        RX_PULSESHAPER_SCALE(  -0.0048581693f),
        RX_PULSESHAPER_SCALE(  -0.0071512406f),
        RX_PULSESHAPER_SCALE(  -0.0050370783f),
        RX_PULSESHAPER_SCALE(  -0.0337047022f),
        RX_PULSESHAPER_SCALE(   0.0163688020f),
        RX_PULSESHAPER_SCALE(  -0.0549482868f),
        RX_PULSESHAPER_SCALE(   0.0332990919f),
        RX_PULSESHAPER_SCALE(   0.3285419129f),
        RX_PULSESHAPER_SCALE(   0.0495367656f),
        RX_PULSESHAPER_SCALE(  -0.1774576406f),
        RX_PULSESHAPER_SCALE(  -0.0163317254f),
        RX_PULSESHAPER_SCALE(  -0.0343614857f),
        RX_PULSESHAPER_SCALE(  -0.0260695316f),
        RX_PULSESHAPER_SCALE(   0.0011205114f),
        RX_PULSESHAPER_SCALE(  -0.0110806476f),
        RX_PULSESHAPER_SCALE(   0.0010231017f),
        RX_PULSESHAPER_SCALE(  -0.0051883327f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039701289f),
        RX_PULSESHAPER_SCALE(  -0.0009359353f),
        RX_PULSESHAPER_SCALE(  -0.0012961865f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021574280f),     /* Filter 17 */
        RX_PULSESHAPER_SCALE(   0.0002520700f),
        RX_PULSESHAPER_SCALE(  -0.0036354735f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0030123215f),
        RX_PULSESHAPER_SCALE(  -0.0014354430f),
        RX_PULSESHAPER_SCALE(  -0.0049174428f),
        RX_PULSESHAPER_SCALE(  -0.0071388706f),
        RX_PULSESHAPER_SCALE(  -0.0051592585f),
        RX_PULSESHAPER_SCALE(  -0.0338126321f),
        RX_PULSESHAPER_SCALE(   0.0162586596f),
        RX_PULSESHAPER_SCALE(  -0.0556271375f),
        RX_PULSESHAPER_SCALE(   0.0334251619f),
        RX_PULSESHAPER_SCALE(   0.3288532445f),
        RX_PULSESHAPER_SCALE(   0.0494695666f),
        RX_PULSESHAPER_SCALE(  -0.1766655090f),
        RX_PULSESHAPER_SCALE(  -0.0160379826f),
        RX_PULSESHAPER_SCALE(  -0.0344903632f),
        RX_PULSESHAPER_SCALE(  -0.0259533670f),
        RX_PULSESHAPER_SCALE(   0.0010309312f),
        RX_PULSESHAPER_SCALE(  -0.0110773701f),
        RX_PULSESHAPER_SCALE(   0.0010025159f),
        RX_PULSESHAPER_SCALE(  -0.0052000923f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039853116f),
        RX_PULSESHAPER_SCALE(  -0.0009292098f),
        RX_PULSESHAPER_SCALE(  -0.0013116611f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021620628f),     /* Filter 18 */
        RX_PULSESHAPER_SCALE(   0.0002455178f),
        RX_PULSESHAPER_SCALE(  -0.0036527556f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0030450371f),
        RX_PULSESHAPER_SCALE(  -0.0014277374f),
        RX_PULSESHAPER_SCALE(  -0.0049766552f),
        RX_PULSESHAPER_SCALE(  -0.0071260345f),
        RX_PULSESHAPER_SCALE(  -0.0052818157f),
        RX_PULSESHAPER_SCALE(  -0.0339196653f),
        RX_PULSESHAPER_SCALE(   0.0161473408f),
        RX_PULSESHAPER_SCALE(  -0.0563077468f),
        RX_PULSESHAPER_SCALE(   0.0335510574f),
        RX_PULSESHAPER_SCALE(   0.3291608532f),
        RX_PULSESHAPER_SCALE(   0.0494018316f),
        RX_PULSESHAPER_SCALE(  -0.1758728812f),
        RX_PULSESHAPER_SCALE(  -0.0157452307f),
        RX_PULSESHAPER_SCALE(  -0.0346172622f),
        RX_PULSESHAPER_SCALE(  -0.0258366625f),
        RX_PULSESHAPER_SCALE(   0.0009417586f),
        RX_PULSESHAPER_SCALE(  -0.0110734688f),
        RX_PULSESHAPER_SCALE(   0.0009819489f),
        RX_PULSESHAPER_SCALE(  -0.0052114758f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040002714f),
        RX_PULSESHAPER_SCALE(  -0.0009224527f),
        RX_PULSESHAPER_SCALE(  -0.0013270235f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021665848f),     /* Filter 19 */
        RX_PULSESHAPER_SCALE(   0.0002389353f),
        RX_PULSESHAPER_SCALE(  -0.0036698920f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0030776134f),
        RX_PULSESHAPER_SCALE(  -0.0014199139f),
        RX_PULSESHAPER_SCALE(  -0.0050358029f),
        RX_PULSESHAPER_SCALE(  -0.0071127308f),
        RX_PULSESHAPER_SCALE(  -0.0054047462f),
        RX_PULSESHAPER_SCALE(  -0.0340257937f),
        RX_PULSESHAPER_SCALE(   0.0160348443f),
        RX_PULSESHAPER_SCALE(  -0.0569901045f),
        RX_PULSESHAPER_SCALE(   0.0336767760f),
        RX_PULSESHAPER_SCALE(   0.3294647318f),
        RX_PULSESHAPER_SCALE(   0.0493335621f),
        RX_PULSESHAPER_SCALE(  -0.1750797738f),
        RX_PULSESHAPER_SCALE(  -0.0154534737f),
        RX_PULSESHAPER_SCALE(  -0.0347421869f),
        RX_PULSESHAPER_SCALE(  -0.0257194253f),
        RX_PULSESHAPER_SCALE(   0.0008529960f),
        RX_PULSESHAPER_SCALE(  -0.0110689464f),
        RX_PULSESHAPER_SCALE(   0.0009614016f),
        RX_PULSESHAPER_SCALE(  -0.0052224838f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040150081f),
        RX_PULSESHAPER_SCALE(  -0.0009156643f),
        RX_PULSESHAPER_SCALE(  -0.0013422731f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021709934f),     /* Filter 20 */
        RX_PULSESHAPER_SCALE(   0.0002323229f),
        RX_PULSESHAPER_SCALE(  -0.0036868814f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0031100480f),
        RX_PULSESHAPER_SCALE(  -0.0014119726f),
        RX_PULSESHAPER_SCALE(  -0.0050948823f),
        RX_PULSESHAPER_SCALE(  -0.0070989584f),
        RX_PULSESHAPER_SCALE(  -0.0055280459f),
        RX_PULSESHAPER_SCALE(  -0.0341310089f),
        RX_PULSESHAPER_SCALE(   0.0159211685f),
        RX_PULSESHAPER_SCALE(  -0.0576741998f),
        RX_PULSESHAPER_SCALE(   0.0338023147f),
        RX_PULSESHAPER_SCALE(   0.3297648731f),
        RX_PULSESHAPER_SCALE(   0.0492647598f),
        RX_PULSESHAPER_SCALE(  -0.1742862034f),
        RX_PULSESHAPER_SCALE(  -0.0151627155f),
        RX_PULSESHAPER_SCALE(  -0.0348651418f),
        RX_PULSESHAPER_SCALE(  -0.0256016624f),
        RX_PULSESHAPER_SCALE(   0.0007646457f),
        RX_PULSESHAPER_SCALE(  -0.0110638057f),
        RX_PULSESHAPER_SCALE(   0.0009408752f),
        RX_PULSESHAPER_SCALE(  -0.0052331166f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040295213f),
        RX_PULSESHAPER_SCALE(  -0.0009088451f),
        RX_PULSESHAPER_SCALE(  -0.0013574093f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021752881f),     /* Filter 21 */
        RX_PULSESHAPER_SCALE(   0.0002256807f),
        RX_PULSESHAPER_SCALE(  -0.0037037227f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0031423388f),
        RX_PULSESHAPER_SCALE(  -0.0014039137f),
        RX_PULSESHAPER_SCALE(  -0.0051538900f),
        RX_PULSESHAPER_SCALE(  -0.0070847158f),
        RX_PULSESHAPER_SCALE(  -0.0056517110f),
        RX_PULSESHAPER_SCALE(  -0.0342353029f),
        RX_PULSESHAPER_SCALE(   0.0158063121f),
        RX_PULSESHAPER_SCALE(  -0.0583600222f),
        RX_PULSESHAPER_SCALE(   0.0339276710f),
        RX_PULSESHAPER_SCALE(   0.3300612701f),
        RX_PULSESHAPER_SCALE(   0.0491954263f),
        RX_PULSESHAPER_SCALE(  -0.1734921865f),
        RX_PULSESHAPER_SCALE(  -0.0148729598f),
        RX_PULSESHAPER_SCALE(  -0.0349861313f),
        RX_PULSESHAPER_SCALE(  -0.0254833811f),
        RX_PULSESHAPER_SCALE(   0.0006767098f),
        RX_PULSESHAPER_SCALE(  -0.0110580495f),
        RX_PULSESHAPER_SCALE(   0.0009203708f),
        RX_PULSESHAPER_SCALE(  -0.0052433747f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040438104f),
        RX_PULSESHAPER_SCALE(  -0.0009019955f),
        RX_PULSESHAPER_SCALE(  -0.0013724316f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021794684f),     /* Filter 22 */
        RX_PULSESHAPER_SCALE(   0.0002190091f),
        RX_PULSESHAPER_SCALE(  -0.0037204147f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0031744836f),
        RX_PULSESHAPER_SCALE(  -0.0013957373f),
        RX_PULSESHAPER_SCALE(  -0.0052128222f),
        RX_PULSESHAPER_SCALE(  -0.0070700019f),
        RX_PULSESHAPER_SCALE(  -0.0057757375f),
        RX_PULSESHAPER_SCALE(  -0.0343386673f),
        RX_PULSESHAPER_SCALE(   0.0156902738f),
        RX_PULSESHAPER_SCALE(  -0.0590475610f),
        RX_PULSESHAPER_SCALE(   0.0340528421f),
        RX_PULSESHAPER_SCALE(   0.3303539157f),
        RX_PULSESHAPER_SCALE(   0.0491255631f),
        RX_PULSESHAPER_SCALE(  -0.1726977397f),
        RX_PULSESHAPER_SCALE(  -0.0145842104f),
        RX_PULSESHAPER_SCALE(  -0.0351051598f),
        RX_PULSESHAPER_SCALE(  -0.0253645884f),
        RX_PULSESHAPER_SCALE(   0.0005891908f),
        RX_PULSESHAPER_SCALE(  -0.0110516808f),
        RX_PULSESHAPER_SCALE(   0.0008998894f),
        RX_PULSESHAPER_SCALE(  -0.0052532584f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040578753f),
        RX_PULSESHAPER_SCALE(  -0.0008951159f),
        RX_PULSESHAPER_SCALE(  -0.0013873393f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021835338f),     /* Filter 23 */
        RX_PULSESHAPER_SCALE(   0.0002123083f),
        RX_PULSESHAPER_SCALE(  -0.0037369562f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0032064803f),
        RX_PULSESHAPER_SCALE(  -0.0013874435f),
        RX_PULSESHAPER_SCALE(  -0.0052716754f),
        RX_PULSESHAPER_SCALE(  -0.0070548153f),
        RX_PULSESHAPER_SCALE(  -0.0059001214f),
        RX_PULSESHAPER_SCALE(  -0.0344410940f),
        RX_PULSESHAPER_SCALE(   0.0155730522f),
        RX_PULSESHAPER_SCALE(  -0.0597368054f),
        RX_PULSESHAPER_SCALE(   0.0341778252f),
        RX_PULSESHAPER_SCALE(   0.3306428031f),
        RX_PULSESHAPER_SCALE(   0.0490551719f),
        RX_PULSESHAPER_SCALE(  -0.1719028794f),
        RX_PULSESHAPER_SCALE(  -0.0142964712f),
        RX_PULSESHAPER_SCALE(  -0.0352222317f),
        RX_PULSESHAPER_SCALE(  -0.0252452913f),
        RX_PULSESHAPER_SCALE(   0.0005020907f),
        RX_PULSESHAPER_SCALE(  -0.0110447025f),
        RX_PULSESHAPER_SCALE(   0.0008794322f),
        RX_PULSESHAPER_SCALE(  -0.0052627683f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040717154f),
        RX_PULSESHAPER_SCALE(  -0.0008882067f),
        RX_PULSESHAPER_SCALE(  -0.0014021320f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021874839f),     /* Filter 24 */
        RX_PULSESHAPER_SCALE(   0.0002055787f),
        RX_PULSESHAPER_SCALE(  -0.0037533460f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0032383267f),
        RX_PULSESHAPER_SCALE(  -0.0013790324f),
        RX_PULSESHAPER_SCALE(  -0.0053304460f),
        RX_PULSESHAPER_SCALE(  -0.0070391548f),
        RX_PULSESHAPER_SCALE(  -0.0060248587f),
        RX_PULSESHAPER_SCALE(  -0.0345425747f),
        RX_PULSESHAPER_SCALE(   0.0154546460f),
        RX_PULSESHAPER_SCALE(  -0.0604277447f),
        RX_PULSESHAPER_SCALE(   0.0343026178f),
        RX_PULSESHAPER_SCALE(   0.3309279254f),
        RX_PULSESHAPER_SCALE(   0.0489842543f),
        RX_PULSESHAPER_SCALE(  -0.1711076223f),
        RX_PULSESHAPER_SCALE(  -0.0140097457f),
        RX_PULSESHAPER_SCALE(  -0.0353373517f),
        RX_PULSESHAPER_SCALE(  -0.0251254969f),
        RX_PULSESHAPER_SCALE(   0.0004154118f),
        RX_PULSESHAPER_SCALE(  -0.0110371173f),
        RX_PULSESHAPER_SCALE(   0.0008590002f),
        RX_PULSESHAPER_SCALE(  -0.0052719047f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040853306f),
        RX_PULSESHAPER_SCALE(  -0.0008812684f),
        RX_PULSESHAPER_SCALE(  -0.0014168091f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021913181f),     /* Filter 25 */
        RX_PULSESHAPER_SCALE(   0.0001988206f),
        RX_PULSESHAPER_SCALE(  -0.0037695830f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0032700205f),
        RX_PULSESHAPER_SCALE(  -0.0013705042f),
        RX_PULSESHAPER_SCALE(  -0.0053891304f),
        RX_PULSESHAPER_SCALE(  -0.0070230192f),
        RX_PULSESHAPER_SCALE(  -0.0061499454f),
        RX_PULSESHAPER_SCALE(  -0.0346431013f),
        RX_PULSESHAPER_SCALE(   0.0153350540f),
        RX_PULSESHAPER_SCALE(  -0.0611203680f),
        RX_PULSESHAPER_SCALE(   0.0344272170f),
        RX_PULSESHAPER_SCALE(   0.3312092760f),
        RX_PULSESHAPER_SCALE(   0.0489128121f),
        RX_PULSESHAPER_SCALE(  -0.1703119847f),
        RX_PULSESHAPER_SCALE(  -0.0137240378f),
        RX_PULSESHAPER_SCALE(  -0.0354505244f),
        RX_PULSESHAPER_SCALE(  -0.0250052123f),
        RX_PULSESHAPER_SCALE(   0.0003291562f),
        RX_PULSESHAPER_SCALE(  -0.0110289284f),
        RX_PULSESHAPER_SCALE(   0.0008385945f),
        RX_PULSESHAPER_SCALE(  -0.0052806684f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040987205f),
        RX_PULSESHAPER_SCALE(  -0.0008743014f),
        RX_PULSESHAPER_SCALE(  -0.0014313700f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021950359f),     /* Filter 26 */
        RX_PULSESHAPER_SCALE(   0.0001920343f),
        RX_PULSESHAPER_SCALE(  -0.0037856660f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033015597f),
        RX_PULSESHAPER_SCALE(  -0.0013618591f),
        RX_PULSESHAPER_SCALE(  -0.0054477249f),
        RX_PULSESHAPER_SCALE(  -0.0070064072f),
        RX_PULSESHAPER_SCALE(  -0.0062753773f),
        RX_PULSESHAPER_SCALE(  -0.0347426655f),
        RX_PULSESHAPER_SCALE(   0.0152142750f),
        RX_PULSESHAPER_SCALE(  -0.0618146643f),
        RX_PULSESHAPER_SCALE(   0.0345516202f),
        RX_PULSESHAPER_SCALE(   0.3314868482f),
        RX_PULSESHAPER_SCALE(   0.0488408469f),
        RX_PULSESHAPER_SCALE(  -0.1695159831f),
        RX_PULSESHAPER_SCALE(  -0.0134393509f),
        RX_PULSESHAPER_SCALE(  -0.0355617543f),
        RX_PULSESHAPER_SCALE(  -0.0248844446f),
        RX_PULSESHAPER_SCALE(   0.0002433260f),
        RX_PULSESHAPER_SCALE(  -0.0110201385f),
        RX_PULSESHAPER_SCALE(   0.0008182162f),
        RX_PULSESHAPER_SCALE(  -0.0052890596f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041118846f),
        RX_PULSESHAPER_SCALE(  -0.0008673060f),
        RX_PULSESHAPER_SCALE(  -0.0014458142f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021986368f),     /* Filter 27 */
        RX_PULSESHAPER_SCALE(   0.0001852200f),
        RX_PULSESHAPER_SCALE(  -0.0038015939f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033329421f),
        RX_PULSESHAPER_SCALE(  -0.0013530971f),
        RX_PULSESHAPER_SCALE(  -0.0055062259f),
        RX_PULSESHAPER_SCALE(  -0.0069893178f),
        RX_PULSESHAPER_SCALE(  -0.0064011503f),
        RX_PULSESHAPER_SCALE(  -0.0348412592f),
        RX_PULSESHAPER_SCALE(   0.0150923077f),
        RX_PULSESHAPER_SCALE(  -0.0625106227f),
        RX_PULSESHAPER_SCALE(   0.0346758247f),
        RX_PULSESHAPER_SCALE(   0.3317606353f),
        RX_PULSESHAPER_SCALE(   0.0487683603f),
        RX_PULSESHAPER_SCALE(  -0.1687196342f),
        RX_PULSESHAPER_SCALE(  -0.0131556888f),
        RX_PULSESHAPER_SCALE(  -0.0356710461f),
        RX_PULSESHAPER_SCALE(  -0.0247632008f),
        RX_PULSESHAPER_SCALE(   0.0001579235f),
        RX_PULSESHAPER_SCALE(  -0.0110107508f),
        RX_PULSESHAPER_SCALE(   0.0007978663f),
        RX_PULSESHAPER_SCALE(  -0.0052970791f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041248229f),
        RX_PULSESHAPER_SCALE(  -0.0008602829f),
        RX_PULSESHAPER_SCALE(  -0.0014601413f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022021204f),     /* Filter 28 */
        RX_PULSESHAPER_SCALE(   0.0001783781f),
        RX_PULSESHAPER_SCALE(  -0.0038173656f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033641655f),
        RX_PULSESHAPER_SCALE(  -0.0013442185f),
        RX_PULSESHAPER_SCALE(  -0.0055646298f),
        RX_PULSESHAPER_SCALE(  -0.0069717496f),
        RX_PULSESHAPER_SCALE(  -0.0065272603f),
        RX_PULSESHAPER_SCALE(  -0.0349388742f),
        RX_PULSESHAPER_SCALE(   0.0149691509f),
        RX_PULSESHAPER_SCALE(  -0.0632082320f),
        RX_PULSESHAPER_SCALE(   0.0347998277f),
        RX_PULSESHAPER_SCALE(   0.3320306311f),
        RX_PULSESHAPER_SCALE(   0.0486953540f),
        RX_PULSESHAPER_SCALE(  -0.1679229542f),
        RX_PULSESHAPER_SCALE(  -0.0128730551f),
        RX_PULSESHAPER_SCALE(  -0.0357784046f),
        RX_PULSESHAPER_SCALE(  -0.0246414879f),
        RX_PULSESHAPER_SCALE(   0.0000729505f),
        RX_PULSESHAPER_SCALE(  -0.0110007680f),
        RX_PULSESHAPER_SCALE(   0.0007775458f),
        RX_PULSESHAPER_SCALE(  -0.0053047272f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041375349f),
        RX_PULSESHAPER_SCALE(  -0.0008532322f),
        RX_PULSESHAPER_SCALE(  -0.0014743506f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022054862f),     /* Filter 29 */
        RX_PULSESHAPER_SCALE(   0.0001715089f),
        RX_PULSESHAPER_SCALE(  -0.0038329799f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033952278f),
        RX_PULSESHAPER_SCALE(  -0.0013352235f),
        RX_PULSESHAPER_SCALE(  -0.0056229330f),
        RX_PULSESHAPER_SCALE(  -0.0069537016f),
        RX_PULSESHAPER_SCALE(  -0.0066537032f),
        RX_PULSESHAPER_SCALE(  -0.0350355022f),
        RX_PULSESHAPER_SCALE(   0.0148448037f),
        RX_PULSESHAPER_SCALE(  -0.0639074813f),
        RX_PULSESHAPER_SCALE(   0.0349236266f),
        RX_PULSESHAPER_SCALE(   0.3322968291f),
        RX_PULSESHAPER_SCALE(   0.0486218298f),
        RX_PULSESHAPER_SCALE(  -0.1671259598f),
        RX_PULSESHAPER_SCALE(  -0.0125914532f),
        RX_PULSESHAPER_SCALE(  -0.0358838345f),
        RX_PULSESHAPER_SCALE(  -0.0245193131f),
        RX_PULSESHAPER_SCALE(  -0.0000115907f),
        RX_PULSESHAPER_SCALE(  -0.0109901934f),
        RX_PULSESHAPER_SCALE(   0.0007572559f),
        RX_PULSESHAPER_SCALE(  -0.0053120047f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041500204f),
        RX_PULSESHAPER_SCALE(  -0.0008461546f),
        RX_PULSESHAPER_SCALE(  -0.0014884417f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022087338f),     /* Filter 30 */
        RX_PULSESHAPER_SCALE(   0.0001646126f),
        RX_PULSESHAPER_SCALE(  -0.0038484356f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034261268f),
        RX_PULSESHAPER_SCALE(  -0.0013261121f),
        RX_PULSESHAPER_SCALE(  -0.0056811317f),
        RX_PULSESHAPER_SCALE(  -0.0069351726f),
        RX_PULSESHAPER_SCALE(  -0.0067804747f),
        RX_PULSESHAPER_SCALE(  -0.0351311351f),
        RX_PULSESHAPER_SCALE(   0.0147192647f),
        RX_PULSESHAPER_SCALE(  -0.0646083592f),
        RX_PULSESHAPER_SCALE(   0.0350472187f),
        RX_PULSESHAPER_SCALE(   0.3325592230f),
        RX_PULSESHAPER_SCALE(   0.0485477893f),
        RX_PULSESHAPER_SCALE(  -0.1663286673f),
        RX_PULSESHAPER_SCALE(  -0.0123108867f),
        RX_PULSESHAPER_SCALE(  -0.0359873407f),
        RX_PULSESHAPER_SCALE(  -0.0243966832f),
        RX_PULSESHAPER_SCALE(  -0.0000956983f),
        RX_PULSESHAPER_SCALE(  -0.0109790297f),
        RX_PULSESHAPER_SCALE(   0.0007369976f),
        RX_PULSESHAPER_SCALE(  -0.0053189121f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041622791f),
        RX_PULSESHAPER_SCALE(  -0.0008390504f),
        RX_PULSESHAPER_SCALE(  -0.0015024141f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022118626f),     /* Filter 31 */
        RX_PULSESHAPER_SCALE(   0.0001576897f),
        RX_PULSESHAPER_SCALE(  -0.0038637317f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034568604f),
        RX_PULSESHAPER_SCALE(  -0.0013168846f),
        RX_PULSESHAPER_SCALE(  -0.0057392224f),
        RX_PULSESHAPER_SCALE(  -0.0069161616f),
        RX_PULSESHAPER_SCALE(  -0.0069075706f),
        RX_PULSESHAPER_SCALE(  -0.0352257647f),
        RX_PULSESHAPER_SCALE(   0.0145925330f),
        RX_PULSESHAPER_SCALE(  -0.0653108547f),
        RX_PULSESHAPER_SCALE(   0.0351706013f),
        RX_PULSESHAPER_SCALE(   0.3328178066f),
        RX_PULSESHAPER_SCALE(   0.0484732343f),
        RX_PULSESHAPER_SCALE(  -0.1655310932f),
        RX_PULSESHAPER_SCALE(  -0.0120313591f),
        RX_PULSESHAPER_SCALE(  -0.0360889279f),
        RX_PULSESHAPER_SCALE(  -0.0242736053f),
        RX_PULSESHAPER_SCALE(  -0.0001793701f),
        RX_PULSESHAPER_SCALE(  -0.0109672802f),
        RX_PULSESHAPER_SCALE(   0.0007167719f),
        RX_PULSESHAPER_SCALE(  -0.0053254499f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041743108f),
        RX_PULSESHAPER_SCALE(  -0.0008319200f),
        RX_PULSESHAPER_SCALE(  -0.0015162673f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022148722f),     /* Filter 32 */
        RX_PULSESHAPER_SCALE(   0.0001507404f),
        RX_PULSESHAPER_SCALE(  -0.0038788671f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034874263f),
        RX_PULSESHAPER_SCALE(  -0.0013075412f),
        RX_PULSESHAPER_SCALE(  -0.0057972013f),
        RX_PULSESHAPER_SCALE(  -0.0068966673f),
        RX_PULSESHAPER_SCALE(  -0.0070349866f),
        RX_PULSESHAPER_SCALE(  -0.0353193829f),
        RX_PULSESHAPER_SCALE(   0.0144646076f),
        RX_PULSESHAPER_SCALE(  -0.0660149562f),
        RX_PULSESHAPER_SCALE(   0.0352937717f),
        RX_PULSESHAPER_SCALE(   0.3330725738f),
        RX_PULSESHAPER_SCALE(   0.0483981666f),
        RX_PULSESHAPER_SCALE(  -0.1647332540f),
        RX_PULSESHAPER_SCALE(  -0.0117528738f),
        RX_PULSESHAPER_SCALE(  -0.0361886010f),
        RX_PULSESHAPER_SCALE(  -0.0241500864f),
        RX_PULSESHAPER_SCALE(  -0.0002626042f),
        RX_PULSESHAPER_SCALE(  -0.0109549479f),
        RX_PULSESHAPER_SCALE(   0.0006965798f),
        RX_PULSESHAPER_SCALE(  -0.0053316189f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041861153f),
        RX_PULSESHAPER_SCALE(  -0.0008247639f),
        RX_PULSESHAPER_SCALE(  -0.0015300007f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022177622f),     /* Filter 33 */
        RX_PULSESHAPER_SCALE(   0.0001437650f),
        RX_PULSESHAPER_SCALE(  -0.0038938405f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035178226f),
        RX_PULSESHAPER_SCALE(  -0.0012980821f),
        RX_PULSESHAPER_SCALE(  -0.0058550648f),
        RX_PULSESHAPER_SCALE(  -0.0068766887f),
        RX_PULSESHAPER_SCALE(  -0.0071627185f),
        RX_PULSESHAPER_SCALE(  -0.0354119815f),
        RX_PULSESHAPER_SCALE(   0.0143354873f),
        RX_PULSESHAPER_SCALE(  -0.0667206525f),
        RX_PULSESHAPER_SCALE(   0.0354167272f),
        RX_PULSESHAPER_SCALE(   0.3333235186f),
        RX_PULSESHAPER_SCALE(   0.0483225878f),
        RX_PULSESHAPER_SCALE(  -0.1639351659f),
        RX_PULSESHAPER_SCALE(  -0.0114754342f),
        RX_PULSESHAPER_SCALE(  -0.0362863651f),
        RX_PULSESHAPER_SCALE(  -0.0240261336f),
        RX_PULSESHAPER_SCALE(  -0.0003453986f),
        RX_PULSESHAPER_SCALE(  -0.0109420357f),
        RX_PULSESHAPER_SCALE(   0.0006764225f),
        RX_PULSESHAPER_SCALE(  -0.0053374197f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041976923f),
        RX_PULSESHAPER_SCALE(  -0.0008175825f),
        RX_PULSESHAPER_SCALE(  -0.0015436140f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022205322f),     /* Filter 34 */
        RX_PULSESHAPER_SCALE(   0.0001367639f),
        RX_PULSESHAPER_SCALE(  -0.0039086511f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035480470f),
        RX_PULSESHAPER_SCALE(  -0.0012885075f),
        RX_PULSESHAPER_SCALE(  -0.0059128092f),
        RX_PULSESHAPER_SCALE(  -0.0068562248f),
        RX_PULSESHAPER_SCALE(  -0.0072907619f),
        RX_PULSESHAPER_SCALE(  -0.0355035523f),
        RX_PULSESHAPER_SCALE(   0.0142051712f),
        RX_PULSESHAPER_SCALE(  -0.0674279323f),
        RX_PULSESHAPER_SCALE(   0.0355394652f),
        RX_PULSESHAPER_SCALE(   0.3335706351f),
        RX_PULSESHAPER_SCALE(   0.0482464997f),
        RX_PULSESHAPER_SCALE(  -0.1631368455f),
        RX_PULSESHAPER_SCALE(  -0.0111990437f),
        RX_PULSESHAPER_SCALE(  -0.0363822251f),
        RX_PULSESHAPER_SCALE(  -0.0239017537f),
        RX_PULSESHAPER_SCALE(  -0.0004277515f),
        RX_PULSESHAPER_SCALE(  -0.0109285469f),
        RX_PULSESHAPER_SCALE(   0.0006563009f),
        RX_PULSESHAPER_SCALE(  -0.0053428530f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042090416f),
        RX_PULSESHAPER_SCALE(  -0.0008103762f),
        RX_PULSESHAPER_SCALE(  -0.0015571066f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022231816f),     /* Filter 35 */
        RX_PULSESHAPER_SCALE(   0.0001297374f),
        RX_PULSESHAPER_SCALE(  -0.0039232975f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035780974f),
        RX_PULSESHAPER_SCALE(  -0.0012788176f),
        RX_PULSESHAPER_SCALE(  -0.0059704308f),
        RX_PULSESHAPER_SCALE(  -0.0068352745f),
        RX_PULSESHAPER_SCALE(  -0.0074191125f),
        RX_PULSESHAPER_SCALE(  -0.0355940871f),
        RX_PULSESHAPER_SCALE(   0.0140736584f),
        RX_PULSESHAPER_SCALE(  -0.0681367839f),
        RX_PULSESHAPER_SCALE(   0.0356619829f),
        RX_PULSESHAPER_SCALE(   0.3338139174f),
        RX_PULSESHAPER_SCALE(   0.0481699042f),
        RX_PULSESHAPER_SCALE(  -0.1623383090f),
        RX_PULSESHAPER_SCALE(  -0.0109237056f),
        RX_PULSESHAPER_SCALE(  -0.0364761860f),
        RX_PULSESHAPER_SCALE(  -0.0237769539f),
        RX_PULSESHAPER_SCALE(  -0.0005096609f),
        RX_PULSESHAPER_SCALE(  -0.0109144844f),
        RX_PULSESHAPER_SCALE(   0.0006362160f),
        RX_PULSESHAPER_SCALE(  -0.0053479194f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042201630f),
        RX_PULSESHAPER_SCALE(  -0.0008031455f),
        RX_PULSESHAPER_SCALE(  -0.0015704780f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022257101f),     /* Filter 36 */
        RX_PULSESHAPER_SCALE(   0.0001226857f),
        RX_PULSESHAPER_SCALE(  -0.0039377788f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036079717f),
        RX_PULSESHAPER_SCALE(  -0.0012690125f),
        RX_PULSESHAPER_SCALE(  -0.0060279259f),
        RX_PULSESHAPER_SCALE(  -0.0068138368f),
        RX_PULSESHAPER_SCALE(  -0.0075477659f),
        RX_PULSESHAPER_SCALE(  -0.0356835779f),
        RX_PULSESHAPER_SCALE(   0.0139409480f),
        RX_PULSESHAPER_SCALE(  -0.0688471959f),
        RX_PULSESHAPER_SCALE(   0.0357842777f),
        RX_PULSESHAPER_SCALE(   0.3340533598f),
        RX_PULSESHAPER_SCALE(   0.0480928029f),
        RX_PULSESHAPER_SCALE(  -0.1615395729f),
        RX_PULSESHAPER_SCALE(  -0.0106494233f),
        RX_PULSESHAPER_SCALE(  -0.0365682528f),
        RX_PULSESHAPER_SCALE(  -0.0236517409f),
        RX_PULSESHAPER_SCALE(  -0.0005911250f),
        RX_PULSESHAPER_SCALE(  -0.0108998515f),
        RX_PULSESHAPER_SCALE(   0.0006161688f),
        RX_PULSESHAPER_SCALE(  -0.0053526196f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042310564f),
        RX_PULSESHAPER_SCALE(  -0.0007958908f),
        RX_PULSESHAPER_SCALE(  -0.0015837279f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022281172f),     /* Filter 37 */
        RX_PULSESHAPER_SCALE(   0.0001156093f),
        RX_PULSESHAPER_SCALE(  -0.0039520938f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036376678f),
        RX_PULSESHAPER_SCALE(  -0.0012590927f),
        RX_PULSESHAPER_SCALE(  -0.0060852909f),
        RX_PULSESHAPER_SCALE(  -0.0067919106f),
        RX_PULSESHAPER_SCALE(  -0.0076767177f),
        RX_PULSESHAPER_SCALE(  -0.0357720165f),
        RX_PULSESHAPER_SCALE(   0.0138070390f),
        RX_PULSESHAPER_SCALE(  -0.0695591566f),
        RX_PULSESHAPER_SCALE(   0.0359063468f),
        RX_PULSESHAPER_SCALE(   0.3342889566f),
        RX_PULSESHAPER_SCALE(   0.0480151977f),
        RX_PULSESHAPER_SCALE(  -0.1607406536f),
        RX_PULSESHAPER_SCALE(  -0.0103762000f),
        RX_PULSESHAPER_SCALE(  -0.0366584307f),
        RX_PULSESHAPER_SCALE(  -0.0235261219f),
        RX_PULSESHAPER_SCALE(  -0.0006721419f),
        RX_PULSESHAPER_SCALE(  -0.0108846512f),
        RX_PULSESHAPER_SCALE(   0.0005961605f),
        RX_PULSESHAPER_SCALE(  -0.0053569544f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042417215f),
        RX_PULSESHAPER_SCALE(  -0.0007886125f),
        RX_PULSESHAPER_SCALE(  -0.0015968558f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022304025f),     /* Filter 38 */
        RX_PULSESHAPER_SCALE(   0.0001085084f),
        RX_PULSESHAPER_SCALE(  -0.0039662415f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036671835f),
        RX_PULSESHAPER_SCALE(  -0.0012490582f),
        RX_PULSESHAPER_SCALE(  -0.0061425221f),
        RX_PULSESHAPER_SCALE(  -0.0067694951f),
        RX_PULSESHAPER_SCALE(  -0.0078059635f),
        RX_PULSESHAPER_SCALE(  -0.0358593948f),
        RX_PULSESHAPER_SCALE(   0.0136719306f),
        RX_PULSESHAPER_SCALE(  -0.0702726545f),
        RX_PULSESHAPER_SCALE(   0.0360281877f),
        RX_PULSESHAPER_SCALE(   0.3345207023f),
        RX_PULSESHAPER_SCALE(   0.0479370904f),
        RX_PULSESHAPER_SCALE(  -0.1599415673f),
        RX_PULSESHAPER_SCALE(  -0.0101040389f),
        RX_PULSESHAPER_SCALE(  -0.0367467248f),
        RX_PULSESHAPER_SCALE(  -0.0234001037f),
        RX_PULSESHAPER_SCALE(  -0.0007527098f),
        RX_PULSESHAPER_SCALE(  -0.0108688867f),
        RX_PULSESHAPER_SCALE(   0.0005761919f),
        RX_PULSESHAPER_SCALE(  -0.0053609244f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042521582f),
        RX_PULSESHAPER_SCALE(  -0.0007813111f),
        RX_PULSESHAPER_SCALE(  -0.0016098612f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022325656f),     /* Filter 39 */
        RX_PULSESHAPER_SCALE(   0.0001013834f),
        RX_PULSESHAPER_SCALE(  -0.0039802209f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036965167f),
        RX_PULSESHAPER_SCALE(  -0.0012389093f),
        RX_PULSESHAPER_SCALE(  -0.0061996156f),
        RX_PULSESHAPER_SCALE(  -0.0067465891f),
        RX_PULSESHAPER_SCALE(  -0.0079354987f),
        RX_PULSESHAPER_SCALE(  -0.0359457046f),
        RX_PULSESHAPER_SCALE(   0.0135356220f),
        RX_PULSESHAPER_SCALE(  -0.0709876777f),
        RX_PULSESHAPER_SCALE(   0.0361497976f),
        RX_PULSESHAPER_SCALE(   0.3347485914f),
        RX_PULSESHAPER_SCALE(   0.0478584828f),
        RX_PULSESHAPER_SCALE(  -0.1591423304f),
        RX_PULSESHAPER_SCALE(  -0.0098329433f),
        RX_PULSESHAPER_SCALE(  -0.0368331404f),
        RX_PULSESHAPER_SCALE(  -0.0232736933f),
        RX_PULSESHAPER_SCALE(  -0.0008328269f),
        RX_PULSESHAPER_SCALE(  -0.0108525611f),
        RX_PULSESHAPER_SCALE(   0.0005562640f),
        RX_PULSESHAPER_SCALE(  -0.0053645305f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042623664f),
        RX_PULSESHAPER_SCALE(  -0.0007739869f),
        RX_PULSESHAPER_SCALE(  -0.0016227437f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022346062f),     /* Filter 40 */
        RX_PULSESHAPER_SCALE(   0.0000942346f),
        RX_PULSESHAPER_SCALE(  -0.0039940308f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037256654f),
        RX_PULSESHAPER_SCALE(  -0.0012286462f),
        RX_PULSESHAPER_SCALE(  -0.0062565678f),
        RX_PULSESHAPER_SCALE(  -0.0067231918f),
        RX_PULSESHAPER_SCALE(  -0.0080653190f),
        RX_PULSESHAPER_SCALE(  -0.0360309379f),
        RX_PULSESHAPER_SCALE(   0.0133981124f),
        RX_PULSESHAPER_SCALE(  -0.0717042144f),
        RX_PULSESHAPER_SCALE(   0.0362711740f),
        RX_PULSESHAPER_SCALE(   0.3349726184f),
        RX_PULSESHAPER_SCALE(   0.0477793767f),
        RX_PULSESHAPER_SCALE(  -0.1583429593f),
        RX_PULSESHAPER_SCALE(  -0.0095629163f),
        RX_PULSESHAPER_SCALE(  -0.0369176826f),
        RX_PULSESHAPER_SCALE(  -0.0231468977f),
        RX_PULSESHAPER_SCALE(  -0.0009124914f),
        RX_PULSESHAPER_SCALE(  -0.0108356777f),
        RX_PULSESHAPER_SCALE(   0.0005363780f),
        RX_PULSESHAPER_SCALE(  -0.0053677735f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042723459f),
        RX_PULSESHAPER_SCALE(  -0.0007666405f),
        RX_PULSESHAPER_SCALE(  -0.0016355029f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022365237f),     /* Filter 41 */
        RX_PULSESHAPER_SCALE(   0.0000870624f),
        RX_PULSESHAPER_SCALE(  -0.0040076702f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037546273f),
        RX_PULSESHAPER_SCALE(  -0.0012182693f),
        RX_PULSESHAPER_SCALE(  -0.0063133751f),
        RX_PULSESHAPER_SCALE(  -0.0066993023f),
        RX_PULSESHAPER_SCALE(  -0.0081954197f),
        RX_PULSESHAPER_SCALE(  -0.0361150865f),
        RX_PULSESHAPER_SCALE(   0.0132594010f),
        RX_PULSESHAPER_SCALE(  -0.0724222529f),
        RX_PULSESHAPER_SCALE(   0.0363923140f),
        RX_PULSESHAPER_SCALE(   0.3351927782f),
        RX_PULSESHAPER_SCALE(   0.0476997739f),
        RX_PULSESHAPER_SCALE(  -0.1575434700f),
        RX_PULSESHAPER_SCALE(  -0.0092939611f),
        RX_PULSESHAPER_SCALE(  -0.0370003566f),
        RX_PULSESHAPER_SCALE(  -0.0230197236f),
        RX_PULSESHAPER_SCALE(  -0.0009917016f),
        RX_PULSESHAPER_SCALE(  -0.0108182396f),
        RX_PULSESHAPER_SCALE(   0.0005165347f),
        RX_PULSESHAPER_SCALE(  -0.0053706540f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042820965f),
        RX_PULSESHAPER_SCALE(  -0.0007592722f),
        RX_PULSESHAPER_SCALE(  -0.0016481383f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022383178f),     /* Filter 42 */
        RX_PULSESHAPER_SCALE(   0.0000798670f),
        RX_PULSESHAPER_SCALE(  -0.0040211381f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037834005f),
        RX_PULSESHAPER_SCALE(  -0.0012077787f),
        RX_PULSESHAPER_SCALE(  -0.0063700335f),
        RX_PULSESHAPER_SCALE(  -0.0066749196f),
        RX_PULSESHAPER_SCALE(  -0.0083257964f),
        RX_PULSESHAPER_SCALE(  -0.0361981423f),
        RX_PULSESHAPER_SCALE(   0.0131194871f),
        RX_PULSESHAPER_SCALE(  -0.0731417813f),
        RX_PULSESHAPER_SCALE(   0.0365132151f),
        RX_PULSESHAPER_SCALE(   0.3354090654f),
        RX_PULSESHAPER_SCALE(   0.0476196764f),
        RX_PULSESHAPER_SCALE(  -0.1567438791f),
        RX_PULSESHAPER_SCALE(  -0.0090260808f),
        RX_PULSESHAPER_SCALE(  -0.0370811680f),
        RX_PULSESHAPER_SCALE(  -0.0228921780f),
        RX_PULSESHAPER_SCALE(  -0.0010704558f),
        RX_PULSESHAPER_SCALE(  -0.0108002501f),
        RX_PULSESHAPER_SCALE(   0.0004967351f),
        RX_PULSESHAPER_SCALE(  -0.0053731730f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042916183f),
        RX_PULSESHAPER_SCALE(  -0.0007518825f),
        RX_PULSESHAPER_SCALE(  -0.0016606496f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022399882f),     /* Filter 43 */
        RX_PULSESHAPER_SCALE(   0.0000726488f),
        RX_PULSESHAPER_SCALE(  -0.0040344333f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038119828f),
        RX_PULSESHAPER_SCALE(  -0.0011971748f),
        RX_PULSESHAPER_SCALE(  -0.0064265395f),
        RX_PULSESHAPER_SCALE(  -0.0066500428f),
        RX_PULSESHAPER_SCALE(  -0.0084564445f),
        RX_PULSESHAPER_SCALE(  -0.0362800972f),
        RX_PULSESHAPER_SCALE(   0.0129783700f),
        RX_PULSESHAPER_SCALE(  -0.0738627876f),
        RX_PULSESHAPER_SCALE(   0.0366338746f),
        RX_PULSESHAPER_SCALE(   0.3356214750f),
        RX_PULSESHAPER_SCALE(   0.0475390860f),
        RX_PULSESHAPER_SCALE(  -0.1559442027f),
        RX_PULSESHAPER_SCALE(  -0.0087592783f),
        RX_PULSESHAPER_SCALE(  -0.0371601218f),
        RX_PULSESHAPER_SCALE(  -0.0227642679f),
        RX_PULSESHAPER_SCALE(  -0.0011487523f),
        RX_PULSESHAPER_SCALE(  -0.0107817124f),
        RX_PULSESHAPER_SCALE(   0.0004769803f),
        RX_PULSESHAPER_SCALE(  -0.0053753312f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043009111f),
        RX_PULSESHAPER_SCALE(  -0.0007444718f),
        RX_PULSESHAPER_SCALE(  -0.0016730363f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022415343f),     /* Filter 44 */
        RX_PULSESHAPER_SCALE(   0.0000654082f),
        RX_PULSESHAPER_SCALE(  -0.0040475550f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038403722f),
        RX_PULSESHAPER_SCALE(  -0.0011864578f),
        RX_PULSESHAPER_SCALE(  -0.0064828893f),
        RX_PULSESHAPER_SCALE(  -0.0066246711f),
        RX_PULSESHAPER_SCALE(  -0.0085873593f),
        RX_PULSESHAPER_SCALE(  -0.0363609433f),
        RX_PULSESHAPER_SCALE(   0.0128360490f),
        RX_PULSESHAPER_SCALE(  -0.0745852597f),
        RX_PULSESHAPER_SCALE(   0.0367542899f),
        RX_PULSESHAPER_SCALE(   0.3358300020f),
        RX_PULSESHAPER_SCALE(   0.0474580044f),
        RX_PULSESHAPER_SCALE(  -0.1551444571f),
        RX_PULSESHAPER_SCALE(  -0.0084935568f),
        RX_PULSESHAPER_SCALE(  -0.0372372237f),
        RX_PULSESHAPER_SCALE(  -0.0226360000f),
        RX_PULSESHAPER_SCALE(  -0.0012265895f),
        RX_PULSESHAPER_SCALE(  -0.0107626296f),
        RX_PULSESHAPER_SCALE(   0.0004572712f),
        RX_PULSESHAPER_SCALE(  -0.0053771295f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043099748f),
        RX_PULSESHAPER_SCALE(  -0.0007370406f),
        RX_PULSESHAPER_SCALE(  -0.0016852981f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022429559f),     /* Filter 45 */
        RX_PULSESHAPER_SCALE(   0.0000581455f),
        RX_PULSESHAPER_SCALE(  -0.0040605020f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038685664f),
        RX_PULSESHAPER_SCALE(  -0.0011756280f),
        RX_PULSESHAPER_SCALE(  -0.0065390792f),
        RX_PULSESHAPER_SCALE(  -0.0065988036f),
        RX_PULSESHAPER_SCALE(  -0.0087185362f),
        RX_PULSESHAPER_SCALE(  -0.0364406723f),
        RX_PULSESHAPER_SCALE(   0.0126925236f),
        RX_PULSESHAPER_SCALE(  -0.0753091857f),
        RX_PULSESHAPER_SCALE(   0.0368744582f),
        RX_PULSESHAPER_SCALE(   0.3360346414f),
        RX_PULSESHAPER_SCALE(   0.0473764337f),
        RX_PULSESHAPER_SCALE(  -0.1543446584f),
        RX_PULSESHAPER_SCALE(  -0.0082289193f),
        RX_PULSESHAPER_SCALE(  -0.0373124789f),
        RX_PULSESHAPER_SCALE(  -0.0225073813f),
        RX_PULSESHAPER_SCALE(  -0.0013039656f),
        RX_PULSESHAPER_SCALE(  -0.0107430052f),
        RX_PULSESHAPER_SCALE(   0.0004376087f),
        RX_PULSESHAPER_SCALE(  -0.0053785688f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043188094f),
        RX_PULSESHAPER_SCALE(  -0.0007295893f),
        RX_PULSESHAPER_SCALE(  -0.0016974345f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022442526f),     /* Filter 46 */
        RX_PULSESHAPER_SCALE(   0.0000508610f),
        RX_PULSESHAPER_SCALE(  -0.0040732733f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038965636f),
        RX_PULSESHAPER_SCALE(  -0.0011646856f),
        RX_PULSESHAPER_SCALE(  -0.0065951053f),
        RX_PULSESHAPER_SCALE(  -0.0065724395f),
        RX_PULSESHAPER_SCALE(  -0.0088499705f),
        RX_PULSESHAPER_SCALE(  -0.0365192763f),
        RX_PULSESHAPER_SCALE(   0.0125477930f),
        RX_PULSESHAPER_SCALE(  -0.0760345533f),
        RX_PULSESHAPER_SCALE(   0.0369943770f),
        RX_PULSESHAPER_SCALE(   0.3362353883f),
        RX_PULSESHAPER_SCALE(   0.0472943758f),
        RX_PULSESHAPER_SCALE(  -0.1535448229f),
        RX_PULSESHAPER_SCALE(  -0.0079653686f),
        RX_PULSESHAPER_SCALE(  -0.0373858930f),
        RX_PULSESHAPER_SCALE(  -0.0223784187f),
        RX_PULSESHAPER_SCALE(  -0.0013808792f),
        RX_PULSESHAPER_SCALE(  -0.0107228422f),
        RX_PULSESHAPER_SCALE(   0.0004179938f),
        RX_PULSESHAPER_SCALE(  -0.0053796499f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043274147f),
        RX_PULSESHAPER_SCALE(  -0.0007221183f),
        RX_PULSESHAPER_SCALE(  -0.0017094452f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022454240f),     /* Filter 47 */
        RX_PULSESHAPER_SCALE(   0.0000435550f),
        RX_PULSESHAPER_SCALE(  -0.0040858680f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039243615f),
        RX_PULSESHAPER_SCALE(  -0.0011536311f),
        RX_PULSESHAPER_SCALE(  -0.0066509640f),
        RX_PULSESHAPER_SCALE(  -0.0065455780f),
        RX_PULSESHAPER_SCALE(  -0.0089816577f),
        RX_PULSESHAPER_SCALE(  -0.0365967472f),
        RX_PULSESHAPER_SCALE(   0.0124018568f),
        RX_PULSESHAPER_SCALE(  -0.0767613505f),
        RX_PULSESHAPER_SCALE(   0.0371140437f),
        RX_PULSESHAPER_SCALE(   0.3364322381f),
        RX_PULSESHAPER_SCALE(   0.0472118324f),
        RX_PULSESHAPER_SCALE(  -0.1527449667f),
        RX_PULSESHAPER_SCALE(  -0.0077029078f),
        RX_PULSESHAPER_SCALE(  -0.0374574715f),
        RX_PULSESHAPER_SCALE(  -0.0222491188f),
        RX_PULSESHAPER_SCALE(  -0.0014573285f),
        RX_PULSESHAPER_SCALE(  -0.0107021441f),
        RX_PULSESHAPER_SCALE(   0.0003984276f),
        RX_PULSESHAPER_SCALE(  -0.0053803737f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043357908f),
        RX_PULSESHAPER_SCALE(  -0.0007146280f),
        RX_PULSESHAPER_SCALE(  -0.0017213299f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022464698f),     /* Filter 48 */
        RX_PULSESHAPER_SCALE(   0.0000362280f),
        RX_PULSESHAPER_SCALE(  -0.0040982850f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039519582f),
        RX_PULSESHAPER_SCALE(  -0.0011424646f),
        RX_PULSESHAPER_SCALE(  -0.0067066515f),
        RX_PULSESHAPER_SCALE(  -0.0065182182f),
        RX_PULSESHAPER_SCALE(  -0.0091135929f),
        RX_PULSESHAPER_SCALE(  -0.0366730770f),
        RX_PULSESHAPER_SCALE(   0.0122547144f),
        RX_PULSESHAPER_SCALE(  -0.0774895649f),
        RX_PULSESHAPER_SCALE(   0.0372334555f),
        RX_PULSESHAPER_SCALE(   0.3366251860f),
        RX_PULSESHAPER_SCALE(   0.0471288056f),
        RX_PULSESHAPER_SCALE(  -0.1519451061f),
        RX_PULSESHAPER_SCALE(  -0.0074415397f),
        RX_PULSESHAPER_SCALE(  -0.0375272199f),
        RX_PULSESHAPER_SCALE(  -0.0221194886f),
        RX_PULSESHAPER_SCALE(  -0.0015333121f),
        RX_PULSESHAPER_SCALE(  -0.0106809141f),
        RX_PULSESHAPER_SCALE(   0.0003789108f),
        RX_PULSESHAPER_SCALE(  -0.0053807412f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043439376f),
        RX_PULSESHAPER_SCALE(  -0.0007071189f),
        RX_PULSESHAPER_SCALE(  -0.0017330880f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022473896f),     /* Filter 49 */
        RX_PULSESHAPER_SCALE(   0.0000288803f),
        RX_PULSESHAPER_SCALE(  -0.0041105233f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039793516f),
        RX_PULSESHAPER_SCALE(  -0.0011311864f),
        RX_PULSESHAPER_SCALE(  -0.0067621640f),
        RX_PULSESHAPER_SCALE(  -0.0064903595f),
        RX_PULSESHAPER_SCALE(  -0.0092457713f),
        RX_PULSESHAPER_SCALE(  -0.0367482576f),
        RX_PULSESHAPER_SCALE(   0.0121063653f),
        RX_PULSESHAPER_SCALE(  -0.0782191843f),
        RX_PULSESHAPER_SCALE(   0.0373526098f),
        RX_PULSESHAPER_SCALE(   0.3368142276f),
        RX_PULSESHAPER_SCALE(   0.0470452972f),
        RX_PULSESHAPER_SCALE(  -0.1511452571f),
        RX_PULSESHAPER_SCALE(  -0.0071812672f),
        RX_PULSESHAPER_SCALE(  -0.0375951438f),
        RX_PULSESHAPER_SCALE(  -0.0219895349f),
        RX_PULSESHAPER_SCALE(  -0.0016088285f),
        RX_PULSESHAPER_SCALE(  -0.0106591556f),
        RX_PULSESHAPER_SCALE(   0.0003594446f),
        RX_PULSESHAPER_SCALE(  -0.0053807532f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043518551f),
        RX_PULSESHAPER_SCALE(  -0.0006995915f),
        RX_PULSESHAPER_SCALE(  -0.0017447194f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022481830f),     /* Filter 50 */
        RX_PULSESHAPER_SCALE(   0.0000215121f),
        RX_PULSESHAPER_SCALE(  -0.0041225820f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040065395f),
        RX_PULSESHAPER_SCALE(  -0.0011197970f),
        RX_PULSESHAPER_SCALE(  -0.0068174978f),
        RX_PULSESHAPER_SCALE(  -0.0064620010f),
        RX_PULSESHAPER_SCALE(  -0.0093781883f),
        RX_PULSESHAPER_SCALE(  -0.0368222811f),
        RX_PULSESHAPER_SCALE(   0.0119568090f),
        RX_PULSESHAPER_SCALE(  -0.0789501962f),
        RX_PULSESHAPER_SCALE(   0.0374715040f),
        RX_PULSESHAPER_SCALE(   0.3369993582f),
        RX_PULSESHAPER_SCALE(   0.0469613092f),
        RX_PULSESHAPER_SCALE(  -0.1503454360f),
        RX_PULSESHAPER_SCALE(  -0.0069220931f),
        RX_PULSESHAPER_SCALE(  -0.0376612488f),
        RX_PULSESHAPER_SCALE(  -0.0218592646f),
        RX_PULSESHAPER_SCALE(  -0.0016838760f),
        RX_PULSESHAPER_SCALE(  -0.0106368718f),
        RX_PULSESHAPER_SCALE(   0.0003400297f),
        RX_PULSESHAPER_SCALE(  -0.0053804107f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043595433f),
        RX_PULSESHAPER_SCALE(  -0.0006920461f),
        RX_PULSESHAPER_SCALE(  -0.0017562235f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022488498f),     /* Filter 51 */
        RX_PULSESHAPER_SCALE(   0.0000141239f),
        RX_PULSESHAPER_SCALE(  -0.0041344600f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040335200f),
        RX_PULSESHAPER_SCALE(  -0.0011082966f),
        RX_PULSESHAPER_SCALE(  -0.0068726491f),
        RX_PULSESHAPER_SCALE(  -0.0064331420f),
        RX_PULSESHAPER_SCALE(  -0.0095108390f),
        RX_PULSESHAPER_SCALE(  -0.0368951394f),
        RX_PULSESHAPER_SCALE(   0.0118060451f),
        RX_PULSESHAPER_SCALE(  -0.0796825884f),
        RX_PULSESHAPER_SCALE(   0.0375901356f),
        RX_PULSESHAPER_SCALE(   0.3371805737f),
        RX_PULSESHAPER_SCALE(   0.0468768435f),
        RX_PULSESHAPER_SCALE(  -0.1495456586f),
        RX_PULSESHAPER_SCALE(  -0.0066640202f),
        RX_PULSESHAPER_SCALE(  -0.0377255407f),
        RX_PULSESHAPER_SCALE(  -0.0217286843f),
        RX_PULSESHAPER_SCALE(  -0.0017584533f),
        RX_PULSESHAPER_SCALE(  -0.0106140661f),
        RX_PULSESHAPER_SCALE(   0.0003206673f),
        RX_PULSESHAPER_SCALE(  -0.0053797147f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043670021f),
        RX_PULSESHAPER_SCALE(  -0.0006844832f),
        RX_PULSESHAPER_SCALE(  -0.0017676002f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022493895f),     /* Filter 52 */
        RX_PULSESHAPER_SCALE(   0.0000067161f),
        RX_PULSESHAPER_SCALE(  -0.0041461564f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040602911f),
        RX_PULSESHAPER_SCALE(  -0.0010966855f),
        RX_PULSESHAPER_SCALE(  -0.0069276141f),
        RX_PULSESHAPER_SCALE(  -0.0064037818f),
        RX_PULSESHAPER_SCALE(  -0.0096437186f),
        RX_PULSESHAPER_SCALE(  -0.0369668245f),
        RX_PULSESHAPER_SCALE(   0.0116540732f),
        RX_PULSESHAPER_SCALE(  -0.0804163483f),
        RX_PULSESHAPER_SCALE(   0.0377085017f),
        RX_PULSESHAPER_SCALE(   0.3373578695f),
        RX_PULSESHAPER_SCALE(   0.0467919021f),
        RX_PULSESHAPER_SCALE(  -0.1487459413f),
        RX_PULSESHAPER_SCALE(  -0.0064070512f),
        RX_PULSESHAPER_SCALE(  -0.0377880251f),
        RX_PULSESHAPER_SCALE(  -0.0215978008f),
        RX_PULSESHAPER_SCALE(  -0.0018325589f),
        RX_PULSESHAPER_SCALE(  -0.0105907419f),
        RX_PULSESHAPER_SCALE(   0.0003013580f),
        RX_PULSESHAPER_SCALE(  -0.0053786662f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043742317f),
        RX_PULSESHAPER_SCALE(  -0.0006769033f),
        RX_PULSESHAPER_SCALE(  -0.0017788490f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022498020f),     /* Filter 53 */
        RX_PULSESHAPER_SCALE(  -0.0000007111f),
        RX_PULSESHAPER_SCALE(  -0.0041576702f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040868506f),
        RX_PULSESHAPER_SCALE(  -0.0010849642f),
        RX_PULSESHAPER_SCALE(  -0.0069823891f),
        RX_PULSESHAPER_SCALE(  -0.0063739198f),
        RX_PULSESHAPER_SCALE(  -0.0097768222f),
        RX_PULSESHAPER_SCALE(  -0.0370373284f),
        RX_PULSESHAPER_SCALE(   0.0115008930f),
        RX_PULSESHAPER_SCALE(  -0.0811514635f),
        RX_PULSESHAPER_SCALE(   0.0378265999f),
        RX_PULSESHAPER_SCALE(   0.3375312416f),
        RX_PULSESHAPER_SCALE(   0.0467064870f),
        RX_PULSESHAPER_SCALE(  -0.1479463000f),
        RX_PULSESHAPER_SCALE(  -0.0061511889f),
        RX_PULSESHAPER_SCALE(  -0.0378487077f),
        RX_PULSESHAPER_SCALE(  -0.0214666210f),
        RX_PULSESHAPER_SCALE(  -0.0019061913f),
        RX_PULSESHAPER_SCALE(  -0.0105669025f),
        RX_PULSESHAPER_SCALE(   0.0002821030f),
        RX_PULSESHAPER_SCALE(  -0.0053772661f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043812320f),
        RX_PULSESHAPER_SCALE(  -0.0006693067f),
        RX_PULSESHAPER_SCALE(  -0.0017899697f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022500867f),     /* Filter 54 */
        RX_PULSESHAPER_SCALE(  -0.0000081572f),
        RX_PULSESHAPER_SCALE(  -0.0041690005f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041131966f),
        RX_PULSESHAPER_SCALE(  -0.0010731328f),
        RX_PULSESHAPER_SCALE(  -0.0070369703f),
        RX_PULSESHAPER_SCALE(  -0.0063435552f),
        RX_PULSESHAPER_SCALE(  -0.0099101450f),
        RX_PULSESHAPER_SCALE(  -0.0371066433f),
        RX_PULSESHAPER_SCALE(   0.0113465040f),
        RX_PULSESHAPER_SCALE(  -0.0818879212f),
        RX_PULSESHAPER_SCALE(   0.0379444276f),
        RX_PULSESHAPER_SCALE(   0.3377006859f),
        RX_PULSESHAPER_SCALE(   0.0466206001f),
        RX_PULSESHAPER_SCALE(  -0.1471467507f),
        RX_PULSESHAPER_SCALE(  -0.0058964359f),
        RX_PULSESHAPER_SCALE(  -0.0379075943f),
        RX_PULSESHAPER_SCALE(  -0.0213351515f),
        RX_PULSESHAPER_SCALE(  -0.0019793492f),
        RX_PULSESHAPER_SCALE(  -0.0105425512f),
        RX_PULSESHAPER_SCALE(   0.0002629032f),
        RX_PULSESHAPER_SCALE(  -0.0053755154f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043880031f),
        RX_PULSESHAPER_SCALE(  -0.0006616939f),
        RX_PULSESHAPER_SCALE(  -0.0018009619f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022502435f),     /* Filter 55 */
        RX_PULSESHAPER_SCALE(  -0.0000156220f),
        RX_PULSESHAPER_SCALE(  -0.0041801464f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041393271f),
        RX_PULSESHAPER_SCALE(  -0.0010611918f),
        RX_PULSESHAPER_SCALE(  -0.0070913538f),
        RX_PULSESHAPER_SCALE(  -0.0063126874f),
        RX_PULSESHAPER_SCALE(  -0.0100436820f),
        RX_PULSESHAPER_SCALE(  -0.0371747610f),
        RX_PULSESHAPER_SCALE(   0.0111909059f),
        RX_PULSESHAPER_SCALE(  -0.0826257090f),
        RX_PULSESHAPER_SCALE(   0.0380619820f),
        RX_PULSESHAPER_SCALE(   0.3378661983f),
        RX_PULSESHAPER_SCALE(   0.0465342434f),
        RX_PULSESHAPER_SCALE(  -0.1463473095f),
        RX_PULSESHAPER_SCALE(  -0.0056427949f),
        RX_PULSESHAPER_SCALE(  -0.0379646908f),
        RX_PULSESHAPER_SCALE(  -0.0212033992f),
        RX_PULSESHAPER_SCALE(  -0.0020520312f),
        RX_PULSESHAPER_SCALE(  -0.0105176916f),
        RX_PULSESHAPER_SCALE(   0.0002437593f),
        RX_PULSESHAPER_SCALE(  -0.0053734153f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043945450f),
        RX_PULSESHAPER_SCALE(  -0.0006540653f),
        RX_PULSESHAPER_SCALE(  -0.0018118253f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022502720f),     /* Filter 56 */
        RX_PULSESHAPER_SCALE(  -0.0000231050f),
        RX_PULSESHAPER_SCALE(  -0.0041911068f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041652399f),
        RX_PULSESHAPER_SCALE(  -0.0010491416f),
        RX_PULSESHAPER_SCALE(  -0.0071455360f),
        RX_PULSESHAPER_SCALE(  -0.0062813158f),
        RX_PULSESHAPER_SCALE(  -0.0101774283f),
        RX_PULSESHAPER_SCALE(  -0.0372416738f),
        RX_PULSESHAPER_SCALE(   0.0110340986f),
        RX_PULSESHAPER_SCALE(  -0.0833648141f),
        RX_PULSESHAPER_SCALE(   0.0381792607f),
        RX_PULSESHAPER_SCALE(   0.3380277750f),
        RX_PULSESHAPER_SCALE(   0.0464474190f),
        RX_PULSESHAPER_SCALE(  -0.1455479923f),
        RX_PULSESHAPER_SCALE(  -0.0053902684f),
        RX_PULSESHAPER_SCALE(  -0.0380200030f),
        RX_PULSESHAPER_SCALE(  -0.0210713707f),
        RX_PULSESHAPER_SCALE(  -0.0021242359f),
        RX_PULSESHAPER_SCALE(  -0.0104923270f),
        RX_PULSESHAPER_SCALE(   0.0002246724f),
        RX_PULSESHAPER_SCALE(  -0.0053709667f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044008579f),
        RX_PULSESHAPER_SCALE(  -0.0006464215f),
        RX_PULSESHAPER_SCALE(  -0.0018225596f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022501720f),     /* Filter 57 */
        RX_PULSESHAPER_SCALE(  -0.0000306060f),
        RX_PULSESHAPER_SCALE(  -0.0042018809f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041909332f),
        RX_PULSESHAPER_SCALE(  -0.0010369824f),
        RX_PULSESHAPER_SCALE(  -0.0071995130f),
        RX_PULSESHAPER_SCALE(  -0.0062494397f),
        RX_PULSESHAPER_SCALE(  -0.0103113789f),
        RX_PULSESHAPER_SCALE(  -0.0373073736f),
        RX_PULSESHAPER_SCALE(   0.0108760818f),
        RX_PULSESHAPER_SCALE(  -0.0841052238f),
        RX_PULSESHAPER_SCALE(   0.0382962609f),
        RX_PULSESHAPER_SCALE(   0.3381854120f),
        RX_PULSESHAPER_SCALE(   0.0463601287f),
        RX_PULSESHAPER_SCALE(  -0.1447488151f),
        RX_PULSESHAPER_SCALE(  -0.0051388592f),
        RX_PULSESHAPER_SCALE(  -0.0380735368f),
        RX_PULSESHAPER_SCALE(  -0.0209390727f),
        RX_PULSESHAPER_SCALE(  -0.0021959621f),
        RX_PULSESHAPER_SCALE(  -0.0104664607f),
        RX_PULSESHAPER_SCALE(   0.0002056433f),
        RX_PULSESHAPER_SCALE(  -0.0053681706f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044069417f),
        RX_PULSESHAPER_SCALE(  -0.0006387627f),
        RX_PULSESHAPER_SCALE(  -0.0018331645f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022499431f),     /* Filter 58 */
        RX_PULSESHAPER_SCALE(  -0.0000381244f),
        RX_PULSESHAPER_SCALE(  -0.0042124677f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042164049f),
        RX_PULSESHAPER_SCALE(  -0.0010247147f),
        RX_PULSESHAPER_SCALE(  -0.0072532811f),
        RX_PULSESHAPER_SCALE(  -0.0062170586f),
        RX_PULSESHAPER_SCALE(  -0.0104455288f),
        RX_PULSESHAPER_SCALE(  -0.0373718526f),
        RX_PULSESHAPER_SCALE(   0.0107168552f),
        RX_PULSESHAPER_SCALE(  -0.0848469253f),
        RX_PULSESHAPER_SCALE(   0.0384129802f),
        RX_PULSESHAPER_SCALE(   0.3383391057f),
        RX_PULSESHAPER_SCALE(   0.0462723747f),
        RX_PULSESHAPER_SCALE(  -0.1439497939f),
        RX_PULSESHAPER_SCALE(  -0.0048885696f),
        RX_PULSESHAPER_SCALE(  -0.0381252981f),
        RX_PULSESHAPER_SCALE(  -0.0208065119f),
        RX_PULSESHAPER_SCALE(  -0.0022672083f),
        RX_PULSESHAPER_SCALE(  -0.0104400964f),
        RX_PULSESHAPER_SCALE(   0.0001866729f),
        RX_PULSESHAPER_SCALE(  -0.0053650283f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044127966f),
        RX_PULSESHAPER_SCALE(  -0.0006310895f),
        RX_PULSESHAPER_SCALE(  -0.0018436397f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022495850f),     /* Filter 59 */
        RX_PULSESHAPER_SCALE(  -0.0000456600f),
        RX_PULSESHAPER_SCALE(  -0.0042228663f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042416530f),
        RX_PULSESHAPER_SCALE(  -0.0010123389f),
        RX_PULSESHAPER_SCALE(  -0.0073068364f),
        RX_PULSESHAPER_SCALE(  -0.0061841719f),
        RX_PULSESHAPER_SCALE(  -0.0105798731f),
        RX_PULSESHAPER_SCALE(  -0.0374351029f),
        RX_PULSESHAPER_SCALE(   0.0105564187f),
        RX_PULSESHAPER_SCALE(  -0.0855899057f),
        RX_PULSESHAPER_SCALE(   0.0385294158f),
        RX_PULSESHAPER_SCALE(   0.3384888524f),
        RX_PULSESHAPER_SCALE(   0.0461841589f),
        RX_PULSESHAPER_SCALE(  -0.1431509445f),
        RX_PULSESHAPER_SCALE(  -0.0046394022f),
        RX_PULSESHAPER_SCALE(  -0.0381752928f),
        RX_PULSESHAPER_SCALE(  -0.0206736950f),
        RX_PULSESHAPER_SCALE(  -0.0023379734f),
        RX_PULSESHAPER_SCALE(  -0.0104132372f),
        RX_PULSESHAPER_SCALE(   0.0001677622f),
        RX_PULSESHAPER_SCALE(  -0.0053615407f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044184226f),
        RX_PULSESHAPER_SCALE(  -0.0006234022f),
        RX_PULSESHAPER_SCALE(  -0.0018539850f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022490975f),     /* Filter 60 */
        RX_PULSESHAPER_SCALE(  -0.0000532124f),
        RX_PULSESHAPER_SCALE(  -0.0042330758f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042666755f),
        RX_PULSESHAPER_SCALE(  -0.0009998553f),
        RX_PULSESHAPER_SCALE(  -0.0073601751f),
        RX_PULSESHAPER_SCALE(  -0.0061507791f),
        RX_PULSESHAPER_SCALE(  -0.0107144066f),
        RX_PULSESHAPER_SCALE(  -0.0374971165f),
        RX_PULSESHAPER_SCALE(   0.0103947721f),
        RX_PULSESHAPER_SCALE(  -0.0863341521f),
        RX_PULSESHAPER_SCALE(   0.0386455653f),
        RX_PULSESHAPER_SCALE(   0.3386346485f),
        RX_PULSESHAPER_SCALE(   0.0460954835f),
        RX_PULSESHAPER_SCALE(  -0.1423522829f),
        RX_PULSESHAPER_SCALE(  -0.0043913596f),
        RX_PULSESHAPER_SCALE(  -0.0382235271f),
        RX_PULSESHAPER_SCALE(  -0.0205406287f),
        RX_PULSESHAPER_SCALE(  -0.0024082561f),
        RX_PULSESHAPER_SCALE(  -0.0103858869f),
        RX_PULSESHAPER_SCALE(   0.0001489119f),
        RX_PULSESHAPER_SCALE(  -0.0053577089f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044238200f),
        RX_PULSESHAPER_SCALE(  -0.0006157014f),
        RX_PULSESHAPER_SCALE(  -0.0018642000f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022484803f),     /* Filter 61 */
        RX_PULSESHAPER_SCALE(  -0.0000607812f),
        RX_PULSESHAPER_SCALE(  -0.0042430953f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042914705f),
        RX_PULSESHAPER_SCALE(  -0.0009872642f),
        RX_PULSESHAPER_SCALE(  -0.0074132935f),
        RX_PULSESHAPER_SCALE(  -0.0061168797f),
        RX_PULSESHAPER_SCALE(  -0.0108491242f),
        RX_PULSESHAPER_SCALE(  -0.0375578855f),
        RX_PULSESHAPER_SCALE(   0.0102319154f),
        RX_PULSESHAPER_SCALE(  -0.0870796517f),
        RX_PULSESHAPER_SCALE(   0.0387614260f),
        RX_PULSESHAPER_SCALE(   0.3387764907f),
        RX_PULSESHAPER_SCALE(   0.0460063503f),
        RX_PULSESHAPER_SCALE(  -0.1415538249f),
        RX_PULSESHAPER_SCALE(  -0.0041444440f),
        RX_PULSESHAPER_SCALE(  -0.0382700068f),
        RX_PULSESHAPER_SCALE(  -0.0204073196f),
        RX_PULSESHAPER_SCALE(  -0.0024780552f),
        RX_PULSESHAPER_SCALE(  -0.0103580487f),
        RX_PULSESHAPER_SCALE(   0.0001301230f),
        RX_PULSESHAPER_SCALE(  -0.0053535342f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044289888f),
        RX_PULSESHAPER_SCALE(  -0.0006079874f),
        RX_PULSESHAPER_SCALE(  -0.0018742846f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022477331f),     /* Filter 62 */
        RX_PULSESHAPER_SCALE(  -0.0000683661f),
        RX_PULSESHAPER_SCALE(  -0.0042529240f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043160360f),
        RX_PULSESHAPER_SCALE(  -0.0009745663f),
        RX_PULSESHAPER_SCALE(  -0.0074661878f),
        RX_PULSESHAPER_SCALE(  -0.0060824730f),
        RX_PULSESHAPER_SCALE(  -0.0109840210f),
        RX_PULSESHAPER_SCALE(  -0.0376174023f),
        RX_PULSESHAPER_SCALE(   0.0100678484f),
        RX_PULSESHAPER_SCALE(  -0.0878263913f),
        RX_PULSESHAPER_SCALE(   0.0388769954f),
        RX_PULSESHAPER_SCALE(   0.3389143756f),
        RX_PULSESHAPER_SCALE(   0.0459167616f),
        RX_PULSESHAPER_SCALE(  -0.1407555864f),
        RX_PULSESHAPER_SCALE(  -0.0038986580f),
        RX_PULSESHAPER_SCALE(  -0.0383147381f),
        RX_PULSESHAPER_SCALE(  -0.0202737743f),
        RX_PULSESHAPER_SCALE(  -0.0025473695f),
        RX_PULSESHAPER_SCALE(  -0.0103297262f),
        RX_PULSESHAPER_SCALE(   0.0001113964f),
        RX_PULSESHAPER_SCALE(  -0.0053490176f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044339291f),
        RX_PULSESHAPER_SCALE(  -0.0006002607f),
        RX_PULSESHAPER_SCALE(  -0.0018842384f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022468557f),     /* Filter 63 */
        RX_PULSESHAPER_SCALE(  -0.0000759667f),
        RX_PULSESHAPER_SCALE(  -0.0042625608f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043403699f),
        RX_PULSESHAPER_SCALE(  -0.0009617617f),
        RX_PULSESHAPER_SCALE(  -0.0075188541f),
        RX_PULSESHAPER_SCALE(  -0.0060475588f),
        RX_PULSESHAPER_SCALE(  -0.0111190917f),
        RX_PULSESHAPER_SCALE(  -0.0376756588f),
        RX_PULSESHAPER_SCALE(   0.0099025711f),
        RX_PULSESHAPER_SCALE(  -0.0885743580f),
        RX_PULSESHAPER_SCALE(   0.0389922709f),
        RX_PULSESHAPER_SCALE(   0.3390482998f),
        RX_PULSESHAPER_SCALE(   0.0458267193f),
        RX_PULSESHAPER_SCALE(  -0.1399575831f),
        RX_PULSESHAPER_SCALE(  -0.0036540038f),
        RX_PULSESHAPER_SCALE(  -0.0383577271f),
        RX_PULSESHAPER_SCALE(  -0.0201399994f),
        RX_PULSESHAPER_SCALE(  -0.0026161978f),
        RX_PULSESHAPER_SCALE(  -0.0103009228f),
        RX_PULSESHAPER_SCALE(   0.0000927328f),
        RX_PULSESHAPER_SCALE(  -0.0053441603f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044386412f),
        RX_PULSESHAPER_SCALE(  -0.0005925217f),
        RX_PULSESHAPER_SCALE(  -0.0018940612f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022458478f),     /* Filter 64 */
        RX_PULSESHAPER_SCALE(  -0.0000835826f),
        RX_PULSESHAPER_SCALE(  -0.0042720051f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043644705f),
        RX_PULSESHAPER_SCALE(  -0.0009488510f),
        RX_PULSESHAPER_SCALE(  -0.0075712886f),
        RX_PULSESHAPER_SCALE(  -0.0060121364f),
        RX_PULSESHAPER_SCALE(  -0.0112543312f),
        RX_PULSESHAPER_SCALE(  -0.0377326472f),
        RX_PULSESHAPER_SCALE(   0.0097360836f),
        RX_PULSESHAPER_SCALE(  -0.0893235386f),
        RX_PULSESHAPER_SCALE(   0.0391072499f),
        RX_PULSESHAPER_SCALE(   0.3391782602f),
        RX_PULSESHAPER_SCALE(   0.0457362256f),
        RX_PULSESHAPER_SCALE(  -0.1391598310f),
        RX_PULSESHAPER_SCALE(  -0.0034104838f),
        RX_PULSESHAPER_SCALE(  -0.0383989799f),
        RX_PULSESHAPER_SCALE(  -0.0200060016f),
        RX_PULSESHAPER_SCALE(  -0.0026845389f),
        RX_PULSESHAPER_SCALE(  -0.0102716421f),
        RX_PULSESHAPER_SCALE(   0.0000741333f),
        RX_PULSESHAPER_SCALE(  -0.0053389634f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044431251f),
        RX_PULSESHAPER_SCALE(  -0.0005847708f),
        RX_PULSESHAPER_SCALE(  -0.0019037527f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022447092f),     /* Filter 65 */
        RX_PULSESHAPER_SCALE(  -0.0000912135f),
        RX_PULSESHAPER_SCALE(  -0.0042812558f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043883356f),
        RX_PULSESHAPER_SCALE(  -0.0009358345f),
        RX_PULSESHAPER_SCALE(  -0.0076234877f),
        RX_PULSESHAPER_SCALE(  -0.0059762055f),
        RX_PULSESHAPER_SCALE(  -0.0113897343f),
        RX_PULSESHAPER_SCALE(  -0.0377883599f),
        RX_PULSESHAPER_SCALE(   0.0095683859f),
        RX_PULSESHAPER_SCALE(  -0.0900739200f),
        RX_PULSESHAPER_SCALE(   0.0392219298f),
        RX_PULSESHAPER_SCALE(   0.3393042538f),
        RX_PULSESHAPER_SCALE(   0.0456452824f),
        RX_PULSESHAPER_SCALE(  -0.1383623455f),
        RX_PULSESHAPER_SCALE(  -0.0031681004f),
        RX_PULSESHAPER_SCALE(  -0.0384385027f),
        RX_PULSESHAPER_SCALE(  -0.0198717875f),
        RX_PULSESHAPER_SCALE(  -0.0027523919f),
        RX_PULSESHAPER_SCALE(  -0.0102418876f),
        RX_PULSESHAPER_SCALE(   0.0000555985f),
        RX_PULSESHAPER_SCALE(  -0.0053334282f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044473811f),
        RX_PULSESHAPER_SCALE(  -0.0005770086f),
        RX_PULSESHAPER_SCALE(  -0.0019133128f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022434396f),     /* Filter 66 */
        RX_PULSESHAPER_SCALE(  -0.0000988589f),
        RX_PULSESHAPER_SCALE(  -0.0042903122f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044119634f),
        RX_PULSESHAPER_SCALE(  -0.0009227127f),
        RX_PULSESHAPER_SCALE(  -0.0076754473f),
        RX_PULSESHAPER_SCALE(  -0.0059397656f),
        RX_PULSESHAPER_SCALE(  -0.0115252958f),
        RX_PULSESHAPER_SCALE(  -0.0378427888f),
        RX_PULSESHAPER_SCALE(   0.0093994779f),
        RX_PULSESHAPER_SCALE(  -0.0908254889f),
        RX_PULSESHAPER_SCALE(   0.0393363082f),
        RX_PULSESHAPER_SCALE(   0.3394262775f),
        RX_PULSESHAPER_SCALE(   0.0455538920f),
        RX_PULSESHAPER_SCALE(  -0.1375651427f),
        RX_PULSESHAPER_SCALE(  -0.0029268557f),
        RX_PULSESHAPER_SCALE(  -0.0384763017f),
        RX_PULSESHAPER_SCALE(  -0.0197373635f),
        RX_PULSESHAPER_SCALE(  -0.0028197555f),
        RX_PULSESHAPER_SCALE(  -0.0102116628f),
        RX_PULSESHAPER_SCALE(   0.0000371294f),
        RX_PULSESHAPER_SCALE(  -0.0053275559f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044514094f),
        RX_PULSESHAPER_SCALE(  -0.0005692354f),
        RX_PULSESHAPER_SCALE(  -0.0019227412f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022420388f),     /* Filter 67 */
        RX_PULSESHAPER_SCALE(  -0.0001065185f),
        RX_PULSESHAPER_SCALE(  -0.0042991735f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044353519f),
        RX_PULSESHAPER_SCALE(  -0.0009094860f),
        RX_PULSESHAPER_SCALE(  -0.0077271638f),
        RX_PULSESHAPER_SCALE(  -0.0059028164f),
        RX_PULSESHAPER_SCALE(  -0.0116610105f),
        RX_PULSESHAPER_SCALE(  -0.0378959264f),
        RX_PULSESHAPER_SCALE(   0.0092293599f),
        RX_PULSESHAPER_SCALE(  -0.0915782321f),
        RX_PULSESHAPER_SCALE(   0.0394503824f),
        RX_PULSESHAPER_SCALE(   0.3395443285f),
        RX_PULSESHAPER_SCALE(   0.0454620564f),
        RX_PULSESHAPER_SCALE(  -0.1367682381f),
        RX_PULSESHAPER_SCALE(  -0.0026867520f),
        RX_PULSESHAPER_SCALE(  -0.0385123832f),
        RX_PULSESHAPER_SCALE(  -0.0196027363f),
        RX_PULSESHAPER_SCALE(  -0.0028866287f),
        RX_PULSESHAPER_SCALE(  -0.0101809711f),
        RX_PULSESHAPER_SCALE(   0.0000187267f),
        RX_PULSESHAPER_SCALE(  -0.0053213476f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044552101f),
        RX_PULSESHAPER_SCALE(  -0.0005614516f),
        RX_PULSESHAPER_SCALE(  -0.0019320376f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022405065f),     /* Filter 68 */
        RX_PULSESHAPER_SCALE(  -0.0001141919f),
        RX_PULSESHAPER_SCALE(  -0.0043078386f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044584992f),
        RX_PULSESHAPER_SCALE(  -0.0008961548f),
        RX_PULSESHAPER_SCALE(  -0.0077786333f),
        RX_PULSESHAPER_SCALE(  -0.0058653575f),
        RX_PULSESHAPER_SCALE(  -0.0117968732f),
        RX_PULSESHAPER_SCALE(  -0.0379477647f),
        RX_PULSESHAPER_SCALE(   0.0090580319f),
        RX_PULSESHAPER_SCALE(  -0.0923321362f),
        RX_PULSESHAPER_SCALE(   0.0395641498f),
        RX_PULSESHAPER_SCALE(   0.3396584039f),
        RX_PULSESHAPER_SCALE(   0.0453697778f),
        RX_PULSESHAPER_SCALE(  -0.1359716474f),
        RX_PULSESHAPER_SCALE(  -0.0024477914f),
        RX_PULSESHAPER_SCALE(  -0.0385467534f),
        RX_PULSESHAPER_SCALE(  -0.0194679123f),
        RX_PULSESHAPER_SCALE(  -0.0029530104f),
        RX_PULSESHAPER_SCALE(  -0.0101498163f),
        RX_PULSESHAPER_SCALE(   0.0000003915f),
        RX_PULSESHAPER_SCALE(  -0.0053148046f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044587834f),
        RX_PULSESHAPER_SCALE(  -0.0005536577f),
        RX_PULSESHAPER_SCALE(  -0.0019412019f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022388427f),     /* Filter 69 */
        RX_PULSESHAPER_SCALE(  -0.0001218787f),
        RX_PULSESHAPER_SCALE(  -0.0043163069f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044814034f),
        RX_PULSESHAPER_SCALE(  -0.0008827197f),
        RX_PULSESHAPER_SCALE(  -0.0078298521f),
        RX_PULSESHAPER_SCALE(  -0.0058273885f),
        RX_PULSESHAPER_SCALE(  -0.0119328784f),
        RX_PULSESHAPER_SCALE(  -0.0379982961f),
        RX_PULSESHAPER_SCALE(   0.0088854941f),
        RX_PULSESHAPER_SCALE(  -0.0930871880f),
        RX_PULSESHAPER_SCALE(   0.0396776081f),
        RX_PULSESHAPER_SCALE(   0.3397685011f),
        RX_PULSESHAPER_SCALE(   0.0452770582f),
        RX_PULSESHAPER_SCALE(  -0.1351753863f),
        RX_PULSESHAPER_SCALE(  -0.0022099762f),
        RX_PULSESHAPER_SCALE(  -0.0385794186f),
        RX_PULSESHAPER_SCALE(  -0.0193328982f),
        RX_PULSESHAPER_SCALE(  -0.0030188998f),
        RX_PULSESHAPER_SCALE(  -0.0101182017f),
        RX_PULSESHAPER_SCALE(  -0.0000178757f),
        RX_PULSESHAPER_SCALE(  -0.0053079282f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044621296f),
        RX_PULSESHAPER_SCALE(  -0.0005458541f),
        RX_PULSESHAPER_SCALE(  -0.0019502339f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022370469f),     /* Filter 70 */
        RX_PULSESHAPER_SCALE(  -0.0001295786f),
        RX_PULSESHAPER_SCALE(  -0.0043245776f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0045040626f),
        RX_PULSESHAPER_SCALE(  -0.0008691810f),
        RX_PULSESHAPER_SCALE(  -0.0078808162f),
        RX_PULSESHAPER_SCALE(  -0.0057889091f),
        RX_PULSESHAPER_SCALE(  -0.0120690210f),
        RX_PULSESHAPER_SCALE(  -0.0380475129f),
        RX_PULSESHAPER_SCALE(   0.0087117467f),
        RX_PULSESHAPER_SCALE(  -0.0938433740f),
        RX_PULSESHAPER_SCALE(   0.0397907545f),
        RX_PULSESHAPER_SCALE(   0.3398746174f),
        RX_PULSESHAPER_SCALE(   0.0451838998f),
        RX_PULSESHAPER_SCALE(  -0.1343794704f),
        RX_PULSESHAPER_SCALE(  -0.0019733084f),
        RX_PULSESHAPER_SCALE(  -0.0386103852f),
        RX_PULSESHAPER_SCALE(  -0.0191977003f),
        RX_PULSESHAPER_SCALE(  -0.0030842957f),
        RX_PULSESHAPER_SCALE(  -0.0100861310f),
        RX_PULSESHAPER_SCALE(  -0.0000360739f),
        RX_PULSESHAPER_SCALE(  -0.0053007195f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044652490f),
        RX_PULSESHAPER_SCALE(  -0.0005380413f),
        RX_PULSESHAPER_SCALE(  -0.0019591334f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022351191f),     /* Filter 71 */
        RX_PULSESHAPER_SCALE(  -0.0001372911f),
        RX_PULSESHAPER_SCALE(  -0.0043326497f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0045264749f),
        RX_PULSESHAPER_SCALE(  -0.0008555392f),
        RX_PULSESHAPER_SCALE(  -0.0079315220f),
        RX_PULSESHAPER_SCALE(  -0.0057499190f),
        RX_PULSESHAPER_SCALE(  -0.0122052955f),
        RX_PULSESHAPER_SCALE(  -0.0380954073f),
        RX_PULSESHAPER_SCALE(   0.0085367899f),
        RX_PULSESHAPER_SCALE(  -0.0946006807f),
        RX_PULSESHAPER_SCALE(   0.0399035866f),
        RX_PULSESHAPER_SCALE(   0.3399767503f),
        RX_PULSESHAPER_SCALE(   0.0450903046f),
        RX_PULSESHAPER_SCALE(  -0.1335839152f),
        RX_PULSESHAPER_SCALE(  -0.0017377902f),
        RX_PULSESHAPER_SCALE(  -0.0386396595f),
        RX_PULSESHAPER_SCALE(  -0.0190623253f),
        RX_PULSESHAPER_SCALE(  -0.0031491971f),
        RX_PULSESHAPER_SCALE(  -0.0100536077f),
        RX_PULSESHAPER_SCALE(  -0.0000542022f),
        RX_PULSESHAPER_SCALE(  -0.0052931800f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044681417f),
        RX_PULSESHAPER_SCALE(  -0.0005302197f),
        RX_PULSESHAPER_SCALE(  -0.0019679001f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022330590f),     /* Filter 72 */
        RX_PULSESHAPER_SCALE(  -0.0001450159f),
        RX_PULSESHAPER_SCALE(  -0.0043405226f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0045486383f),
        RX_PULSESHAPER_SCALE(  -0.0008417948f),
        RX_PULSESHAPER_SCALE(  -0.0079819655f),
        RX_PULSESHAPER_SCALE(  -0.0057104179f),
        RX_PULSESHAPER_SCALE(  -0.0123416967f),
        RX_PULSESHAPER_SCALE(  -0.0381419716f),
        RX_PULSESHAPER_SCALE(   0.0083606240f),
        RX_PULSESHAPER_SCALE(  -0.0953590946f),
        RX_PULSESHAPER_SCALE(   0.0400161019f),
        RX_PULSESHAPER_SCALE(   0.3400748975f),
        RX_PULSESHAPER_SCALE(   0.0449962750f),
        RX_PULSESHAPER_SCALE(  -0.1327887364f),
        RX_PULSESHAPER_SCALE(  -0.0015034235f),
        RX_PULSESHAPER_SCALE(  -0.0386672480f),
        RX_PULSESHAPER_SCALE(  -0.0189267794f),
        RX_PULSESHAPER_SCALE(  -0.0032136033f),
        RX_PULSESHAPER_SCALE(  -0.0100206354f),
        RX_PULSESHAPER_SCALE(  -0.0000722600f),
        RX_PULSESHAPER_SCALE(  -0.0052853108f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044708081f),
        RX_PULSESHAPER_SCALE(  -0.0005223897f),
        RX_PULSESHAPER_SCALE(  -0.0019765340f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022308665f),     /* Filter 73 */
        RX_PULSESHAPER_SCALE(  -0.0001527527f),
        RX_PULSESHAPER_SCALE(  -0.0043481953f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0045705511f),
        RX_PULSESHAPER_SCALE(  -0.0008279483f),
        RX_PULSESHAPER_SCALE(  -0.0080321430f),
        RX_PULSESHAPER_SCALE(  -0.0056704055f),
        RX_PULSESHAPER_SCALE(  -0.0124782191f),
        RX_PULSESHAPER_SCALE(  -0.0381871981f),
        RX_PULSESHAPER_SCALE(   0.0081832493f),
        RX_PULSESHAPER_SCALE(  -0.0961186022f),
        RX_PULSESHAPER_SCALE(   0.0401282978f),
        RX_PULSESHAPER_SCALE(   0.3401690565f),
        RX_PULSESHAPER_SCALE(   0.0449018130f),
        RX_PULSESHAPER_SCALE(  -0.1319939494f),
        RX_PULSESHAPER_SCALE(  -0.0012702104f),
        RX_PULSESHAPER_SCALE(  -0.0386931570f),
        RX_PULSESHAPER_SCALE(  -0.0187910693f),
        RX_PULSESHAPER_SCALE(  -0.0032775132f),
        RX_PULSESHAPER_SCALE(  -0.0099872178f),
        RX_PULSESHAPER_SCALE(  -0.0000902464f),
        RX_PULSESHAPER_SCALE(  -0.0052771133f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044732483f),
        RX_PULSESHAPER_SCALE(  -0.0005145518f),
        RX_PULSESHAPER_SCALE(  -0.0019850348f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022285413f),     /* Filter 74 */
        RX_PULSESHAPER_SCALE(  -0.0001605009f),
        RX_PULSESHAPER_SCALE(  -0.0043556672f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0045922113f),
        RX_PULSESHAPER_SCALE(  -0.0008140001f),
        RX_PULSESHAPER_SCALE(  -0.0080820507f),
        RX_PULSESHAPER_SCALE(  -0.0056298817f),
        RX_PULSESHAPER_SCALE(  -0.0126148574f),
        RX_PULSESHAPER_SCALE(  -0.0382310793f),
        RX_PULSESHAPER_SCALE(   0.0080046662f),
        RX_PULSESHAPER_SCALE(  -0.0968791898f),
        RX_PULSESHAPER_SCALE(   0.0402401719f),
        RX_PULSESHAPER_SCALE(   0.3402592251f),
        RX_PULSESHAPER_SCALE(   0.0448069208f),
        RX_PULSESHAPER_SCALE(  -0.1311995698f),
        RX_PULSESHAPER_SCALE(  -0.0010381528f),
        RX_PULSESHAPER_SCALE(  -0.0387173932f),
        RX_PULSESHAPER_SCALE(  -0.0186552012f),
        RX_PULSESHAPER_SCALE(  -0.0033409259f),
        RX_PULSESHAPER_SCALE(  -0.0099533583f),
        RX_PULSESHAPER_SCALE(  -0.0001081606f),
        RX_PULSESHAPER_SCALE(  -0.0052685888f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044754628f),
        RX_PULSESHAPER_SCALE(  -0.0005067063f),
        RX_PULSESHAPER_SCALE(  -0.0019934023f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022260833f),     /* Filter 75 */
        RX_PULSESHAPER_SCALE(  -0.0001682602f),
        RX_PULSESHAPER_SCALE(  -0.0043629375f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0046136170f),
        RX_PULSESHAPER_SCALE(  -0.0007999507f),
        RX_PULSESHAPER_SCALE(  -0.0081316848f),
        RX_PULSESHAPER_SCALE(  -0.0055888461f),
        RX_PULSESHAPER_SCALE(  -0.0127516060f),
        RX_PULSESHAPER_SCALE(  -0.0382736074f),
        RX_PULSESHAPER_SCALE(   0.0078248749f),
        RX_PULSESHAPER_SCALE(  -0.0976408438f),
        RX_PULSESHAPER_SCALE(   0.0403517215f),
        RX_PULSESHAPER_SCALE(   0.3403454013f),
        RX_PULSESHAPER_SCALE(   0.0447116006f),
        RX_PULSESHAPER_SCALE(  -0.1304056129f),
        RX_PULSESHAPER_SCALE(  -0.0008072528f),
        RX_PULSESHAPER_SCALE(  -0.0387399629f),
        RX_PULSESHAPER_SCALE(  -0.0185191818f),
        RX_PULSESHAPER_SCALE(  -0.0034038407f),
        RX_PULSESHAPER_SCALE(  -0.0099190606f),
        RX_PULSESHAPER_SCALE(  -0.0001260018f),
        RX_PULSESHAPER_SCALE(  -0.0052597386f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044774517f),
        RX_PULSESHAPER_SCALE(  -0.0004988537f),
        RX_PULSESHAPER_SCALE(  -0.0020016365f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022234923f),     /* Filter 76 */
        RX_PULSESHAPER_SCALE(  -0.0001760303f),
        RX_PULSESHAPER_SCALE(  -0.0043700054f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0046347665f),
        RX_PULSESHAPER_SCALE(  -0.0007858006f),
        RX_PULSESHAPER_SCALE(  -0.0081810414f),
        RX_PULSESHAPER_SCALE(  -0.0055472987f),
        RX_PULSESHAPER_SCALE(  -0.0128884596f),
        RX_PULSESHAPER_SCALE(  -0.0383147748f),
        RX_PULSESHAPER_SCALE(   0.0076438759f),
        RX_PULSESHAPER_SCALE(  -0.0984035505f),
        RX_PULSESHAPER_SCALE(   0.0404629442f),
        RX_PULSESHAPER_SCALE(   0.3404275829f),
        RX_PULSESHAPER_SCALE(   0.0446158546f),
        RX_PULSESHAPER_SCALE(  -0.1296120944f),
        RX_PULSESHAPER_SCALE(  -0.0005775122f),
        RX_PULSESHAPER_SCALE(  -0.0387608727f),
        RX_PULSESHAPER_SCALE(  -0.0183830172f),
        RX_PULSESHAPER_SCALE(  -0.0034662566f),
        RX_PULSESHAPER_SCALE(  -0.0098843284f),
        RX_PULSESHAPER_SCALE(  -0.0001437693f),
        RX_PULSESHAPER_SCALE(  -0.0052505642f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044792154f),
        RX_PULSESHAPER_SCALE(  -0.0004909945f),
        RX_PULSESHAPER_SCALE(  -0.0020097371f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022207681f),     /* Filter 77 */
        RX_PULSESHAPER_SCALE(  -0.0001838106f),
        RX_PULSESHAPER_SCALE(  -0.0043768701f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0046556579f),
        RX_PULSESHAPER_SCALE(  -0.0007715504f),
        RX_PULSESHAPER_SCALE(  -0.0082301168f),
        RX_PULSESHAPER_SCALE(  -0.0055052391f),
        RX_PULSESHAPER_SCALE(  -0.0130254126f),
        RX_PULSESHAPER_SCALE(  -0.0383545740f),
        RX_PULSESHAPER_SCALE(   0.0074616697f),
        RX_PULSESHAPER_SCALE(  -0.0991672961f),
        RX_PULSESHAPER_SCALE(   0.0405738376f),
        RX_PULSESHAPER_SCALE(   0.3405057681f),
        RX_PULSESHAPER_SCALE(   0.0445196849f),
        RX_PULSESHAPER_SCALE(  -0.1288190295f),
        RX_PULSESHAPER_SCALE(  -0.0003489328f),
        RX_PULSESHAPER_SCALE(  -0.0387801292f),
        RX_PULSESHAPER_SCALE(  -0.0182467139f),
        RX_PULSESHAPER_SCALE(  -0.0035281729f),
        RX_PULSESHAPER_SCALE(  -0.0098491652f),
        RX_PULSESHAPER_SCALE(  -0.0001614622f),
        RX_PULSESHAPER_SCALE(  -0.0052410667f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044807542f),
        RX_PULSESHAPER_SCALE(  -0.0004831291f),
        RX_PULSESHAPER_SCALE(  -0.0020177041f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022179107f),     /* Filter 78 */
        RX_PULSESHAPER_SCALE(  -0.0001916010f),
        RX_PULSESHAPER_SCALE(  -0.0043835309f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0046762893f),
        RX_PULSESHAPER_SCALE(  -0.0007572005f),
        RX_PULSESHAPER_SCALE(  -0.0082789071f),
        RX_PULSESHAPER_SCALE(  -0.0054626674f),
        RX_PULSESHAPER_SCALE(  -0.0131624595f),
        RX_PULSESHAPER_SCALE(  -0.0383929973f),
        RX_PULSESHAPER_SCALE(   0.0072782567f),
        RX_PULSESHAPER_SCALE(  -0.0999320668f),
        RX_PULSESHAPER_SCALE(   0.0406843990f),
        RX_PULSESHAPER_SCALE(   0.3405799549f),
        RX_PULSESHAPER_SCALE(   0.0444230937f),
        RX_PULSESHAPER_SCALE(  -0.1280264336f),
        RX_PULSESHAPER_SCALE(  -0.0001215166f),
        RX_PULSESHAPER_SCALE(  -0.0387977390f),
        RX_PULSESHAPER_SCALE(  -0.0181102783f),
        RX_PULSESHAPER_SCALE(  -0.0035895887f),
        RX_PULSESHAPER_SCALE(  -0.0098135746f),
        RX_PULSESHAPER_SCALE(  -0.0001790798f),
        RX_PULSESHAPER_SCALE(  -0.0052312477f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044820685f),
        RX_PULSESHAPER_SCALE(  -0.0004752579f),
        RX_PULSESHAPER_SCALE(  -0.0020255372f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022149198f),     /* Filter 79 */
        RX_PULSESHAPER_SCALE(  -0.0001994008f),
        RX_PULSESHAPER_SCALE(  -0.0043899871f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0046966589f),
        RX_PULSESHAPER_SCALE(  -0.0007427514f),
        RX_PULSESHAPER_SCALE(  -0.0083274086f),
        RX_PULSESHAPER_SCALE(  -0.0054195832f),
        RX_PULSESHAPER_SCALE(  -0.0132995949f),
        RX_PULSESHAPER_SCALE(  -0.0384300371f),
        RX_PULSESHAPER_SCALE(   0.0070936373f),
        RX_PULSESHAPER_SCALE(  -0.1006978488f),
        RX_PULSESHAPER_SCALE(   0.0407946261f),
        RX_PULSESHAPER_SCALE(   0.3406501416f),
        RX_PULSESHAPER_SCALE(   0.0443260834f),
        RX_PULSESHAPER_SCALE(  -0.1272343220f),
        RX_PULSESHAPER_SCALE(   0.0001047348f),
        RX_PULSESHAPER_SCALE(  -0.0388137087f),
        RX_PULSESHAPER_SCALE(  -0.0179737167f),
        RX_PULSESHAPER_SCALE(  -0.0036505033f),
        RX_PULSESHAPER_SCALE(  -0.0097775604f),
        RX_PULSESHAPER_SCALE(  -0.0001966213f),
        RX_PULSESHAPER_SCALE(  -0.0052211085f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044831585f),
        RX_PULSESHAPER_SCALE(  -0.0004673813f),
        RX_PULSESHAPER_SCALE(  -0.0020332364f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022117953f),     /* Filter 80 */
        RX_PULSESHAPER_SCALE(  -0.0002072099f),
        RX_PULSESHAPER_SCALE(  -0.0043962379f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0047167648f),
        RX_PULSESHAPER_SCALE(  -0.0007282037f),
        RX_PULSESHAPER_SCALE(  -0.0083756173f),
        RX_PULSESHAPER_SCALE(  -0.0053759867f),
        RX_PULSESHAPER_SCALE(  -0.0134368130f),
        RX_PULSESHAPER_SCALE(  -0.0384656861f),
        RX_PULSESHAPER_SCALE(   0.0069078123f),
        RX_PULSESHAPER_SCALE(  -0.1014646281f),
        RX_PULSESHAPER_SCALE(   0.0409045164f),
        RX_PULSESHAPER_SCALE(   0.3407163265f),
        RX_PULSESHAPER_SCALE(   0.0442286560f),
        RX_PULSESHAPER_SCALE(  -0.1264427102f),
        RX_PULSESHAPER_SCALE(   0.0003298194f),
        RX_PULSESHAPER_SCALE(  -0.0388280450f),
        RX_PULSESHAPER_SCALE(  -0.0178370354f),
        RX_PULSESHAPER_SCALE(  -0.0037109160f),
        RX_PULSESHAPER_SCALE(  -0.0097411262f),
        RX_PULSESHAPER_SCALE(  -0.0002140860f),
        RX_PULSESHAPER_SCALE(  -0.0052106505f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044840247f),
        RX_PULSESHAPER_SCALE(  -0.0004594997f),
        RX_PULSESHAPER_SCALE(  -0.0020408016f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022085370f),     /* Filter 81 */
        RX_PULSESHAPER_SCALE(  -0.0002150276f),
        RX_PULSESHAPER_SCALE(  -0.0044022827f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0047366054f),
        RX_PULSESHAPER_SCALE(  -0.0007135579f),
        RX_PULSESHAPER_SCALE(  -0.0084235296f),
        RX_PULSESHAPER_SCALE(  -0.0053318775f),
        RX_PULSESHAPER_SCALE(  -0.0135741084f),
        RX_PULSESHAPER_SCALE(  -0.0384999365f),
        RX_PULSESHAPER_SCALE(   0.0067207820f),
        RX_PULSESHAPER_SCALE(  -0.1022323909f),
        RX_PULSESHAPER_SCALE(   0.0410140673f),
        RX_PULSESHAPER_SCALE(   0.3407785081f),
        RX_PULSESHAPER_SCALE(   0.0441308139f),
        RX_PULSESHAPER_SCALE(  -0.1256516132f),
        RX_PULSESHAPER_SCALE(   0.0005537357f),
        RX_PULSESHAPER_SCALE(  -0.0388407545f),
        RX_PULSESHAPER_SCALE(  -0.0177002408f),
        RX_PULSESHAPER_SCALE(  -0.0037708261f),
        RX_PULSESHAPER_SCALE(  -0.0097042755f),
        RX_PULSESHAPER_SCALE(  -0.0002314731f),
        RX_PULSESHAPER_SCALE(  -0.0051998752f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044846674f),
        RX_PULSESHAPER_SCALE(  -0.0004516137f),
        RX_PULSESHAPER_SCALE(  -0.0020482326f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022051449f),     /* Filter 82 */
        RX_PULSESHAPER_SCALE(  -0.0002228537f),
        RX_PULSESHAPER_SCALE(  -0.0044081207f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0047561788f),
        RX_PULSESHAPER_SCALE(  -0.0006988145f),
        RX_PULSESHAPER_SCALE(  -0.0084711416f),
        RX_PULSESHAPER_SCALE(  -0.0052872558f),
        RX_PULSESHAPER_SCALE(  -0.0137114755f),
        RX_PULSESHAPER_SCALE(  -0.0385327810f),
        RX_PULSESHAPER_SCALE(   0.0065325472f),
        RX_PULSESHAPER_SCALE(  -0.1030011231f),
        RX_PULSESHAPER_SCALE(   0.0411232764f),
        RX_PULSESHAPER_SCALE(   0.3408366849f),
        RX_PULSESHAPER_SCALE(   0.0440325592f),
        RX_PULSESHAPER_SCALE(  -0.1248610464f),
        RX_PULSESHAPER_SCALE(   0.0007764819f),
        RX_PULSESHAPER_SCALE(  -0.0388518440f),
        RX_PULSESHAPER_SCALE(  -0.0175633390f),
        RX_PULSESHAPER_SCALE(  -0.0038302328f),
        RX_PULSESHAPER_SCALE(  -0.0096670121f),
        RX_PULSESHAPER_SCALE(  -0.0002487819f),
        RX_PULSESHAPER_SCALE(  -0.0051887839f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044850869f),
        RX_PULSESHAPER_SCALE(  -0.0004437235f),
        RX_PULSESHAPER_SCALE(  -0.0020555293f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0022016188f),     /* Filter 83 */
        RX_PULSESHAPER_SCALE(  -0.0002306878f),
        RX_PULSESHAPER_SCALE(  -0.0044137512f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0047754831f),
        RX_PULSESHAPER_SCALE(  -0.0006839742f),
        RX_PULSESHAPER_SCALE(  -0.0085184496f),
        RX_PULSESHAPER_SCALE(  -0.0052421215f),
        RX_PULSESHAPER_SCALE(  -0.0138489086f),
        RX_PULSESHAPER_SCALE(  -0.0385642120f),
        RX_PULSESHAPER_SCALE(   0.0063431085f),
        RX_PULSESHAPER_SCALE(  -0.1037708108f),
        RX_PULSESHAPER_SCALE(   0.0412321413f),
        RX_PULSESHAPER_SCALE(   0.3408908554f),
        RX_PULSESHAPER_SCALE(   0.0439338942f),
        RX_PULSESHAPER_SCALE(  -0.1240710250f),
        RX_PULSESHAPER_SCALE(   0.0009980563f),
        RX_PULSESHAPER_SCALE(  -0.0388613202f),
        RX_PULSESHAPER_SCALE(  -0.0174263364f),
        RX_PULSESHAPER_SCALE(  -0.0038891355f),
        RX_PULSESHAPER_SCALE(  -0.0096293397f),
        RX_PULSESHAPER_SCALE(  -0.0002660117f),
        RX_PULSESHAPER_SCALE(  -0.0051773782f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044852837f),
        RX_PULSESHAPER_SCALE(  -0.0004358298f),
        RX_PULSESHAPER_SCALE(  -0.0020626916f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021979586f),     /* Filter 84 */
        RX_PULSESHAPER_SCALE(  -0.0002385294f),
        RX_PULSESHAPER_SCALE(  -0.0044191735f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0047945167f),
        RX_PULSESHAPER_SCALE(  -0.0006690373f),
        RX_PULSESHAPER_SCALE(  -0.0085654496f),
        RX_PULSESHAPER_SCALE(  -0.0051964745f),
        RX_PULSESHAPER_SCALE(  -0.0139864020f),
        RX_PULSESHAPER_SCALE(  -0.0385942220f),
        RX_PULSESHAPER_SCALE(   0.0061524665f),
        RX_PULSESHAPER_SCALE(  -0.1045414397f),
        RX_PULSESHAPER_SCALE(   0.0413406594f),
        RX_PULSESHAPER_SCALE(   0.3409410186f),
        RX_PULSESHAPER_SCALE(   0.0438348212f),
        RX_PULSESHAPER_SCALE(  -0.1232815641f),
        RX_PULSESHAPER_SCALE(   0.0012184573f),
        RX_PULSESHAPER_SCALE(  -0.0388691899f),
        RX_PULSESHAPER_SCALE(  -0.0172892392f),
        RX_PULSESHAPER_SCALE(  -0.0039475336f),
        RX_PULSESHAPER_SCALE(  -0.0095912619f),
        RX_PULSESHAPER_SCALE(  -0.0002831616f),
        RX_PULSESHAPER_SCALE(  -0.0051656594f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044852582f),
        RX_PULSESHAPER_SCALE(  -0.0004279327f),
        RX_PULSESHAPER_SCALE(  -0.0020697195f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021941642f),     /* Filter 85 */
        RX_PULSESHAPER_SCALE(  -0.0002463782f),
        RX_PULSESHAPER_SCALE(  -0.0044243870f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0048132777f),
        RX_PULSESHAPER_SCALE(  -0.0006540045f),
        RX_PULSESHAPER_SCALE(  -0.0086121380f),
        RX_PULSESHAPER_SCALE(  -0.0051503148f),
        RX_PULSESHAPER_SCALE(  -0.0141239501f),
        RX_PULSESHAPER_SCALE(  -0.0386228037f),
        RX_PULSESHAPER_SCALE(   0.0059606220f),
        RX_PULSESHAPER_SCALE(  -0.1053129959f),
        RX_PULSESHAPER_SCALE(   0.0414488284f),
        RX_PULSESHAPER_SCALE(   0.3409871730f),
        RX_PULSESHAPER_SCALE(   0.0437353424f),
        RX_PULSESHAPER_SCALE(  -0.1224926788f),
        RX_PULSESHAPER_SCALE(   0.0014376834f),
        RX_PULSESHAPER_SCALE(  -0.0388754599f),
        RX_PULSESHAPER_SCALE(  -0.0171520536f),
        RX_PULSESHAPER_SCALE(  -0.0040054265f),
        RX_PULSESHAPER_SCALE(  -0.0095527824f),
        RX_PULSESHAPER_SCALE(  -0.0003002310f),
        RX_PULSESHAPER_SCALE(  -0.0051536291f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044850107f),
        RX_PULSESHAPER_SCALE(  -0.0004200329f),
        RX_PULSESHAPER_SCALE(  -0.0020766129f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021902355f),     /* Filter 86 */
        RX_PULSESHAPER_SCALE(  -0.0002542338f),
        RX_PULSESHAPER_SCALE(  -0.0044293911f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0048317645f),
        RX_PULSESHAPER_SCALE(  -0.0006388764f),
        RX_PULSESHAPER_SCALE(  -0.0086585109f),
        RX_PULSESHAPER_SCALE(  -0.0051036426f),
        RX_PULSESHAPER_SCALE(  -0.0142615471f),
        RX_PULSESHAPER_SCALE(  -0.0386499496f),
        RX_PULSESHAPER_SCALE(   0.0057675757f),
        RX_PULSESHAPER_SCALE(  -0.1060854651f),
        RX_PULSESHAPER_SCALE(   0.0415566459f),
        RX_PULSESHAPER_SCALE(   0.3410293177f),
        RX_PULSESHAPER_SCALE(   0.0436354601f),
        RX_PULSESHAPER_SCALE(  -0.1217043843f),
        RX_PULSESHAPER_SCALE(   0.0016557329f),
        RX_PULSESHAPER_SCALE(  -0.0388801370f),
        RX_PULSESHAPER_SCALE(  -0.0170147859f),
        RX_PULSESHAPER_SCALE(  -0.0040628135f),
        RX_PULSESHAPER_SCALE(  -0.0095139049f),
        RX_PULSESHAPER_SCALE(  -0.0003172192f),
        RX_PULSESHAPER_SCALE(  -0.0051412887f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044845417f),
        RX_PULSESHAPER_SCALE(  -0.0004121307f),
        RX_PULSESHAPER_SCALE(  -0.0020833717f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021861725f),     /* Filter 87 */
        RX_PULSESHAPER_SCALE(  -0.0002620956f),
        RX_PULSESHAPER_SCALE(  -0.0044341849f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0048499751f),
        RX_PULSESHAPER_SCALE(  -0.0006236535f),
        RX_PULSESHAPER_SCALE(  -0.0087045646f),
        RX_PULSESHAPER_SCALE(  -0.0050564578f),
        RX_PULSESHAPER_SCALE(  -0.0143991874f),
        RX_PULSESHAPER_SCALE(  -0.0386756524f),
        RX_PULSESHAPER_SCALE(   0.0055733284f),
        RX_PULSESHAPER_SCALE(  -0.1068588331f),
        RX_PULSESHAPER_SCALE(   0.0416641092f),
        RX_PULSESHAPER_SCALE(   0.3410674516f),
        RX_PULSESHAPER_SCALE(   0.0435351766f),
        RX_PULSESHAPER_SCALE(  -0.1209166956f),
        RX_PULSESHAPER_SCALE(   0.0018726045f),
        RX_PULSESHAPER_SCALE(  -0.0388832282f),
        RX_PULSESHAPER_SCALE(  -0.0168774422f),
        RX_PULSESHAPER_SCALE(  -0.0041196941f),
        RX_PULSESHAPER_SCALE(  -0.0094746331f),
        RX_PULSESHAPER_SCALE(  -0.0003341255f),
        RX_PULSESHAPER_SCALE(  -0.0051286397f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044838516f),
        RX_PULSESHAPER_SCALE(  -0.0004042265f),
        RX_PULSESHAPER_SCALE(  -0.0020899958f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021819749f),     /* Filter 88 */
        RX_PULSESHAPER_SCALE(  -0.0002699634f),
        RX_PULSESHAPER_SCALE(  -0.0044387680f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0048679081f),
        RX_PULSESHAPER_SCALE(  -0.0006083364f),
        RX_PULSESHAPER_SCALE(  -0.0087502952f),
        RX_PULSESHAPER_SCALE(  -0.0050087606f),
        RX_PULSESHAPER_SCALE(  -0.0145368652f),
        RX_PULSESHAPER_SCALE(  -0.0386999046f),
        RX_PULSESHAPER_SCALE(   0.0053778809f),
        RX_PULSESHAPER_SCALE(  -0.1076330856f),
        RX_PULSESHAPER_SCALE(   0.0417712161f),
        RX_PULSESHAPER_SCALE(   0.3411015738f),
        RX_PULSESHAPER_SCALE(   0.0434344942f),
        RX_PULSESHAPER_SCALE(  -0.1201296278f),
        RX_PULSESHAPER_SCALE(   0.0020882965f),
        RX_PULSESHAPER_SCALE(  -0.0388847402f),
        RX_PULSESHAPER_SCALE(  -0.0167400286f),
        RX_PULSESHAPER_SCALE(  -0.0041760678f),
        RX_PULSESHAPER_SCALE(  -0.0094349707f),
        RX_PULSESHAPER_SCALE(  -0.0003509491f),
        RX_PULSESHAPER_SCALE(  -0.0051156836f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044829409f),
        RX_PULSESHAPER_SCALE(  -0.0003963208f),
        RX_PULSESHAPER_SCALE(  -0.0020964852f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021776428f),     /* Filter 89 */
        RX_PULSESHAPER_SCALE(  -0.0002778368f),
        RX_PULSESHAPER_SCALE(  -0.0044431396f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0048855615f),
        RX_PULSESHAPER_SCALE(  -0.0005929257f),
        RX_PULSESHAPER_SCALE(  -0.0087956989f),
        RX_PULSESHAPER_SCALE(  -0.0049605510f),
        RX_PULSESHAPER_SCALE(  -0.0146745747f),
        RX_PULSESHAPER_SCALE(  -0.0387226989f),
        RX_PULSESHAPER_SCALE(   0.0051812341f),
        RX_PULSESHAPER_SCALE(  -0.1084082085f),
        RX_PULSESHAPER_SCALE(   0.0418779642f),
        RX_PULSESHAPER_SCALE(   0.3411316836f),
        RX_PULSESHAPER_SCALE(   0.0433334151f),
        RX_PULSESHAPER_SCALE(  -0.1193431957f),
        RX_PULSESHAPER_SCALE(   0.0023028075f),
        RX_PULSESHAPER_SCALE(  -0.0388846801f),
        RX_PULSESHAPER_SCALE(  -0.0166025514f),
        RX_PULSESHAPER_SCALE(  -0.0042319341f),
        RX_PULSESHAPER_SCALE(  -0.0093949214f),
        RX_PULSESHAPER_SCALE(  -0.0003676893f),
        RX_PULSESHAPER_SCALE(  -0.0051024221f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044818101f),
        RX_PULSESHAPER_SCALE(  -0.0003884140f),
        RX_PULSESHAPER_SCALE(  -0.0021028398f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021731761f),     /* Filter 90 */
        RX_PULSESHAPER_SCALE(  -0.0002857152f),
        RX_PULSESHAPER_SCALE(  -0.0044472991f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049029336f),
        RX_PULSESHAPER_SCALE(  -0.0005774220f),
        RX_PULSESHAPER_SCALE(  -0.0088407721f),
        RX_PULSESHAPER_SCALE(  -0.0049118292f),
        RX_PULSESHAPER_SCALE(  -0.0148123101f),
        RX_PULSESHAPER_SCALE(  -0.0387440279f),
        RX_PULSESHAPER_SCALE(   0.0049833888f),
        RX_PULSESHAPER_SCALE(  -0.1091841872f),
        RX_PULSESHAPER_SCALE(   0.0419843509f),
        RX_PULSESHAPER_SCALE(   0.3411577802f),
        RX_PULSESHAPER_SCALE(   0.0432319416f),
        RX_PULSESHAPER_SCALE(  -0.1185574144f),
        RX_PULSESHAPER_SCALE(   0.0025161361f),
        RX_PULSESHAPER_SCALE(  -0.0388830548f),
        RX_PULSESHAPER_SCALE(  -0.0164650166f),
        RX_PULSESHAPER_SCALE(  -0.0042872924f),
        RX_PULSESHAPER_SCALE(  -0.0093544890f),
        RX_PULSESHAPER_SCALE(  -0.0003843455f),
        RX_PULSESHAPER_SCALE(  -0.0050888565f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044804595f),
        RX_PULSESHAPER_SCALE(  -0.0003805065f),
        RX_PULSESHAPER_SCALE(  -0.0021090596f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021685747f),     /* Filter 91 */
        RX_PULSESHAPER_SCALE(  -0.0002935984f),
        RX_PULSESHAPER_SCALE(  -0.0044512460f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049200229f),
        RX_PULSESHAPER_SCALE(  -0.0005618258f),
        RX_PULSESHAPER_SCALE(  -0.0088855108f),
        RX_PULSESHAPER_SCALE(  -0.0048625953f),
        RX_PULSESHAPER_SCALE(  -0.0149500657f),
        RX_PULSESHAPER_SCALE(  -0.0387638845f),
        RX_PULSESHAPER_SCALE(   0.0047843459f),
        RX_PULSESHAPER_SCALE(  -0.1099610075f),
        RX_PULSESHAPER_SCALE(   0.0420903740f),
        RX_PULSESHAPER_SCALE(   0.3411798629f),
        RX_PULSESHAPER_SCALE(   0.0431300762f),
        RX_PULSESHAPER_SCALE(  -0.1177722988f),
        RX_PULSESHAPER_SCALE(   0.0027282810f),
        RX_PULSESHAPER_SCALE(  -0.0388798712f),
        RX_PULSESHAPER_SCALE(  -0.0163274304f),
        RX_PULSESHAPER_SCALE(  -0.0043421424f),
        RX_PULSESHAPER_SCALE(  -0.0093136770f),
        RX_PULSESHAPER_SCALE(  -0.0004009170f),
        RX_PULSESHAPER_SCALE(  -0.0050749885f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044788896f),
        RX_PULSESHAPER_SCALE(  -0.0003725988f),
        RX_PULSESHAPER_SCALE(  -0.0021151445f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021638385f),     /* Filter 92 */
        RX_PULSESHAPER_SCALE(  -0.0003014859f),
        RX_PULSESHAPER_SCALE(  -0.0044549796f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049368276f),
        RX_PULSESHAPER_SCALE(  -0.0005461378f),
        RX_PULSESHAPER_SCALE(  -0.0089299114f),
        RX_PULSESHAPER_SCALE(  -0.0048128495f),
        RX_PULSESHAPER_SCALE(  -0.0150878354f),
        RX_PULSESHAPER_SCALE(  -0.0387822612f),
        RX_PULSESHAPER_SCALE(   0.0045841065f),
        RX_PULSESHAPER_SCALE(  -0.1107386548f),
        RX_PULSESHAPER_SCALE(   0.0421960309f),
        RX_PULSESHAPER_SCALE(   0.3411979314f),
        RX_PULSESHAPER_SCALE(   0.0430278210f),
        RX_PULSESHAPER_SCALE(  -0.1169878638f),
        RX_PULSESHAPER_SCALE(   0.0029392409f),
        RX_PULSESHAPER_SCALE(  -0.0388751363f),
        RX_PULSESHAPER_SCALE(  -0.0161897988f),
        RX_PULSESHAPER_SCALE(  -0.0043964835f),
        RX_PULSESHAPER_SCALE(  -0.0092724894f),
        RX_PULSESHAPER_SCALE(  -0.0004174031f),
        RX_PULSESHAPER_SCALE(  -0.0050608195f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044771011f),
        RX_PULSESHAPER_SCALE(  -0.0003646912f),
        RX_PULSESHAPER_SCALE(  -0.0021210945f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021589676f),     /* Filter 93 */
        RX_PULSESHAPER_SCALE(  -0.0003093773f),
        RX_PULSESHAPER_SCALE(  -0.0044584993f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049533459f),
        RX_PULSESHAPER_SCALE(  -0.0005303586f),
        RX_PULSESHAPER_SCALE(  -0.0089739700f),
        RX_PULSESHAPER_SCALE(  -0.0047625920f),
        RX_PULSESHAPER_SCALE(  -0.0152256136f),
        RX_PULSESHAPER_SCALE(  -0.0387991509f),
        RX_PULSESHAPER_SCALE(   0.0043826715f),
        RX_PULSESHAPER_SCALE(  -0.1115171148f),
        RX_PULSESHAPER_SCALE(   0.0423013194f),
        RX_PULSESHAPER_SCALE(   0.3412119851f),
        RX_PULSESHAPER_SCALE(   0.0429251784f),
        RX_PULSESHAPER_SCALE(  -0.1162041241f),
        RX_PULSESHAPER_SCALE(   0.0031490143f),
        RX_PULSESHAPER_SCALE(  -0.0388688572f),
        RX_PULSESHAPER_SCALE(  -0.0160521279f),
        RX_PULSESHAPER_SCALE(  -0.0044503153f),
        RX_PULSESHAPER_SCALE(  -0.0092309298f),
        RX_PULSESHAPER_SCALE(  -0.0004338031f),
        RX_PULSESHAPER_SCALE(  -0.0050463513f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044750942f),
        RX_PULSESHAPER_SCALE(  -0.0003567841f),
        RX_PULSESHAPER_SCALE(  -0.0021269097f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021539618f),     /* Filter 94 */
        RX_PULSESHAPER_SCALE(  -0.0003172721f),
        RX_PULSESHAPER_SCALE(  -0.0044618046f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049695763f),
        RX_PULSESHAPER_SCALE(  -0.0005144888f),
        RX_PULSESHAPER_SCALE(  -0.0090176829f),
        RX_PULSESHAPER_SCALE(  -0.0047118230f),
        RX_PULSESHAPER_SCALE(  -0.0153633943f),
        RX_PULSESHAPER_SCALE(  -0.0388145462f),
        RX_PULSESHAPER_SCALE(   0.0041800420f),
        RX_PULSESHAPER_SCALE(  -0.1122963729f),
        RX_PULSESHAPER_SCALE(   0.0424062369f),
        RX_PULSESHAPER_SCALE(   0.3412220236f),
        RX_PULSESHAPER_SCALE(   0.0428221508f),
        RX_PULSESHAPER_SCALE(  -0.1154210945f),
        RX_PULSESHAPER_SCALE(   0.0033576000f),
        RX_PULSESHAPER_SCALE(  -0.0388610410f),
        RX_PULSESHAPER_SCALE(  -0.0159144237f),
        RX_PULSESHAPER_SCALE(  -0.0045036375f),
        RX_PULSESHAPER_SCALE(  -0.0091890019f),
        RX_PULSESHAPER_SCALE(  -0.0004501163f),
        RX_PULSESHAPER_SCALE(  -0.0050315853f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044728697f),
        RX_PULSESHAPER_SCALE(  -0.0003488781f),
        RX_PULSESHAPER_SCALE(  -0.0021325899f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021488212f),     /* Filter 95 */
        RX_PULSESHAPER_SCALE(  -0.0003251700f),
        RX_PULSESHAPER_SCALE(  -0.0044648948f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049855171f),
        RX_PULSESHAPER_SCALE(  -0.0004985291f),
        RX_PULSESHAPER_SCALE(  -0.0090610463f),
        RX_PULSESHAPER_SCALE(  -0.0046605428f),
        RX_PULSESHAPER_SCALE(  -0.0155011716f),
        RX_PULSESHAPER_SCALE(  -0.0388284401f),
        RX_PULSESHAPER_SCALE(   0.0039762190f),
        RX_PULSESHAPER_SCALE(  -0.1130764146f),
        RX_PULSESHAPER_SCALE(   0.0425107812f),
        RX_PULSESHAPER_SCALE(   0.3412280469f),
        RX_PULSESHAPER_SCALE(   0.0427187405f),
        RX_PULSESHAPER_SCALE(  -0.1146387900f),
        RX_PULSESHAPER_SCALE(   0.0035649968f),
        RX_PULSESHAPER_SCALE(  -0.0388516946f),
        RX_PULSESHAPER_SCALE(  -0.0157766923f),
        RX_PULSESHAPER_SCALE(  -0.0045564497f),
        RX_PULSESHAPER_SCALE(  -0.0091467095f),
        RX_PULSESHAPER_SCALE(  -0.0004663422f),
        RX_PULSESHAPER_SCALE(  -0.0050165232f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044704279f),
        RX_PULSESHAPER_SCALE(  -0.0003409734f),
        RX_PULSESHAPER_SCALE(  -0.0021381353f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021435457f),     /* Filter 96 */
        RX_PULSESHAPER_SCALE(  -0.0003330706f),
        RX_PULSESHAPER_SCALE(  -0.0044677694f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050011666f),
        RX_PULSESHAPER_SCALE(  -0.0004824800f),
        RX_PULSESHAPER_SCALE(  -0.0091040564f),
        RX_PULSESHAPER_SCALE(  -0.0046087516f),
        RX_PULSESHAPER_SCALE(  -0.0156389396f),
        RX_PULSESHAPER_SCALE(  -0.0388408253f),
        RX_PULSESHAPER_SCALE(   0.0037712035f),
        RX_PULSESHAPER_SCALE(  -0.1138572251f),
        RX_PULSESHAPER_SCALE(   0.0426149499f),
        RX_PULSESHAPER_SCALE(   0.3412300546f),
        RX_PULSESHAPER_SCALE(   0.0426149499f),
        RX_PULSESHAPER_SCALE(  -0.1138572251f),
        RX_PULSESHAPER_SCALE(   0.0037712035f),
        RX_PULSESHAPER_SCALE(  -0.0388408253f),
        RX_PULSESHAPER_SCALE(  -0.0156389396f),
        RX_PULSESHAPER_SCALE(  -0.0046087516f),
        RX_PULSESHAPER_SCALE(  -0.0091040564f),
        RX_PULSESHAPER_SCALE(  -0.0004824800f),
        RX_PULSESHAPER_SCALE(  -0.0050011666f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044677694f),
        RX_PULSESHAPER_SCALE(  -0.0003330706f),
        RX_PULSESHAPER_SCALE(  -0.0021435457f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021381352f),     /* Filter 97 */
        RX_PULSESHAPER_SCALE(  -0.0003409734f),
        RX_PULSESHAPER_SCALE(  -0.0044704279f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050165232f),
        RX_PULSESHAPER_SCALE(  -0.0004663422f),
        RX_PULSESHAPER_SCALE(  -0.0091467095f),
        RX_PULSESHAPER_SCALE(  -0.0045564498f),
        RX_PULSESHAPER_SCALE(  -0.0157766923f),
        RX_PULSESHAPER_SCALE(  -0.0388516946f),
        RX_PULSESHAPER_SCALE(   0.0035649968f),
        RX_PULSESHAPER_SCALE(  -0.1146387900f),
        RX_PULSESHAPER_SCALE(   0.0427187405f),
        RX_PULSESHAPER_SCALE(   0.3412280469f),
        RX_PULSESHAPER_SCALE(   0.0425107812f),
        RX_PULSESHAPER_SCALE(  -0.1130764145f),
        RX_PULSESHAPER_SCALE(   0.0039762190f),
        RX_PULSESHAPER_SCALE(  -0.0388284401f),
        RX_PULSESHAPER_SCALE(  -0.0155011716f),
        RX_PULSESHAPER_SCALE(  -0.0046605428f),
        RX_PULSESHAPER_SCALE(  -0.0090610462f),
        RX_PULSESHAPER_SCALE(  -0.0004985291f),
        RX_PULSESHAPER_SCALE(  -0.0049855171f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044648948f),
        RX_PULSESHAPER_SCALE(  -0.0003251700f),
        RX_PULSESHAPER_SCALE(  -0.0021488212f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021325899f),     /* Filter 98 */
        RX_PULSESHAPER_SCALE(  -0.0003488781f),
        RX_PULSESHAPER_SCALE(  -0.0044728697f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050315853f),
        RX_PULSESHAPER_SCALE(  -0.0004501163f),
        RX_PULSESHAPER_SCALE(  -0.0091890019f),
        RX_PULSESHAPER_SCALE(  -0.0045036376f),
        RX_PULSESHAPER_SCALE(  -0.0159144237f),
        RX_PULSESHAPER_SCALE(  -0.0388610409f),
        RX_PULSESHAPER_SCALE(   0.0033576000f),
        RX_PULSESHAPER_SCALE(  -0.1154210946f),
        RX_PULSESHAPER_SCALE(   0.0428221508f),
        RX_PULSESHAPER_SCALE(   0.3412220236f),
        RX_PULSESHAPER_SCALE(   0.0424062369f),
        RX_PULSESHAPER_SCALE(  -0.1122963728f),
        RX_PULSESHAPER_SCALE(   0.0041800420f),
        RX_PULSESHAPER_SCALE(  -0.0388145463f),
        RX_PULSESHAPER_SCALE(  -0.0153633943f),
        RX_PULSESHAPER_SCALE(  -0.0047118230f),
        RX_PULSESHAPER_SCALE(  -0.0090176828f),
        RX_PULSESHAPER_SCALE(  -0.0005144888f),
        RX_PULSESHAPER_SCALE(  -0.0049695763f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044618046f),
        RX_PULSESHAPER_SCALE(  -0.0003172721f),
        RX_PULSESHAPER_SCALE(  -0.0021539618f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021269097f),     /* Filter 99 */
        RX_PULSESHAPER_SCALE(  -0.0003567841f),
        RX_PULSESHAPER_SCALE(  -0.0044750943f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050463513f),
        RX_PULSESHAPER_SCALE(  -0.0004338031f),
        RX_PULSESHAPER_SCALE(  -0.0092309298f),
        RX_PULSESHAPER_SCALE(  -0.0044503153f),
        RX_PULSESHAPER_SCALE(  -0.0160521279f),
        RX_PULSESHAPER_SCALE(  -0.0388688572f),
        RX_PULSESHAPER_SCALE(   0.0031490142f),
        RX_PULSESHAPER_SCALE(  -0.1162041242f),
        RX_PULSESHAPER_SCALE(   0.0429251784f),
        RX_PULSESHAPER_SCALE(   0.3412119851f),
        RX_PULSESHAPER_SCALE(   0.0423013193f),
        RX_PULSESHAPER_SCALE(  -0.1115171147f),
        RX_PULSESHAPER_SCALE(   0.0043826716f),
        RX_PULSESHAPER_SCALE(  -0.0387991509f),
        RX_PULSESHAPER_SCALE(  -0.0152256136f),
        RX_PULSESHAPER_SCALE(  -0.0047625920f),
        RX_PULSESHAPER_SCALE(  -0.0089739700f),
        RX_PULSESHAPER_SCALE(  -0.0005303586f),
        RX_PULSESHAPER_SCALE(  -0.0049533459f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044584993f),
        RX_PULSESHAPER_SCALE(  -0.0003093773f),
        RX_PULSESHAPER_SCALE(  -0.0021589676f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021210945f),     /* Filter 100 */
        RX_PULSESHAPER_SCALE(  -0.0003646912f),
        RX_PULSESHAPER_SCALE(  -0.0044771011f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050608195f),
        RX_PULSESHAPER_SCALE(  -0.0004174031f),
        RX_PULSESHAPER_SCALE(  -0.0092724894f),
        RX_PULSESHAPER_SCALE(  -0.0043964835f),
        RX_PULSESHAPER_SCALE(  -0.0161897988f),
        RX_PULSESHAPER_SCALE(  -0.0388751363f),
        RX_PULSESHAPER_SCALE(   0.0029392408f),
        RX_PULSESHAPER_SCALE(  -0.1169878638f),
        RX_PULSESHAPER_SCALE(   0.0430278210f),
        RX_PULSESHAPER_SCALE(   0.3411979314f),
        RX_PULSESHAPER_SCALE(   0.0421960309f),
        RX_PULSESHAPER_SCALE(  -0.1107386547f),
        RX_PULSESHAPER_SCALE(   0.0045841066f),
        RX_PULSESHAPER_SCALE(  -0.0387822612f),
        RX_PULSESHAPER_SCALE(  -0.0150878355f),
        RX_PULSESHAPER_SCALE(  -0.0048128495f),
        RX_PULSESHAPER_SCALE(  -0.0089299114f),
        RX_PULSESHAPER_SCALE(  -0.0005461378f),
        RX_PULSESHAPER_SCALE(  -0.0049368276f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044549796f),
        RX_PULSESHAPER_SCALE(  -0.0003014859f),
        RX_PULSESHAPER_SCALE(  -0.0021638385f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021151445f),     /* Filter 101 */
        RX_PULSESHAPER_SCALE(  -0.0003725988f),
        RX_PULSESHAPER_SCALE(  -0.0044788897f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050749884f),
        RX_PULSESHAPER_SCALE(  -0.0004009170f),
        RX_PULSESHAPER_SCALE(  -0.0093136771f),
        RX_PULSESHAPER_SCALE(  -0.0043421424f),
        RX_PULSESHAPER_SCALE(  -0.0163274304f),
        RX_PULSESHAPER_SCALE(  -0.0388798711f),
        RX_PULSESHAPER_SCALE(   0.0027282810f),
        RX_PULSESHAPER_SCALE(  -0.1177722989f),
        RX_PULSESHAPER_SCALE(   0.0431300762f),
        RX_PULSESHAPER_SCALE(   0.3411798629f),
        RX_PULSESHAPER_SCALE(   0.0420903740f),
        RX_PULSESHAPER_SCALE(  -0.1099610074f),
        RX_PULSESHAPER_SCALE(   0.0047843460f),
        RX_PULSESHAPER_SCALE(  -0.0387638845f),
        RX_PULSESHAPER_SCALE(  -0.0149500657f),
        RX_PULSESHAPER_SCALE(  -0.0048625953f),
        RX_PULSESHAPER_SCALE(  -0.0088855108f),
        RX_PULSESHAPER_SCALE(  -0.0005618258f),
        RX_PULSESHAPER_SCALE(  -0.0049200229f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044512460f),
        RX_PULSESHAPER_SCALE(  -0.0002935984f),
        RX_PULSESHAPER_SCALE(  -0.0021685747f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021090595f),     /* Filter 102 */
        RX_PULSESHAPER_SCALE(  -0.0003805065f),
        RX_PULSESHAPER_SCALE(  -0.0044804595f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050888565f),
        RX_PULSESHAPER_SCALE(  -0.0003843455f),
        RX_PULSESHAPER_SCALE(  -0.0093544890f),
        RX_PULSESHAPER_SCALE(  -0.0042872924f),
        RX_PULSESHAPER_SCALE(  -0.0164650166f),
        RX_PULSESHAPER_SCALE(  -0.0388830547f),
        RX_PULSESHAPER_SCALE(   0.0025161361f),
        RX_PULSESHAPER_SCALE(  -0.1185574145f),
        RX_PULSESHAPER_SCALE(   0.0432319416f),
        RX_PULSESHAPER_SCALE(   0.3411577802f),
        RX_PULSESHAPER_SCALE(   0.0419843509f),
        RX_PULSESHAPER_SCALE(  -0.1091841871f),
        RX_PULSESHAPER_SCALE(   0.0049833888f),
        RX_PULSESHAPER_SCALE(  -0.0387440280f),
        RX_PULSESHAPER_SCALE(  -0.0148123101f),
        RX_PULSESHAPER_SCALE(  -0.0049118292f),
        RX_PULSESHAPER_SCALE(  -0.0088407721f),
        RX_PULSESHAPER_SCALE(  -0.0005774220f),
        RX_PULSESHAPER_SCALE(  -0.0049029337f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044472991f),
        RX_PULSESHAPER_SCALE(  -0.0002857152f),
        RX_PULSESHAPER_SCALE(  -0.0021731761f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0021028398f),     /* Filter 103 */
        RX_PULSESHAPER_SCALE(  -0.0003884140f),
        RX_PULSESHAPER_SCALE(  -0.0044818101f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051024220f),
        RX_PULSESHAPER_SCALE(  -0.0003676893f),
        RX_PULSESHAPER_SCALE(  -0.0093949214f),
        RX_PULSESHAPER_SCALE(  -0.0042319341f),
        RX_PULSESHAPER_SCALE(  -0.0166025514f),
        RX_PULSESHAPER_SCALE(  -0.0388846801f),
        RX_PULSESHAPER_SCALE(   0.0023028075f),
        RX_PULSESHAPER_SCALE(  -0.1193431958f),
        RX_PULSESHAPER_SCALE(   0.0433334151f),
        RX_PULSESHAPER_SCALE(   0.3411316836f),
        RX_PULSESHAPER_SCALE(   0.0418779642f),
        RX_PULSESHAPER_SCALE(  -0.1084082084f),
        RX_PULSESHAPER_SCALE(   0.0051812341f),
        RX_PULSESHAPER_SCALE(  -0.0387226989f),
        RX_PULSESHAPER_SCALE(  -0.0146745747f),
        RX_PULSESHAPER_SCALE(  -0.0049605510f),
        RX_PULSESHAPER_SCALE(  -0.0087956989f),
        RX_PULSESHAPER_SCALE(  -0.0005929257f),
        RX_PULSESHAPER_SCALE(  -0.0048855615f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044431396f),
        RX_PULSESHAPER_SCALE(  -0.0002778368f),
        RX_PULSESHAPER_SCALE(  -0.0021776428f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020964852f),     /* Filter 104 */
        RX_PULSESHAPER_SCALE(  -0.0003963208f),
        RX_PULSESHAPER_SCALE(  -0.0044829409f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051156836f),
        RX_PULSESHAPER_SCALE(  -0.0003509491f),
        RX_PULSESHAPER_SCALE(  -0.0094349707f),
        RX_PULSESHAPER_SCALE(  -0.0041760679f),
        RX_PULSESHAPER_SCALE(  -0.0167400286f),
        RX_PULSESHAPER_SCALE(  -0.0388847402f),
        RX_PULSESHAPER_SCALE(   0.0020882964f),
        RX_PULSESHAPER_SCALE(  -0.1201296278f),
        RX_PULSESHAPER_SCALE(   0.0434344942f),
        RX_PULSESHAPER_SCALE(   0.3411015738f),
        RX_PULSESHAPER_SCALE(   0.0417712161f),
        RX_PULSESHAPER_SCALE(  -0.1076330856f),
        RX_PULSESHAPER_SCALE(   0.0053778809f),
        RX_PULSESHAPER_SCALE(  -0.0386999046f),
        RX_PULSESHAPER_SCALE(  -0.0145368652f),
        RX_PULSESHAPER_SCALE(  -0.0050087606f),
        RX_PULSESHAPER_SCALE(  -0.0087502952f),
        RX_PULSESHAPER_SCALE(  -0.0006083364f),
        RX_PULSESHAPER_SCALE(  -0.0048679081f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044387679f),
        RX_PULSESHAPER_SCALE(  -0.0002699634f),
        RX_PULSESHAPER_SCALE(  -0.0021819749f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020899958f),     /* Filter 105 */
        RX_PULSESHAPER_SCALE(  -0.0004042265f),
        RX_PULSESHAPER_SCALE(  -0.0044838516f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051286397f),
        RX_PULSESHAPER_SCALE(  -0.0003341255f),
        RX_PULSESHAPER_SCALE(  -0.0094746331f),
        RX_PULSESHAPER_SCALE(  -0.0041196941f),
        RX_PULSESHAPER_SCALE(  -0.0168774421f),
        RX_PULSESHAPER_SCALE(  -0.0388832281f),
        RX_PULSESHAPER_SCALE(   0.0018726044f),
        RX_PULSESHAPER_SCALE(  -0.1209166957f),
        RX_PULSESHAPER_SCALE(   0.0435351766f),
        RX_PULSESHAPER_SCALE(   0.3410674516f),
        RX_PULSESHAPER_SCALE(   0.0416641092f),
        RX_PULSESHAPER_SCALE(  -0.1068588330f),
        RX_PULSESHAPER_SCALE(   0.0055733284f),
        RX_PULSESHAPER_SCALE(  -0.0386756524f),
        RX_PULSESHAPER_SCALE(  -0.0143991874f),
        RX_PULSESHAPER_SCALE(  -0.0050564578f),
        RX_PULSESHAPER_SCALE(  -0.0087045646f),
        RX_PULSESHAPER_SCALE(  -0.0006236535f),
        RX_PULSESHAPER_SCALE(  -0.0048499752f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044341849f),
        RX_PULSESHAPER_SCALE(  -0.0002620956f),
        RX_PULSESHAPER_SCALE(  -0.0021861725f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020833717f),     /* Filter 106 */
        RX_PULSESHAPER_SCALE(  -0.0004121307f),
        RX_PULSESHAPER_SCALE(  -0.0044845417f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051412886f),
        RX_PULSESHAPER_SCALE(  -0.0003172192f),
        RX_PULSESHAPER_SCALE(  -0.0095139049f),
        RX_PULSESHAPER_SCALE(  -0.0040628135f),
        RX_PULSESHAPER_SCALE(  -0.0170147859f),
        RX_PULSESHAPER_SCALE(  -0.0388801370f),
        RX_PULSESHAPER_SCALE(   0.0016557329f),
        RX_PULSESHAPER_SCALE(  -0.1217043844f),
        RX_PULSESHAPER_SCALE(   0.0436354601f),
        RX_PULSESHAPER_SCALE(   0.3410293177f),
        RX_PULSESHAPER_SCALE(   0.0415566458f),
        RX_PULSESHAPER_SCALE(  -0.1060854650f),
        RX_PULSESHAPER_SCALE(   0.0057675757f),
        RX_PULSESHAPER_SCALE(  -0.0386499497f),
        RX_PULSESHAPER_SCALE(  -0.0142615471f),
        RX_PULSESHAPER_SCALE(  -0.0051036426f),
        RX_PULSESHAPER_SCALE(  -0.0086585109f),
        RX_PULSESHAPER_SCALE(  -0.0006388764f),
        RX_PULSESHAPER_SCALE(  -0.0048317645f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044293910f),
        RX_PULSESHAPER_SCALE(  -0.0002542338f),
        RX_PULSESHAPER_SCALE(  -0.0021902356f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020766129f),     /* Filter 107 */
        RX_PULSESHAPER_SCALE(  -0.0004200329f),
        RX_PULSESHAPER_SCALE(  -0.0044850107f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051536290f),
        RX_PULSESHAPER_SCALE(  -0.0003002310f),
        RX_PULSESHAPER_SCALE(  -0.0095527824f),
        RX_PULSESHAPER_SCALE(  -0.0040054265f),
        RX_PULSESHAPER_SCALE(  -0.0171520536f),
        RX_PULSESHAPER_SCALE(  -0.0388754598f),
        RX_PULSESHAPER_SCALE(   0.0014376834f),
        RX_PULSESHAPER_SCALE(  -0.1224926789f),
        RX_PULSESHAPER_SCALE(   0.0437353424f),
        RX_PULSESHAPER_SCALE(   0.3409871730f),
        RX_PULSESHAPER_SCALE(   0.0414488284f),
        RX_PULSESHAPER_SCALE(  -0.1053129958f),
        RX_PULSESHAPER_SCALE(   0.0059606220f),
        RX_PULSESHAPER_SCALE(  -0.0386228038f),
        RX_PULSESHAPER_SCALE(  -0.0141239501f),
        RX_PULSESHAPER_SCALE(  -0.0051503148f),
        RX_PULSESHAPER_SCALE(  -0.0086121380f),
        RX_PULSESHAPER_SCALE(  -0.0006540045f),
        RX_PULSESHAPER_SCALE(  -0.0048132777f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044243870f),
        RX_PULSESHAPER_SCALE(  -0.0002463782f),
        RX_PULSESHAPER_SCALE(  -0.0021941642f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020697195f),     /* Filter 108 */
        RX_PULSESHAPER_SCALE(  -0.0004279327f),
        RX_PULSESHAPER_SCALE(  -0.0044852582f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051656594f),
        RX_PULSESHAPER_SCALE(  -0.0002831616f),
        RX_PULSESHAPER_SCALE(  -0.0095912619f),
        RX_PULSESHAPER_SCALE(  -0.0039475336f),
        RX_PULSESHAPER_SCALE(  -0.0172892392f),
        RX_PULSESHAPER_SCALE(  -0.0388691898f),
        RX_PULSESHAPER_SCALE(   0.0012184573f),
        RX_PULSESHAPER_SCALE(  -0.1232815642f),
        RX_PULSESHAPER_SCALE(   0.0438348212f),
        RX_PULSESHAPER_SCALE(   0.3409410185f),
        RX_PULSESHAPER_SCALE(   0.0413406594f),
        RX_PULSESHAPER_SCALE(  -0.1045414397f),
        RX_PULSESHAPER_SCALE(   0.0061524666f),
        RX_PULSESHAPER_SCALE(  -0.0385942221f),
        RX_PULSESHAPER_SCALE(  -0.0139864020f),
        RX_PULSESHAPER_SCALE(  -0.0051964745f),
        RX_PULSESHAPER_SCALE(  -0.0085654496f),
        RX_PULSESHAPER_SCALE(  -0.0006690373f),
        RX_PULSESHAPER_SCALE(  -0.0047945167f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044191735f),
        RX_PULSESHAPER_SCALE(  -0.0002385294f),
        RX_PULSESHAPER_SCALE(  -0.0021979586f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020626916f),     /* Filter 109 */
        RX_PULSESHAPER_SCALE(  -0.0004358298f),
        RX_PULSESHAPER_SCALE(  -0.0044852837f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051773782f),
        RX_PULSESHAPER_SCALE(  -0.0002660117f),
        RX_PULSESHAPER_SCALE(  -0.0096293397f),
        RX_PULSESHAPER_SCALE(  -0.0038891355f),
        RX_PULSESHAPER_SCALE(  -0.0174263364f),
        RX_PULSESHAPER_SCALE(  -0.0388613201f),
        RX_PULSESHAPER_SCALE(   0.0009980563f),
        RX_PULSESHAPER_SCALE(  -0.1240710251f),
        RX_PULSESHAPER_SCALE(   0.0439338942f),
        RX_PULSESHAPER_SCALE(   0.3408908554f),
        RX_PULSESHAPER_SCALE(   0.0412321413f),
        RX_PULSESHAPER_SCALE(  -0.1037708107f),
        RX_PULSESHAPER_SCALE(   0.0063431085f),
        RX_PULSESHAPER_SCALE(  -0.0385642120f),
        RX_PULSESHAPER_SCALE(  -0.0138489086f),
        RX_PULSESHAPER_SCALE(  -0.0052421215f),
        RX_PULSESHAPER_SCALE(  -0.0085184495f),
        RX_PULSESHAPER_SCALE(  -0.0006839742f),
        RX_PULSESHAPER_SCALE(  -0.0047754831f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044137512f),
        RX_PULSESHAPER_SCALE(  -0.0002306878f),
        RX_PULSESHAPER_SCALE(  -0.0022016188f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020555293f),     /* Filter 110 */
        RX_PULSESHAPER_SCALE(  -0.0004437235f),
        RX_PULSESHAPER_SCALE(  -0.0044850869f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051887839f),
        RX_PULSESHAPER_SCALE(  -0.0002487819f),
        RX_PULSESHAPER_SCALE(  -0.0096670121f),
        RX_PULSESHAPER_SCALE(  -0.0038302328f),
        RX_PULSESHAPER_SCALE(  -0.0175633390f),
        RX_PULSESHAPER_SCALE(  -0.0388518439f),
        RX_PULSESHAPER_SCALE(   0.0007764818f),
        RX_PULSESHAPER_SCALE(  -0.1248610465f),
        RX_PULSESHAPER_SCALE(   0.0440325592f),
        RX_PULSESHAPER_SCALE(   0.3408366849f),
        RX_PULSESHAPER_SCALE(   0.0411232764f),
        RX_PULSESHAPER_SCALE(  -0.1030011231f),
        RX_PULSESHAPER_SCALE(   0.0065325473f),
        RX_PULSESHAPER_SCALE(  -0.0385327810f),
        RX_PULSESHAPER_SCALE(  -0.0137114755f),
        RX_PULSESHAPER_SCALE(  -0.0052872558f),
        RX_PULSESHAPER_SCALE(  -0.0084711416f),
        RX_PULSESHAPER_SCALE(  -0.0006988145f),
        RX_PULSESHAPER_SCALE(  -0.0047561788f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044081207f),
        RX_PULSESHAPER_SCALE(  -0.0002228537f),
        RX_PULSESHAPER_SCALE(  -0.0022051449f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020482325f),     /* Filter 111 */
        RX_PULSESHAPER_SCALE(  -0.0004516137f),
        RX_PULSESHAPER_SCALE(  -0.0044846674f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051998752f),
        RX_PULSESHAPER_SCALE(  -0.0002314731f),
        RX_PULSESHAPER_SCALE(  -0.0097042755f),
        RX_PULSESHAPER_SCALE(  -0.0037708261f),
        RX_PULSESHAPER_SCALE(  -0.0177002407f),
        RX_PULSESHAPER_SCALE(  -0.0388407544f),
        RX_PULSESHAPER_SCALE(   0.0005537357f),
        RX_PULSESHAPER_SCALE(  -0.1256516133f),
        RX_PULSESHAPER_SCALE(   0.0441308139f),
        RX_PULSESHAPER_SCALE(   0.3407785081f),
        RX_PULSESHAPER_SCALE(   0.0410140673f),
        RX_PULSESHAPER_SCALE(  -0.1022323908f),
        RX_PULSESHAPER_SCALE(   0.0067207821f),
        RX_PULSESHAPER_SCALE(  -0.0384999365f),
        RX_PULSESHAPER_SCALE(  -0.0135741085f),
        RX_PULSESHAPER_SCALE(  -0.0053318775f),
        RX_PULSESHAPER_SCALE(  -0.0084235296f),
        RX_PULSESHAPER_SCALE(  -0.0007135579f),
        RX_PULSESHAPER_SCALE(  -0.0047366054f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0044022827f),
        RX_PULSESHAPER_SCALE(  -0.0002150276f),
        RX_PULSESHAPER_SCALE(  -0.0022085370f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020408016f),     /* Filter 112 */
        RX_PULSESHAPER_SCALE(  -0.0004594997f),
        RX_PULSESHAPER_SCALE(  -0.0044840247f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052106505f),
        RX_PULSESHAPER_SCALE(  -0.0002140860f),
        RX_PULSESHAPER_SCALE(  -0.0097411262f),
        RX_PULSESHAPER_SCALE(  -0.0037109160f),
        RX_PULSESHAPER_SCALE(  -0.0178370354f),
        RX_PULSESHAPER_SCALE(  -0.0388280449f),
        RX_PULSESHAPER_SCALE(   0.0003298194f),
        RX_PULSESHAPER_SCALE(  -0.1264427102f),
        RX_PULSESHAPER_SCALE(   0.0442286560f),
        RX_PULSESHAPER_SCALE(   0.3407163265f),
        RX_PULSESHAPER_SCALE(   0.0409045164f),
        RX_PULSESHAPER_SCALE(  -0.1014646281f),
        RX_PULSESHAPER_SCALE(   0.0069078123f),
        RX_PULSESHAPER_SCALE(  -0.0384656861f),
        RX_PULSESHAPER_SCALE(  -0.0134368130f),
        RX_PULSESHAPER_SCALE(  -0.0053759866f),
        RX_PULSESHAPER_SCALE(  -0.0083756173f),
        RX_PULSESHAPER_SCALE(  -0.0007282037f),
        RX_PULSESHAPER_SCALE(  -0.0047167649f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043962379f),
        RX_PULSESHAPER_SCALE(  -0.0002072099f),
        RX_PULSESHAPER_SCALE(  -0.0022117953f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020332364f),     /* Filter 113 */
        RX_PULSESHAPER_SCALE(  -0.0004673813f),
        RX_PULSESHAPER_SCALE(  -0.0044831585f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052211085f),
        RX_PULSESHAPER_SCALE(  -0.0001966213f),
        RX_PULSESHAPER_SCALE(  -0.0097775604f),
        RX_PULSESHAPER_SCALE(  -0.0036505033f),
        RX_PULSESHAPER_SCALE(  -0.0179737167f),
        RX_PULSESHAPER_SCALE(  -0.0388137087f),
        RX_PULSESHAPER_SCALE(   0.0001047348f),
        RX_PULSESHAPER_SCALE(  -0.1272343221f),
        RX_PULSESHAPER_SCALE(   0.0443260834f),
        RX_PULSESHAPER_SCALE(   0.3406501416f),
        RX_PULSESHAPER_SCALE(   0.0407946261f),
        RX_PULSESHAPER_SCALE(  -0.1006978487f),
        RX_PULSESHAPER_SCALE(   0.0070936374f),
        RX_PULSESHAPER_SCALE(  -0.0384300372f),
        RX_PULSESHAPER_SCALE(  -0.0132995949f),
        RX_PULSESHAPER_SCALE(  -0.0054195832f),
        RX_PULSESHAPER_SCALE(  -0.0083274085f),
        RX_PULSESHAPER_SCALE(  -0.0007427514f),
        RX_PULSESHAPER_SCALE(  -0.0046966589f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043899871f),
        RX_PULSESHAPER_SCALE(  -0.0001994008f),
        RX_PULSESHAPER_SCALE(  -0.0022149198f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020255372f),     /* Filter 114 */
        RX_PULSESHAPER_SCALE(  -0.0004752579f),
        RX_PULSESHAPER_SCALE(  -0.0044820685f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052312477f),
        RX_PULSESHAPER_SCALE(  -0.0001790798f),
        RX_PULSESHAPER_SCALE(  -0.0098135747f),
        RX_PULSESHAPER_SCALE(  -0.0035895887f),
        RX_PULSESHAPER_SCALE(  -0.0181102783f),
        RX_PULSESHAPER_SCALE(  -0.0387977390f),
        RX_PULSESHAPER_SCALE(  -0.0001215166f),
        RX_PULSESHAPER_SCALE(  -0.1280264337f),
        RX_PULSESHAPER_SCALE(   0.0444230937f),
        RX_PULSESHAPER_SCALE(   0.3405799549f),
        RX_PULSESHAPER_SCALE(   0.0406843990f),
        RX_PULSESHAPER_SCALE(  -0.0999320667f),
        RX_PULSESHAPER_SCALE(   0.0072782567f),
        RX_PULSESHAPER_SCALE(  -0.0383929973f),
        RX_PULSESHAPER_SCALE(  -0.0131624596f),
        RX_PULSESHAPER_SCALE(  -0.0054626673f),
        RX_PULSESHAPER_SCALE(  -0.0082789071f),
        RX_PULSESHAPER_SCALE(  -0.0007572005f),
        RX_PULSESHAPER_SCALE(  -0.0046762893f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043835309f),
        RX_PULSESHAPER_SCALE(  -0.0001916010f),
        RX_PULSESHAPER_SCALE(  -0.0022179107f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020177041f),     /* Filter 115 */
        RX_PULSESHAPER_SCALE(  -0.0004831291f),
        RX_PULSESHAPER_SCALE(  -0.0044807543f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052410667f),
        RX_PULSESHAPER_SCALE(  -0.0001614622f),
        RX_PULSESHAPER_SCALE(  -0.0098491652f),
        RX_PULSESHAPER_SCALE(  -0.0035281729f),
        RX_PULSESHAPER_SCALE(  -0.0182467139f),
        RX_PULSESHAPER_SCALE(  -0.0387801292f),
        RX_PULSESHAPER_SCALE(  -0.0003489328f),
        RX_PULSESHAPER_SCALE(  -0.1288190296f),
        RX_PULSESHAPER_SCALE(   0.0445196849f),
        RX_PULSESHAPER_SCALE(   0.3405057681f),
        RX_PULSESHAPER_SCALE(   0.0405738376f),
        RX_PULSESHAPER_SCALE(  -0.0991672960f),
        RX_PULSESHAPER_SCALE(   0.0074616697f),
        RX_PULSESHAPER_SCALE(  -0.0383545740f),
        RX_PULSESHAPER_SCALE(  -0.0130254126f),
        RX_PULSESHAPER_SCALE(  -0.0055052391f),
        RX_PULSESHAPER_SCALE(  -0.0082301168f),
        RX_PULSESHAPER_SCALE(  -0.0007715504f),
        RX_PULSESHAPER_SCALE(  -0.0046556579f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043768701f),
        RX_PULSESHAPER_SCALE(  -0.0001838106f),
        RX_PULSESHAPER_SCALE(  -0.0022207681f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020097371f),     /* Filter 116 */
        RX_PULSESHAPER_SCALE(  -0.0004909945f),
        RX_PULSESHAPER_SCALE(  -0.0044792154f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052505641f),
        RX_PULSESHAPER_SCALE(  -0.0001437693f),
        RX_PULSESHAPER_SCALE(  -0.0098843284f),
        RX_PULSESHAPER_SCALE(  -0.0034662566f),
        RX_PULSESHAPER_SCALE(  -0.0183830172f),
        RX_PULSESHAPER_SCALE(  -0.0387608727f),
        RX_PULSESHAPER_SCALE(  -0.0005775122f),
        RX_PULSESHAPER_SCALE(  -0.1296120945f),
        RX_PULSESHAPER_SCALE(   0.0446158546f),
        RX_PULSESHAPER_SCALE(   0.3404275829f),
        RX_PULSESHAPER_SCALE(   0.0404629442f),
        RX_PULSESHAPER_SCALE(  -0.0984035504f),
        RX_PULSESHAPER_SCALE(   0.0076438760f),
        RX_PULSESHAPER_SCALE(  -0.0383147748f),
        RX_PULSESHAPER_SCALE(  -0.0128884596f),
        RX_PULSESHAPER_SCALE(  -0.0055472986f),
        RX_PULSESHAPER_SCALE(  -0.0081810414f),
        RX_PULSESHAPER_SCALE(  -0.0007858006f),
        RX_PULSESHAPER_SCALE(  -0.0046347665f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043700054f),
        RX_PULSESHAPER_SCALE(  -0.0001760303f),
        RX_PULSESHAPER_SCALE(  -0.0022234923f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0020016365f),     /* Filter 117 */
        RX_PULSESHAPER_SCALE(  -0.0004988537f),
        RX_PULSESHAPER_SCALE(  -0.0044774517f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052597386f),
        RX_PULSESHAPER_SCALE(  -0.0001260018f),
        RX_PULSESHAPER_SCALE(  -0.0099190607f),
        RX_PULSESHAPER_SCALE(  -0.0034038407f),
        RX_PULSESHAPER_SCALE(  -0.0185191817f),
        RX_PULSESHAPER_SCALE(  -0.0387399629f),
        RX_PULSESHAPER_SCALE(  -0.0008072528f),
        RX_PULSESHAPER_SCALE(  -0.1304056130f),
        RX_PULSESHAPER_SCALE(   0.0447116006f),
        RX_PULSESHAPER_SCALE(   0.3403454013f),
        RX_PULSESHAPER_SCALE(   0.0403517215f),
        RX_PULSESHAPER_SCALE(  -0.0976408437f),
        RX_PULSESHAPER_SCALE(   0.0078248749f),
        RX_PULSESHAPER_SCALE(  -0.0382736074f),
        RX_PULSESHAPER_SCALE(  -0.0127516060f),
        RX_PULSESHAPER_SCALE(  -0.0055888461f),
        RX_PULSESHAPER_SCALE(  -0.0081316848f),
        RX_PULSESHAPER_SCALE(  -0.0007999507f),
        RX_PULSESHAPER_SCALE(  -0.0046136171f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043629375f),
        RX_PULSESHAPER_SCALE(  -0.0001682602f),
        RX_PULSESHAPER_SCALE(  -0.0022260833f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019934023f),     /* Filter 118 */
        RX_PULSESHAPER_SCALE(  -0.0005067063f),
        RX_PULSESHAPER_SCALE(  -0.0044754628f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052685888f),
        RX_PULSESHAPER_SCALE(  -0.0001081606f),
        RX_PULSESHAPER_SCALE(  -0.0099533583f),
        RX_PULSESHAPER_SCALE(  -0.0033409259f),
        RX_PULSESHAPER_SCALE(  -0.0186552012f),
        RX_PULSESHAPER_SCALE(  -0.0387173931f),
        RX_PULSESHAPER_SCALE(  -0.0010381529f),
        RX_PULSESHAPER_SCALE(  -0.1311995698f),
        RX_PULSESHAPER_SCALE(   0.0448069208f),
        RX_PULSESHAPER_SCALE(   0.3402592251f),
        RX_PULSESHAPER_SCALE(   0.0402401719f),
        RX_PULSESHAPER_SCALE(  -0.0968791897f),
        RX_PULSESHAPER_SCALE(   0.0080046662f),
        RX_PULSESHAPER_SCALE(  -0.0382310793f),
        RX_PULSESHAPER_SCALE(  -0.0126148574f),
        RX_PULSESHAPER_SCALE(  -0.0056298817f),
        RX_PULSESHAPER_SCALE(  -0.0080820507f),
        RX_PULSESHAPER_SCALE(  -0.0008140001f),
        RX_PULSESHAPER_SCALE(  -0.0045922113f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043556672f),
        RX_PULSESHAPER_SCALE(  -0.0001605009f),
        RX_PULSESHAPER_SCALE(  -0.0022285413f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019850347f),     /* Filter 119 */
        RX_PULSESHAPER_SCALE(  -0.0005145518f),
        RX_PULSESHAPER_SCALE(  -0.0044732484f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052771133f),
        RX_PULSESHAPER_SCALE(  -0.0000902464f),
        RX_PULSESHAPER_SCALE(  -0.0099872178f),
        RX_PULSESHAPER_SCALE(  -0.0032775132f),
        RX_PULSESHAPER_SCALE(  -0.0187910693f),
        RX_PULSESHAPER_SCALE(  -0.0386931570f),
        RX_PULSESHAPER_SCALE(  -0.0012702104f),
        RX_PULSESHAPER_SCALE(  -0.1319939495f),
        RX_PULSESHAPER_SCALE(   0.0449018130f),
        RX_PULSESHAPER_SCALE(   0.3401690565f),
        RX_PULSESHAPER_SCALE(   0.0401282978f),
        RX_PULSESHAPER_SCALE(  -0.0961186021f),
        RX_PULSESHAPER_SCALE(   0.0081832493f),
        RX_PULSESHAPER_SCALE(  -0.0381871982f),
        RX_PULSESHAPER_SCALE(  -0.0124782192f),
        RX_PULSESHAPER_SCALE(  -0.0056704055f),
        RX_PULSESHAPER_SCALE(  -0.0080321430f),
        RX_PULSESHAPER_SCALE(  -0.0008279483f),
        RX_PULSESHAPER_SCALE(  -0.0045705511f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043481953f),
        RX_PULSESHAPER_SCALE(  -0.0001527527f),
        RX_PULSESHAPER_SCALE(  -0.0022308665f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019765340f),     /* Filter 120 */
        RX_PULSESHAPER_SCALE(  -0.0005223897f),
        RX_PULSESHAPER_SCALE(  -0.0044708081f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052853108f),
        RX_PULSESHAPER_SCALE(  -0.0000722600f),
        RX_PULSESHAPER_SCALE(  -0.0100206355f),
        RX_PULSESHAPER_SCALE(  -0.0032136033f),
        RX_PULSESHAPER_SCALE(  -0.0189267794f),
        RX_PULSESHAPER_SCALE(  -0.0386672479f),
        RX_PULSESHAPER_SCALE(  -0.0015034235f),
        RX_PULSESHAPER_SCALE(  -0.1327887364f),
        RX_PULSESHAPER_SCALE(   0.0449962750f),
        RX_PULSESHAPER_SCALE(   0.3400748975f),
        RX_PULSESHAPER_SCALE(   0.0400161019f),
        RX_PULSESHAPER_SCALE(  -0.0953590945f),
        RX_PULSESHAPER_SCALE(   0.0083606240f),
        RX_PULSESHAPER_SCALE(  -0.0381419716f),
        RX_PULSESHAPER_SCALE(  -0.0123416967f),
        RX_PULSESHAPER_SCALE(  -0.0057104179f),
        RX_PULSESHAPER_SCALE(  -0.0079819655f),
        RX_PULSESHAPER_SCALE(  -0.0008417948f),
        RX_PULSESHAPER_SCALE(  -0.0045486383f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043405225f),
        RX_PULSESHAPER_SCALE(  -0.0001450159f),
        RX_PULSESHAPER_SCALE(  -0.0022330590f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019679001f),     /* Filter 121 */
        RX_PULSESHAPER_SCALE(  -0.0005302197f),
        RX_PULSESHAPER_SCALE(  -0.0044681417f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052931800f),
        RX_PULSESHAPER_SCALE(  -0.0000542022f),
        RX_PULSESHAPER_SCALE(  -0.0100536077f),
        RX_PULSESHAPER_SCALE(  -0.0031491971f),
        RX_PULSESHAPER_SCALE(  -0.0190623252f),
        RX_PULSESHAPER_SCALE(  -0.0386396594f),
        RX_PULSESHAPER_SCALE(  -0.0017377902f),
        RX_PULSESHAPER_SCALE(  -0.1335839153f),
        RX_PULSESHAPER_SCALE(   0.0450903047f),
        RX_PULSESHAPER_SCALE(   0.3399767503f),
        RX_PULSESHAPER_SCALE(   0.0399035866f),
        RX_PULSESHAPER_SCALE(  -0.0946006806f),
        RX_PULSESHAPER_SCALE(   0.0085367899f),
        RX_PULSESHAPER_SCALE(  -0.0380954073f),
        RX_PULSESHAPER_SCALE(  -0.0122052956f),
        RX_PULSESHAPER_SCALE(  -0.0057499190f),
        RX_PULSESHAPER_SCALE(  -0.0079315219f),
        RX_PULSESHAPER_SCALE(  -0.0008555392f),
        RX_PULSESHAPER_SCALE(  -0.0045264749f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043326497f),
        RX_PULSESHAPER_SCALE(  -0.0001372911f),
        RX_PULSESHAPER_SCALE(  -0.0022351191f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019591334f),     /* Filter 122 */
        RX_PULSESHAPER_SCALE(  -0.0005380413f),
        RX_PULSESHAPER_SCALE(  -0.0044652490f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053007195f),
        RX_PULSESHAPER_SCALE(  -0.0000360739f),
        RX_PULSESHAPER_SCALE(  -0.0100861310f),
        RX_PULSESHAPER_SCALE(  -0.0030842957f),
        RX_PULSESHAPER_SCALE(  -0.0191977003f),
        RX_PULSESHAPER_SCALE(  -0.0386103851f),
        RX_PULSESHAPER_SCALE(  -0.0019733085f),
        RX_PULSESHAPER_SCALE(  -0.1343794704f),
        RX_PULSESHAPER_SCALE(   0.0451838998f),
        RX_PULSESHAPER_SCALE(   0.3398746174f),
        RX_PULSESHAPER_SCALE(   0.0397907545f),
        RX_PULSESHAPER_SCALE(  -0.0938433739f),
        RX_PULSESHAPER_SCALE(   0.0087117467f),
        RX_PULSESHAPER_SCALE(  -0.0380475129f),
        RX_PULSESHAPER_SCALE(  -0.0120690210f),
        RX_PULSESHAPER_SCALE(  -0.0057889091f),
        RX_PULSESHAPER_SCALE(  -0.0078808162f),
        RX_PULSESHAPER_SCALE(  -0.0008691810f),
        RX_PULSESHAPER_SCALE(  -0.0045040626f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043245776f),
        RX_PULSESHAPER_SCALE(  -0.0001295786f),
        RX_PULSESHAPER_SCALE(  -0.0022370469f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019502339f),     /* Filter 123 */
        RX_PULSESHAPER_SCALE(  -0.0005458541f),
        RX_PULSESHAPER_SCALE(  -0.0044621297f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053079281f),
        RX_PULSESHAPER_SCALE(  -0.0000178757f),
        RX_PULSESHAPER_SCALE(  -0.0101182017f),
        RX_PULSESHAPER_SCALE(  -0.0030188998f),
        RX_PULSESHAPER_SCALE(  -0.0193328982f),
        RX_PULSESHAPER_SCALE(  -0.0385794185f),
        RX_PULSESHAPER_SCALE(  -0.0022099762f),
        RX_PULSESHAPER_SCALE(  -0.1351753864f),
        RX_PULSESHAPER_SCALE(   0.0452770582f),
        RX_PULSESHAPER_SCALE(   0.3397685011f),
        RX_PULSESHAPER_SCALE(   0.0396776081f),
        RX_PULSESHAPER_SCALE(  -0.0930871879f),
        RX_PULSESHAPER_SCALE(   0.0088854941f),
        RX_PULSESHAPER_SCALE(  -0.0379982962f),
        RX_PULSESHAPER_SCALE(  -0.0119328784f),
        RX_PULSESHAPER_SCALE(  -0.0058273885f),
        RX_PULSESHAPER_SCALE(  -0.0078298520f),
        RX_PULSESHAPER_SCALE(  -0.0008827197f),
        RX_PULSESHAPER_SCALE(  -0.0044814034f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043163069f),
        RX_PULSESHAPER_SCALE(  -0.0001218787f),
        RX_PULSESHAPER_SCALE(  -0.0022388427f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019412019f),     /* Filter 124 */
        RX_PULSESHAPER_SCALE(  -0.0005536577f),
        RX_PULSESHAPER_SCALE(  -0.0044587834f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053148046f),
        RX_PULSESHAPER_SCALE(   0.0000003915f),
        RX_PULSESHAPER_SCALE(  -0.0101498163f),
        RX_PULSESHAPER_SCALE(  -0.0029530105f),
        RX_PULSESHAPER_SCALE(  -0.0194679123f),
        RX_PULSESHAPER_SCALE(  -0.0385467533f),
        RX_PULSESHAPER_SCALE(  -0.0024477915f),
        RX_PULSESHAPER_SCALE(  -0.1359716475f),
        RX_PULSESHAPER_SCALE(   0.0453697778f),
        RX_PULSESHAPER_SCALE(   0.3396584039f),
        RX_PULSESHAPER_SCALE(   0.0395641498f),
        RX_PULSESHAPER_SCALE(  -0.0923321362f),
        RX_PULSESHAPER_SCALE(   0.0090580319f),
        RX_PULSESHAPER_SCALE(  -0.0379477648f),
        RX_PULSESHAPER_SCALE(  -0.0117968732f),
        RX_PULSESHAPER_SCALE(  -0.0058653575f),
        RX_PULSESHAPER_SCALE(  -0.0077786333f),
        RX_PULSESHAPER_SCALE(  -0.0008961548f),
        RX_PULSESHAPER_SCALE(  -0.0044584992f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0043078386f),
        RX_PULSESHAPER_SCALE(  -0.0001141919f),
        RX_PULSESHAPER_SCALE(  -0.0022405065f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019320376f),     /* Filter 125 */
        RX_PULSESHAPER_SCALE(  -0.0005614516f),
        RX_PULSESHAPER_SCALE(  -0.0044552101f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053213476f),
        RX_PULSESHAPER_SCALE(   0.0000187268f),
        RX_PULSESHAPER_SCALE(  -0.0101809712f),
        RX_PULSESHAPER_SCALE(  -0.0028866287f),
        RX_PULSESHAPER_SCALE(  -0.0196027363f),
        RX_PULSESHAPER_SCALE(  -0.0385123832f),
        RX_PULSESHAPER_SCALE(  -0.0026867520f),
        RX_PULSESHAPER_SCALE(  -0.1367682382f),
        RX_PULSESHAPER_SCALE(   0.0454620565f),
        RX_PULSESHAPER_SCALE(   0.3395443285f),
        RX_PULSESHAPER_SCALE(   0.0394503824f),
        RX_PULSESHAPER_SCALE(  -0.0915782320f),
        RX_PULSESHAPER_SCALE(   0.0092293599f),
        RX_PULSESHAPER_SCALE(  -0.0378959264f),
        RX_PULSESHAPER_SCALE(  -0.0116610106f),
        RX_PULSESHAPER_SCALE(  -0.0059028164f),
        RX_PULSESHAPER_SCALE(  -0.0077271638f),
        RX_PULSESHAPER_SCALE(  -0.0009094860f),
        RX_PULSESHAPER_SCALE(  -0.0044353519f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042991734f),
        RX_PULSESHAPER_SCALE(  -0.0001065185f),
        RX_PULSESHAPER_SCALE(  -0.0022420388f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019227411f),     /* Filter 126 */
        RX_PULSESHAPER_SCALE(  -0.0005692354f),
        RX_PULSESHAPER_SCALE(  -0.0044514094f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053275559f),
        RX_PULSESHAPER_SCALE(   0.0000371294f),
        RX_PULSESHAPER_SCALE(  -0.0102116628f),
        RX_PULSESHAPER_SCALE(  -0.0028197555f),
        RX_PULSESHAPER_SCALE(  -0.0197373635f),
        RX_PULSESHAPER_SCALE(  -0.0384763017f),
        RX_PULSESHAPER_SCALE(  -0.0029268557f),
        RX_PULSESHAPER_SCALE(  -0.1375651428f),
        RX_PULSESHAPER_SCALE(   0.0455538920f),
        RX_PULSESHAPER_SCALE(   0.3394262775f),
        RX_PULSESHAPER_SCALE(   0.0393363082f),
        RX_PULSESHAPER_SCALE(  -0.0908254888f),
        RX_PULSESHAPER_SCALE(   0.0093994780f),
        RX_PULSESHAPER_SCALE(  -0.0378427889f),
        RX_PULSESHAPER_SCALE(  -0.0115252959f),
        RX_PULSESHAPER_SCALE(  -0.0059397656f),
        RX_PULSESHAPER_SCALE(  -0.0076754473f),
        RX_PULSESHAPER_SCALE(  -0.0009227127f),
        RX_PULSESHAPER_SCALE(  -0.0044119634f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042903122f),
        RX_PULSESHAPER_SCALE(  -0.0000988589f),
        RX_PULSESHAPER_SCALE(  -0.0022434396f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019133128f),     /* Filter 127 */
        RX_PULSESHAPER_SCALE(  -0.0005770086f),
        RX_PULSESHAPER_SCALE(  -0.0044473811f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053334282f),
        RX_PULSESHAPER_SCALE(   0.0000555985f),
        RX_PULSESHAPER_SCALE(  -0.0102418876f),
        RX_PULSESHAPER_SCALE(  -0.0027523919f),
        RX_PULSESHAPER_SCALE(  -0.0198717875f),
        RX_PULSESHAPER_SCALE(  -0.0384385027f),
        RX_PULSESHAPER_SCALE(  -0.0031681004f),
        RX_PULSESHAPER_SCALE(  -0.1383623456f),
        RX_PULSESHAPER_SCALE(   0.0456452825f),
        RX_PULSESHAPER_SCALE(   0.3393042538f),
        RX_PULSESHAPER_SCALE(   0.0392219298f),
        RX_PULSESHAPER_SCALE(  -0.0900739199f),
        RX_PULSESHAPER_SCALE(   0.0095683859f),
        RX_PULSESHAPER_SCALE(  -0.0377883599f),
        RX_PULSESHAPER_SCALE(  -0.0113897343f),
        RX_PULSESHAPER_SCALE(  -0.0059762055f),
        RX_PULSESHAPER_SCALE(  -0.0076234876f),
        RX_PULSESHAPER_SCALE(  -0.0009358345f),
        RX_PULSESHAPER_SCALE(  -0.0043883356f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042812558f),
        RX_PULSESHAPER_SCALE(  -0.0000912135f),
        RX_PULSESHAPER_SCALE(  -0.0022447092f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0019037527f),     /* Filter 128 */
        RX_PULSESHAPER_SCALE(  -0.0005847708f),
        RX_PULSESHAPER_SCALE(  -0.0044431251f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053389634f),
        RX_PULSESHAPER_SCALE(   0.0000741333f),
        RX_PULSESHAPER_SCALE(  -0.0102716422f),
        RX_PULSESHAPER_SCALE(  -0.0026845389f),
        RX_PULSESHAPER_SCALE(  -0.0200060016f),
        RX_PULSESHAPER_SCALE(  -0.0383989799f),
        RX_PULSESHAPER_SCALE(  -0.0034104839f),
        RX_PULSESHAPER_SCALE(  -0.1391598310f),
        RX_PULSESHAPER_SCALE(   0.0457362256f),
        RX_PULSESHAPER_SCALE(   0.3391782602f),
        RX_PULSESHAPER_SCALE(   0.0391072499f),
        RX_PULSESHAPER_SCALE(  -0.0893235386f),
        RX_PULSESHAPER_SCALE(   0.0097360837f),
        RX_PULSESHAPER_SCALE(  -0.0377326473f),
        RX_PULSESHAPER_SCALE(  -0.0112543312f),
        RX_PULSESHAPER_SCALE(  -0.0060121364f),
        RX_PULSESHAPER_SCALE(  -0.0075712886f),
        RX_PULSESHAPER_SCALE(  -0.0009488510f),
        RX_PULSESHAPER_SCALE(  -0.0043644705f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042720051f),
        RX_PULSESHAPER_SCALE(  -0.0000835826f),
        RX_PULSESHAPER_SCALE(  -0.0022458478f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018940612f),     /* Filter 129 */
        RX_PULSESHAPER_SCALE(  -0.0005925217f),
        RX_PULSESHAPER_SCALE(  -0.0044386412f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053441603f),
        RX_PULSESHAPER_SCALE(   0.0000927328f),
        RX_PULSESHAPER_SCALE(  -0.0103009229f),
        RX_PULSESHAPER_SCALE(  -0.0026161978f),
        RX_PULSESHAPER_SCALE(  -0.0201399994f),
        RX_PULSESHAPER_SCALE(  -0.0383577271f),
        RX_PULSESHAPER_SCALE(  -0.0036540038f),
        RX_PULSESHAPER_SCALE(  -0.1399575832f),
        RX_PULSESHAPER_SCALE(   0.0458267193f),
        RX_PULSESHAPER_SCALE(   0.3390482998f),
        RX_PULSESHAPER_SCALE(   0.0389922709f),
        RX_PULSESHAPER_SCALE(  -0.0885743579f),
        RX_PULSESHAPER_SCALE(   0.0099025712f),
        RX_PULSESHAPER_SCALE(  -0.0376756588f),
        RX_PULSESHAPER_SCALE(  -0.0111190917f),
        RX_PULSESHAPER_SCALE(  -0.0060475588f),
        RX_PULSESHAPER_SCALE(  -0.0075188541f),
        RX_PULSESHAPER_SCALE(  -0.0009617617f),
        RX_PULSESHAPER_SCALE(  -0.0043403699f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042625608f),
        RX_PULSESHAPER_SCALE(  -0.0000759667f),
        RX_PULSESHAPER_SCALE(  -0.0022468557f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018842384f),     /* Filter 130 */
        RX_PULSESHAPER_SCALE(  -0.0006002607f),
        RX_PULSESHAPER_SCALE(  -0.0044339291f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053490176f),
        RX_PULSESHAPER_SCALE(   0.0001113964f),
        RX_PULSESHAPER_SCALE(  -0.0103297262f),
        RX_PULSESHAPER_SCALE(  -0.0025473695f),
        RX_PULSESHAPER_SCALE(  -0.0202737743f),
        RX_PULSESHAPER_SCALE(  -0.0383147381f),
        RX_PULSESHAPER_SCALE(  -0.0038986580f),
        RX_PULSESHAPER_SCALE(  -0.1407555865f),
        RX_PULSESHAPER_SCALE(   0.0459167616f),
        RX_PULSESHAPER_SCALE(   0.3389143755f),
        RX_PULSESHAPER_SCALE(   0.0388769954f),
        RX_PULSESHAPER_SCALE(  -0.0878263913f),
        RX_PULSESHAPER_SCALE(   0.0100678484f),
        RX_PULSESHAPER_SCALE(  -0.0376174023f),
        RX_PULSESHAPER_SCALE(  -0.0109840210f),
        RX_PULSESHAPER_SCALE(  -0.0060824730f),
        RX_PULSESHAPER_SCALE(  -0.0074661878f),
        RX_PULSESHAPER_SCALE(  -0.0009745663f),
        RX_PULSESHAPER_SCALE(  -0.0043160360f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042529239f),
        RX_PULSESHAPER_SCALE(  -0.0000683661f),
        RX_PULSESHAPER_SCALE(  -0.0022477331f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018742846f),     /* Filter 131 */
        RX_PULSESHAPER_SCALE(  -0.0006079874f),
        RX_PULSESHAPER_SCALE(  -0.0044289888f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053535342f),
        RX_PULSESHAPER_SCALE(   0.0001301230f),
        RX_PULSESHAPER_SCALE(  -0.0103580487f),
        RX_PULSESHAPER_SCALE(  -0.0024780552f),
        RX_PULSESHAPER_SCALE(  -0.0204073195f),
        RX_PULSESHAPER_SCALE(  -0.0382700068f),
        RX_PULSESHAPER_SCALE(  -0.0041444440f),
        RX_PULSESHAPER_SCALE(  -0.1415538250f),
        RX_PULSESHAPER_SCALE(   0.0460063503f),
        RX_PULSESHAPER_SCALE(   0.3387764907f),
        RX_PULSESHAPER_SCALE(   0.0387614260f),
        RX_PULSESHAPER_SCALE(  -0.0870796516f),
        RX_PULSESHAPER_SCALE(   0.0102319154f),
        RX_PULSESHAPER_SCALE(  -0.0375578856f),
        RX_PULSESHAPER_SCALE(  -0.0108491242f),
        RX_PULSESHAPER_SCALE(  -0.0061168796f),
        RX_PULSESHAPER_SCALE(  -0.0074132935f),
        RX_PULSESHAPER_SCALE(  -0.0009872643f),
        RX_PULSESHAPER_SCALE(  -0.0042914705f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042430953f),
        RX_PULSESHAPER_SCALE(  -0.0000607812f),
        RX_PULSESHAPER_SCALE(  -0.0022484803f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018642000f),     /* Filter 132 */
        RX_PULSESHAPER_SCALE(  -0.0006157014f),
        RX_PULSESHAPER_SCALE(  -0.0044238200f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053577089f),
        RX_PULSESHAPER_SCALE(   0.0001489119f),
        RX_PULSESHAPER_SCALE(  -0.0103858869f),
        RX_PULSESHAPER_SCALE(  -0.0024082561f),
        RX_PULSESHAPER_SCALE(  -0.0205406287f),
        RX_PULSESHAPER_SCALE(  -0.0382235270f),
        RX_PULSESHAPER_SCALE(  -0.0043913596f),
        RX_PULSESHAPER_SCALE(  -0.1423522830f),
        RX_PULSESHAPER_SCALE(   0.0460954835f),
        RX_PULSESHAPER_SCALE(   0.3386346485f),
        RX_PULSESHAPER_SCALE(   0.0386455653f),
        RX_PULSESHAPER_SCALE(  -0.0863341521f),
        RX_PULSESHAPER_SCALE(   0.0103947721f),
        RX_PULSESHAPER_SCALE(  -0.0374971165f),
        RX_PULSESHAPER_SCALE(  -0.0107144066f),
        RX_PULSESHAPER_SCALE(  -0.0061507791f),
        RX_PULSESHAPER_SCALE(  -0.0073601751f),
        RX_PULSESHAPER_SCALE(  -0.0009998553f),
        RX_PULSESHAPER_SCALE(  -0.0042666755f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042330758f),
        RX_PULSESHAPER_SCALE(  -0.0000532124f),
        RX_PULSESHAPER_SCALE(  -0.0022490975f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018539850f),     /* Filter 133 */
        RX_PULSESHAPER_SCALE(  -0.0006234022f),
        RX_PULSESHAPER_SCALE(  -0.0044184227f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053615406f),
        RX_PULSESHAPER_SCALE(   0.0001677622f),
        RX_PULSESHAPER_SCALE(  -0.0104132373f),
        RX_PULSESHAPER_SCALE(  -0.0023379734f),
        RX_PULSESHAPER_SCALE(  -0.0206736950f),
        RX_PULSESHAPER_SCALE(  -0.0381752928f),
        RX_PULSESHAPER_SCALE(  -0.0046394023f),
        RX_PULSESHAPER_SCALE(  -0.1431509446f),
        RX_PULSESHAPER_SCALE(   0.0461841589f),
        RX_PULSESHAPER_SCALE(   0.3384888524f),
        RX_PULSESHAPER_SCALE(   0.0385294158f),
        RX_PULSESHAPER_SCALE(  -0.0855899056f),
        RX_PULSESHAPER_SCALE(   0.0105564187f),
        RX_PULSESHAPER_SCALE(  -0.0374351029f),
        RX_PULSESHAPER_SCALE(  -0.0105798731f),
        RX_PULSESHAPER_SCALE(  -0.0061841719f),
        RX_PULSESHAPER_SCALE(  -0.0073068364f),
        RX_PULSESHAPER_SCALE(  -0.0010123389f),
        RX_PULSESHAPER_SCALE(  -0.0042416530f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042228663f),
        RX_PULSESHAPER_SCALE(  -0.0000456600f),
        RX_PULSESHAPER_SCALE(  -0.0022495850f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018436397f),     /* Filter 134 */
        RX_PULSESHAPER_SCALE(  -0.0006310895f),
        RX_PULSESHAPER_SCALE(  -0.0044127966f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053650282f),
        RX_PULSESHAPER_SCALE(   0.0001866729f),
        RX_PULSESHAPER_SCALE(  -0.0104400964f),
        RX_PULSESHAPER_SCALE(  -0.0022672083f),
        RX_PULSESHAPER_SCALE(  -0.0208065119f),
        RX_PULSESHAPER_SCALE(  -0.0381252980f),
        RX_PULSESHAPER_SCALE(  -0.0048885696f),
        RX_PULSESHAPER_SCALE(  -0.1439497940f),
        RX_PULSESHAPER_SCALE(   0.0462723747f),
        RX_PULSESHAPER_SCALE(   0.3383391057f),
        RX_PULSESHAPER_SCALE(   0.0384129801f),
        RX_PULSESHAPER_SCALE(  -0.0848469252f),
        RX_PULSESHAPER_SCALE(   0.0107168552f),
        RX_PULSESHAPER_SCALE(  -0.0373718527f),
        RX_PULSESHAPER_SCALE(  -0.0104455288f),
        RX_PULSESHAPER_SCALE(  -0.0062170586f),
        RX_PULSESHAPER_SCALE(  -0.0072532811f),
        RX_PULSESHAPER_SCALE(  -0.0010247147f),
        RX_PULSESHAPER_SCALE(  -0.0042164049f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042124676f),
        RX_PULSESHAPER_SCALE(  -0.0000381244f),
        RX_PULSESHAPER_SCALE(  -0.0022499431f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018331645f),     /* Filter 135 */
        RX_PULSESHAPER_SCALE(  -0.0006387627f),
        RX_PULSESHAPER_SCALE(  -0.0044069417f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053681706f),
        RX_PULSESHAPER_SCALE(   0.0002056433f),
        RX_PULSESHAPER_SCALE(  -0.0104664608f),
        RX_PULSESHAPER_SCALE(  -0.0021959621f),
        RX_PULSESHAPER_SCALE(  -0.0209390726f),
        RX_PULSESHAPER_SCALE(  -0.0380735367f),
        RX_PULSESHAPER_SCALE(  -0.0051388592f),
        RX_PULSESHAPER_SCALE(  -0.1447488152f),
        RX_PULSESHAPER_SCALE(   0.0463601287f),
        RX_PULSESHAPER_SCALE(   0.3381854120f),
        RX_PULSESHAPER_SCALE(   0.0382962609f),
        RX_PULSESHAPER_SCALE(  -0.0841052237f),
        RX_PULSESHAPER_SCALE(   0.0108760818f),
        RX_PULSESHAPER_SCALE(  -0.0373073737f),
        RX_PULSESHAPER_SCALE(  -0.0103113789f),
        RX_PULSESHAPER_SCALE(  -0.0062494397f),
        RX_PULSESHAPER_SCALE(  -0.0071995130f),
        RX_PULSESHAPER_SCALE(  -0.0010369824f),
        RX_PULSESHAPER_SCALE(  -0.0041909332f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0042018808f),
        RX_PULSESHAPER_SCALE(  -0.0000306060f),
        RX_PULSESHAPER_SCALE(  -0.0022501720f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018225596f),     /* Filter 136 */
        RX_PULSESHAPER_SCALE(  -0.0006464215f),
        RX_PULSESHAPER_SCALE(  -0.0044008579f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053709666f),
        RX_PULSESHAPER_SCALE(   0.0002246724f),
        RX_PULSESHAPER_SCALE(  -0.0104923270f),
        RX_PULSESHAPER_SCALE(  -0.0021242359f),
        RX_PULSESHAPER_SCALE(  -0.0210713706f),
        RX_PULSESHAPER_SCALE(  -0.0380200030f),
        RX_PULSESHAPER_SCALE(  -0.0053902685f),
        RX_PULSESHAPER_SCALE(  -0.1455479924f),
        RX_PULSESHAPER_SCALE(   0.0464474190f),
        RX_PULSESHAPER_SCALE(   0.3380277750f),
        RX_PULSESHAPER_SCALE(   0.0381792607f),
        RX_PULSESHAPER_SCALE(  -0.0833648140f),
        RX_PULSESHAPER_SCALE(   0.0110340987f),
        RX_PULSESHAPER_SCALE(  -0.0372416738f),
        RX_PULSESHAPER_SCALE(  -0.0101774283f),
        RX_PULSESHAPER_SCALE(  -0.0062813158f),
        RX_PULSESHAPER_SCALE(  -0.0071455360f),
        RX_PULSESHAPER_SCALE(  -0.0010491416f),
        RX_PULSESHAPER_SCALE(  -0.0041652400f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041911068f),
        RX_PULSESHAPER_SCALE(  -0.0000231050f),
        RX_PULSESHAPER_SCALE(  -0.0022502720f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018118253f),     /* Filter 137 */
        RX_PULSESHAPER_SCALE(  -0.0006540653f),
        RX_PULSESHAPER_SCALE(  -0.0043945451f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053734153f),
        RX_PULSESHAPER_SCALE(   0.0002437593f),
        RX_PULSESHAPER_SCALE(  -0.0105176916f),
        RX_PULSESHAPER_SCALE(  -0.0020520312f),
        RX_PULSESHAPER_SCALE(  -0.0212033992f),
        RX_PULSESHAPER_SCALE(  -0.0379646908f),
        RX_PULSESHAPER_SCALE(  -0.0056427949f),
        RX_PULSESHAPER_SCALE(  -0.1463473095f),
        RX_PULSESHAPER_SCALE(   0.0465342435f),
        RX_PULSESHAPER_SCALE(   0.3378661983f),
        RX_PULSESHAPER_SCALE(   0.0380619820f),
        RX_PULSESHAPER_SCALE(  -0.0826257089f),
        RX_PULSESHAPER_SCALE(   0.0111909060f),
        RX_PULSESHAPER_SCALE(  -0.0371747611f),
        RX_PULSESHAPER_SCALE(  -0.0100436820f),
        RX_PULSESHAPER_SCALE(  -0.0063126874f),
        RX_PULSESHAPER_SCALE(  -0.0070913538f),
        RX_PULSESHAPER_SCALE(  -0.0010611918f),
        RX_PULSESHAPER_SCALE(  -0.0041393271f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041801464f),
        RX_PULSESHAPER_SCALE(  -0.0000156220f),
        RX_PULSESHAPER_SCALE(  -0.0022502435f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0018009619f),     /* Filter 138 */
        RX_PULSESHAPER_SCALE(  -0.0006616939f),
        RX_PULSESHAPER_SCALE(  -0.0043880031f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053755154f),
        RX_PULSESHAPER_SCALE(   0.0002629032f),
        RX_PULSESHAPER_SCALE(  -0.0105425513f),
        RX_PULSESHAPER_SCALE(  -0.0019793492f),
        RX_PULSESHAPER_SCALE(  -0.0213351515f),
        RX_PULSESHAPER_SCALE(  -0.0379075943f),
        RX_PULSESHAPER_SCALE(  -0.0058964359f),
        RX_PULSESHAPER_SCALE(  -0.1471467508f),
        RX_PULSESHAPER_SCALE(   0.0466206001f),
        RX_PULSESHAPER_SCALE(   0.3377006859f),
        RX_PULSESHAPER_SCALE(   0.0379444276f),
        RX_PULSESHAPER_SCALE(  -0.0818879212f),
        RX_PULSESHAPER_SCALE(   0.0113465040f),
        RX_PULSESHAPER_SCALE(  -0.0371066433f),
        RX_PULSESHAPER_SCALE(  -0.0099101450f),
        RX_PULSESHAPER_SCALE(  -0.0063435552f),
        RX_PULSESHAPER_SCALE(  -0.0070369703f),
        RX_PULSESHAPER_SCALE(  -0.0010731328f),
        RX_PULSESHAPER_SCALE(  -0.0041131967f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041690005f),
        RX_PULSESHAPER_SCALE(  -0.0000081572f),
        RX_PULSESHAPER_SCALE(  -0.0022500867f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017899697f),     /* Filter 139 */
        RX_PULSESHAPER_SCALE(  -0.0006693067f),
        RX_PULSESHAPER_SCALE(  -0.0043812320f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053772661f),
        RX_PULSESHAPER_SCALE(   0.0002821030f),
        RX_PULSESHAPER_SCALE(  -0.0105669025f),
        RX_PULSESHAPER_SCALE(  -0.0019061913f),
        RX_PULSESHAPER_SCALE(  -0.0214666210f),
        RX_PULSESHAPER_SCALE(  -0.0378487076f),
        RX_PULSESHAPER_SCALE(  -0.0061511889f),
        RX_PULSESHAPER_SCALE(  -0.1479463001f),
        RX_PULSESHAPER_SCALE(   0.0467064870f),
        RX_PULSESHAPER_SCALE(   0.3375312416f),
        RX_PULSESHAPER_SCALE(   0.0378265999f),
        RX_PULSESHAPER_SCALE(  -0.0811514634f),
        RX_PULSESHAPER_SCALE(   0.0115008930f),
        RX_PULSESHAPER_SCALE(  -0.0370373284f),
        RX_PULSESHAPER_SCALE(  -0.0097768223f),
        RX_PULSESHAPER_SCALE(  -0.0063739198f),
        RX_PULSESHAPER_SCALE(  -0.0069823891f),
        RX_PULSESHAPER_SCALE(  -0.0010849642f),
        RX_PULSESHAPER_SCALE(  -0.0040868507f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041576702f),
        RX_PULSESHAPER_SCALE(  -0.0000007111f),
        RX_PULSESHAPER_SCALE(  -0.0022498020f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017788490f),     /* Filter 140 */
        RX_PULSESHAPER_SCALE(  -0.0006769033f),
        RX_PULSESHAPER_SCALE(  -0.0043742317f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053786662f),
        RX_PULSESHAPER_SCALE(   0.0003013580f),
        RX_PULSESHAPER_SCALE(  -0.0105907419f),
        RX_PULSESHAPER_SCALE(  -0.0018325589f),
        RX_PULSESHAPER_SCALE(  -0.0215978008f),
        RX_PULSESHAPER_SCALE(  -0.0377880250f),
        RX_PULSESHAPER_SCALE(  -0.0064070513f),
        RX_PULSESHAPER_SCALE(  -0.1487459414f),
        RX_PULSESHAPER_SCALE(   0.0467919022f),
        RX_PULSESHAPER_SCALE(   0.3373578695f),
        RX_PULSESHAPER_SCALE(   0.0377085017f),
        RX_PULSESHAPER_SCALE(  -0.0804163483f),
        RX_PULSESHAPER_SCALE(   0.0116540733f),
        RX_PULSESHAPER_SCALE(  -0.0369668245f),
        RX_PULSESHAPER_SCALE(  -0.0096437186f),
        RX_PULSESHAPER_SCALE(  -0.0064037818f),
        RX_PULSESHAPER_SCALE(  -0.0069276141f),
        RX_PULSESHAPER_SCALE(  -0.0010966856f),
        RX_PULSESHAPER_SCALE(  -0.0040602911f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041461564f),
        RX_PULSESHAPER_SCALE(   0.0000067161f),
        RX_PULSESHAPER_SCALE(  -0.0022493895f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017676002f),     /* Filter 141 */
        RX_PULSESHAPER_SCALE(  -0.0006844832f),
        RX_PULSESHAPER_SCALE(  -0.0043670022f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053797147f),
        RX_PULSESHAPER_SCALE(   0.0003206673f),
        RX_PULSESHAPER_SCALE(  -0.0106140661f),
        RX_PULSESHAPER_SCALE(  -0.0017584533f),
        RX_PULSESHAPER_SCALE(  -0.0217286842f),
        RX_PULSESHAPER_SCALE(  -0.0377255407f),
        RX_PULSESHAPER_SCALE(  -0.0066640202f),
        RX_PULSESHAPER_SCALE(  -0.1495456587f),
        RX_PULSESHAPER_SCALE(   0.0468768435f),
        RX_PULSESHAPER_SCALE(   0.3371805736f),
        RX_PULSESHAPER_SCALE(   0.0375901355f),
        RX_PULSESHAPER_SCALE(  -0.0796825883f),
        RX_PULSESHAPER_SCALE(   0.0118060452f),
        RX_PULSESHAPER_SCALE(  -0.0368951394f),
        RX_PULSESHAPER_SCALE(  -0.0095108390f),
        RX_PULSESHAPER_SCALE(  -0.0064331420f),
        RX_PULSESHAPER_SCALE(  -0.0068726491f),
        RX_PULSESHAPER_SCALE(  -0.0011082966f),
        RX_PULSESHAPER_SCALE(  -0.0040335201f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041344600f),
        RX_PULSESHAPER_SCALE(   0.0000141240f),
        RX_PULSESHAPER_SCALE(  -0.0022488498f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017562235f),     /* Filter 142 */
        RX_PULSESHAPER_SCALE(  -0.0006920461f),
        RX_PULSESHAPER_SCALE(  -0.0043595433f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053804107f),
        RX_PULSESHAPER_SCALE(   0.0003400297f),
        RX_PULSESHAPER_SCALE(  -0.0106368718f),
        RX_PULSESHAPER_SCALE(  -0.0016838760f),
        RX_PULSESHAPER_SCALE(  -0.0218592645f),
        RX_PULSESHAPER_SCALE(  -0.0376612488f),
        RX_PULSESHAPER_SCALE(  -0.0069220932f),
        RX_PULSESHAPER_SCALE(  -0.1503454360f),
        RX_PULSESHAPER_SCALE(   0.0469613092f),
        RX_PULSESHAPER_SCALE(   0.3369993582f),
        RX_PULSESHAPER_SCALE(   0.0374715040f),
        RX_PULSESHAPER_SCALE(  -0.0789501962f),
        RX_PULSESHAPER_SCALE(   0.0119568091f),
        RX_PULSESHAPER_SCALE(  -0.0368222811f),
        RX_PULSESHAPER_SCALE(  -0.0093781883f),
        RX_PULSESHAPER_SCALE(  -0.0064620010f),
        RX_PULSESHAPER_SCALE(  -0.0068174978f),
        RX_PULSESHAPER_SCALE(  -0.0011197970f),
        RX_PULSESHAPER_SCALE(  -0.0040065395f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041225819f),
        RX_PULSESHAPER_SCALE(   0.0000215121f),
        RX_PULSESHAPER_SCALE(  -0.0022481830f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017447193f),     /* Filter 143 */
        RX_PULSESHAPER_SCALE(  -0.0006995915f),
        RX_PULSESHAPER_SCALE(  -0.0043518551f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053807532f),
        RX_PULSESHAPER_SCALE(   0.0003594446f),
        RX_PULSESHAPER_SCALE(  -0.0106591556f),
        RX_PULSESHAPER_SCALE(  -0.0016088285f),
        RX_PULSESHAPER_SCALE(  -0.0219895349f),
        RX_PULSESHAPER_SCALE(  -0.0375951438f),
        RX_PULSESHAPER_SCALE(  -0.0071812673f),
        RX_PULSESHAPER_SCALE(  -0.1511452572f),
        RX_PULSESHAPER_SCALE(   0.0470452972f),
        RX_PULSESHAPER_SCALE(   0.3368142276f),
        RX_PULSESHAPER_SCALE(   0.0373526098f),
        RX_PULSESHAPER_SCALE(  -0.0782191842f),
        RX_PULSESHAPER_SCALE(   0.0121063653f),
        RX_PULSESHAPER_SCALE(  -0.0367482577f),
        RX_PULSESHAPER_SCALE(  -0.0092457713f),
        RX_PULSESHAPER_SCALE(  -0.0064903595f),
        RX_PULSESHAPER_SCALE(  -0.0067621640f),
        RX_PULSESHAPER_SCALE(  -0.0011311865f),
        RX_PULSESHAPER_SCALE(  -0.0039793516f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0041105233f),
        RX_PULSESHAPER_SCALE(   0.0000288803f),
        RX_PULSESHAPER_SCALE(  -0.0022473896f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017330880f),     /* Filter 144 */
        RX_PULSESHAPER_SCALE(  -0.0007071189f),
        RX_PULSESHAPER_SCALE(  -0.0043439376f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053807412f),
        RX_PULSESHAPER_SCALE(   0.0003789108f),
        RX_PULSESHAPER_SCALE(  -0.0106809142f),
        RX_PULSESHAPER_SCALE(  -0.0015333122f),
        RX_PULSESHAPER_SCALE(  -0.0221194886f),
        RX_PULSESHAPER_SCALE(  -0.0375272199f),
        RX_PULSESHAPER_SCALE(  -0.0074415398f),
        RX_PULSESHAPER_SCALE(  -0.1519451062f),
        RX_PULSESHAPER_SCALE(   0.0471288056f),
        RX_PULSESHAPER_SCALE(   0.3366251860f),
        RX_PULSESHAPER_SCALE(   0.0372334555f),
        RX_PULSESHAPER_SCALE(  -0.0774895648f),
        RX_PULSESHAPER_SCALE(   0.0122547144f),
        RX_PULSESHAPER_SCALE(  -0.0366730771f),
        RX_PULSESHAPER_SCALE(  -0.0091135929f),
        RX_PULSESHAPER_SCALE(  -0.0065182182f),
        RX_PULSESHAPER_SCALE(  -0.0067066515f),
        RX_PULSESHAPER_SCALE(  -0.0011424646f),
        RX_PULSESHAPER_SCALE(  -0.0039519582f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040982850f),
        RX_PULSESHAPER_SCALE(   0.0000362280f),
        RX_PULSESHAPER_SCALE(  -0.0022464698f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017213298f),     /* Filter 145 */
        RX_PULSESHAPER_SCALE(  -0.0007146280f),
        RX_PULSESHAPER_SCALE(  -0.0043357908f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053803737f),
        RX_PULSESHAPER_SCALE(   0.0003984276f),
        RX_PULSESHAPER_SCALE(  -0.0107021441f),
        RX_PULSESHAPER_SCALE(  -0.0014573285f),
        RX_PULSESHAPER_SCALE(  -0.0222491188f),
        RX_PULSESHAPER_SCALE(  -0.0374574714f),
        RX_PULSESHAPER_SCALE(  -0.0077029079f),
        RX_PULSESHAPER_SCALE(  -0.1527449668f),
        RX_PULSESHAPER_SCALE(   0.0472118324f),
        RX_PULSESHAPER_SCALE(   0.3364322381f),
        RX_PULSESHAPER_SCALE(   0.0371140437f),
        RX_PULSESHAPER_SCALE(  -0.0767613504f),
        RX_PULSESHAPER_SCALE(   0.0124018569f),
        RX_PULSESHAPER_SCALE(  -0.0365967473f),
        RX_PULSESHAPER_SCALE(  -0.0089816577f),
        RX_PULSESHAPER_SCALE(  -0.0065455780f),
        RX_PULSESHAPER_SCALE(  -0.0066509640f),
        RX_PULSESHAPER_SCALE(  -0.0011536311f),
        RX_PULSESHAPER_SCALE(  -0.0039243615f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040858680f),
        RX_PULSESHAPER_SCALE(   0.0000435550f),
        RX_PULSESHAPER_SCALE(  -0.0022454240f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0017094452f),     /* Filter 146 */
        RX_PULSESHAPER_SCALE(  -0.0007221183f),
        RX_PULSESHAPER_SCALE(  -0.0043274147f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053796499f),
        RX_PULSESHAPER_SCALE(   0.0004179938f),
        RX_PULSESHAPER_SCALE(  -0.0107228422f),
        RX_PULSESHAPER_SCALE(  -0.0013808792f),
        RX_PULSESHAPER_SCALE(  -0.0223784186f),
        RX_PULSESHAPER_SCALE(  -0.0373858930f),
        RX_PULSESHAPER_SCALE(  -0.0079653687f),
        RX_PULSESHAPER_SCALE(  -0.1535448229f),
        RX_PULSESHAPER_SCALE(   0.0472943758f),
        RX_PULSESHAPER_SCALE(   0.3362353883f),
        RX_PULSESHAPER_SCALE(   0.0369943770f),
        RX_PULSESHAPER_SCALE(  -0.0760345533f),
        RX_PULSESHAPER_SCALE(   0.0125477931f),
        RX_PULSESHAPER_SCALE(  -0.0365192764f),
        RX_PULSESHAPER_SCALE(  -0.0088499706f),
        RX_PULSESHAPER_SCALE(  -0.0065724395f),
        RX_PULSESHAPER_SCALE(  -0.0065951053f),
        RX_PULSESHAPER_SCALE(  -0.0011646856f),
        RX_PULSESHAPER_SCALE(  -0.0038965636f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040732733f),
        RX_PULSESHAPER_SCALE(   0.0000508610f),
        RX_PULSESHAPER_SCALE(  -0.0022442526f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016974345f),     /* Filter 147 */
        RX_PULSESHAPER_SCALE(  -0.0007295893f),
        RX_PULSESHAPER_SCALE(  -0.0043188094f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053785688f),
        RX_PULSESHAPER_SCALE(   0.0004376087f),
        RX_PULSESHAPER_SCALE(  -0.0107430052f),
        RX_PULSESHAPER_SCALE(  -0.0013039657f),
        RX_PULSESHAPER_SCALE(  -0.0225073813f),
        RX_PULSESHAPER_SCALE(  -0.0373124789f),
        RX_PULSESHAPER_SCALE(  -0.0082289193f),
        RX_PULSESHAPER_SCALE(  -0.1543446584f),
        RX_PULSESHAPER_SCALE(   0.0473764338f),
        RX_PULSESHAPER_SCALE(   0.3360346413f),
        RX_PULSESHAPER_SCALE(   0.0368744582f),
        RX_PULSESHAPER_SCALE(  -0.0753091856f),
        RX_PULSESHAPER_SCALE(   0.0126925236f),
        RX_PULSESHAPER_SCALE(  -0.0364406724f),
        RX_PULSESHAPER_SCALE(  -0.0087185362f),
        RX_PULSESHAPER_SCALE(  -0.0065988036f),
        RX_PULSESHAPER_SCALE(  -0.0065390792f),
        RX_PULSESHAPER_SCALE(  -0.0011756280f),
        RX_PULSESHAPER_SCALE(  -0.0038685664f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040605020f),
        RX_PULSESHAPER_SCALE(   0.0000581455f),
        RX_PULSESHAPER_SCALE(  -0.0022429559f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016852981f),     /* Filter 148 */
        RX_PULSESHAPER_SCALE(  -0.0007370406f),
        RX_PULSESHAPER_SCALE(  -0.0043099748f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053771295f),
        RX_PULSESHAPER_SCALE(   0.0004572712f),
        RX_PULSESHAPER_SCALE(  -0.0107626296f),
        RX_PULSESHAPER_SCALE(  -0.0012265895f),
        RX_PULSESHAPER_SCALE(  -0.0226360000f),
        RX_PULSESHAPER_SCALE(  -0.0372372236f),
        RX_PULSESHAPER_SCALE(  -0.0084935568f),
        RX_PULSESHAPER_SCALE(  -0.1551444571f),
        RX_PULSESHAPER_SCALE(   0.0474580044f),
        RX_PULSESHAPER_SCALE(   0.3358300020f),
        RX_PULSESHAPER_SCALE(   0.0367542899f),
        RX_PULSESHAPER_SCALE(  -0.0745852596f),
        RX_PULSESHAPER_SCALE(   0.0128360491f),
        RX_PULSESHAPER_SCALE(  -0.0363609433f),
        RX_PULSESHAPER_SCALE(  -0.0085873593f),
        RX_PULSESHAPER_SCALE(  -0.0066246711f),
        RX_PULSESHAPER_SCALE(  -0.0064828893f),
        RX_PULSESHAPER_SCALE(  -0.0011864578f),
        RX_PULSESHAPER_SCALE(  -0.0038403722f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040475550f),
        RX_PULSESHAPER_SCALE(   0.0000654082f),
        RX_PULSESHAPER_SCALE(  -0.0022415343f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016730363f),     /* Filter 149 */
        RX_PULSESHAPER_SCALE(  -0.0007444718f),
        RX_PULSESHAPER_SCALE(  -0.0043009111f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053753312f),
        RX_PULSESHAPER_SCALE(   0.0004769803f),
        RX_PULSESHAPER_SCALE(  -0.0107817124f),
        RX_PULSESHAPER_SCALE(  -0.0011487524f),
        RX_PULSESHAPER_SCALE(  -0.0227642679f),
        RX_PULSESHAPER_SCALE(  -0.0371601218f),
        RX_PULSESHAPER_SCALE(  -0.0087592783f),
        RX_PULSESHAPER_SCALE(  -0.1559442028f),
        RX_PULSESHAPER_SCALE(   0.0475390860f),
        RX_PULSESHAPER_SCALE(   0.3356214750f),
        RX_PULSESHAPER_SCALE(   0.0366338746f),
        RX_PULSESHAPER_SCALE(  -0.0738627875f),
        RX_PULSESHAPER_SCALE(   0.0129783700f),
        RX_PULSESHAPER_SCALE(  -0.0362800973f),
        RX_PULSESHAPER_SCALE(  -0.0084564445f),
        RX_PULSESHAPER_SCALE(  -0.0066500428f),
        RX_PULSESHAPER_SCALE(  -0.0064265395f),
        RX_PULSESHAPER_SCALE(  -0.0011971748f),
        RX_PULSESHAPER_SCALE(  -0.0038119828f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040344333f),
        RX_PULSESHAPER_SCALE(   0.0000726488f),
        RX_PULSESHAPER_SCALE(  -0.0022399882f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016606496f),     /* Filter 150 */
        RX_PULSESHAPER_SCALE(  -0.0007518825f),
        RX_PULSESHAPER_SCALE(  -0.0042916184f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053731730f),
        RX_PULSESHAPER_SCALE(   0.0004967351f),
        RX_PULSESHAPER_SCALE(  -0.0108002501f),
        RX_PULSESHAPER_SCALE(  -0.0010704558f),
        RX_PULSESHAPER_SCALE(  -0.0228921780f),
        RX_PULSESHAPER_SCALE(  -0.0370811679f),
        RX_PULSESHAPER_SCALE(  -0.0090260808f),
        RX_PULSESHAPER_SCALE(  -0.1567438792f),
        RX_PULSESHAPER_SCALE(   0.0476196764f),
        RX_PULSESHAPER_SCALE(   0.3354090654f),
        RX_PULSESHAPER_SCALE(   0.0365132151f),
        RX_PULSESHAPER_SCALE(  -0.0731417812f),
        RX_PULSESHAPER_SCALE(   0.0131194871f),
        RX_PULSESHAPER_SCALE(  -0.0361981423f),
        RX_PULSESHAPER_SCALE(  -0.0083257964f),
        RX_PULSESHAPER_SCALE(  -0.0066749196f),
        RX_PULSESHAPER_SCALE(  -0.0063700335f),
        RX_PULSESHAPER_SCALE(  -0.0012077788f),
        RX_PULSESHAPER_SCALE(  -0.0037834005f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040211380f),
        RX_PULSESHAPER_SCALE(   0.0000798670f),
        RX_PULSESHAPER_SCALE(  -0.0022383178f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016481383f),     /* Filter 151 */
        RX_PULSESHAPER_SCALE(  -0.0007592722f),
        RX_PULSESHAPER_SCALE(  -0.0042820966f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053706540f),
        RX_PULSESHAPER_SCALE(   0.0005165347f),
        RX_PULSESHAPER_SCALE(  -0.0108182397f),
        RX_PULSESHAPER_SCALE(  -0.0009917016f),
        RX_PULSESHAPER_SCALE(  -0.0230197236f),
        RX_PULSESHAPER_SCALE(  -0.0370003566f),
        RX_PULSESHAPER_SCALE(  -0.0092939612f),
        RX_PULSESHAPER_SCALE(  -0.1575434701f),
        RX_PULSESHAPER_SCALE(   0.0476997739f),
        RX_PULSESHAPER_SCALE(   0.3351927782f),
        RX_PULSESHAPER_SCALE(   0.0363923140f),
        RX_PULSESHAPER_SCALE(  -0.0724222528f),
        RX_PULSESHAPER_SCALE(   0.0132594010f),
        RX_PULSESHAPER_SCALE(  -0.0361150865f),
        RX_PULSESHAPER_SCALE(  -0.0081954197f),
        RX_PULSESHAPER_SCALE(  -0.0066993023f),
        RX_PULSESHAPER_SCALE(  -0.0063133750f),
        RX_PULSESHAPER_SCALE(  -0.0012182693f),
        RX_PULSESHAPER_SCALE(  -0.0037546274f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0040076702f),
        RX_PULSESHAPER_SCALE(   0.0000870624f),
        RX_PULSESHAPER_SCALE(  -0.0022365237f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016355029f),     /* Filter 152 */
        RX_PULSESHAPER_SCALE(  -0.0007666405f),
        RX_PULSESHAPER_SCALE(  -0.0042723459f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053677735f),
        RX_PULSESHAPER_SCALE(   0.0005363780f),
        RX_PULSESHAPER_SCALE(  -0.0108356777f),
        RX_PULSESHAPER_SCALE(  -0.0009124914f),
        RX_PULSESHAPER_SCALE(  -0.0231468976f),
        RX_PULSESHAPER_SCALE(  -0.0369176825f),
        RX_PULSESHAPER_SCALE(  -0.0095629164f),
        RX_PULSESHAPER_SCALE(  -0.1583429593f),
        RX_PULSESHAPER_SCALE(   0.0477793767f),
        RX_PULSESHAPER_SCALE(   0.3349726184f),
        RX_PULSESHAPER_SCALE(   0.0362711740f),
        RX_PULSESHAPER_SCALE(  -0.0717042143f),
        RX_PULSESHAPER_SCALE(   0.0133981124f),
        RX_PULSESHAPER_SCALE(  -0.0360309379f),
        RX_PULSESHAPER_SCALE(  -0.0080653190f),
        RX_PULSESHAPER_SCALE(  -0.0067231918f),
        RX_PULSESHAPER_SCALE(  -0.0062565678f),
        RX_PULSESHAPER_SCALE(  -0.0012286462f),
        RX_PULSESHAPER_SCALE(  -0.0037256654f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039940308f),
        RX_PULSESHAPER_SCALE(   0.0000942346f),
        RX_PULSESHAPER_SCALE(  -0.0022346062f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016227437f),     /* Filter 153 */
        RX_PULSESHAPER_SCALE(  -0.0007739869f),
        RX_PULSESHAPER_SCALE(  -0.0042623664f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053645305f),
        RX_PULSESHAPER_SCALE(   0.0005562640f),
        RX_PULSESHAPER_SCALE(  -0.0108525611f),
        RX_PULSESHAPER_SCALE(  -0.0008328269f),
        RX_PULSESHAPER_SCALE(  -0.0232736933f),
        RX_PULSESHAPER_SCALE(  -0.0368331403f),
        RX_PULSESHAPER_SCALE(  -0.0098329434f),
        RX_PULSESHAPER_SCALE(  -0.1591423305f),
        RX_PULSESHAPER_SCALE(   0.0478584828f),
        RX_PULSESHAPER_SCALE(   0.3347485913f),
        RX_PULSESHAPER_SCALE(   0.0361497976f),
        RX_PULSESHAPER_SCALE(  -0.0709876776f),
        RX_PULSESHAPER_SCALE(   0.0135356220f),
        RX_PULSESHAPER_SCALE(  -0.0359457046f),
        RX_PULSESHAPER_SCALE(  -0.0079354987f),
        RX_PULSESHAPER_SCALE(  -0.0067465891f),
        RX_PULSESHAPER_SCALE(  -0.0061996156f),
        RX_PULSESHAPER_SCALE(  -0.0012389093f),
        RX_PULSESHAPER_SCALE(  -0.0036965167f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039802209f),
        RX_PULSESHAPER_SCALE(   0.0001013834f),
        RX_PULSESHAPER_SCALE(  -0.0022325657f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0016098612f),     /* Filter 154 */
        RX_PULSESHAPER_SCALE(  -0.0007813111f),
        RX_PULSESHAPER_SCALE(  -0.0042521582f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053609244f),
        RX_PULSESHAPER_SCALE(   0.0005761919f),
        RX_PULSESHAPER_SCALE(  -0.0108688867f),
        RX_PULSESHAPER_SCALE(  -0.0007527098f),
        RX_PULSESHAPER_SCALE(  -0.0234001037f),
        RX_PULSESHAPER_SCALE(  -0.0367467248f),
        RX_PULSESHAPER_SCALE(  -0.0101040390f),
        RX_PULSESHAPER_SCALE(  -0.1599415674f),
        RX_PULSESHAPER_SCALE(   0.0479370904f),
        RX_PULSESHAPER_SCALE(   0.3345207023f),
        RX_PULSESHAPER_SCALE(   0.0360281877f),
        RX_PULSESHAPER_SCALE(  -0.0702726544f),
        RX_PULSESHAPER_SCALE(   0.0136719306f),
        RX_PULSESHAPER_SCALE(  -0.0358593948f),
        RX_PULSESHAPER_SCALE(  -0.0078059635f),
        RX_PULSESHAPER_SCALE(  -0.0067694950f),
        RX_PULSESHAPER_SCALE(  -0.0061425220f),
        RX_PULSESHAPER_SCALE(  -0.0012490582f),
        RX_PULSESHAPER_SCALE(  -0.0036671835f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039662415f),
        RX_PULSESHAPER_SCALE(   0.0001085084f),
        RX_PULSESHAPER_SCALE(  -0.0022304025f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015968558f),     /* Filter 155 */
        RX_PULSESHAPER_SCALE(  -0.0007886125f),
        RX_PULSESHAPER_SCALE(  -0.0042417215f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053569543f),
        RX_PULSESHAPER_SCALE(   0.0005961605f),
        RX_PULSESHAPER_SCALE(  -0.0108846512f),
        RX_PULSESHAPER_SCALE(  -0.0006721419f),
        RX_PULSESHAPER_SCALE(  -0.0235261219f),
        RX_PULSESHAPER_SCALE(  -0.0366584307f),
        RX_PULSESHAPER_SCALE(  -0.0103762000f),
        RX_PULSESHAPER_SCALE(  -0.1607406537f),
        RX_PULSESHAPER_SCALE(   0.0480151977f),
        RX_PULSESHAPER_SCALE(   0.3342889566f),
        RX_PULSESHAPER_SCALE(   0.0359063468f),
        RX_PULSESHAPER_SCALE(  -0.0695591566f),
        RX_PULSESHAPER_SCALE(   0.0138070390f),
        RX_PULSESHAPER_SCALE(  -0.0357720166f),
        RX_PULSESHAPER_SCALE(  -0.0076767177f),
        RX_PULSESHAPER_SCALE(  -0.0067919106f),
        RX_PULSESHAPER_SCALE(  -0.0060852909f),
        RX_PULSESHAPER_SCALE(  -0.0012590927f),
        RX_PULSESHAPER_SCALE(  -0.0036376678f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039520938f),
        RX_PULSESHAPER_SCALE(   0.0001156093f),
        RX_PULSESHAPER_SCALE(  -0.0022281172f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015837279f),     /* Filter 156 */
        RX_PULSESHAPER_SCALE(  -0.0007958908f),
        RX_PULSESHAPER_SCALE(  -0.0042310564f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053526196f),
        RX_PULSESHAPER_SCALE(   0.0006161688f),
        RX_PULSESHAPER_SCALE(  -0.0108998515f),
        RX_PULSESHAPER_SCALE(  -0.0005911250f),
        RX_PULSESHAPER_SCALE(  -0.0236517409f),
        RX_PULSESHAPER_SCALE(  -0.0365682528f),
        RX_PULSESHAPER_SCALE(  -0.0106494233f),
        RX_PULSESHAPER_SCALE(  -0.1615395730f),
        RX_PULSESHAPER_SCALE(   0.0480928029f),
        RX_PULSESHAPER_SCALE(   0.3340533598f),
        RX_PULSESHAPER_SCALE(   0.0357842777f),
        RX_PULSESHAPER_SCALE(  -0.0688471958f),
        RX_PULSESHAPER_SCALE(   0.0139409480f),
        RX_PULSESHAPER_SCALE(  -0.0356835780f),
        RX_PULSESHAPER_SCALE(  -0.0075477659f),
        RX_PULSESHAPER_SCALE(  -0.0068138368f),
        RX_PULSESHAPER_SCALE(  -0.0060279259f),
        RX_PULSESHAPER_SCALE(  -0.0012690125f),
        RX_PULSESHAPER_SCALE(  -0.0036079717f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039377788f),
        RX_PULSESHAPER_SCALE(   0.0001226857f),
        RX_PULSESHAPER_SCALE(  -0.0022257101f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015704780f),     /* Filter 157 */
        RX_PULSESHAPER_SCALE(  -0.0008031455f),
        RX_PULSESHAPER_SCALE(  -0.0042201630f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053479193f),
        RX_PULSESHAPER_SCALE(   0.0006362160f),
        RX_PULSESHAPER_SCALE(  -0.0109144844f),
        RX_PULSESHAPER_SCALE(  -0.0005096610f),
        RX_PULSESHAPER_SCALE(  -0.0237769538f),
        RX_PULSESHAPER_SCALE(  -0.0364761859f),
        RX_PULSESHAPER_SCALE(  -0.0109237057f),
        RX_PULSESHAPER_SCALE(  -0.1623383091f),
        RX_PULSESHAPER_SCALE(   0.0481699042f),
        RX_PULSESHAPER_SCALE(   0.3338139174f),
        RX_PULSESHAPER_SCALE(   0.0356619829f),
        RX_PULSESHAPER_SCALE(  -0.0681367838f),
        RX_PULSESHAPER_SCALE(   0.0140736585f),
        RX_PULSESHAPER_SCALE(  -0.0355940872f),
        RX_PULSESHAPER_SCALE(  -0.0074191125f),
        RX_PULSESHAPER_SCALE(  -0.0068352745f),
        RX_PULSESHAPER_SCALE(  -0.0059704308f),
        RX_PULSESHAPER_SCALE(  -0.0012788176f),
        RX_PULSESHAPER_SCALE(  -0.0035780974f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039232975f),
        RX_PULSESHAPER_SCALE(   0.0001297374f),
        RX_PULSESHAPER_SCALE(  -0.0022231816f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015571066f),     /* Filter 158 */
        RX_PULSESHAPER_SCALE(  -0.0008103762f),
        RX_PULSESHAPER_SCALE(  -0.0042090416f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053428530f),
        RX_PULSESHAPER_SCALE(   0.0006563009f),
        RX_PULSESHAPER_SCALE(  -0.0109285469f),
        RX_PULSESHAPER_SCALE(  -0.0004277515f),
        RX_PULSESHAPER_SCALE(  -0.0239017537f),
        RX_PULSESHAPER_SCALE(  -0.0363822250f),
        RX_PULSESHAPER_SCALE(  -0.0111990437f),
        RX_PULSESHAPER_SCALE(  -0.1631368455f),
        RX_PULSESHAPER_SCALE(   0.0482464997f),
        RX_PULSESHAPER_SCALE(   0.3335706351f),
        RX_PULSESHAPER_SCALE(   0.0355394652f),
        RX_PULSESHAPER_SCALE(  -0.0674279322f),
        RX_PULSESHAPER_SCALE(   0.0142051713f),
        RX_PULSESHAPER_SCALE(  -0.0355035523f),
        RX_PULSESHAPER_SCALE(  -0.0072907619f),
        RX_PULSESHAPER_SCALE(  -0.0068562248f),
        RX_PULSESHAPER_SCALE(  -0.0059128091f),
        RX_PULSESHAPER_SCALE(  -0.0012885075f),
        RX_PULSESHAPER_SCALE(  -0.0035480470f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0039086510f),
        RX_PULSESHAPER_SCALE(   0.0001367639f),
        RX_PULSESHAPER_SCALE(  -0.0022205322f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015436140f),     /* Filter 159 */
        RX_PULSESHAPER_SCALE(  -0.0008175825f),
        RX_PULSESHAPER_SCALE(  -0.0041976923f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053374197f),
        RX_PULSESHAPER_SCALE(   0.0006764225f),
        RX_PULSESHAPER_SCALE(  -0.0109420357f),
        RX_PULSESHAPER_SCALE(  -0.0003453987f),
        RX_PULSESHAPER_SCALE(  -0.0240261335f),
        RX_PULSESHAPER_SCALE(  -0.0362863651f),
        RX_PULSESHAPER_SCALE(  -0.0114754342f),
        RX_PULSESHAPER_SCALE(  -0.1639351660f),
        RX_PULSESHAPER_SCALE(   0.0483225878f),
        RX_PULSESHAPER_SCALE(   0.3333235186f),
        RX_PULSESHAPER_SCALE(   0.0354167272f),
        RX_PULSESHAPER_SCALE(  -0.0667206525f),
        RX_PULSESHAPER_SCALE(   0.0143354873f),
        RX_PULSESHAPER_SCALE(  -0.0354119815f),
        RX_PULSESHAPER_SCALE(  -0.0071627185f),
        RX_PULSESHAPER_SCALE(  -0.0068766887f),
        RX_PULSESHAPER_SCALE(  -0.0058550647f),
        RX_PULSESHAPER_SCALE(  -0.0012980821f),
        RX_PULSESHAPER_SCALE(  -0.0035178226f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038938405f),
        RX_PULSESHAPER_SCALE(   0.0001437650f),
        RX_PULSESHAPER_SCALE(  -0.0022177622f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015300007f),     /* Filter 160 */
        RX_PULSESHAPER_SCALE(  -0.0008247639f),
        RX_PULSESHAPER_SCALE(  -0.0041861153f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053316189f),
        RX_PULSESHAPER_SCALE(   0.0006965798f),
        RX_PULSESHAPER_SCALE(  -0.0109549479f),
        RX_PULSESHAPER_SCALE(  -0.0002626042f),
        RX_PULSESHAPER_SCALE(  -0.0241500864f),
        RX_PULSESHAPER_SCALE(  -0.0361886010f),
        RX_PULSESHAPER_SCALE(  -0.0117528738f),
        RX_PULSESHAPER_SCALE(  -0.1647332540f),
        RX_PULSESHAPER_SCALE(   0.0483981666f),
        RX_PULSESHAPER_SCALE(   0.3330725738f),
        RX_PULSESHAPER_SCALE(   0.0352937717f),
        RX_PULSESHAPER_SCALE(  -0.0660149561f),
        RX_PULSESHAPER_SCALE(   0.0144646076f),
        RX_PULSESHAPER_SCALE(  -0.0353193829f),
        RX_PULSESHAPER_SCALE(  -0.0070349866f),
        RX_PULSESHAPER_SCALE(  -0.0068966673f),
        RX_PULSESHAPER_SCALE(  -0.0057972013f),
        RX_PULSESHAPER_SCALE(  -0.0013075412f),
        RX_PULSESHAPER_SCALE(  -0.0034874264f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038788671f),
        RX_PULSESHAPER_SCALE(   0.0001507404f),
        RX_PULSESHAPER_SCALE(  -0.0022148722f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015162673f),     /* Filter 161 */
        RX_PULSESHAPER_SCALE(  -0.0008319200f),
        RX_PULSESHAPER_SCALE(  -0.0041743109f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053254499f),
        RX_PULSESHAPER_SCALE(   0.0007167719f),
        RX_PULSESHAPER_SCALE(  -0.0109672803f),
        RX_PULSESHAPER_SCALE(  -0.0001793701f),
        RX_PULSESHAPER_SCALE(  -0.0242736053f),
        RX_PULSESHAPER_SCALE(  -0.0360889278f),
        RX_PULSESHAPER_SCALE(  -0.0120313591f),
        RX_PULSESHAPER_SCALE(  -0.1655310933f),
        RX_PULSESHAPER_SCALE(   0.0484732343f),
        RX_PULSESHAPER_SCALE(   0.3328178065f),
        RX_PULSESHAPER_SCALE(   0.0351706013f),
        RX_PULSESHAPER_SCALE(  -0.0653108546f),
        RX_PULSESHAPER_SCALE(   0.0145925331f),
        RX_PULSESHAPER_SCALE(  -0.0352257648f),
        RX_PULSESHAPER_SCALE(  -0.0069075706f),
        RX_PULSESHAPER_SCALE(  -0.0069161616f),
        RX_PULSESHAPER_SCALE(  -0.0057392223f),
        RX_PULSESHAPER_SCALE(  -0.0013168846f),
        RX_PULSESHAPER_SCALE(  -0.0034568604f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038637317f),
        RX_PULSESHAPER_SCALE(   0.0001576897f),
        RX_PULSESHAPER_SCALE(  -0.0022118626f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0015024141f),     /* Filter 162 */
        RX_PULSESHAPER_SCALE(  -0.0008390504f),
        RX_PULSESHAPER_SCALE(  -0.0041622791f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053189120f),
        RX_PULSESHAPER_SCALE(   0.0007369976f),
        RX_PULSESHAPER_SCALE(  -0.0109790298f),
        RX_PULSESHAPER_SCALE(  -0.0000956983f),
        RX_PULSESHAPER_SCALE(  -0.0243966831f),
        RX_PULSESHAPER_SCALE(  -0.0359873406f),
        RX_PULSESHAPER_SCALE(  -0.0123108867f),
        RX_PULSESHAPER_SCALE(  -0.1663286674f),
        RX_PULSESHAPER_SCALE(   0.0485477893f),
        RX_PULSESHAPER_SCALE(   0.3325592229f),
        RX_PULSESHAPER_SCALE(   0.0350472187f),
        RX_PULSESHAPER_SCALE(  -0.0646083592f),
        RX_PULSESHAPER_SCALE(   0.0147192647f),
        RX_PULSESHAPER_SCALE(  -0.0351311351f),
        RX_PULSESHAPER_SCALE(  -0.0067804747f),
        RX_PULSESHAPER_SCALE(  -0.0069351726f),
        RX_PULSESHAPER_SCALE(  -0.0056811317f),
        RX_PULSESHAPER_SCALE(  -0.0013261121f),
        RX_PULSESHAPER_SCALE(  -0.0034261268f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038484356f),
        RX_PULSESHAPER_SCALE(   0.0001646126f),
        RX_PULSESHAPER_SCALE(  -0.0022087338f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014884417f),     /* Filter 163 */
        RX_PULSESHAPER_SCALE(  -0.0008461546f),
        RX_PULSESHAPER_SCALE(  -0.0041500204f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053120047f),
        RX_PULSESHAPER_SCALE(   0.0007572559f),
        RX_PULSESHAPER_SCALE(  -0.0109901934f),
        RX_PULSESHAPER_SCALE(  -0.0000115908f),
        RX_PULSESHAPER_SCALE(  -0.0245193130f),
        RX_PULSESHAPER_SCALE(  -0.0358838345f),
        RX_PULSESHAPER_SCALE(  -0.0125914532f),
        RX_PULSESHAPER_SCALE(  -0.1671259599f),
        RX_PULSESHAPER_SCALE(   0.0486218298f),
        RX_PULSESHAPER_SCALE(   0.3322968291f),
        RX_PULSESHAPER_SCALE(   0.0349236266f),
        RX_PULSESHAPER_SCALE(  -0.0639074812f),
        RX_PULSESHAPER_SCALE(   0.0148448037f),
        RX_PULSESHAPER_SCALE(  -0.0350355022f),
        RX_PULSESHAPER_SCALE(  -0.0066537032f),
        RX_PULSESHAPER_SCALE(  -0.0069537016f),
        RX_PULSESHAPER_SCALE(  -0.0056229330f),
        RX_PULSESHAPER_SCALE(  -0.0013352235f),
        RX_PULSESHAPER_SCALE(  -0.0033952278f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038329799f),
        RX_PULSESHAPER_SCALE(   0.0001715089f),
        RX_PULSESHAPER_SCALE(  -0.0022054862f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014743506f),     /* Filter 164 */
        RX_PULSESHAPER_SCALE(  -0.0008532322f),
        RX_PULSESHAPER_SCALE(  -0.0041375349f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0053047272f),
        RX_PULSESHAPER_SCALE(   0.0007775458f),
        RX_PULSESHAPER_SCALE(  -0.0110007681f),
        RX_PULSESHAPER_SCALE(   0.0000729505f),
        RX_PULSESHAPER_SCALE(  -0.0246414879f),
        RX_PULSESHAPER_SCALE(  -0.0357784046f),
        RX_PULSESHAPER_SCALE(  -0.0128730551f),
        RX_PULSESHAPER_SCALE(  -0.1679229543f),
        RX_PULSESHAPER_SCALE(   0.0486953540f),
        RX_PULSESHAPER_SCALE(   0.3320306311f),
        RX_PULSESHAPER_SCALE(   0.0347998277f),
        RX_PULSESHAPER_SCALE(  -0.0632082320f),
        RX_PULSESHAPER_SCALE(   0.0149691510f),
        RX_PULSESHAPER_SCALE(  -0.0349388742f),
        RX_PULSESHAPER_SCALE(  -0.0065272604f),
        RX_PULSESHAPER_SCALE(  -0.0069717496f),
        RX_PULSESHAPER_SCALE(  -0.0055646298f),
        RX_PULSESHAPER_SCALE(  -0.0013442185f),
        RX_PULSESHAPER_SCALE(  -0.0033641655f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038173656f),
        RX_PULSESHAPER_SCALE(   0.0001783781f),
        RX_PULSESHAPER_SCALE(  -0.0022021204f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014601413f),     /* Filter 165 */
        RX_PULSESHAPER_SCALE(  -0.0008602829f),
        RX_PULSESHAPER_SCALE(  -0.0041248229f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052970790f),
        RX_PULSESHAPER_SCALE(   0.0007978663f),
        RX_PULSESHAPER_SCALE(  -0.0110107508f),
        RX_PULSESHAPER_SCALE(   0.0001579234f),
        RX_PULSESHAPER_SCALE(  -0.0247632008f),
        RX_PULSESHAPER_SCALE(  -0.0356710461f),
        RX_PULSESHAPER_SCALE(  -0.0131556889f),
        RX_PULSESHAPER_SCALE(  -0.1687196342f),
        RX_PULSESHAPER_SCALE(   0.0487683603f),
        RX_PULSESHAPER_SCALE(   0.3317606353f),
        RX_PULSESHAPER_SCALE(   0.0346758246f),
        RX_PULSESHAPER_SCALE(  -0.0625106226f),
        RX_PULSESHAPER_SCALE(   0.0150923077f),
        RX_PULSESHAPER_SCALE(  -0.0348412592f),
        RX_PULSESHAPER_SCALE(  -0.0064011503f),
        RX_PULSESHAPER_SCALE(  -0.0069893178f),
        RX_PULSESHAPER_SCALE(  -0.0055062259f),
        RX_PULSESHAPER_SCALE(  -0.0013530971f),
        RX_PULSESHAPER_SCALE(  -0.0033329421f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0038015939f),
        RX_PULSESHAPER_SCALE(   0.0001852200f),
        RX_PULSESHAPER_SCALE(  -0.0021986368f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014458142f),     /* Filter 166 */
        RX_PULSESHAPER_SCALE(  -0.0008673060f),
        RX_PULSESHAPER_SCALE(  -0.0041118847f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052890596f),
        RX_PULSESHAPER_SCALE(   0.0008182162f),
        RX_PULSESHAPER_SCALE(  -0.0110201386f),
        RX_PULSESHAPER_SCALE(   0.0002433260f),
        RX_PULSESHAPER_SCALE(  -0.0248844446f),
        RX_PULSESHAPER_SCALE(  -0.0355617542f),
        RX_PULSESHAPER_SCALE(  -0.0134393510f),
        RX_PULSESHAPER_SCALE(  -0.1695159832f),
        RX_PULSESHAPER_SCALE(   0.0488408469f),
        RX_PULSESHAPER_SCALE(   0.3314868481f),
        RX_PULSESHAPER_SCALE(   0.0345516202f),
        RX_PULSESHAPER_SCALE(  -0.0618146642f),
        RX_PULSESHAPER_SCALE(   0.0152142750f),
        RX_PULSESHAPER_SCALE(  -0.0347426656f),
        RX_PULSESHAPER_SCALE(  -0.0062753773f),
        RX_PULSESHAPER_SCALE(  -0.0070064072f),
        RX_PULSESHAPER_SCALE(  -0.0054477249f),
        RX_PULSESHAPER_SCALE(  -0.0013618591f),
        RX_PULSESHAPER_SCALE(  -0.0033015597f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037856660f),
        RX_PULSESHAPER_SCALE(   0.0001920343f),
        RX_PULSESHAPER_SCALE(  -0.0021950359f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014313700f),     /* Filter 167 */
        RX_PULSESHAPER_SCALE(  -0.0008743014f),
        RX_PULSESHAPER_SCALE(  -0.0040987205f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052806684f),
        RX_PULSESHAPER_SCALE(   0.0008385945f),
        RX_PULSESHAPER_SCALE(  -0.0110289284f),
        RX_PULSESHAPER_SCALE(   0.0003291562f),
        RX_PULSESHAPER_SCALE(  -0.0250052123f),
        RX_PULSESHAPER_SCALE(  -0.0354505243f),
        RX_PULSESHAPER_SCALE(  -0.0137240378f),
        RX_PULSESHAPER_SCALE(  -0.1703119847f),
        RX_PULSESHAPER_SCALE(   0.0489128121f),
        RX_PULSESHAPER_SCALE(   0.3312092760f),
        RX_PULSESHAPER_SCALE(   0.0344272170f),
        RX_PULSESHAPER_SCALE(  -0.0611203679f),
        RX_PULSESHAPER_SCALE(   0.0153350540f),
        RX_PULSESHAPER_SCALE(  -0.0346431013f),
        RX_PULSESHAPER_SCALE(  -0.0061499454f),
        RX_PULSESHAPER_SCALE(  -0.0070230191f),
        RX_PULSESHAPER_SCALE(  -0.0053891304f),
        RX_PULSESHAPER_SCALE(  -0.0013705042f),
        RX_PULSESHAPER_SCALE(  -0.0032700205f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037695830f),
        RX_PULSESHAPER_SCALE(   0.0001988206f),
        RX_PULSESHAPER_SCALE(  -0.0021913181f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014168091f),     /* Filter 168 */
        RX_PULSESHAPER_SCALE(  -0.0008812684f),
        RX_PULSESHAPER_SCALE(  -0.0040853306f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052719047f),
        RX_PULSESHAPER_SCALE(   0.0008590002f),
        RX_PULSESHAPER_SCALE(  -0.0110371174f),
        RX_PULSESHAPER_SCALE(   0.0004154118f),
        RX_PULSESHAPER_SCALE(  -0.0251254969f),
        RX_PULSESHAPER_SCALE(  -0.0353373517f),
        RX_PULSESHAPER_SCALE(  -0.0140097458f),
        RX_PULSESHAPER_SCALE(  -0.1711076223f),
        RX_PULSESHAPER_SCALE(   0.0489842544f),
        RX_PULSESHAPER_SCALE(   0.3309279254f),
        RX_PULSESHAPER_SCALE(   0.0343026178f),
        RX_PULSESHAPER_SCALE(  -0.0604277446f),
        RX_PULSESHAPER_SCALE(   0.0154546460f),
        RX_PULSESHAPER_SCALE(  -0.0345425747f),
        RX_PULSESHAPER_SCALE(  -0.0060248587f),
        RX_PULSESHAPER_SCALE(  -0.0070391548f),
        RX_PULSESHAPER_SCALE(  -0.0053304460f),
        RX_PULSESHAPER_SCALE(  -0.0013790324f),
        RX_PULSESHAPER_SCALE(  -0.0032383267f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037533460f),
        RX_PULSESHAPER_SCALE(   0.0002055787f),
        RX_PULSESHAPER_SCALE(  -0.0021874839f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0014021320f),     /* Filter 169 */
        RX_PULSESHAPER_SCALE(  -0.0008882067f),
        RX_PULSESHAPER_SCALE(  -0.0040717155f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052627682f),
        RX_PULSESHAPER_SCALE(   0.0008794322f),
        RX_PULSESHAPER_SCALE(  -0.0110447025f),
        RX_PULSESHAPER_SCALE(   0.0005020907f),
        RX_PULSESHAPER_SCALE(  -0.0252452913f),
        RX_PULSESHAPER_SCALE(  -0.0352222317f),
        RX_PULSESHAPER_SCALE(  -0.0142964712f),
        RX_PULSESHAPER_SCALE(  -0.1719028795f),
        RX_PULSESHAPER_SCALE(   0.0490551719f),
        RX_PULSESHAPER_SCALE(   0.3306428031f),
        RX_PULSESHAPER_SCALE(   0.0341778252f),
        RX_PULSESHAPER_SCALE(  -0.0597368053f),
        RX_PULSESHAPER_SCALE(   0.0155730522f),
        RX_PULSESHAPER_SCALE(  -0.0344410940f),
        RX_PULSESHAPER_SCALE(  -0.0059001214f),
        RX_PULSESHAPER_SCALE(  -0.0070548152f),
        RX_PULSESHAPER_SCALE(  -0.0052716754f),
        RX_PULSESHAPER_SCALE(  -0.0013874435f),
        RX_PULSESHAPER_SCALE(  -0.0032064803f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037369562f),
        RX_PULSESHAPER_SCALE(   0.0002123083f),
        RX_PULSESHAPER_SCALE(  -0.0021835338f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013873393f),     /* Filter 170 */
        RX_PULSESHAPER_SCALE(  -0.0008951159f),
        RX_PULSESHAPER_SCALE(  -0.0040578753f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052532584f),
        RX_PULSESHAPER_SCALE(   0.0008998894f),
        RX_PULSESHAPER_SCALE(  -0.0110516808f),
        RX_PULSESHAPER_SCALE(   0.0005891908f),
        RX_PULSESHAPER_SCALE(  -0.0253645883f),
        RX_PULSESHAPER_SCALE(  -0.0351051597f),
        RX_PULSESHAPER_SCALE(  -0.0145842105f),
        RX_PULSESHAPER_SCALE(  -0.1726977398f),
        RX_PULSESHAPER_SCALE(   0.0491255631f),
        RX_PULSESHAPER_SCALE(   0.3303539157f),
        RX_PULSESHAPER_SCALE(   0.0340528420f),
        RX_PULSESHAPER_SCALE(  -0.0590475609f),
        RX_PULSESHAPER_SCALE(   0.0156902738f),
        RX_PULSESHAPER_SCALE(  -0.0343386673f),
        RX_PULSESHAPER_SCALE(  -0.0057757375f),
        RX_PULSESHAPER_SCALE(  -0.0070700018f),
        RX_PULSESHAPER_SCALE(  -0.0052128222f),
        RX_PULSESHAPER_SCALE(  -0.0013957373f),
        RX_PULSESHAPER_SCALE(  -0.0031744836f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037204147f),
        RX_PULSESHAPER_SCALE(   0.0002190091f),
        RX_PULSESHAPER_SCALE(  -0.0021794684f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013724315f),     /* Filter 171 */
        RX_PULSESHAPER_SCALE(  -0.0009019955f),
        RX_PULSESHAPER_SCALE(  -0.0040438104f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052433746f),
        RX_PULSESHAPER_SCALE(   0.0009203708f),
        RX_PULSESHAPER_SCALE(  -0.0110580495f),
        RX_PULSESHAPER_SCALE(   0.0006767098f),
        RX_PULSESHAPER_SCALE(  -0.0254833811f),
        RX_PULSESHAPER_SCALE(  -0.0349861313f),
        RX_PULSESHAPER_SCALE(  -0.0148729598f),
        RX_PULSESHAPER_SCALE(  -0.1734921866f),
        RX_PULSESHAPER_SCALE(   0.0491954263f),
        RX_PULSESHAPER_SCALE(   0.3300612700f),
        RX_PULSESHAPER_SCALE(   0.0339276710f),
        RX_PULSESHAPER_SCALE(  -0.0583600221f),
        RX_PULSESHAPER_SCALE(   0.0158063121f),
        RX_PULSESHAPER_SCALE(  -0.0342353029f),
        RX_PULSESHAPER_SCALE(  -0.0056517110f),
        RX_PULSESHAPER_SCALE(  -0.0070847158f),
        RX_PULSESHAPER_SCALE(  -0.0051538900f),
        RX_PULSESHAPER_SCALE(  -0.0014039137f),
        RX_PULSESHAPER_SCALE(  -0.0031423388f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0037037227f),
        RX_PULSESHAPER_SCALE(   0.0002256807f),
        RX_PULSESHAPER_SCALE(  -0.0021752881f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013574093f),     /* Filter 172 */
        RX_PULSESHAPER_SCALE(  -0.0009088451f),
        RX_PULSESHAPER_SCALE(  -0.0040295213f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052331166f),
        RX_PULSESHAPER_SCALE(   0.0009408752f),
        RX_PULSESHAPER_SCALE(  -0.0110638057f),
        RX_PULSESHAPER_SCALE(   0.0007646456f),
        RX_PULSESHAPER_SCALE(  -0.0256016624f),
        RX_PULSESHAPER_SCALE(  -0.0348651418f),
        RX_PULSESHAPER_SCALE(  -0.0151627155f),
        RX_PULSESHAPER_SCALE(  -0.1742862035f),
        RX_PULSESHAPER_SCALE(   0.0492647598f),
        RX_PULSESHAPER_SCALE(   0.3297648731f),
        RX_PULSESHAPER_SCALE(   0.0338023147f),
        RX_PULSESHAPER_SCALE(  -0.0576741997f),
        RX_PULSESHAPER_SCALE(   0.0159211685f),
        RX_PULSESHAPER_SCALE(  -0.0341310089f),
        RX_PULSESHAPER_SCALE(  -0.0055280459f),
        RX_PULSESHAPER_SCALE(  -0.0070989584f),
        RX_PULSESHAPER_SCALE(  -0.0050948823f),
        RX_PULSESHAPER_SCALE(  -0.0014119726f),
        RX_PULSESHAPER_SCALE(  -0.0031100480f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036868814f),
        RX_PULSESHAPER_SCALE(   0.0002323229f),
        RX_PULSESHAPER_SCALE(  -0.0021709934f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013422731f),     /* Filter 173 */
        RX_PULSESHAPER_SCALE(  -0.0009156643f),
        RX_PULSESHAPER_SCALE(  -0.0040150082f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052224838f),
        RX_PULSESHAPER_SCALE(   0.0009614016f),
        RX_PULSESHAPER_SCALE(  -0.0110689464f),
        RX_PULSESHAPER_SCALE(   0.0008529960f),
        RX_PULSESHAPER_SCALE(  -0.0257194252f),
        RX_PULSESHAPER_SCALE(  -0.0347421869f),
        RX_PULSESHAPER_SCALE(  -0.0154534738f),
        RX_PULSESHAPER_SCALE(  -0.1750797739f),
        RX_PULSESHAPER_SCALE(   0.0493335621f),
        RX_PULSESHAPER_SCALE(   0.3294647317f),
        RX_PULSESHAPER_SCALE(   0.0336767760f),
        RX_PULSESHAPER_SCALE(  -0.0569901044f),
        RX_PULSESHAPER_SCALE(   0.0160348443f),
        RX_PULSESHAPER_SCALE(  -0.0340257937f),
        RX_PULSESHAPER_SCALE(  -0.0054047462f),
        RX_PULSESHAPER_SCALE(  -0.0071127308f),
        RX_PULSESHAPER_SCALE(  -0.0050358029f),
        RX_PULSESHAPER_SCALE(  -0.0014199139f),
        RX_PULSESHAPER_SCALE(  -0.0030776134f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036698920f),
        RX_PULSESHAPER_SCALE(   0.0002389354f),
        RX_PULSESHAPER_SCALE(  -0.0021665848f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013270235f),     /* Filter 174 */
        RX_PULSESHAPER_SCALE(  -0.0009224527f),
        RX_PULSESHAPER_SCALE(  -0.0040002715f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052114758f),
        RX_PULSESHAPER_SCALE(   0.0009819489f),
        RX_PULSESHAPER_SCALE(  -0.0110734688f),
        RX_PULSESHAPER_SCALE(   0.0009417586f),
        RX_PULSESHAPER_SCALE(  -0.0258366624f),
        RX_PULSESHAPER_SCALE(  -0.0346172621f),
        RX_PULSESHAPER_SCALE(  -0.0157452307f),
        RX_PULSESHAPER_SCALE(  -0.1758728812f),
        RX_PULSESHAPER_SCALE(   0.0494018316f),
        RX_PULSESHAPER_SCALE(   0.3291608531f),
        RX_PULSESHAPER_SCALE(   0.0335510574f),
        RX_PULSESHAPER_SCALE(  -0.0563077468f),
        RX_PULSESHAPER_SCALE(   0.0161473409f),
        RX_PULSESHAPER_SCALE(  -0.0339196653f),
        RX_PULSESHAPER_SCALE(  -0.0052818157f),
        RX_PULSESHAPER_SCALE(  -0.0071260344f),
        RX_PULSESHAPER_SCALE(  -0.0049766551f),
        RX_PULSESHAPER_SCALE(  -0.0014277374f),
        RX_PULSESHAPER_SCALE(  -0.0030450372f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036527556f),
        RX_PULSESHAPER_SCALE(   0.0002455178f),
        RX_PULSESHAPER_SCALE(  -0.0021620628f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0013116611f),     /* Filter 175 */
        RX_PULSESHAPER_SCALE(  -0.0009292098f),
        RX_PULSESHAPER_SCALE(  -0.0039853116f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0052000922f),
        RX_PULSESHAPER_SCALE(   0.0010025160f),
        RX_PULSESHAPER_SCALE(  -0.0110773702f),
        RX_PULSESHAPER_SCALE(   0.0010309311f),
        RX_PULSESHAPER_SCALE(  -0.0259533669f),
        RX_PULSESHAPER_SCALE(  -0.0344903631f),
        RX_PULSESHAPER_SCALE(  -0.0160379826f),
        RX_PULSESHAPER_SCALE(  -0.1766655090f),
        RX_PULSESHAPER_SCALE(   0.0494695666f),
        RX_PULSESHAPER_SCALE(   0.3288532444f),
        RX_PULSESHAPER_SCALE(   0.0334251618f),
        RX_PULSESHAPER_SCALE(  -0.0556271374f),
        RX_PULSESHAPER_SCALE(   0.0162586596f),
        RX_PULSESHAPER_SCALE(  -0.0338126321f),
        RX_PULSESHAPER_SCALE(  -0.0051592585f),
        RX_PULSESHAPER_SCALE(  -0.0071388706f),
        RX_PULSESHAPER_SCALE(  -0.0049174428f),
        RX_PULSESHAPER_SCALE(  -0.0014354430f),
        RX_PULSESHAPER_SCALE(  -0.0030123215f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036354734f),
        RX_PULSESHAPER_SCALE(   0.0002520700f),
        RX_PULSESHAPER_SCALE(  -0.0021574280f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012961865f),     /* Filter 176 */
        RX_PULSESHAPER_SCALE(  -0.0009359353f),
        RX_PULSESHAPER_SCALE(  -0.0039701289f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051883327f),
        RX_PULSESHAPER_SCALE(   0.0010231017f),
        RX_PULSESHAPER_SCALE(  -0.0110806476f),
        RX_PULSESHAPER_SCALE(   0.0011205114f),
        RX_PULSESHAPER_SCALE(  -0.0260695316f),
        RX_PULSESHAPER_SCALE(  -0.0343614857f),
        RX_PULSESHAPER_SCALE(  -0.0163317255f),
        RX_PULSESHAPER_SCALE(  -0.1774576407f),
        RX_PULSESHAPER_SCALE(   0.0495367656f),
        RX_PULSESHAPER_SCALE(   0.3285419129f),
        RX_PULSESHAPER_SCALE(   0.0332990919f),
        RX_PULSESHAPER_SCALE(  -0.0549482868f),
        RX_PULSESHAPER_SCALE(   0.0163688020f),
        RX_PULSESHAPER_SCALE(  -0.0337047022f),
        RX_PULSESHAPER_SCALE(  -0.0050370783f),
        RX_PULSESHAPER_SCALE(  -0.0071512406f),
        RX_PULSESHAPER_SCALE(  -0.0048581693f),
        RX_PULSESHAPER_SCALE(  -0.0014430306f),
        RX_PULSESHAPER_SCALE(  -0.0029794686f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036180467f),
        RX_PULSESHAPER_SCALE(   0.0002585915f),
        RX_PULSESHAPER_SCALE(  -0.0021526809f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012806003f),     /* Filter 177 */
        RX_PULSESHAPER_SCALE(  -0.0009426286f),
        RX_PULSESHAPER_SCALE(  -0.0039547239f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051761968f),
        RX_PULSESHAPER_SCALE(   0.0010437050f),
        RX_PULSESHAPER_SCALE(  -0.0110832983f),
        RX_PULSESHAPER_SCALE(   0.0012104969f),
        RX_PULSESHAPER_SCALE(  -0.0261851494f),
        RX_PULSESHAPER_SCALE(  -0.0342306253f),
        RX_PULSESHAPER_SCALE(  -0.0166264554f),
        RX_PULSESHAPER_SCALE(  -0.1782492597f),
        RX_PULSESHAPER_SCALE(   0.0496034270f),
        RX_PULSESHAPER_SCALE(   0.3282268658f),
        RX_PULSESHAPER_SCALE(   0.0331728504f),
        RX_PULSESHAPER_SCALE(  -0.0542712053f),
        RX_PULSESHAPER_SCALE(   0.0164777696f),
        RX_PULSESHAPER_SCALE(  -0.0335958839f),
        RX_PULSESHAPER_SCALE(  -0.0049152791f),
        RX_PULSESHAPER_SCALE(  -0.0071631457f),
        RX_PULSESHAPER_SCALE(  -0.0047988382f),
        RX_PULSESHAPER_SCALE(  -0.0014505002f),
        RX_PULSESHAPER_SCALE(  -0.0029464806f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0036004766f),
        RX_PULSESHAPER_SCALE(   0.0002650823f),
        RX_PULSESHAPER_SCALE(  -0.0021478221f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012649030f),     /* Filter 178 */
        RX_PULSESHAPER_SCALE(  -0.0009492895f),
        RX_PULSESHAPER_SCALE(  -0.0039390969f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051636843f),
        RX_PULSESHAPER_SCALE(   0.0010643249f),
        RX_PULSESHAPER_SCALE(  -0.0110853195f),
        RX_PULSESHAPER_SCALE(   0.0013008854f),
        RX_PULSESHAPER_SCALE(  -0.0263002131f),
        RX_PULSESHAPER_SCALE(  -0.0340977780f),
        RX_PULSESHAPER_SCALE(  -0.0169221685f),
        RX_PULSESHAPER_SCALE(  -0.1790403494f),
        RX_PULSESHAPER_SCALE(   0.0496695492f),
        RX_PULSESHAPER_SCALE(   0.3279081106f),
        RX_PULSESHAPER_SCALE(   0.0330464399f),
        RX_PULSESHAPER_SCALE(  -0.0535959034f),
        RX_PULSESHAPER_SCALE(   0.0165855637f),
        RX_PULSESHAPER_SCALE(  -0.0334861855f),
        RX_PULSESHAPER_SCALE(  -0.0047938646f),
        RX_PULSESHAPER_SCALE(  -0.0071745874f),
        RX_PULSESHAPER_SCALE(  -0.0047394532f),
        RX_PULSESHAPER_SCALE(  -0.0014578516f),
        RX_PULSESHAPER_SCALE(  -0.0029133597f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035827643f),
        RX_PULSESHAPER_SCALE(   0.0002715418f),
        RX_PULSESHAPER_SCALE(  -0.0021428519f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012490953f),     /* Filter 179 */
        RX_PULSESHAPER_SCALE(  -0.0009559175f),
        RX_PULSESHAPER_SCALE(  -0.0039232485f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051507947f),
        RX_PULSESHAPER_SCALE(   0.0010849600f),
        RX_PULSESHAPER_SCALE(  -0.0110867085f),
        RX_PULSESHAPER_SCALE(   0.0013916744f),
        RX_PULSESHAPER_SCALE(  -0.0264147156f),
        RX_PULSESHAPER_SCALE(  -0.0339629395f),
        RX_PULSESHAPER_SCALE(  -0.0172188608f),
        RX_PULSESHAPER_SCALE(  -0.1798308933f),
        RX_PULSESHAPER_SCALE(   0.0497351307f),
        RX_PULSESHAPER_SCALE(   0.3275856548f),
        RX_PULSESHAPER_SCALE(   0.0329198633f),
        RX_PULSESHAPER_SCALE(  -0.0529223913f),
        RX_PULSESHAPER_SCALE(   0.0166921859f),
        RX_PULSESHAPER_SCALE(  -0.0333756150f),
        RX_PULSESHAPER_SCALE(  -0.0046728386f),
        RX_PULSESHAPER_SCALE(  -0.0071855671f),
        RX_PULSESHAPER_SCALE(  -0.0046800177f),
        RX_PULSESHAPER_SCALE(  -0.0014650847f),
        RX_PULSESHAPER_SCALE(  -0.0028801082f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035649111f),
        RX_PULSESHAPER_SCALE(   0.0002779699f),
        RX_PULSESHAPER_SCALE(  -0.0021377711f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012331778f),     /* Filter 180 */
        RX_PULSESHAPER_SCALE(  -0.0009625121f),
        RX_PULSESHAPER_SCALE(  -0.0039071790f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051375278f),
        RX_PULSESHAPER_SCALE(   0.0011056095f),
        RX_PULSESHAPER_SCALE(  -0.0110874625f),
        RX_PULSESHAPER_SCALE(   0.0014828615f),
        RX_PULSESHAPER_SCALE(  -0.0265286498f),
        RX_PULSESHAPER_SCALE(  -0.0338261057f),
        RX_PULSESHAPER_SCALE(  -0.0175165281f),
        RX_PULSESHAPER_SCALE(  -0.1806208748f),
        RX_PULSESHAPER_SCALE(   0.0498001699f),
        RX_PULSESHAPER_SCALE(   0.3272595060f),
        RX_PULSESHAPER_SCALE(   0.0327931231f),
        RX_PULSESHAPER_SCALE(  -0.0522506792f),
        RX_PULSESHAPER_SCALE(   0.0167976379f),
        RX_PULSESHAPER_SCALE(  -0.0332641808f),
        RX_PULSESHAPER_SCALE(  -0.0045522048f),
        RX_PULSESHAPER_SCALE(  -0.0071960860f),
        RX_PULSESHAPER_SCALE(  -0.0046205352f),
        RX_PULSESHAPER_SCALE(  -0.0014721996f),
        RX_PULSESHAPER_SCALE(  -0.0028467282f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035469181f),
        RX_PULSESHAPER_SCALE(   0.0002843663f),
        RX_PULSESHAPER_SCALE(  -0.0021325801f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012171511f),     /* Filter 181 */
        RX_PULSESHAPER_SCALE(  -0.0009690729f),
        RX_PULSESHAPER_SCALE(  -0.0038908889f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051238834f),
        RX_PULSESHAPER_SCALE(   0.0011262720f),
        RX_PULSESHAPER_SCALE(  -0.0110875788f),
        RX_PULSESHAPER_SCALE(   0.0015744443f),
        RX_PULSESHAPER_SCALE(  -0.0266420086f),
        RX_PULSESHAPER_SCALE(  -0.0336872725f),
        RX_PULSESHAPER_SCALE(  -0.0178151666f),
        RX_PULSESHAPER_SCALE(  -0.1814102773f),
        RX_PULSESHAPER_SCALE(   0.0498646654f),
        RX_PULSESHAPER_SCALE(   0.3269296719f),
        RX_PULSESHAPER_SCALE(   0.0326662223f),
        RX_PULSESHAPER_SCALE(  -0.0515807774f),
        RX_PULSESHAPER_SCALE(   0.0169019212f),
        RX_PULSESHAPER_SCALE(  -0.0331518911f),
        RX_PULSESHAPER_SCALE(  -0.0044319670f),
        RX_PULSESHAPER_SCALE(  -0.0072061457f),
        RX_PULSESHAPER_SCALE(  -0.0045610093f),
        RX_PULSESHAPER_SCALE(  -0.0014791960f),
        RX_PULSESHAPER_SCALE(  -0.0028132218f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035287865f),
        RX_PULSESHAPER_SCALE(   0.0002907308f),
        RX_PULSESHAPER_SCALE(  -0.0021272795f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0012010158f),     /* Filter 182 */
        RX_PULSESHAPER_SCALE(  -0.0009755996f),
        RX_PULSESHAPER_SCALE(  -0.0038743788f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0051098610f),
        RX_PULSESHAPER_SCALE(   0.0011469465f),
        RX_PULSESHAPER_SCALE(  -0.0110870548f),
        RX_PULSESHAPER_SCALE(   0.0016664204f),
        RX_PULSESHAPER_SCALE(  -0.0267547848f),
        RX_PULSESHAPER_SCALE(  -0.0335464358f),
        RX_PULSESHAPER_SCALE(  -0.0181147720f),
        RX_PULSESHAPER_SCALE(  -0.1821990842f),
        RX_PULSESHAPER_SCALE(   0.0499286156f),
        RX_PULSESHAPER_SCALE(   0.3265961602f),
        RX_PULSESHAPER_SCALE(   0.0325391634f),
        RX_PULSESHAPER_SCALE(  -0.0509126959f),
        RX_PULSESHAPER_SCALE(   0.0170050374f),
        RX_PULSESHAPER_SCALE(  -0.0330387542f),
        RX_PULSESHAPER_SCALE(  -0.0043121289f),
        RX_PULSESHAPER_SCALE(  -0.0072157476f),
        RX_PULSESHAPER_SCALE(  -0.0045014435f),
        RX_PULSESHAPER_SCALE(  -0.0014860740f),
        RX_PULSESHAPER_SCALE(  -0.0027795914f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0035105177f),
        RX_PULSESHAPER_SCALE(   0.0002970630f),
        RX_PULSESHAPER_SCALE(  -0.0021218699f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011847726f),     /* Filter 183 */
        RX_PULSESHAPER_SCALE(  -0.0009820917f),
        RX_PULSESHAPER_SCALE(  -0.0038576490f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050954606f),
        RX_PULSESHAPER_SCALE(   0.0011676319f),
        RX_PULSESHAPER_SCALE(  -0.0110858877f),
        RX_PULSESHAPER_SCALE(   0.0017587871f),
        RX_PULSESHAPER_SCALE(  -0.0268669712f),
        RX_PULSESHAPER_SCALE(  -0.0334035918f),
        RX_PULSESHAPER_SCALE(  -0.0184153404f),
        RX_PULSESHAPER_SCALE(  -0.1829872789f),
        RX_PULSESHAPER_SCALE(   0.0499920190f),
        RX_PULSESHAPER_SCALE(   0.3262589788f),
        RX_PULSESHAPER_SCALE(   0.0324119492f),
        RX_PULSESHAPER_SCALE(  -0.0502464448f),
        RX_PULSESHAPER_SCALE(   0.0171069881f),
        RX_PULSESHAPER_SCALE(  -0.0329247782f),
        RX_PULSESHAPER_SCALE(  -0.0041926942f),
        RX_PULSESHAPER_SCALE(  -0.0072248931f),
        RX_PULSESHAPER_SCALE(  -0.0044418413f),
        RX_PULSESHAPER_SCALE(  -0.0014928334f),
        RX_PULSESHAPER_SCALE(  -0.0027458391f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034921128f),
        RX_PULSESHAPER_SCALE(   0.0003033626f),
        RX_PULSESHAPER_SCALE(  -0.0021163518f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011684221f),     /* Filter 184 */
        RX_PULSESHAPER_SCALE(  -0.0009885489f),
        RX_PULSESHAPER_SCALE(  -0.0038407002f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050806818f),
        RX_PULSESHAPER_SCALE(   0.0011883270f),
        RX_PULSESHAPER_SCALE(  -0.0110840750f),
        RX_PULSESHAPER_SCALE(   0.0018515420f),
        RX_PULSESHAPER_SCALE(  -0.0269785608f),
        RX_PULSESHAPER_SCALE(  -0.0332587363f),
        RX_PULSESHAPER_SCALE(  -0.0187168674f),
        RX_PULSESHAPER_SCALE(  -0.1837748449f),
        RX_PULSESHAPER_SCALE(   0.0500548741f),
        RX_PULSESHAPER_SCALE(   0.3259181356f),
        RX_PULSESHAPER_SCALE(   0.0322845825f),
        RX_PULSESHAPER_SCALE(  -0.0495820340f),
        RX_PULSESHAPER_SCALE(   0.0172077751f),
        RX_PULSESHAPER_SCALE(  -0.0328099714f),
        RX_PULSESHAPER_SCALE(  -0.0040736663f),
        RX_PULSESHAPER_SCALE(  -0.0072335836f),
        RX_PULSESHAPER_SCALE(  -0.0043822061f),
        RX_PULSESHAPER_SCALE(  -0.0014994743f),
        RX_PULSESHAPER_SCALE(  -0.0027119670f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034735731f),
        RX_PULSESHAPER_SCALE(   0.0003096295f),
        RX_PULSESHAPER_SCALE(  -0.0021107257f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011519650f),     /* Filter 185 */
        RX_PULSESHAPER_SCALE(  -0.0009949706f),
        RX_PULSESHAPER_SCALE(  -0.0038235328f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050655245f),
        RX_PULSESHAPER_SCALE(   0.0012090307f),
        RX_PULSESHAPER_SCALE(  -0.0110816139f),
        RX_PULSESHAPER_SCALE(   0.0019446825f),
        RX_PULSESHAPER_SCALE(  -0.0270895463f),
        RX_PULSESHAPER_SCALE(  -0.0331118656f),
        RX_PULSESHAPER_SCALE(  -0.0190193491f),
        RX_PULSESHAPER_SCALE(  -0.1845617655f),
        RX_PULSESHAPER_SCALE(   0.0501171796f),
        RX_PULSESHAPER_SCALE(   0.3255736386f),
        RX_PULSESHAPER_SCALE(   0.0321570659f),
        RX_PULSESHAPER_SCALE(  -0.0489194734f),
        RX_PULSESHAPER_SCALE(   0.0173074000f),
        RX_PULSESHAPER_SCALE(  -0.0326943420f),
        RX_PULSESHAPER_SCALE(  -0.0039550491f),
        RX_PULSESHAPER_SCALE(  -0.0072418207f),
        RX_PULSESHAPER_SCALE(  -0.0043225415f),
        RX_PULSESHAPER_SCALE(  -0.0015059966f),
        RX_PULSESHAPER_SCALE(  -0.0026779775f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034548998f),
        RX_PULSESHAPER_SCALE(   0.0003158633f),
        RX_PULSESHAPER_SCALE(  -0.0021049923f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011354018f),     /* Filter 186 */
        RX_PULSESHAPER_SCALE(  -0.0010013565f),
        RX_PULSESHAPER_SCALE(  -0.0038061474f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050499884f),
        RX_PULSESHAPER_SCALE(   0.0012297418f),
        RX_PULSESHAPER_SCALE(  -0.0110785019f),
        RX_PULSESHAPER_SCALE(   0.0020382061f),
        RX_PULSESHAPER_SCALE(  -0.0271999206f),
        RX_PULSESHAPER_SCALE(  -0.0329629759f),
        RX_PULSESHAPER_SCALE(  -0.0193227810f),
        RX_PULSESHAPER_SCALE(  -0.1853480242f),
        RX_PULSESHAPER_SCALE(   0.0501789338f),
        RX_PULSESHAPER_SCALE(   0.3252254960f),
        RX_PULSESHAPER_SCALE(   0.0320294022f),
        RX_PULSESHAPER_SCALE(  -0.0482587730f),
        RX_PULSESHAPER_SCALE(   0.0174058647f),
        RX_PULSESHAPER_SCALE(  -0.0325778982f),
        RX_PULSESHAPER_SCALE(  -0.0038368459f),
        RX_PULSESHAPER_SCALE(  -0.0072496059f),
        RX_PULSESHAPER_SCALE(  -0.0042628509f),
        RX_PULSESHAPER_SCALE(  -0.0015124002f),
        RX_PULSESHAPER_SCALE(  -0.0026438726f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034360941f),
        RX_PULSESHAPER_SCALE(   0.0003220637f),
        RX_PULSESHAPER_SCALE(  -0.0020991522f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011187334f),     /* Filter 187 */
        RX_PULSESHAPER_SCALE(  -0.0010077062f),
        RX_PULSESHAPER_SCALE(  -0.0037885445f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050340734f),
        RX_PULSESHAPER_SCALE(   0.0012504592f),
        RX_PULSESHAPER_SCALE(  -0.0110747363f),
        RX_PULSESHAPER_SCALE(   0.0021321101f),
        RX_PULSESHAPER_SCALE(  -0.0273096765f),
        RX_PULSESHAPER_SCALE(  -0.0328120632f),
        RX_PULSESHAPER_SCALE(  -0.0196271590f),
        RX_PULSESHAPER_SCALE(  -0.1861336043f),
        RX_PULSESHAPER_SCALE(   0.0502401353f),
        RX_PULSESHAPER_SCALE(   0.3248737160f),
        RX_PULSESHAPER_SCALE(   0.0319015942f),
        RX_PULSESHAPER_SCALE(  -0.0475999424f),
        RX_PULSESHAPER_SCALE(   0.0175031707f),
        RX_PULSESHAPER_SCALE(  -0.0324606484f),
        RX_PULSESHAPER_SCALE(  -0.0037190604f),
        RX_PULSESHAPER_SCALE(  -0.0072569406f),
        RX_PULSESHAPER_SCALE(  -0.0042031378f),
        RX_PULSESHAPER_SCALE(  -0.0015186852f),
        RX_PULSESHAPER_SCALE(  -0.0026096547f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0034171573f),
        RX_PULSESHAPER_SCALE(   0.0003282306f),
        RX_PULSESHAPER_SCALE(  -0.0020932058f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011019602f),     /* Filter 188 */
        RX_PULSESHAPER_SCALE(  -0.0010140193f),
        RX_PULSESHAPER_SCALE(  -0.0037707246f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050177794f),
        RX_PULSESHAPER_SCALE(   0.0012711817f),
        RX_PULSESHAPER_SCALE(  -0.0110703147f),
        RX_PULSESHAPER_SCALE(   0.0022263920f),
        RX_PULSESHAPER_SCALE(  -0.0274188069f),
        RX_PULSESHAPER_SCALE(  -0.0326591239f),
        RX_PULSESHAPER_SCALE(  -0.0199324789f),
        RX_PULSESHAPER_SCALE(  -0.1869184892f),
        RX_PULSESHAPER_SCALE(   0.0503007828f),
        RX_PULSESHAPER_SCALE(   0.3245183067f),
        RX_PULSESHAPER_SCALE(   0.0317736444f),
        RX_PULSESHAPER_SCALE(  -0.0469429914f),
        RX_PULSESHAPER_SCALE(   0.0175993200f),
        RX_PULSESHAPER_SCALE(  -0.0323426007f),
        RX_PULSESHAPER_SCALE(  -0.0036016961f),
        RX_PULSESHAPER_SCALE(  -0.0072638265f),
        RX_PULSESHAPER_SCALE(  -0.0041434056f),
        RX_PULSESHAPER_SCALE(  -0.0015248514f),
        RX_PULSESHAPER_SCALE(  -0.0025753258f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033980907f),
        RX_PULSESHAPER_SCALE(   0.0003343637f),
        RX_PULSESHAPER_SCALE(  -0.0020871539f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010850831f),     /* Filter 189 */
        RX_PULSESHAPER_SCALE(  -0.0010202953f),
        RX_PULSESHAPER_SCALE(  -0.0037526885f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0050011062f),
        RX_PULSESHAPER_SCALE(   0.0012919082f),
        RX_PULSESHAPER_SCALE(  -0.0110652345f),
        RX_PULSESHAPER_SCALE(   0.0023210490f),
        RX_PULSESHAPER_SCALE(  -0.0275273046f),
        RX_PULSESHAPER_SCALE(  -0.0325041543f),
        RX_PULSESHAPER_SCALE(  -0.0202387362f),
        RX_PULSESHAPER_SCALE(  -0.1877026623f),
        RX_PULSESHAPER_SCALE(   0.0503608748f),
        RX_PULSESHAPER_SCALE(   0.3241592765f),
        RX_PULSESHAPER_SCALE(   0.0316455558f),
        RX_PULSESHAPER_SCALE(  -0.0462879295f),
        RX_PULSESHAPER_SCALE(   0.0176943144f),
        RX_PULSESHAPER_SCALE(  -0.0322237633f),
        RX_PULSESHAPER_SCALE(  -0.0034847564f),
        RX_PULSESHAPER_SCALE(  -0.0072702649f),
        RX_PULSESHAPER_SCALE(  -0.0040836578f),
        RX_PULSESHAPER_SCALE(  -0.0015308989f),
        RX_PULSESHAPER_SCALE(  -0.0025408883f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033788955f),
        RX_PULSESHAPER_SCALE(   0.0003404626f),
        RX_PULSESHAPER_SCALE(  -0.0020809969f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010681027f),     /* Filter 190 */
        RX_PULSESHAPER_SCALE(  -0.0010265339f),
        RX_PULSESHAPER_SCALE(  -0.0037344365f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049840538f),
        RX_PULSESHAPER_SCALE(   0.0013126376f),
        RX_PULSESHAPER_SCALE(  -0.0110594932f),
        RX_PULSESHAPER_SCALE(   0.0024160784f),
        RX_PULSESHAPER_SCALE(  -0.0276351624f),
        RX_PULSESHAPER_SCALE(  -0.0323471508f),
        RX_PULSESHAPER_SCALE(  -0.0205459267f),
        RX_PULSESHAPER_SCALE(  -0.1884861071f),
        RX_PULSESHAPER_SCALE(   0.0504204099f),
        RX_PULSESHAPER_SCALE(   0.3237966340f),
        RX_PULSESHAPER_SCALE(   0.0315173309f),
        RX_PULSESHAPER_SCALE(  -0.0456347665f),
        RX_PULSESHAPER_SCALE(   0.0177881557f),
        RX_PULSESHAPER_SCALE(  -0.0321041445f),
        RX_PULSESHAPER_SCALE(  -0.0033682448f),
        RX_PULSESHAPER_SCALE(  -0.0072762576f),
        RX_PULSESHAPER_SCALE(  -0.0040238977f),
        RX_PULSESHAPER_SCALE(  -0.0015368277f),
        RX_PULSESHAPER_SCALE(  -0.0025063443f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033595730f),
        RX_PULSESHAPER_SCALE(   0.0003465272f),
        RX_PULSESHAPER_SCALE(  -0.0020747355f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010510197f),     /* Filter 191 */
        RX_PULSESHAPER_SCALE(  -0.0010327347f),
        RX_PULSESHAPER_SCALE(  -0.0037159694f),
        RX_PULSESHAPER_SCALE(  -0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0049666219f),
        RX_PULSESHAPER_SCALE(   0.0013333686f),
        RX_PULSESHAPER_SCALE(  -0.0110530882f),
        RX_PULSESHAPER_SCALE(   0.0025114777f),
        RX_PULSESHAPER_SCALE(  -0.0277423732f),
        RX_PULSESHAPER_SCALE(  -0.0321881096f),
        RX_PULSESHAPER_SCALE(  -0.0208540460f),
        RX_PULSESHAPER_SCALE(  -0.1892688069f),
        RX_PULSESHAPER_SCALE(   0.0504793866f),
        RX_PULSESHAPER_SCALE(   0.3234303876f),
        RX_PULSESHAPER_SCALE(   0.0313889726f),
        RX_PULSESHAPER_SCALE(  -0.0449835118f),
        RX_PULSESHAPER_SCALE(   0.0178808458f),
        RX_PULSESHAPER_SCALE(  -0.0319837525f),
        RX_PULSESHAPER_SCALE(  -0.0032521647f),
        RX_PULSESHAPER_SCALE(  -0.0072818060f),
        RX_PULSESHAPER_SCALE(  -0.0039641289f),
        RX_PULSESHAPER_SCALE(  -0.0015426378f),
        RX_PULSESHAPER_SCALE(  -0.0024716960f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(  -0.0033401244f),
        RX_PULSESHAPER_SCALE(   0.0003525572f),
        RX_PULSESHAPER_SCALE(  -0.0020683703f)
    }
};

#if defined(SPANDSP_USE_FIXED_POINT)
static const int16_t rx_pulseshaper_im[RX_PULSESHAPER_COEFF_SETS][27] =
#else
static const float rx_pulseshaper_im[RX_PULSESHAPER_COEFF_SETS][27] =
#endif
{
    {
        RX_PULSESHAPER_SCALE(  -0.0010505915f),     /* Filter 0 */
        RX_PULSESHAPER_SCALE(  -0.0011035107f),
        RX_PULSESHAPER_SCALE(  -0.0005259236f),
        RX_PULSESHAPER_SCALE(  -0.0037433748f),
        RX_PULSESHAPER_SCALE(   0.0003859743f),
        RX_PULSESHAPER_SCALE(  -0.0047652670f),
        RX_PULSESHAPER_SCALE(   0.0019893681f),
        RX_PULSESHAPER_SCALE(  -0.0100295736f),
        RX_PULSESHAPER_SCALE(   0.0031365194f),
        RX_PULSESHAPER_SCALE(  -0.0231495307f),
        RX_PULSESHAPER_SCALE(  -0.0352727947f),
        RX_PULSESHAPER_SCALE(  -0.0144050466f),
        RX_PULSESHAPER_SCALE(  -0.1973709256f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3190831345f),
        RX_PULSESHAPER_SCALE(   0.0617512303f),
        RX_PULSESHAPER_SCALE(  -0.0415349018f),
        RX_PULSESHAPER_SCALE(   0.0232689975f),
        RX_PULSESHAPER_SCALE(  -0.0278489297f),
        RX_PULSESHAPER_SCALE(  -0.0035885634f),
        RX_PULSESHAPER_SCALE(  -0.0056282268f),
        RX_PULSESHAPER_SCALE(  -0.0041674913f),
        RX_PULSESHAPER_SCALE(  -0.0007838146f),
        RX_PULSESHAPER_SCALE(  -0.0024673225f),
        RX_PULSESHAPER_SCALE(   0.0005855928f),
        RX_PULSESHAPER_SCALE(  -0.0031973970f),
        RX_PULSESHAPER_SCALE(   0.0005267651f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010538873f),     /* Filter 1 */
        RX_PULSESHAPER_SCALE(  -0.0010850596f),
        RX_PULSESHAPER_SCALE(  -0.0005290237f),
        RX_PULSESHAPER_SCALE(  -0.0037242437f),
        RX_PULSESHAPER_SCALE(   0.0003914782f),
        RX_PULSESHAPER_SCALE(  -0.0047477509f),
        RX_PULSESHAPER_SCALE(   0.0020198246f),
        RX_PULSESHAPER_SCALE(  -0.0100225461f),
        RX_PULSESHAPER_SCALE(   0.0032521647f),
        RX_PULSESHAPER_SCALE(  -0.0232375564f),
        RX_PULSESHAPER_SCALE(  -0.0350931358f),
        RX_PULSESHAPER_SCALE(  -0.0146160290f),
        RX_PULSESHAPER_SCALE(  -0.1981821735f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3187143037f),
        RX_PULSESHAPER_SCALE(   0.0614971632f),
        RX_PULSESHAPER_SCALE(  -0.0409283696f),
        RX_PULSESHAPER_SCALE(   0.0233860306f),
        RX_PULSESHAPER_SCALE(  -0.0277423732f),
        RX_PULSESHAPER_SCALE(  -0.0034567525f),
        RX_PULSESHAPER_SCALE(  -0.0056318297f),
        RX_PULSESHAPER_SCALE(  -0.0041036864f),
        RX_PULSESHAPER_SCALE(  -0.0007866356f),
        RX_PULSESHAPER_SCALE(  -0.0024320378f),
        RX_PULSESHAPER_SCALE(   0.0005885517f),
        RX_PULSESHAPER_SCALE(  -0.0031784306f),
        RX_PULSESHAPER_SCALE(   0.0005355213f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010571305f),     /* Filter 2 */
        RX_PULSESHAPER_SCALE(  -0.0010665012f),
        RX_PULSESHAPER_SCALE(  -0.0005321041f),
        RX_PULSESHAPER_SCALE(  -0.0037048966f),
        RX_PULSESHAPER_SCALE(   0.0003969659f),
        RX_PULSESHAPER_SCALE(  -0.0047298694f),
        RX_PULSESHAPER_SCALE(   0.0020502783f),
        RX_PULSESHAPER_SCALE(  -0.0100149094f),
        RX_PULSESHAPER_SCALE(   0.0033682448f),
        RX_PULSESHAPER_SCALE(  -0.0233250263f),
        RX_PULSESHAPER_SCALE(  -0.0349112212f),
        RX_PULSESHAPER_SCALE(  -0.0148276345f),
        RX_PULSESHAPER_SCALE(  -0.1989925960f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3183419391f),
        RX_PULSESHAPER_SCALE(   0.0612428487f),
        RX_PULSESHAPER_SCALE(  -0.0403236515f),
        RX_PULSESHAPER_SCALE(   0.0235015807f),
        RX_PULSESHAPER_SCALE(  -0.0276351624f),
        RX_PULSESHAPER_SCALE(  -0.0033254467f),
        RX_PULSESHAPER_SCALE(  -0.0056350932f),
        RX_PULSESHAPER_SCALE(  -0.0040398830f),
        RX_PULSESHAPER_SCALE(  -0.0007893966f),
        RX_PULSESHAPER_SCALE(  -0.0023966543f),
        RX_PULSESHAPER_SCALE(   0.0005914766f),
        RX_PULSESHAPER_SCALE(  -0.0031593466f),
        RX_PULSESHAPER_SCALE(   0.0005442255f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010603209f),     /* Filter 3 */
        RX_PULSESHAPER_SCALE(  -0.0010478363f),
        RX_PULSESHAPER_SCALE(  -0.0005351645f),
        RX_PULSESHAPER_SCALE(  -0.0036853342f),
        RX_PULSESHAPER_SCALE(   0.0004024372f),
        RX_PULSESHAPER_SCALE(  -0.0047116224f),
        RX_PULSESHAPER_SCALE(   0.0020807276f),
        RX_PULSESHAPER_SCALE(  -0.0100066612f),
        RX_PULSESHAPER_SCALE(   0.0034847564f),
        RX_PULSESHAPER_SCALE(  -0.0234119345f),
        RX_PULSESHAPER_SCALE(  -0.0347270473f),
        RX_PULSESHAPER_SCALE(  -0.0150398600f),
        RX_PULSESHAPER_SCALE(  -0.1998021758f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3179660495f),
        RX_PULSESHAPER_SCALE(   0.0609882920f),
        RX_PULSESHAPER_SCALE(  -0.0397207562f),
        RX_PULSESHAPER_SCALE(   0.0236156505f),
        RX_PULSESHAPER_SCALE(  -0.0275273046f),
        RX_PULSESHAPER_SCALE(  -0.0031946498f),
        RX_PULSESHAPER_SCALE(  -0.0056380186f),
        RX_PULSESHAPER_SCALE(  -0.0039760847f),
        RX_PULSESHAPER_SCALE(  -0.0007920974f),
        RX_PULSESHAPER_SCALE(  -0.0023611741f),
        RX_PULSESHAPER_SCALE(   0.0005943675f),
        RX_PULSESHAPER_SCALE(  -0.0031401461f),
        RX_PULSESHAPER_SCALE(   0.0005528775f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010634580f),     /* Filter 4 */
        RX_PULSESHAPER_SCALE(  -0.0010290656f),
        RX_PULSESHAPER_SCALE(  -0.0005382047f),
        RX_PULSESHAPER_SCALE(  -0.0036655571f),
        RX_PULSESHAPER_SCALE(   0.0004078915f),
        RX_PULSESHAPER_SCALE(  -0.0046930100f),
        RX_PULSESHAPER_SCALE(   0.0021111706f),
        RX_PULSESHAPER_SCALE(  -0.0099977994f),
        RX_PULSESHAPER_SCALE(   0.0036016961f),
        RX_PULSESHAPER_SCALE(  -0.0234982749f),
        RX_PULSESHAPER_SCALE(  -0.0345406103f),
        RX_PULSESHAPER_SCALE(  -0.0152527025f),
        RX_PULSESHAPER_SCALE(  -0.2006108958f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3175866436f),
        RX_PULSESHAPER_SCALE(   0.0607334987f),
        RX_PULSESHAPER_SCALE(  -0.0391196924f),
        RX_PULSESHAPER_SCALE(   0.0237282425f),
        RX_PULSESHAPER_SCALE(  -0.0274188069f),
        RX_PULSESHAPER_SCALE(  -0.0030643657f),
        RX_PULSESHAPER_SCALE(  -0.0056406071f),
        RX_PULSESHAPER_SCALE(  -0.0039122951f),
        RX_PULSESHAPER_SCALE(  -0.0007947382f),
        RX_PULSESHAPER_SCALE(  -0.0023255995f),
        RX_PULSESHAPER_SCALE(   0.0005972241f),
        RX_PULSESHAPER_SCALE(  -0.0031208304f),
        RX_PULSESHAPER_SCALE(   0.0005614768f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010665416f),     /* Filter 5 */
        RX_PULSESHAPER_SCALE(  -0.0010101900f),
        RX_PULSESHAPER_SCALE(  -0.0005412246f),
        RX_PULSESHAPER_SCALE(  -0.0036455662f),
        RX_PULSESHAPER_SCALE(   0.0004133287f),
        RX_PULSESHAPER_SCALE(  -0.0046740323f),
        RX_PULSESHAPER_SCALE(   0.0021416057f),
        RX_PULSESHAPER_SCALE(  -0.0099883219f),
        RX_PULSESHAPER_SCALE(   0.0037190604f),
        RX_PULSESHAPER_SCALE(  -0.0235840415f),
        RX_PULSESHAPER_SCALE(  -0.0343519067f),
        RX_PULSESHAPER_SCALE(  -0.0154661589f),
        RX_PULSESHAPER_SCALE(  -0.2014187385f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3172037305f),
        RX_PULSESHAPER_SCALE(   0.0604784741f),
        RX_PULSESHAPER_SCALE(  -0.0385204684f),
        RX_PULSESHAPER_SCALE(   0.0238393594f),
        RX_PULSESHAPER_SCALE(  -0.0273096765f),
        RX_PULSESHAPER_SCALE(  -0.0029345978f),
        RX_PULSESHAPER_SCALE(  -0.0056428600f),
        RX_PULSESHAPER_SCALE(  -0.0038485177f),
        RX_PULSESHAPER_SCALE(  -0.0007973189f),
        RX_PULSESHAPER_SCALE(  -0.0022899328f),
        RX_PULSESHAPER_SCALE(   0.0006000465f),
        RX_PULSESHAPER_SCALE(  -0.0031014008f),
        RX_PULSESHAPER_SCALE(   0.0005700231f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010695714f),     /* Filter 6 */
        RX_PULSESHAPER_SCALE(  -0.0009912103f),
        RX_PULSESHAPER_SCALE(  -0.0005442238f),
        RX_PULSESHAPER_SCALE(  -0.0036253619f),
        RX_PULSESHAPER_SCALE(   0.0004187483f),
        RX_PULSESHAPER_SCALE(  -0.0046546892f),
        RX_PULSESHAPER_SCALE(   0.0021720310f),
        RX_PULSESHAPER_SCALE(  -0.0099782265f),
        RX_PULSESHAPER_SCALE(   0.0038368459f),
        RX_PULSESHAPER_SCALE(  -0.0236692285f),
        RX_PULSESHAPER_SCALE(  -0.0341609328f),
        RX_PULSESHAPER_SCALE(  -0.0156802259f),
        RX_PULSESHAPER_SCALE(  -0.2022256869f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3168173190f),
        RX_PULSESHAPER_SCALE(   0.0602232237f),
        RX_PULSESHAPER_SCALE(  -0.0379230929f),
        RX_PULSESHAPER_SCALE(   0.0239490039f),
        RX_PULSESHAPER_SCALE(  -0.0271999206f),
        RX_PULSESHAPER_SCALE(  -0.0028053500f),
        RX_PULSESHAPER_SCALE(  -0.0056447786f),
        RX_PULSESHAPER_SCALE(  -0.0037847560f),
        RX_PULSESHAPER_SCALE(  -0.0007998396f),
        RX_PULSESHAPER_SCALE(  -0.0022541761f),
        RX_PULSESHAPER_SCALE(   0.0006028345f),
        RX_PULSESHAPER_SCALE(  -0.0030818584f),
        RX_PULSESHAPER_SCALE(   0.0005785161f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010725472f),     /* Filter 7 */
        RX_PULSESHAPER_SCALE(  -0.0009721272f),
        RX_PULSESHAPER_SCALE(  -0.0005472024f),
        RX_PULSESHAPER_SCALE(  -0.0036049452f),
        RX_PULSESHAPER_SCALE(   0.0004241500f),
        RX_PULSESHAPER_SCALE(  -0.0046349809f),
        RX_PULSESHAPER_SCALE(   0.0022024449f),
        RX_PULSESHAPER_SCALE(  -0.0099675111f),
        RX_PULSESHAPER_SCALE(   0.0039550490f),
        RX_PULSESHAPER_SCALE(  -0.0237538299f),
        RX_PULSESHAPER_SCALE(  -0.0339676851f),
        RX_PULSESHAPER_SCALE(  -0.0158949005f),
        RX_PULSESHAPER_SCALE(  -0.2030317237f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3164274182f),
        RX_PULSESHAPER_SCALE(   0.0599677528f),
        RX_PULSESHAPER_SCALE(  -0.0373275742f),
        RX_PULSESHAPER_SCALE(   0.0240571786f),
        RX_PULSESHAPER_SCALE(  -0.0270895463f),
        RX_PULSESHAPER_SCALE(  -0.0026766259f),
        RX_PULSESHAPER_SCALE(  -0.0056463643f),
        RX_PULSESHAPER_SCALE(  -0.0037210138f),
        RX_PULSESHAPER_SCALE(  -0.0008023003f),
        RX_PULSESHAPER_SCALE(  -0.0022183317f),
        RX_PULSESHAPER_SCALE(   0.0006055881f),
        RX_PULSESHAPER_SCALE(  -0.0030622046f),
        RX_PULSESHAPER_SCALE(   0.0005869555f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010754685f),     /* Filter 8 */
        RX_PULSESHAPER_SCALE(  -0.0009529415f),
        RX_PULSESHAPER_SCALE(  -0.0005501599f),
        RX_PULSESHAPER_SCALE(  -0.0035843166f),
        RX_PULSESHAPER_SCALE(   0.0004295334f),
        RX_PULSESHAPER_SCALE(  -0.0046149074f),
        RX_PULSESHAPER_SCALE(   0.0022328455f),
        RX_PULSESHAPER_SCALE(  -0.0099561737f),
        RX_PULSESHAPER_SCALE(   0.0040736663f),
        RX_PULSESHAPER_SCALE(  -0.0238378395f),
        RX_PULSESHAPER_SCALE(  -0.0337721601f),
        RX_PULSESHAPER_SCALE(  -0.0161101794f),
        RX_PULSESHAPER_SCALE(  -0.2038368317f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3160340373f),
        RX_PULSESHAPER_SCALE(   0.0597120668f),
        RX_PULSESHAPER_SCALE(  -0.0367339206f),
        RX_PULSESHAPER_SCALE(   0.0241638864f),
        RX_PULSESHAPER_SCALE(  -0.0269785608f),
        RX_PULSESHAPER_SCALE(  -0.0025484289f),
        RX_PULSESHAPER_SCALE(  -0.0056476183f),
        RX_PULSESHAPER_SCALE(  -0.0036572944f),
        RX_PULSESHAPER_SCALE(  -0.0008047009f),
        RX_PULSESHAPER_SCALE(  -0.0021824019f),
        RX_PULSESHAPER_SCALE(   0.0006083072f),
        RX_PULSESHAPER_SCALE(  -0.0030424405f),
        RX_PULSESHAPER_SCALE(   0.0005953408f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010783351f),     /* Filter 9 */
        RX_PULSESHAPER_SCALE(  -0.0009336541f),
        RX_PULSESHAPER_SCALE(  -0.0005530963f),
        RX_PULSESHAPER_SCALE(  -0.0035634770f),
        RX_PULSESHAPER_SCALE(   0.0004348982f),
        RX_PULSESHAPER_SCALE(  -0.0045944688f),
        RX_PULSESHAPER_SCALE(   0.0022632312f),
        RX_PULSESHAPER_SCALE(  -0.0099442122f),
        RX_PULSESHAPER_SCALE(   0.0041926941f),
        RX_PULSESHAPER_SCALE(  -0.0239212516f),
        RX_PULSESHAPER_SCALE(  -0.0335743545f),
        RX_PULSESHAPER_SCALE(  -0.0163260596f),
        RX_PULSESHAPER_SCALE(  -0.2046409936f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3156371855f),
        RX_PULSESHAPER_SCALE(   0.0594561711f),
        RX_PULSESHAPER_SCALE(  -0.0361421404f),
        RX_PULSESHAPER_SCALE(   0.0242691300f),
        RX_PULSESHAPER_SCALE(  -0.0268669712f),
        RX_PULSESHAPER_SCALE(  -0.0024207628f),
        RX_PULSESHAPER_SCALE(  -0.0056485419f),
        RX_PULSESHAPER_SCALE(  -0.0035936014f),
        RX_PULSESHAPER_SCALE(  -0.0008070417f),
        RX_PULSESHAPER_SCALE(  -0.0021463888f),
        RX_PULSESHAPER_SCALE(   0.0006109916f),
        RX_PULSESHAPER_SCALE(  -0.0030225675f),
        RX_PULSESHAPER_SCALE(   0.0006036718f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010811467f),     /* Filter 10 */
        RX_PULSESHAPER_SCALE(  -0.0009142658f),
        RX_PULSESHAPER_SCALE(  -0.0005560114f),
        RX_PULSESHAPER_SCALE(  -0.0035424271f),
        RX_PULSESHAPER_SCALE(   0.0004402440f),
        RX_PULSESHAPER_SCALE(  -0.0045736654f),
        RX_PULSESHAPER_SCALE(   0.0022936000f),
        RX_PULSESHAPER_SCALE(  -0.0099316245f),
        RX_PULSESHAPER_SCALE(   0.0043121289f),
        RX_PULSESHAPER_SCALE(  -0.0240040600f),
        RX_PULSESHAPER_SCALE(  -0.0333742649f),
        RX_PULSESHAPER_SCALE(  -0.0165425377f),
        RX_PULSESHAPER_SCALE(  -0.2054441923f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3152368721f),
        RX_PULSESHAPER_SCALE(   0.0592000711f),
        RX_PULSESHAPER_SCALE(  -0.0355522418f),
        RX_PULSESHAPER_SCALE(   0.0243729123f),
        RX_PULSESHAPER_SCALE(  -0.0267547848f),
        RX_PULSESHAPER_SCALE(  -0.0022936309f),
        RX_PULSESHAPER_SCALE(  -0.0056491366f),
        RX_PULSESHAPER_SCALE(  -0.0035299384f),
        RX_PULSESHAPER_SCALE(  -0.0008093225f),
        RX_PULSESHAPER_SCALE(  -0.0021102947f),
        RX_PULSESHAPER_SCALE(   0.0006136413f),
        RX_PULSESHAPER_SCALE(  -0.0030025869f),
        RX_PULSESHAPER_SCALE(   0.0006119481f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010839031f),     /* Filter 11 */
        RX_PULSESHAPER_SCALE(  -0.0008947773f),
        RX_PULSESHAPER_SCALE(  -0.0005589049f),
        RX_PULSESHAPER_SCALE(  -0.0035211675f),
        RX_PULSESHAPER_SCALE(   0.0004455706f),
        RX_PULSESHAPER_SCALE(  -0.0045524971f),
        RX_PULSESHAPER_SCALE(   0.0023239503f),
        RX_PULSESHAPER_SCALE(  -0.0099184087f),
        RX_PULSESHAPER_SCALE(   0.0044319670f),
        RX_PULSESHAPER_SCALE(  -0.0240862588f),
        RX_PULSESHAPER_SCALE(  -0.0331718880f),
        RX_PULSESHAPER_SCALE(  -0.0167596106f),
        RX_PULSESHAPER_SCALE(  -0.2062464104f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3148331065f),
        RX_PULSESHAPER_SCALE(   0.0589437722f),
        RX_PULSESHAPER_SCALE(  -0.0349642330f),
        RX_PULSESHAPER_SCALE(   0.0244752362f),
        RX_PULSESHAPER_SCALE(  -0.0266420086f),
        RX_PULSESHAPER_SCALE(  -0.0021670367f),
        RX_PULSESHAPER_SCALE(  -0.0056494036f),
        RX_PULSESHAPER_SCALE(  -0.0034663087f),
        RX_PULSESHAPER_SCALE(  -0.0008115434f),
        RX_PULSESHAPER_SCALE(  -0.0020741218f),
        RX_PULSESHAPER_SCALE(   0.0006162563f),
        RX_PULSESHAPER_SCALE(  -0.0029824998f),
        RX_PULSESHAPER_SCALE(   0.0006201695f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010866038f),     /* Filter 12 */
        RX_PULSESHAPER_SCALE(  -0.0008751896f),
        RX_PULSESHAPER_SCALE(  -0.0005617766f),
        RX_PULSESHAPER_SCALE(  -0.0034996992f),
        RX_PULSESHAPER_SCALE(   0.0004508774f),
        RX_PULSESHAPER_SCALE(  -0.0045309644f),
        RX_PULSESHAPER_SCALE(   0.0023542803f),
        RX_PULSESHAPER_SCALE(  -0.0099045627f),
        RX_PULSESHAPER_SCALE(   0.0045522048f),
        RX_PULSESHAPER_SCALE(  -0.0241678420f),
        RX_PULSESHAPER_SCALE(  -0.0329672206f),
        RX_PULSESHAPER_SCALE(  -0.0169772748f),
        RX_PULSESHAPER_SCALE(  -0.2070476309f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3144258981f),
        RX_PULSESHAPER_SCALE(   0.0586872798f),
        RX_PULSESHAPER_SCALE(  -0.0343781220f),
        RX_PULSESHAPER_SCALE(   0.0245761044f),
        RX_PULSESHAPER_SCALE(  -0.0265286498f),
        RX_PULSESHAPER_SCALE(  -0.0020409838f),
        RX_PULSESHAPER_SCALE(  -0.0056493443f),
        RX_PULSESHAPER_SCALE(  -0.0034027160f),
        RX_PULSESHAPER_SCALE(  -0.0008137045f),
        RX_PULSESHAPER_SCALE(  -0.0020378723f),
        RX_PULSESHAPER_SCALE(   0.0006188364f),
        RX_PULSESHAPER_SCALE(  -0.0029623075f),
        RX_PULSESHAPER_SCALE(   0.0006283355f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010892488f),     /* Filter 13 */
        RX_PULSESHAPER_SCALE(  -0.0008555035f),
        RX_PULSESHAPER_SCALE(  -0.0005646264f),
        RX_PULSESHAPER_SCALE(  -0.0034780230f),
        RX_PULSESHAPER_SCALE(   0.0004561643f),
        RX_PULSESHAPER_SCALE(  -0.0045090672f),
        RX_PULSESHAPER_SCALE(   0.0023845881f),
        RX_PULSESHAPER_SCALE(  -0.0098900846f),
        RX_PULSESHAPER_SCALE(   0.0046728385f),
        RX_PULSESHAPER_SCALE(  -0.0242488037f),
        RX_PULSESHAPER_SCALE(  -0.0327602594f),
        RX_PULSESHAPER_SCALE(  -0.0171955273f),
        RX_PULSESHAPER_SCALE(  -0.2078478365f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3140152564f),
        RX_PULSESHAPER_SCALE(   0.0584305992f),
        RX_PULSESHAPER_SCALE(  -0.0337939169f),
        RX_PULSESHAPER_SCALE(   0.0246755200f),
        RX_PULSESHAPER_SCALE(  -0.0264147156f),
        RX_PULSESHAPER_SCALE(  -0.0019154755f),
        RX_PULSESHAPER_SCALE(  -0.0056489601f),
        RX_PULSESHAPER_SCALE(  -0.0033391636f),
        RX_PULSESHAPER_SCALE(  -0.0008158057f),
        RX_PULSESHAPER_SCALE(  -0.0020015486f),
        RX_PULSESHAPER_SCALE(   0.0006213815f),
        RX_PULSESHAPER_SCALE(  -0.0029420114f),
        RX_PULSESHAPER_SCALE(   0.0006364459f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010918376f),     /* Filter 14 */
        RX_PULSESHAPER_SCALE(  -0.0008357197f),
        RX_PULSESHAPER_SCALE(  -0.0005674541f),
        RX_PULSESHAPER_SCALE(  -0.0034561395f),
        RX_PULSESHAPER_SCALE(   0.0004614308f),
        RX_PULSESHAPER_SCALE(  -0.0044868058f),
        RX_PULSESHAPER_SCALE(   0.0024148720f),
        RX_PULSESHAPER_SCALE(  -0.0098749725f),
        RX_PULSESHAPER_SCALE(   0.0047938646f),
        RX_PULSESHAPER_SCALE(  -0.0243291378f),
        RX_PULSESHAPER_SCALE(  -0.0325510015f),
        RX_PULSESHAPER_SCALE(  -0.0174143647f),
        RX_PULSESHAPER_SCALE(  -0.2086470100f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3136011912f),
        RX_PULSESHAPER_SCALE(   0.0581737359f),
        RX_PULSESHAPER_SCALE(  -0.0332116256f),
        RX_PULSESHAPER_SCALE(   0.0247734859f),
        RX_PULSESHAPER_SCALE(  -0.0263002131f),
        RX_PULSESHAPER_SCALE(  -0.0017905151f),
        RX_PULSESHAPER_SCALE(  -0.0056482524f),
        RX_PULSESHAPER_SCALE(  -0.0032756551f),
        RX_PULSESHAPER_SCALE(  -0.0008178472f),
        RX_PULSESHAPER_SCALE(  -0.0019651527f),
        RX_PULSESHAPER_SCALE(   0.0006238917f),
        RX_PULSESHAPER_SCALE(  -0.0029216127f),
        RX_PULSESHAPER_SCALE(   0.0006445003f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010943700f),     /* Filter 15 */
        RX_PULSESHAPER_SCALE(  -0.0008158393f),
        RX_PULSESHAPER_SCALE(  -0.0005702595f),
        RX_PULSESHAPER_SCALE(  -0.0034340496f),
        RX_PULSESHAPER_SCALE(   0.0004666767f),
        RX_PULSESHAPER_SCALE(  -0.0044641806f),
        RX_PULSESHAPER_SCALE(   0.0024451302f),
        RX_PULSESHAPER_SCALE(  -0.0098592243f),
        RX_PULSESHAPER_SCALE(   0.0049152791f),
        RX_PULSESHAPER_SCALE(  -0.0244088384f),
        RX_PULSESHAPER_SCALE(  -0.0323394436f),
        RX_PULSESHAPER_SCALE(  -0.0176337836f),
        RX_PULSESHAPER_SCALE(  -0.2094451343f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3131837120f),
        RX_PULSESHAPER_SCALE(   0.0579166953f),
        RX_PULSESHAPER_SCALE(  -0.0326312560f),
        RX_PULSESHAPER_SCALE(   0.0248700051f),
        RX_PULSESHAPER_SCALE(  -0.0261851494f),
        RX_PULSESHAPER_SCALE(  -0.0016661061f),
        RX_PULSESHAPER_SCALE(  -0.0056472225f),
        RX_PULSESHAPER_SCALE(  -0.0032121938f),
        RX_PULSESHAPER_SCALE(  -0.0008198290f),
        RX_PULSESHAPER_SCALE(  -0.0019286871f),
        RX_PULSESHAPER_SCALE(   0.0006263667f),
        RX_PULSESHAPER_SCALE(  -0.0029011126f),
        RX_PULSESHAPER_SCALE(   0.0006524984f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010968457f),     /* Filter 16 */
        RX_PULSESHAPER_SCALE(  -0.0007958629f),
        RX_PULSESHAPER_SCALE(  -0.0005730423f),
        RX_PULSESHAPER_SCALE(  -0.0034117542f),
        RX_PULSESHAPER_SCALE(   0.0004719015f),
        RX_PULSESHAPER_SCALE(  -0.0044411916f),
        RX_PULSESHAPER_SCALE(   0.0024753609f),
        RX_PULSESHAPER_SCALE(  -0.0098428383f),
        RX_PULSESHAPER_SCALE(   0.0050370783f),
        RX_PULSESHAPER_SCALE(  -0.0244878996f),
        RX_PULSESHAPER_SCALE(  -0.0321255828f),
        RX_PULSESHAPER_SCALE(  -0.0178537807f),
        RX_PULSESHAPER_SCALE(  -0.2102421921f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3127628287f),
        RX_PULSESHAPER_SCALE(   0.0576594827f),
        RX_PULSESHAPER_SCALE(  -0.0320528159f),
        RX_PULSESHAPER_SCALE(   0.0249650807f),
        RX_PULSESHAPER_SCALE(  -0.0260695316f),
        RX_PULSESHAPER_SCALE(  -0.0015422516f),
        RX_PULSESHAPER_SCALE(  -0.0056458719f),
        RX_PULSESHAPER_SCALE(  -0.0031487833f),
        RX_PULSESHAPER_SCALE(  -0.0008217512f),
        RX_PULSESHAPER_SCALE(  -0.0018921537f),
        RX_PULSESHAPER_SCALE(   0.0006288066f),
        RX_PULSESHAPER_SCALE(  -0.0028805125f),
        RX_PULSESHAPER_SCALE(   0.0006604400f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010992645f),     /* Filter 17 */
        RX_PULSESHAPER_SCALE(  -0.0007757916f),
        RX_PULSESHAPER_SCALE(  -0.0005758024f),
        RX_PULSESHAPER_SCALE(  -0.0033892541f),
        RX_PULSESHAPER_SCALE(   0.0004771049f),
        RX_PULSESHAPER_SCALE(  -0.0044178393f),
        RX_PULSESHAPER_SCALE(   0.0025055622f),
        RX_PULSESHAPER_SCALE(  -0.0098258124f),
        RX_PULSESHAPER_SCALE(   0.0051592585f),
        RX_PULSESHAPER_SCALE(  -0.0245663152f),
        RX_PULSESHAPER_SCALE(  -0.0319094161f),
        RX_PULSESHAPER_SCALE(  -0.0180743526f),
        RX_PULSESHAPER_SCALE(  -0.2110381663f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3123385510f),
        RX_PULSESHAPER_SCALE(   0.0574021035f),
        RX_PULSESHAPER_SCALE(  -0.0314763131f),
        RX_PULSESHAPER_SCALE(   0.0250587157f),
        RX_PULSESHAPER_SCALE(  -0.0259533669f),
        RX_PULSESHAPER_SCALE(  -0.0014189550f),
        RX_PULSESHAPER_SCALE(  -0.0056442020f),
        RX_PULSESHAPER_SCALE(  -0.0030854268f),
        RX_PULSESHAPER_SCALE(  -0.0008236137f),
        RX_PULSESHAPER_SCALE(  -0.0018555550f),
        RX_PULSESHAPER_SCALE(   0.0006312113f),
        RX_PULSESHAPER_SCALE(  -0.0028598137f),
        RX_PULSESHAPER_SCALE(   0.0006683247f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011016260f),     /* Filter 18 */
        RX_PULSESHAPER_SCALE(  -0.0007556261f),
        RX_PULSESHAPER_SCALE(  -0.0005785397f),
        RX_PULSESHAPER_SCALE(  -0.0033665502f),
        RX_PULSESHAPER_SCALE(   0.0004822865f),
        RX_PULSESHAPER_SCALE(  -0.0043941238f),
        RX_PULSESHAPER_SCALE(   0.0025357325f),
        RX_PULSESHAPER_SCALE(  -0.0098081450f),
        RX_PULSESHAPER_SCALE(   0.0052818157f),
        RX_PULSESHAPER_SCALE(  -0.0246440794f),
        RX_PULSESHAPER_SCALE(  -0.0316909408f),
        RX_PULSESHAPER_SCALE(  -0.0182954960f),
        RX_PULSESHAPER_SCALE(  -0.2118330397f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3119108890f),
        RX_PULSESHAPER_SCALE(   0.0571445631f),
        RX_PULSESHAPER_SCALE(  -0.0309017552f),
        RX_PULSESHAPER_SCALE(   0.0251509132f),
        RX_PULSESHAPER_SCALE(  -0.0258366624f),
        RX_PULSESHAPER_SCALE(  -0.0012962195f),
        RX_PULSESHAPER_SCALE(  -0.0056422142f),
        RX_PULSESHAPER_SCALE(  -0.0030221279f),
        RX_PULSESHAPER_SCALE(  -0.0008254167f),
        RX_PULSESHAPER_SCALE(  -0.0018188930f),
        RX_PULSESHAPER_SCALE(   0.0006335808f),
        RX_PULSESHAPER_SCALE(  -0.0028390174f),
        RX_PULSESHAPER_SCALE(   0.0006761523f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011039301f),     /* Filter 19 */
        RX_PULSESHAPER_SCALE(  -0.0007353674f),
        RX_PULSESHAPER_SCALE(  -0.0005812538f),
        RX_PULSESHAPER_SCALE(  -0.0033436432f),
        RX_PULSESHAPER_SCALE(   0.0004874461f),
        RX_PULSESHAPER_SCALE(  -0.0043700456f),
        RX_PULSESHAPER_SCALE(   0.0025658697f),
        RX_PULSESHAPER_SCALE(  -0.0097898341f),
        RX_PULSESHAPER_SCALE(   0.0054047462f),
        RX_PULSESHAPER_SCALE(  -0.0247211861f),
        RX_PULSESHAPER_SCALE(  -0.0314701538f),
        RX_PULSESHAPER_SCALE(  -0.0185172074f),
        RX_PULSESHAPER_SCALE(  -0.2126267953f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3114798525f),
        RX_PULSESHAPER_SCALE(   0.0568868669f),
        RX_PULSESHAPER_SCALE(  -0.0303291498f),
        RX_PULSESHAPER_SCALE(   0.0252416763f),
        RX_PULSESHAPER_SCALE(  -0.0257194252f),
        RX_PULSESHAPER_SCALE(  -0.0011740483f),
        RX_PULSESHAPER_SCALE(  -0.0056399099f),
        RX_PULSESHAPER_SCALE(  -0.0029588899f),
        RX_PULSESHAPER_SCALE(  -0.0008271602f),
        RX_PULSESHAPER_SCALE(  -0.0017821701f),
        RX_PULSESHAPER_SCALE(   0.0006359148f),
        RX_PULSESHAPER_SCALE(  -0.0028181249f),
        RX_PULSESHAPER_SCALE(   0.0006839223f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011061764f),     /* Filter 20 */
        RX_PULSESHAPER_SCALE(  -0.0007150163f),
        RX_PULSESHAPER_SCALE(  -0.0005839447f),
        RX_PULSESHAPER_SCALE(  -0.0033205342f),
        RX_PULSESHAPER_SCALE(   0.0004925832f),
        RX_PULSESHAPER_SCALE(  -0.0043456050f),
        RX_PULSESHAPER_SCALE(   0.0025959722f),
        RX_PULSESHAPER_SCALE(  -0.0097708779f),
        RX_PULSESHAPER_SCALE(   0.0055280459f),
        RX_PULSESHAPER_SCALE(  -0.0247976295f),
        RX_PULSESHAPER_SCALE(  -0.0312470525f),
        RX_PULSESHAPER_SCALE(  -0.0187394835f),
        RX_PULSESHAPER_SCALE(  -0.2134194158f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3110454518f),
        RX_PULSESHAPER_SCALE(   0.0566290203f),
        RX_PULSESHAPER_SCALE(  -0.0297585047f),
        RX_PULSESHAPER_SCALE(   0.0253310083f),
        RX_PULSESHAPER_SCALE(  -0.0256016624f),
        RX_PULSESHAPER_SCALE(  -0.0010524444f),
        RX_PULSESHAPER_SCALE(  -0.0056372905f),
        RX_PULSESHAPER_SCALE(  -0.0028957161f),
        RX_PULSESHAPER_SCALE(  -0.0008288442f),
        RX_PULSESHAPER_SCALE(  -0.0017453885f),
        RX_PULSESHAPER_SCALE(   0.0006382135f),
        RX_PULSESHAPER_SCALE(  -0.0027971375f),
        RX_PULSESHAPER_SCALE(   0.0006916346f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011083646f),     /* Filter 21 */
        RX_PULSESHAPER_SCALE(  -0.0006945737f),
        RX_PULSESHAPER_SCALE(  -0.0005866121f),
        RX_PULSESHAPER_SCALE(  -0.0032972239f),
        RX_PULSESHAPER_SCALE(   0.0004976976f),
        RX_PULSESHAPER_SCALE(  -0.0043208022f),
        RX_PULSESHAPER_SCALE(   0.0026260381f),
        RX_PULSESHAPER_SCALE(  -0.0097512747f),
        RX_PULSESHAPER_SCALE(   0.0056517110f),
        RX_PULSESHAPER_SCALE(  -0.0248734035f),
        RX_PULSESHAPER_SCALE(  -0.0310216342f),
        RX_PULSESHAPER_SCALE(  -0.0189623207f),
        RX_PULSESHAPER_SCALE(  -0.2142108841f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3106076969f),
        RX_PULSESHAPER_SCALE(   0.0563710286f),
        RX_PULSESHAPER_SCALE(  -0.0291898271f),
        RX_PULSESHAPER_SCALE(   0.0254189123f),
        RX_PULSESHAPER_SCALE(  -0.0254833811f),
        RX_PULSESHAPER_SCALE(  -0.0009314112f),
        RX_PULSESHAPER_SCALE(  -0.0056343576f),
        RX_PULSESHAPER_SCALE(  -0.0028326100f),
        RX_PULSESHAPER_SCALE(  -0.0008304690f),
        RX_PULSESHAPER_SCALE(  -0.0017085503f),
        RX_PULSESHAPER_SCALE(   0.0006404767f),
        RX_PULSESHAPER_SCALE(  -0.0027760566f),
        RX_PULSESHAPER_SCALE(   0.0006992888f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011104946f),     /* Filter 22 */
        RX_PULSESHAPER_SCALE(  -0.0006740406f),
        RX_PULSESHAPER_SCALE(  -0.0005892558f),
        RX_PULSESHAPER_SCALE(  -0.0032737133f),
        RX_PULSESHAPER_SCALE(   0.0005027888f),
        RX_PULSESHAPER_SCALE(  -0.0042956378f),
        RX_PULSESHAPER_SCALE(   0.0026560656f),
        RX_PULSESHAPER_SCALE(  -0.0097310227f),
        RX_PULSESHAPER_SCALE(   0.0057757375f),
        RX_PULSESHAPER_SCALE(  -0.0249485021f),
        RX_PULSESHAPER_SCALE(  -0.0307938961f),
        RX_PULSESHAPER_SCALE(  -0.0191857156f),
        RX_PULSESHAPER_SCALE(  -0.2150011831f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3101665981f),
        RX_PULSESHAPER_SCALE(   0.0561128971f),
        RX_PULSESHAPER_SCALE(  -0.0286231246f),
        RX_PULSESHAPER_SCALE(   0.0255053915f),
        RX_PULSESHAPER_SCALE(  -0.0253645884f),
        RX_PULSESHAPER_SCALE(  -0.0008109515f),
        RX_PULSESHAPER_SCALE(  -0.0056311126f),
        RX_PULSESHAPER_SCALE(  -0.0027695748f),
        RX_PULSESHAPER_SCALE(  -0.0008320344f),
        RX_PULSESHAPER_SCALE(  -0.0016716577f),
        RX_PULSESHAPER_SCALE(   0.0006427043f),
        RX_PULSESHAPER_SCALE(  -0.0027548833f),
        RX_PULSESHAPER_SCALE(   0.0007068847f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011125661f),     /* Filter 23 */
        RX_PULSESHAPER_SCALE(  -0.0006534178f),
        RX_PULSESHAPER_SCALE(  -0.0005918757f),
        RX_PULSESHAPER_SCALE(  -0.0032500034f),
        RX_PULSESHAPER_SCALE(   0.0005078566f),
        RX_PULSESHAPER_SCALE(  -0.0042701120f),
        RX_PULSESHAPER_SCALE(   0.0026860528f),
        RX_PULSESHAPER_SCALE(  -0.0097101202f),
        RX_PULSESHAPER_SCALE(   0.0059001214f),
        RX_PULSESHAPER_SCALE(  -0.0250229195f),
        RX_PULSESHAPER_SCALE(  -0.0305638358f),
        RX_PULSESHAPER_SCALE(  -0.0194096647f),
        RX_PULSESHAPER_SCALE(  -0.2157902957f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3097221657f),
        RX_PULSESHAPER_SCALE(   0.0558546314f),
        RX_PULSESHAPER_SCALE(  -0.0280584045f),
        RX_PULSESHAPER_SCALE(   0.0255904493f),
        RX_PULSESHAPER_SCALE(  -0.0252452913f),
        RX_PULSESHAPER_SCALE(  -0.0006910686f),
        RX_PULSESHAPER_SCALE(  -0.0056275570f),
        RX_PULSESHAPER_SCALE(  -0.0027066140f),
        RX_PULSESHAPER_SCALE(  -0.0008335406f),
        RX_PULSESHAPER_SCALE(  -0.0016347131f),
        RX_PULSESHAPER_SCALE(   0.0006448964f),
        RX_PULSESHAPER_SCALE(  -0.0027336191f),
        RX_PULSESHAPER_SCALE(   0.0007144219f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011145787f),     /* Filter 24 */
        RX_PULSESHAPER_SCALE(  -0.0006327063f),
        RX_PULSESHAPER_SCALE(  -0.0005944716f),
        RX_PULSESHAPER_SCALE(  -0.0032260950f),
        RX_PULSESHAPER_SCALE(   0.0005129006f),
        RX_PULSESHAPER_SCALE(  -0.0042442254f),
        RX_PULSESHAPER_SCALE(   0.0027159979f),
        RX_PULSESHAPER_SCALE(  -0.0096885654f),
        RX_PULSESHAPER_SCALE(   0.0060248587f),
        RX_PULSESHAPER_SCALE(  -0.0250966496f),
        RX_PULSESHAPER_SCALE(  -0.0303314506f),
        RX_PULSESHAPER_SCALE(  -0.0196341645f),
        RX_PULSESHAPER_SCALE(  -0.2165782048f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3092744100f),
        RX_PULSESHAPER_SCALE(   0.0555962367f),
        RX_PULSESHAPER_SCALE(  -0.0274956741f),
        RX_PULSESHAPER_SCALE(   0.0256740889f),
        RX_PULSESHAPER_SCALE(  -0.0251254969f),
        RX_PULSESHAPER_SCALE(  -0.0005717653f),
        RX_PULSESHAPER_SCALE(  -0.0056236922f),
        RX_PULSESHAPER_SCALE(  -0.0026437308f),
        RX_PULSESHAPER_SCALE(  -0.0008349877f),
        RX_PULSESHAPER_SCALE(  -0.0015977186f),
        RX_PULSESHAPER_SCALE(   0.0006470528f),
        RX_PULSESHAPER_SCALE(  -0.0027122652f),
        RX_PULSESHAPER_SCALE(   0.0007219003f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011165323f),     /* Filter 25 */
        RX_PULSESHAPER_SCALE(  -0.0006119070f),
        RX_PULSESHAPER_SCALE(  -0.0005970433f),
        RX_PULSESHAPER_SCALE(  -0.0032019890f),
        RX_PULSESHAPER_SCALE(   0.0005179204f),
        RX_PULSESHAPER_SCALE(  -0.0042179783f),
        RX_PULSESHAPER_SCALE(   0.0027458991f),
        RX_PULSESHAPER_SCALE(  -0.0096663566f),
        RX_PULSESHAPER_SCALE(   0.0061499454f),
        RX_PULSESHAPER_SCALE(  -0.0251696864f),
        RX_PULSESHAPER_SCALE(  -0.0300967381f),
        RX_PULSESHAPER_SCALE(  -0.0198592114f),
        RX_PULSESHAPER_SCALE(  -0.2173648933f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3088233415f),
        RX_PULSESHAPER_SCALE(   0.0553377183f),
        RX_PULSESHAPER_SCALE(  -0.0269349407f),
        RX_PULSESHAPER_SCALE(   0.0257563136f),
        RX_PULSESHAPER_SCALE(  -0.0250052123f),
        RX_PULSESHAPER_SCALE(  -0.0004530446f),
        RX_PULSESHAPER_SCALE(  -0.0056195197f),
        RX_PULSESHAPER_SCALE(  -0.0025809285f),
        RX_PULSESHAPER_SCALE(  -0.0008363757f),
        RX_PULSESHAPER_SCALE(  -0.0015606764f),
        RX_PULSESHAPER_SCALE(   0.0006491735f),
        RX_PULSESHAPER_SCALE(  -0.0026908229f),
        RX_PULSESHAPER_SCALE(   0.0007293194f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011184266f),     /* Filter 26 */
        RX_PULSESHAPER_SCALE(  -0.0005910207f),
        RX_PULSESHAPER_SCALE(  -0.0005995906f),
        RX_PULSESHAPER_SCALE(  -0.0031776865f),
        RX_PULSESHAPER_SCALE(   0.0005229157f),
        RX_PULSESHAPER_SCALE(  -0.0041913713f),
        RX_PULSESHAPER_SCALE(   0.0027757545f),
        RX_PULSESHAPER_SCALE(  -0.0096434922f),
        RX_PULSESHAPER_SCALE(   0.0062753773f),
        RX_PULSESHAPER_SCALE(  -0.0252420241f),
        RX_PULSESHAPER_SCALE(  -0.0298596959f),
        RX_PULSESHAPER_SCALE(  -0.0200848020f),
        RX_PULSESHAPER_SCALE(  -0.2181503442f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3083689708f),
        RX_PULSESHAPER_SCALE(   0.0550790818f),
        RX_PULSESHAPER_SCALE(  -0.0263762113f),
        RX_PULSESHAPER_SCALE(   0.0258371269f),
        RX_PULSESHAPER_SCALE(  -0.0248844446f),
        RX_PULSESHAPER_SCALE(  -0.0003349096f),
        RX_PULSESHAPER_SCALE(  -0.0056150410f),
        RX_PULSESHAPER_SCALE(  -0.0025182104f),
        RX_PULSESHAPER_SCALE(  -0.0008377047f),
        RX_PULSESHAPER_SCALE(  -0.0015235887f),
        RX_PULSESHAPER_SCALE(   0.0006512585f),
        RX_PULSESHAPER_SCALE(  -0.0026692935f),
        RX_PULSESHAPER_SCALE(   0.0007366792f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011202614f),     /* Filter 27 */
        RX_PULSESHAPER_SCALE(  -0.0005700485f),
        RX_PULSESHAPER_SCALE(  -0.0006021133f),
        RX_PULSESHAPER_SCALE(  -0.0031531884f),
        RX_PULSESHAPER_SCALE(   0.0005278862f),
        RX_PULSESHAPER_SCALE(  -0.0041644048f),
        RX_PULSESHAPER_SCALE(   0.0028055622f),
        RX_PULSESHAPER_SCALE(  -0.0096199706f),
        RX_PULSESHAPER_SCALE(   0.0064011503f),
        RX_PULSESHAPER_SCALE(  -0.0253136566f),
        RX_PULSESHAPER_SCALE(  -0.0296203216f),
        RX_PULSESHAPER_SCALE(  -0.0203109325f),
        RX_PULSESHAPER_SCALE(  -0.2189345404f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3079113083f),
        RX_PULSESHAPER_SCALE(   0.0548203323f),
        RX_PULSESHAPER_SCALE(  -0.0258194931f),
        RX_PULSESHAPER_SCALE(   0.0259165320f),
        RX_PULSESHAPER_SCALE(  -0.0247632008f),
        RX_PULSESHAPER_SCALE(  -0.0002173630f),
        RX_PULSESHAPER_SCALE(  -0.0056102577f),
        RX_PULSESHAPER_SCALE(  -0.0024555798f),
        RX_PULSESHAPER_SCALE(  -0.0008389749f),
        RX_PULSESHAPER_SCALE(  -0.0014864577f),
        RX_PULSESHAPER_SCALE(   0.0006533078f),
        RX_PULSESHAPER_SCALE(  -0.0026476784f),
        RX_PULSESHAPER_SCALE(   0.0007439791f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011220364f),     /* Filter 28 */
        RX_PULSESHAPER_SCALE(  -0.0005489913f),
        RX_PULSESHAPER_SCALE(  -0.0006046113f),
        RX_PULSESHAPER_SCALE(  -0.0031284958f),
        RX_PULSESHAPER_SCALE(   0.0005328315f),
        RX_PULSESHAPER_SCALE(  -0.0041370792f),
        RX_PULSESHAPER_SCALE(   0.0028353205f),
        RX_PULSESHAPER_SCALE(  -0.0095957901f),
        RX_PULSESHAPER_SCALE(   0.0065272603f),
        RX_PULSESHAPER_SCALE(  -0.0253845780f),
        RX_PULSESHAPER_SCALE(  -0.0293786129f),
        RX_PULSESHAPER_SCALE(  -0.0205375996f),
        RX_PULSESHAPER_SCALE(  -0.2197174648f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3074503649f),
        RX_PULSESHAPER_SCALE(   0.0545614753f),
        RX_PULSESHAPER_SCALE(  -0.0252647931f),
        RX_PULSESHAPER_SCALE(   0.0259945325f),
        RX_PULSESHAPER_SCALE(  -0.0246414879f),
        RX_PULSESHAPER_SCALE(  -0.0001004078f),
        RX_PULSESHAPER_SCALE(  -0.0056051713f),
        RX_PULSESHAPER_SCALE(  -0.0023930400f),
        RX_PULSESHAPER_SCALE(  -0.0008401862f),
        RX_PULSESHAPER_SCALE(  -0.0014492856f),
        RX_PULSESHAPER_SCALE(   0.0006553212f),
        RX_PULSESHAPER_SCALE(  -0.0026259788f),
        RX_PULSESHAPER_SCALE(   0.0007512192f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011237514f),     /* Filter 29 */
        RX_PULSESHAPER_SCALE(  -0.0005278500f),
        RX_PULSESHAPER_SCALE(  -0.0006070844f),
        RX_PULSESHAPER_SCALE(  -0.0031036095f),
        RX_PULSESHAPER_SCALE(   0.0005377513f),
        RX_PULSESHAPER_SCALE(  -0.0041093953f),
        RX_PULSESHAPER_SCALE(   0.0028650275f),
        RX_PULSESHAPER_SCALE(  -0.0095709492f),
        RX_PULSESHAPER_SCALE(   0.0066537032f),
        RX_PULSESHAPER_SCALE(  -0.0254547823f),
        RX_PULSESHAPER_SCALE(  -0.0291345676f),
        RX_PULSESHAPER_SCALE(  -0.0207647994f),
        RX_PULSESHAPER_SCALE(  -0.2204991004f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3069861513f),
        RX_PULSESHAPER_SCALE(   0.0543025161f),
        RX_PULSESHAPER_SCALE(  -0.0247121183f),
        RX_PULSESHAPER_SCALE(   0.0260711319f),
        RX_PULSESHAPER_SCALE(  -0.0245193130f),
        RX_PULSESHAPER_SCALE(   0.0000159533f),
        RX_PULSESHAPER_SCALE(  -0.0055997832f),
        RX_PULSESHAPER_SCALE(  -0.0023305941f),
        RX_PULSESHAPER_SCALE(  -0.0008413389f),
        RX_PULSESHAPER_SCALE(  -0.0014120747f),
        RX_PULSESHAPER_SCALE(   0.0006572987f),
        RX_PULSESHAPER_SCALE(  -0.0026041961f),
        RX_PULSESHAPER_SCALE(   0.0007583989f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011254061f),     /* Filter 30 */
        RX_PULSESHAPER_SCALE(  -0.0005066256f),
        RX_PULSESHAPER_SCALE(  -0.0006095323f),
        RX_PULSESHAPER_SCALE(  -0.0030785306f),
        RX_PULSESHAPER_SCALE(   0.0005426452f),
        RX_PULSESHAPER_SCALE(  -0.0040813534f),
        RX_PULSESHAPER_SCALE(   0.0028946812f),
        RX_PULSESHAPER_SCALE(  -0.0095454463f),
        RX_PULSESHAPER_SCALE(   0.0067804747f),
        RX_PULSESHAPER_SCALE(  -0.0255242637f),
        RX_PULSESHAPER_SCALE(  -0.0288881835f),
        RX_PULSESHAPER_SCALE(  -0.0209925285f),
        RX_PULSESHAPER_SCALE(  -0.2212794303f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3065186782f),
        RX_PULSESHAPER_SCALE(   0.0540434601f),
        RX_PULSESHAPER_SCALE(  -0.0241614756f),
        RX_PULSESHAPER_SCALE(   0.0261463335f),
        RX_PULSESHAPER_SCALE(  -0.0243966831f),
        RX_PULSESHAPER_SCALE(   0.0001317174f),
        RX_PULSESHAPER_SCALE(  -0.0055940951f),
        RX_PULSESHAPER_SCALE(  -0.0022682454f),
        RX_PULSESHAPER_SCALE(  -0.0008424329f),
        RX_PULSESHAPER_SCALE(  -0.0013748270f),
        RX_PULSESHAPER_SCALE(   0.0006592403f),
        RX_PULSESHAPER_SCALE(  -0.0025823316f),
        RX_PULSESHAPER_SCALE(   0.0007655182f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011270003f),     /* Filter 31 */
        RX_PULSESHAPER_SCALE(  -0.0004853190f),
        RX_PULSESHAPER_SCALE(  -0.0006119550f),
        RX_PULSESHAPER_SCALE(  -0.0030532601f),
        RX_PULSESHAPER_SCALE(   0.0005475129f),
        RX_PULSESHAPER_SCALE(  -0.0040529541f),
        RX_PULSESHAPER_SCALE(   0.0029242799f),
        RX_PULSESHAPER_SCALE(  -0.0095192797f),
        RX_PULSESHAPER_SCALE(   0.0069075706f),
        RX_PULSESHAPER_SCALE(  -0.0255930162f),
        RX_PULSESHAPER_SCALE(  -0.0286394586f),
        RX_PULSESHAPER_SCALE(  -0.0212207831f),
        RX_PULSESHAPER_SCALE(  -0.2220584374f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3060479566f),
        RX_PULSESHAPER_SCALE(   0.0537843125f),
        RX_PULSESHAPER_SCALE(  -0.0236128717f),
        RX_PULSESHAPER_SCALE(   0.0262201409f),
        RX_PULSESHAPER_SCALE(  -0.0242736053f),
        RX_PULSESHAPER_SCALE(   0.0002468817f),
        RX_PULSESHAPER_SCALE(  -0.0055881084f),
        RX_PULSESHAPER_SCALE(  -0.0022059970f),
        RX_PULSESHAPER_SCALE(  -0.0008434684f),
        RX_PULSESHAPER_SCALE(  -0.0013375449f),
        RX_PULSESHAPER_SCALE(   0.0006611459f),
        RX_PULSESHAPER_SCALE(  -0.0025603865f),
        RX_PULSESHAPER_SCALE(   0.0007725768f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011285338f),     /* Filter 32 */
        RX_PULSESHAPER_SCALE(  -0.0004639312f),
        RX_PULSESHAPER_SCALE(  -0.0006143522f),
        RX_PULSESHAPER_SCALE(  -0.0030277991f),
        RX_PULSESHAPER_SCALE(   0.0005523541f),
        RX_PULSESHAPER_SCALE(  -0.0040241981f),
        RX_PULSESHAPER_SCALE(   0.0029538216f),
        RX_PULSESHAPER_SCALE(  -0.0094924482f),
        RX_PULSESHAPER_SCALE(   0.0070349866f),
        RX_PULSESHAPER_SCALE(  -0.0256610338f),
        RX_PULSESHAPER_SCALE(  -0.0283883908f),
        RX_PULSESHAPER_SCALE(  -0.0214495595f),
        RX_PULSESHAPER_SCALE(  -0.2228361046f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3055739975f),
        RX_PULSESHAPER_SCALE(   0.0535250789f),
        RX_PULSESHAPER_SCALE(  -0.0230663136f),
        RX_PULSESHAPER_SCALE(   0.0262925577f),
        RX_PULSESHAPER_SCALE(  -0.0241500864f),
        RX_PULSESHAPER_SCALE(   0.0003614437f),
        RX_PULSESHAPER_SCALE(  -0.0055818247f),
        RX_PULSESHAPER_SCALE(  -0.0021438523f),
        RX_PULSESHAPER_SCALE(  -0.0008444455f),
        RX_PULSESHAPER_SCALE(  -0.0013002304f),
        RX_PULSESHAPER_SCALE(   0.0006630155f),
        RX_PULSESHAPER_SCALE(  -0.0025383623f),
        RX_PULSESHAPER_SCALE(   0.0007795743f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011300063f),     /* Filter 33 */
        RX_PULSESHAPER_SCALE(  -0.0004424633f),
        RX_PULSESHAPER_SCALE(  -0.0006167238f),
        RX_PULSESHAPER_SCALE(  -0.0030021485f),
        RX_PULSESHAPER_SCALE(   0.0005571684f),
        RX_PULSESHAPER_SCALE(  -0.0039950860f),
        RX_PULSESHAPER_SCALE(   0.0029833045f),
        RX_PULSESHAPER_SCALE(  -0.0094649500f),
        RX_PULSESHAPER_SCALE(   0.0071627185f),
        RX_PULSESHAPER_SCALE(  -0.0257283106f),
        RX_PULSESHAPER_SCALE(  -0.0281349779f),
        RX_PULSESHAPER_SCALE(  -0.0216788542f),
        RX_PULSESHAPER_SCALE(  -0.2236124152f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3050968118f),
        RX_PULSESHAPER_SCALE(   0.0532657643f),
        RX_PULSESHAPER_SCALE(  -0.0225218077f),
        RX_PULSESHAPER_SCALE(   0.0263635875f),
        RX_PULSESHAPER_SCALE(  -0.0240261336f),
        RX_PULSESHAPER_SCALE(   0.0004754004f),
        RX_PULSESHAPER_SCALE(  -0.0055752457f),
        RX_PULSESHAPER_SCALE(  -0.0020818144f),
        RX_PULSESHAPER_SCALE(  -0.0008453642f),
        RX_PULSESHAPER_SCALE(  -0.0012628859f),
        RX_PULSESHAPER_SCALE(   0.0006648491f),
        RX_PULSESHAPER_SCALE(  -0.0025162602f),
        RX_PULSESHAPER_SCALE(   0.0007865106f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011314176f),     /* Filter 34 */
        RX_PULSESHAPER_SCALE(  -0.0004209160f),
        RX_PULSESHAPER_SCALE(  -0.0006190695f),
        RX_PULSESHAPER_SCALE(  -0.0029763095f),
        RX_PULSESHAPER_SCALE(   0.0005619554f),
        RX_PULSESHAPER_SCALE(  -0.0039656183f),
        RX_PULSESHAPER_SCALE(   0.0030127267f),
        RX_PULSESHAPER_SCALE(  -0.0094367839f),
        RX_PULSESHAPER_SCALE(   0.0072907619f),
        RX_PULSESHAPER_SCALE(  -0.0257948406f),
        RX_PULSESHAPER_SCALE(  -0.0278792183f),
        RX_PULSESHAPER_SCALE(  -0.0219086633f),
        RX_PULSESHAPER_SCALE(  -0.2243873522f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3046164107f),
        RX_PULSESHAPER_SCALE(   0.0530063743f),
        RX_PULSESHAPER_SCALE(  -0.0219793608f),
        RX_PULSESHAPER_SCALE(   0.0264332338f),
        RX_PULSESHAPER_SCALE(  -0.0239017537f),
        RX_PULSESHAPER_SCALE(   0.0005887495f),
        RX_PULSESHAPER_SCALE(  -0.0055683728f),
        RX_PULSESHAPER_SCALE(  -0.0020198864f),
        RX_PULSESHAPER_SCALE(  -0.0008462248f),
        RX_PULSESHAPER_SCALE(  -0.0012255133f),
        RX_PULSESHAPER_SCALE(   0.0006666467f),
        RX_PULSESHAPER_SCALE(  -0.0024940816f),
        RX_PULSESHAPER_SCALE(   0.0007933854f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011327676f),     /* Filter 35 */
        RX_PULSESHAPER_SCALE(  -0.0003992906f),
        RX_PULSESHAPER_SCALE(  -0.0006213893f),
        RX_PULSESHAPER_SCALE(  -0.0029502832f),
        RX_PULSESHAPER_SCALE(   0.0005667150f),
        RX_PULSESHAPER_SCALE(  -0.0039357958f),
        RX_PULSESHAPER_SCALE(   0.0030420864f),
        RX_PULSESHAPER_SCALE(  -0.0094079482f),
        RX_PULSESHAPER_SCALE(   0.0074191125f),
        RX_PULSESHAPER_SCALE(  -0.0258606181f),
        RX_PULSESHAPER_SCALE(  -0.0276211099f),
        RX_PULSESHAPER_SCALE(  -0.0221389831f),
        RX_PULSESHAPER_SCALE(  -0.2251608985f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3041328054f),
        RX_PULSESHAPER_SCALE(   0.0527469141f),
        RX_PULSESHAPER_SCALE(  -0.0214389794f),
        RX_PULSESHAPER_SCALE(   0.0265015004f),
        RX_PULSESHAPER_SCALE(  -0.0237769538f),
        RX_PULSESHAPER_SCALE(   0.0007014881f),
        RX_PULSESHAPER_SCALE(  -0.0055612076f),
        RX_PULSESHAPER_SCALE(  -0.0019580714f),
        RX_PULSESHAPER_SCALE(  -0.0008470272f),
        RX_PULSESHAPER_SCALE(  -0.0011881150f),
        RX_PULSESHAPER_SCALE(   0.0006684082f),
        RX_PULSESHAPER_SCALE(  -0.0024718278f),
        RX_PULSESHAPER_SCALE(   0.0008001985f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011340559f),     /* Filter 36 */
        RX_PULSESHAPER_SCALE(  -0.0003775879f),
        RX_PULSESHAPER_SCALE(  -0.0006236829f),
        RX_PULSESHAPER_SCALE(  -0.0029240705f),
        RX_PULSESHAPER_SCALE(   0.0005714466f),
        RX_PULSESHAPER_SCALE(  -0.0039056190f),
        RX_PULSESHAPER_SCALE(   0.0030713817f),
        RX_PULSESHAPER_SCALE(  -0.0093784417f),
        RX_PULSESHAPER_SCALE(   0.0075477659f),
        RX_PULSESHAPER_SCALE(  -0.0259256369f),
        RX_PULSESHAPER_SCALE(  -0.0273606510f),
        RX_PULSESHAPER_SCALE(  -0.0223698100f),
        RX_PULSESHAPER_SCALE(  -0.2259330372f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3036460071f),
        RX_PULSESHAPER_SCALE(   0.0524873890f),
        RX_PULSESHAPER_SCALE(  -0.0209006700f),
        RX_PULSESHAPER_SCALE(   0.0265683908f),
        RX_PULSESHAPER_SCALE(  -0.0236517409f),
        RX_PULSESHAPER_SCALE(   0.0008136138f),
        RX_PULSESHAPER_SCALE(  -0.0055537517f),
        RX_PULSESHAPER_SCALE(  -0.0018963727f),
        RX_PULSESHAPER_SCALE(  -0.0008477717f),
        RX_PULSESHAPER_SCALE(  -0.0011506931f),
        RX_PULSESHAPER_SCALE(   0.0006701335f),
        RX_PULSESHAPER_SCALE(  -0.0024495000f),
        RX_PULSESHAPER_SCALE(   0.0008069497f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011352824f),     /* Filter 37 */
        RX_PULSESHAPER_SCALE(  -0.0003558089f),
        RX_PULSESHAPER_SCALE(  -0.0006259502f),
        RX_PULSESHAPER_SCALE(  -0.0028976727f),
        RX_PULSESHAPER_SCALE(   0.0005761500f),
        RX_PULSESHAPER_SCALE(  -0.0038750888f),
        RX_PULSESHAPER_SCALE(   0.0031006106f),
        RX_PULSESHAPER_SCALE(  -0.0093482630f),
        RX_PULSESHAPER_SCALE(   0.0076767177f),
        RX_PULSESHAPER_SCALE(  -0.0259898913f),
        RX_PULSESHAPER_SCALE(  -0.0270978398f),
        RX_PULSESHAPER_SCALE(  -0.0226011401f),
        RX_PULSESHAPER_SCALE(  -0.2267037516f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3031560272f),
        RX_PULSESHAPER_SCALE(   0.0522278043f),
        RX_PULSESHAPER_SCALE(  -0.0203644391f),
        RX_PULSESHAPER_SCALE(   0.0266339089f),
        RX_PULSESHAPER_SCALE(  -0.0235261219f),
        RX_PULSESHAPER_SCALE(   0.0009251240f),
        RX_PULSESHAPER_SCALE(  -0.0055460068f),
        RX_PULSESHAPER_SCALE(  -0.0018347932f),
        RX_PULSESHAPER_SCALE(  -0.0008484582f),
        RX_PULSESHAPER_SCALE(  -0.0011132498f),
        RX_PULSESHAPER_SCALE(   0.0006718227f),
        RX_PULSESHAPER_SCALE(  -0.0024270997f),
        RX_PULSESHAPER_SCALE(   0.0008136387f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011364468f),     /* Filter 38 */
        RX_PULSESHAPER_SCALE(  -0.0003339546f),
        RX_PULSESHAPER_SCALE(  -0.0006281909f),
        RX_PULSESHAPER_SCALE(  -0.0028710908f),
        RX_PULSESHAPER_SCALE(   0.0005808248f),
        RX_PULSESHAPER_SCALE(  -0.0038442057f),
        RX_PULSESHAPER_SCALE(   0.0031297713f),
        RX_PULSESHAPER_SCALE(  -0.0093174106f),
        RX_PULSESHAPER_SCALE(   0.0078059634f),
        RX_PULSESHAPER_SCALE(  -0.0260533754f),
        RX_PULSESHAPER_SCALE(  -0.0268326746f),
        RX_PULSESHAPER_SCALE(  -0.0228329695f),
        RX_PULSESHAPER_SCALE(  -0.2274730247f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3026628770f),
        RX_PULSESHAPER_SCALE(   0.0519681655f),
        RX_PULSESHAPER_SCALE(  -0.0198302929f),
        RX_PULSESHAPER_SCALE(   0.0266980584f),
        RX_PULSESHAPER_SCALE(  -0.0234001037f),
        RX_PULSESHAPER_SCALE(   0.0010360161f),
        RX_PULSESHAPER_SCALE(  -0.0055379744f),
        RX_PULSESHAPER_SCALE(  -0.0017733362f),
        RX_PULSESHAPER_SCALE(  -0.0008490870f),
        RX_PULSESHAPER_SCALE(  -0.0010757872f),
        RX_PULSESHAPER_SCALE(   0.0006734757f),
        RX_PULSESHAPER_SCALE(  -0.0024046282f),
        RX_PULSESHAPER_SCALE(   0.0008202653f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011375490f),     /* Filter 39 */
        RX_PULSESHAPER_SCALE(  -0.0003120261f),
        RX_PULSESHAPER_SCALE(  -0.0006304051f),
        RX_PULSESHAPER_SCALE(  -0.0028443259f),
        RX_PULSESHAPER_SCALE(   0.0005854707f),
        RX_PULSESHAPER_SCALE(  -0.0038129707f),
        RX_PULSESHAPER_SCALE(   0.0031588619f),
        RX_PULSESHAPER_SCALE(  -0.0092858833f),
        RX_PULSESHAPER_SCALE(   0.0079354987f),
        RX_PULSESHAPER_SCALE(  -0.0261160831f),
        RX_PULSESHAPER_SCALE(  -0.0265651539f),
        RX_PULSESHAPER_SCALE(  -0.0230652947f),
        RX_PULSESHAPER_SCALE(  -0.2282408396f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3021665680f),
        RX_PULSESHAPER_SCALE(   0.0517084777f),
        RX_PULSESHAPER_SCALE(  -0.0192982378f),
        RX_PULSESHAPER_SCALE(   0.0267608429f),
        RX_PULSESHAPER_SCALE(  -0.0232736933f),
        RX_PULSESHAPER_SCALE(   0.0011462878f),
        RX_PULSESHAPER_SCALE(  -0.0055296561f),
        RX_PULSESHAPER_SCALE(  -0.0017120047f),
        RX_PULSESHAPER_SCALE(  -0.0008496582f),
        RX_PULSESHAPER_SCALE(  -0.0010383075f),
        RX_PULSESHAPER_SCALE(   0.0006750925f),
        RX_PULSESHAPER_SCALE(  -0.0023820868f),
        RX_PULSESHAPER_SCALE(   0.0008268292f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011385887f),     /* Filter 40 */
        RX_PULSESHAPER_SCALE(  -0.0002900244f),
        RX_PULSESHAPER_SCALE(  -0.0006325923f),
        RX_PULSESHAPER_SCALE(  -0.0028173791f),
        RX_PULSESHAPER_SCALE(   0.0005900874f),
        RX_PULSESHAPER_SCALE(  -0.0037813843f),
        RX_PULSESHAPER_SCALE(   0.0031878805f),
        RX_PULSESHAPER_SCALE(  -0.0092536797f),
        RX_PULSESHAPER_SCALE(   0.0080653190f),
        RX_PULSESHAPER_SCALE(  -0.0261780087f),
        RX_PULSESHAPER_SCALE(  -0.0262952761f),
        RX_PULSESHAPER_SCALE(  -0.0232981116f),
        RX_PULSESHAPER_SCALE(  -0.2290071795f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3016671118f),
        RX_PULSESHAPER_SCALE(   0.0514487462f),
        RX_PULSESHAPER_SCALE(  -0.0187682801f),
        RX_PULSESHAPER_SCALE(   0.0268222664f),
        RX_PULSESHAPER_SCALE(  -0.0231468977f),
        RX_PULSESHAPER_SCALE(   0.0012559367f),
        RX_PULSESHAPER_SCALE(  -0.0055210536f),
        RX_PULSESHAPER_SCALE(  -0.0016508017f),
        RX_PULSESHAPER_SCALE(  -0.0008501718f),
        RX_PULSESHAPER_SCALE(  -0.0010008128f),
        RX_PULSESHAPER_SCALE(   0.0006766731f),
        RX_PULSESHAPER_SCALE(  -0.0023594768f),
        RX_PULSESHAPER_SCALE(   0.0008333304f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011395657f),     /* Filter 41 */
        RX_PULSESHAPER_SCALE(  -0.0002679505f),
        RX_PULSESHAPER_SCALE(  -0.0006347526f),
        RX_PULSESHAPER_SCALE(  -0.0027902517f),
        RX_PULSESHAPER_SCALE(   0.0005946745f),
        RX_PULSESHAPER_SCALE(  -0.0037494474f),
        RX_PULSESHAPER_SCALE(   0.0032168253f),
        RX_PULSESHAPER_SCALE(  -0.0092207986f),
        RX_PULSESHAPER_SCALE(   0.0081954197f),
        RX_PULSESHAPER_SCALE(  -0.0262391462f),
        RX_PULSESHAPER_SCALE(  -0.0260230397f),
        RX_PULSESHAPER_SCALE(  -0.0235314164f),
        RX_PULSESHAPER_SCALE(  -0.2297720276f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3011645199f),
        RX_PULSESHAPER_SCALE(   0.0511889764f),
        RX_PULSESHAPER_SCALE(  -0.0182404257f),
        RX_PULSESHAPER_SCALE(   0.0268823327f),
        RX_PULSESHAPER_SCALE(  -0.0230197236f),
        RX_PULSESHAPER_SCALE(   0.0013649602f),
        RX_PULSESHAPER_SCALE(  -0.0055121684f),
        RX_PULSESHAPER_SCALE(  -0.0015897303f),
        RX_PULSESHAPER_SCALE(  -0.0008506280f),
        RX_PULSESHAPER_SCALE(  -0.0009633054f),
        RX_PULSESHAPER_SCALE(   0.0006782175f),
        RX_PULSESHAPER_SCALE(  -0.0023367996f),
        RX_PULSESHAPER_SCALE(   0.0008397684f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011404799f),     /* Filter 42 */
        RX_PULSESHAPER_SCALE(  -0.0002458054f),
        RX_PULSESHAPER_SCALE(  -0.0006368857f),
        RX_PULSESHAPER_SCALE(  -0.0027629448f),
        RX_PULSESHAPER_SCALE(   0.0005992318f),
        RX_PULSESHAPER_SCALE(  -0.0037171608f),
        RX_PULSESHAPER_SCALE(   0.0032456942f),
        RX_PULSESHAPER_SCALE(  -0.0091872387f),
        RX_PULSESHAPER_SCALE(   0.0083257964f),
        RX_PULSESHAPER_SCALE(  -0.0262994898f),
        RX_PULSESHAPER_SCALE(  -0.0257484432f),
        RX_PULSESHAPER_SCALE(  -0.0237652054f),
        RX_PULSESHAPER_SCALE(  -0.2305353671f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3006588040f),
        RX_PULSESHAPER_SCALE(   0.0509291736f),
        RX_PULSESHAPER_SCALE(  -0.0177146809f),
        RX_PULSESHAPER_SCALE(   0.0269410455f),
        RX_PULSESHAPER_SCALE(  -0.0228921780f),
        RX_PULSESHAPER_SCALE(   0.0014733561f),
        RX_PULSESHAPER_SCALE(  -0.0055030023f),
        RX_PULSESHAPER_SCALE(  -0.0015287935f),
        RX_PULSESHAPER_SCALE(  -0.0008510270f),
        RX_PULSESHAPER_SCALE(  -0.0009257874f),
        RX_PULSESHAPER_SCALE(   0.0006797256f),
        RX_PULSESHAPER_SCALE(  -0.0023140564f),
        RX_PULSESHAPER_SCALE(   0.0008461432f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011413310f),     /* Filter 43 */
        RX_PULSESHAPER_SCALE(  -0.0002235901f),
        RX_PULSESHAPER_SCALE(  -0.0006389915f),
        RX_PULSESHAPER_SCALE(  -0.0027354594f),
        RX_PULSESHAPER_SCALE(   0.0006037588f),
        RX_PULSESHAPER_SCALE(  -0.0036845253f),
        RX_PULSESHAPER_SCALE(   0.0032744854f),
        RX_PULSESHAPER_SCALE(  -0.0091529987f),
        RX_PULSESHAPER_SCALE(   0.0084564445f),
        RX_PULSESHAPER_SCALE(  -0.0263590336f),
        RX_PULSESHAPER_SCALE(  -0.0254714853f),
        RX_PULSESHAPER_SCALE(  -0.0239994745f),
        RX_PULSESHAPER_SCALE(  -0.2312971813f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.3001499759f),
        RX_PULSESHAPER_SCALE(   0.0506693430f),
        RX_PULSESHAPER_SCALE(  -0.0171910516f),
        RX_PULSESHAPER_SCALE(   0.0269984089f),
        RX_PULSESHAPER_SCALE(  -0.0227642679f),
        RX_PULSESHAPER_SCALE(   0.0015811220f),
        RX_PULSESHAPER_SCALE(  -0.0054935568f),
        RX_PULSESHAPER_SCALE(  -0.0014679944f),
        RX_PULSESHAPER_SCALE(  -0.0008513688f),
        RX_PULSESHAPER_SCALE(  -0.0008882608f),
        RX_PULSESHAPER_SCALE(   0.0006811974f),
        RX_PULSESHAPER_SCALE(  -0.0022912487f),
        RX_PULSESHAPER_SCALE(   0.0008524546f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011421188f),     /* Filter 44 */
        RX_PULSESHAPER_SCALE(  -0.0002013058f),
        RX_PULSESHAPER_SCALE(  -0.0006410697f),
        RX_PULSESHAPER_SCALE(  -0.0027077969f),
        RX_PULSESHAPER_SCALE(   0.0006082552f),
        RX_PULSESHAPER_SCALE(  -0.0036515417f),
        RX_PULSESHAPER_SCALE(   0.0033031971f),
        RX_PULSESHAPER_SCALE(  -0.0091180776f),
        RX_PULSESHAPER_SCALE(   0.0085873593f),
        RX_PULSESHAPER_SCALE(  -0.0264177717f),
        RX_PULSESHAPER_SCALE(  -0.0251921647f),
        RX_PULSESHAPER_SCALE(  -0.0242342199f),
        RX_PULSESHAPER_SCALE(  -0.2320574533f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2996380473f),
        RX_PULSESHAPER_SCALE(   0.0504094899f),
        RX_PULSESHAPER_SCALE(  -0.0166695438f),
        RX_PULSESHAPER_SCALE(   0.0270544266f),
        RX_PULSESHAPER_SCALE(  -0.0226360000f),
        RX_PULSESHAPER_SCALE(   0.0016882556f),
        RX_PULSESHAPER_SCALE(  -0.0054838337f),
        RX_PULSESHAPER_SCALE(  -0.0014073359f),
        RX_PULSESHAPER_SCALE(  -0.0008516537f),
        RX_PULSESHAPER_SCALE(  -0.0008507279f),
        RX_PULSESHAPER_SCALE(   0.0006826330f),
        RX_PULSESHAPER_SCALE(  -0.0022683777f),
        RX_PULSESHAPER_SCALE(   0.0008587023f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011428431f),     /* Filter 45 */
        RX_PULSESHAPER_SCALE(  -0.0001789534f),
        RX_PULSESHAPER_SCALE(  -0.0006431203f),
        RX_PULSESHAPER_SCALE(  -0.0026799585f),
        RX_PULSESHAPER_SCALE(   0.0006127207f),
        RX_PULSESHAPER_SCALE(  -0.0036182109f),
        RX_PULSESHAPER_SCALE(   0.0033318273f),
        RX_PULSESHAPER_SCALE(  -0.0090824740f),
        RX_PULSESHAPER_SCALE(   0.0087185362f),
        RX_PULSESHAPER_SCALE(  -0.0264756982f),
        RX_PULSESHAPER_SCALE(  -0.0249104801f),
        RX_PULSESHAPER_SCALE(  -0.0244694377f),
        RX_PULSESHAPER_SCALE(  -0.2328161665f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2991230302f),
        RX_PULSESHAPER_SCALE(   0.0501496195f),
        RX_PULSESHAPER_SCALE(  -0.0161501634f),
        RX_PULSESHAPER_SCALE(   0.0271091028f),
        RX_PULSESHAPER_SCALE(  -0.0225073813f),
        RX_PULSESHAPER_SCALE(   0.0017947547f),
        RX_PULSESHAPER_SCALE(  -0.0054738345f),
        RX_PULSESHAPER_SCALE(  -0.0013468211f),
        RX_PULSESHAPER_SCALE(  -0.0008518816f),
        RX_PULSESHAPER_SCALE(  -0.0008131908f),
        RX_PULSESHAPER_SCALE(   0.0006840322f),
        RX_PULSESHAPER_SCALE(  -0.0022454449f),
        RX_PULSESHAPER_SCALE(   0.0008648861f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011435038f),     /* Filter 46 */
        RX_PULSESHAPER_SCALE(  -0.0001565340f),
        RX_PULSESHAPER_SCALE(  -0.0006451431f),
        RX_PULSESHAPER_SCALE(  -0.0026519452f),
        RX_PULSESHAPER_SCALE(   0.0006171550f),
        RX_PULSESHAPER_SCALE(  -0.0035845338f),
        RX_PULSESHAPER_SCALE(   0.0033603740f),
        RX_PULSESHAPER_SCALE(  -0.0090461870f),
        RX_PULSESHAPER_SCALE(   0.0088499705f),
        RX_PULSESHAPER_SCALE(  -0.0265328074f),
        RX_PULSESHAPER_SCALE(  -0.0246264304f),
        RX_PULSESHAPER_SCALE(  -0.0247051240f),
        RX_PULSESHAPER_SCALE(  -0.2335733040f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2986049365f),
        RX_PULSESHAPER_SCALE(   0.0498897372f),
        RX_PULSESHAPER_SCALE(  -0.0156329161f),
        RX_PULSESHAPER_SCALE(   0.0271624412f),
        RX_PULSESHAPER_SCALE(  -0.0223784186f),
        RX_PULSESHAPER_SCALE(   0.0019006171f),
        RX_PULSESHAPER_SCALE(  -0.0054635610f),
        RX_PULSESHAPER_SCALE(  -0.0012864528f),
        RX_PULSESHAPER_SCALE(  -0.0008520528f),
        RX_PULSESHAPER_SCALE(  -0.0007756516f),
        RX_PULSESHAPER_SCALE(   0.0006853952f),
        RX_PULSESHAPER_SCALE(  -0.0022224515f),
        RX_PULSESHAPER_SCALE(   0.0008710059f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011441007f),     /* Filter 47 */
        RX_PULSESHAPER_SCALE(  -0.0001340486f),
        RX_PULSESHAPER_SCALE(  -0.0006471379f),
        RX_PULSESHAPER_SCALE(  -0.0026237584f),
        RX_PULSESHAPER_SCALE(   0.0006215578f),
        RX_PULSESHAPER_SCALE(  -0.0035505114f),
        RX_PULSESHAPER_SCALE(   0.0033888354f),
        RX_PULSESHAPER_SCALE(  -0.0090092152f),
        RX_PULSESHAPER_SCALE(   0.0089816577f),
        RX_PULSESHAPER_SCALE(  -0.0265890933f),
        RX_PULSESHAPER_SCALE(  -0.0243400145f),
        RX_PULSESHAPER_SCALE(  -0.0249412747f),
        RX_PULSESHAPER_SCALE(  -0.2343288494f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2980837782f),
        RX_PULSESHAPER_SCALE(   0.0496298482f),
        RX_PULSESHAPER_SCALE(  -0.0151178078f),
        RX_PULSESHAPER_SCALE(   0.0272144460f),
        RX_PULSESHAPER_SCALE(  -0.0222491188f),
        RX_PULSESHAPER_SCALE(   0.0020058406f),
        RX_PULSESHAPER_SCALE(  -0.0054530148f),
        RX_PULSESHAPER_SCALE(  -0.0012262340f),
        RX_PULSESHAPER_SCALE(  -0.0008521675f),
        RX_PULSESHAPER_SCALE(  -0.0007381125f),
        RX_PULSESHAPER_SCALE(   0.0006867218f),
        RX_PULSESHAPER_SCALE(  -0.0021993988f),
        RX_PULSESHAPER_SCALE(   0.0008770614f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011446335f),     /* Filter 48 */
        RX_PULSESHAPER_SCALE(  -0.0001114984f),
        RX_PULSESHAPER_SCALE(  -0.0006491046f),
        RX_PULSESHAPER_SCALE(  -0.0025953992f),
        RX_PULSESHAPER_SCALE(   0.0006259287f),
        RX_PULSESHAPER_SCALE(  -0.0035161444f),
        RX_PULSESHAPER_SCALE(   0.0034172096f),
        RX_PULSESHAPER_SCALE(  -0.0089715577f),
        RX_PULSESHAPER_SCALE(   0.0091135929f),
        RX_PULSESHAPER_SCALE(  -0.0266445501f),
        RX_PULSESHAPER_SCALE(  -0.0240512313f),
        RX_PULSESHAPER_SCALE(  -0.0251778859f),
        RX_PULSESHAPER_SCALE(  -0.2350827858f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2975595675f),
        RX_PULSESHAPER_SCALE(   0.0493699577f),
        RX_PULSESHAPER_SCALE(  -0.0146048441f),
        RX_PULSESHAPER_SCALE(   0.0272651212f),
        RX_PULSESHAPER_SCALE(  -0.0221194886f),
        RX_PULSESHAPER_SCALE(   0.0021104231f),
        RX_PULSESHAPER_SCALE(  -0.0054421976f),
        RX_PULSESHAPER_SCALE(  -0.0011661677f),
        RX_PULSESHAPER_SCALE(  -0.0008522257f),
        RX_PULSESHAPER_SCALE(  -0.0007005755f),
        RX_PULSESHAPER_SCALE(   0.0006880121f),
        RX_PULSESHAPER_SCALE(  -0.0021762883f),
        RX_PULSESHAPER_SCALE(   0.0008830524f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011451022f),     /* Filter 49 */
        RX_PULSESHAPER_SCALE(  -0.0000888843f),
        RX_PULSESHAPER_SCALE(  -0.0006510429f),
        RX_PULSESHAPER_SCALE(  -0.0025668690f),
        RX_PULSESHAPER_SCALE(   0.0006302674f),
        RX_PULSESHAPER_SCALE(  -0.0034814339f),
        RX_PULSESHAPER_SCALE(   0.0034454947f),
        RX_PULSESHAPER_SCALE(  -0.0089332135f),
        RX_PULSESHAPER_SCALE(   0.0092457713f),
        RX_PULSESHAPER_SCALE(  -0.0266991720f),
        RX_PULSESHAPER_SCALE(  -0.0237600797f),
        RX_PULSESHAPER_SCALE(  -0.0254149536f),
        RX_PULSESHAPER_SCALE(  -0.2358350966f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2970323163f),
        RX_PULSESHAPER_SCALE(   0.0491100710f),
        RX_PULSESHAPER_SCALE(  -0.0140940305f),
        RX_PULSESHAPER_SCALE(   0.0273144708f),
        RX_PULSESHAPER_SCALE(  -0.0219895349f),
        RX_PULSESHAPER_SCALE(   0.0022143624f),
        RX_PULSESHAPER_SCALE(  -0.0054311110f),
        RX_PULSESHAPER_SCALE(  -0.0011062567f),
        RX_PULSESHAPER_SCALE(  -0.0008522276f),
        RX_PULSESHAPER_SCALE(  -0.0006630428f),
        RX_PULSESHAPER_SCALE(   0.0006892661f),
        RX_PULSESHAPER_SCALE(  -0.0021531212f),
        RX_PULSESHAPER_SCALE(   0.0008889789f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011455065f),     /* Filter 50 */
        RX_PULSESHAPER_SCALE(  -0.0000662075f),
        RX_PULSESHAPER_SCALE(  -0.0006529528f),
        RX_PULSESHAPER_SCALE(  -0.0025381689f),
        RX_PULSESHAPER_SCALE(   0.0006345735f),
        RX_PULSESHAPER_SCALE(  -0.0034463809f),
        RX_PULSESHAPER_SCALE(   0.0034736886f),
        RX_PULSESHAPER_SCALE(  -0.0088941813f),
        RX_PULSESHAPER_SCALE(   0.0093781883f),
        RX_PULSESHAPER_SCALE(  -0.0267529532f),
        RX_PULSESHAPER_SCALE(  -0.0234665590f),
        RX_PULSESHAPER_SCALE(  -0.0256524738f),
        RX_PULSESHAPER_SCALE(  -0.2365857653f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2965020369f),
        RX_PULSESHAPER_SCALE(   0.0488501934f),
        RX_PULSESHAPER_SCALE(  -0.0135853727f),
        RX_PULSESHAPER_SCALE(   0.0273624990f),
        RX_PULSESHAPER_SCALE(  -0.0218592646f),
        RX_PULSESHAPER_SCALE(   0.0023176565f),
        RX_PULSESHAPER_SCALE(  -0.0054197569f),
        RX_PULSESHAPER_SCALE(  -0.0010465039f),
        RX_PULSESHAPER_SCALE(  -0.0008521733f),
        RX_PULSESHAPER_SCALE(  -0.0006255165f),
        RX_PULSESHAPER_SCALE(   0.0006904838f),
        RX_PULSESHAPER_SCALE(  -0.0021298989f),
        RX_PULSESHAPER_SCALE(   0.0008948406f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011458462f),     /* Filter 51 */
        RX_PULSESHAPER_SCALE(  -0.0000434690f),
        RX_PULSESHAPER_SCALE(  -0.0006548341f),
        RX_PULSESHAPER_SCALE(  -0.0025093002f),
        RX_PULSESHAPER_SCALE(   0.0006388468f),
        RX_PULSESHAPER_SCALE(  -0.0034109862f),
        RX_PULSESHAPER_SCALE(   0.0035017896f),
        RX_PULSESHAPER_SCALE(  -0.0088544604f),
        RX_PULSESHAPER_SCALE(   0.0095108390f),
        RX_PULSESHAPER_SCALE(  -0.0268058878f),
        RX_PULSESHAPER_SCALE(  -0.0231706682f),
        RX_PULSESHAPER_SCALE(  -0.0258904424f),
        RX_PULSESHAPER_SCALE(  -0.2373347753f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2959687417f),
        RX_PULSESHAPER_SCALE(   0.0485903300f),
        RX_PULSESHAPER_SCALE(  -0.0130788761f),
        RX_PULSESHAPER_SCALE(   0.0274092097f),
        RX_PULSESHAPER_SCALE(  -0.0217286842f),
        RX_PULSESHAPER_SCALE(   0.0024203033f),
        RX_PULSESHAPER_SCALE(  -0.0054081368f),
        RX_PULSESHAPER_SCALE(  -0.0009869123f),
        RX_PULSESHAPER_SCALE(  -0.0008520631f),
        RX_PULSESHAPER_SCALE(  -0.0005879987f),
        RX_PULSESHAPER_SCALE(   0.0006916652f),
        RX_PULSESHAPER_SCALE(  -0.0021066227f),
        RX_PULSESHAPER_SCALE(   0.0009006373f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011461212f),     /* Filter 52 */
        RX_PULSESHAPER_SCALE(  -0.0000206700f),
        RX_PULSESHAPER_SCALE(  -0.0006566867f),
        RX_PULSESHAPER_SCALE(  -0.0024802643f),
        RX_PULSESHAPER_SCALE(   0.0006430869f),
        RX_PULSESHAPER_SCALE(  -0.0033752511f),
        RX_PULSESHAPER_SCALE(   0.0035297957f),
        RX_PULSESHAPER_SCALE(  -0.0088140496f),
        RX_PULSESHAPER_SCALE(   0.0096437186f),
        RX_PULSESHAPER_SCALE(  -0.0268579701f),
        RX_PULSESHAPER_SCALE(  -0.0228724066f),
        RX_PULSESHAPER_SCALE(  -0.0261288555f),
        RX_PULSESHAPER_SCALE(  -0.2380821099f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2954324430f),
        RX_PULSESHAPER_SCALE(   0.0483304861f),
        RX_PULSESHAPER_SCALE(  -0.0125745460f),
        RX_PULSESHAPER_SCALE(   0.0274546073f),
        RX_PULSESHAPER_SCALE(  -0.0215978008f),
        RX_PULSESHAPER_SCALE(   0.0025223009f),
        RX_PULSESHAPER_SCALE(  -0.0053962525f),
        RX_PULSESHAPER_SCALE(  -0.0009274847f),
        RX_PULSESHAPER_SCALE(  -0.0008518970f),
        RX_PULSESHAPER_SCALE(  -0.0005504915f),
        RX_PULSESHAPER_SCALE(   0.0006928102f),
        RX_PULSESHAPER_SCALE(  -0.0020832940f),
        RX_PULSESHAPER_SCALE(   0.0009063689f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011463314f),     /* Filter 53 */
        RX_PULSESHAPER_SCALE(   0.0000021885f),
        RX_PULSESHAPER_SCALE(  -0.0006585103f),
        RX_PULSESHAPER_SCALE(  -0.0024510624f),
        RX_PULSESHAPER_SCALE(   0.0006472935f),
        RX_PULSESHAPER_SCALE(  -0.0033391764f),
        RX_PULSESHAPER_SCALE(   0.0035577049f),
        RX_PULSESHAPER_SCALE(  -0.0087729480f),
        RX_PULSESHAPER_SCALE(   0.0097768222f),
        RX_PULSESHAPER_SCALE(  -0.0269091942f),
        RX_PULSESHAPER_SCALE(  -0.0225717734f),
        RX_PULSESHAPER_SCALE(  -0.0263677089f),
        RX_PULSESHAPER_SCALE(  -0.2388277526f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2948931531f),
        RX_PULSESHAPER_SCALE(   0.0480706669f),
        RX_PULSESHAPER_SCALE(  -0.0120723879f),
        RX_PULSESHAPER_SCALE(   0.0274986958f),
        RX_PULSESHAPER_SCALE(  -0.0214666210f),
        RX_PULSESHAPER_SCALE(   0.0026236473f),
        RX_PULSESHAPER_SCALE(  -0.0053841057f),
        RX_PULSESHAPER_SCALE(  -0.0008682239f),
        RX_PULSESHAPER_SCALE(  -0.0008516753f),
        RX_PULSESHAPER_SCALE(  -0.0005129970f),
        RX_PULSESHAPER_SCALE(   0.0006939190f),
        RX_PULSESHAPER_SCALE(  -0.0020599141f),
        RX_PULSESHAPER_SCALE(   0.0009120351f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011464764f),     /* Filter 54 */
        RX_PULSESHAPER_SCALE(   0.0000251054f),
        RX_PULSESHAPER_SCALE(  -0.0006603048f),
        RX_PULSESHAPER_SCALE(  -0.0024216958f),
        RX_PULSESHAPER_SCALE(   0.0006514663f),
        RX_PULSESHAPER_SCALE(  -0.0033027632f),
        RX_PULSESHAPER_SCALE(   0.0035855154f),
        RX_PULSESHAPER_SCALE(  -0.0087311547f),
        RX_PULSESHAPER_SCALE(   0.0099101450f),
        RX_PULSESHAPER_SCALE(  -0.0269595544f),
        RX_PULSESHAPER_SCALE(  -0.0222687679f),
        RX_PULSESHAPER_SCALE(  -0.0266069985f),
        RX_PULSESHAPER_SCALE(  -0.2395716870f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2943508846f),
        RX_PULSESHAPER_SCALE(   0.0478108775f),
        RX_PULSESHAPER_SCALE(  -0.0115724070f),
        RX_PULSESHAPER_SCALE(   0.0275414794f),
        RX_PULSESHAPER_SCALE(  -0.0213351515f),
        RX_PULSESHAPER_SCALE(   0.0027243405f),
        RX_PULSESHAPER_SCALE(  -0.0053716982f),
        RX_PULSESHAPER_SCALE(  -0.0008091327f),
        RX_PULSESHAPER_SCALE(  -0.0008513980f),
        RX_PULSESHAPER_SCALE(  -0.0004755173f),
        RX_PULSESHAPER_SCALE(   0.0006949914f),
        RX_PULSESHAPER_SCALE(  -0.0020364844f),
        RX_PULSESHAPER_SCALE(   0.0009176359f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011465563f),     /* Filter 55 */
        RX_PULSESHAPER_SCALE(   0.0000480796f),
        RX_PULSESHAPER_SCALE(  -0.0006620701f),
        RX_PULSESHAPER_SCALE(  -0.0023921658f),
        RX_PULSESHAPER_SCALE(   0.0006556050f),
        RX_PULSESHAPER_SCALE(  -0.0032660126f),
        RX_PULSESHAPER_SCALE(   0.0036132252f),
        RX_PULSESHAPER_SCALE(  -0.0086886688f),
        RX_PULSESHAPER_SCALE(   0.0100436820f),
        RX_PULSESHAPER_SCALE(  -0.0270090449f),
        RX_PULSESHAPER_SCALE(  -0.0219633896f),
        RX_PULSESHAPER_SCALE(  -0.0268467203f),
        RX_PULSESHAPER_SCALE(  -0.2403138965f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2938056500f),
        RX_PULSESHAPER_SCALE(   0.0475511233f),
        RX_PULSESHAPER_SCALE(  -0.0110746085f),
        RX_PULSESHAPER_SCALE(   0.0275829625f),
        RX_PULSESHAPER_SCALE(  -0.0212033992f),
        RX_PULSESHAPER_SCALE(   0.0028243786f),
        RX_PULSESHAPER_SCALE(  -0.0053590315f),
        RX_PULSESHAPER_SCALE(  -0.0007502140f),
        RX_PULSESHAPER_SCALE(  -0.0008510654f),
        RX_PULSESHAPER_SCALE(  -0.0004380545f),
        RX_PULSESHAPER_SCALE(   0.0006960276f),
        RX_PULSESHAPER_SCALE(  -0.0020130061f),
        RX_PULSESHAPER_SCALE(   0.0009231711f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011465709f),     /* Filter 56 */
        RX_PULSESHAPER_SCALE(   0.0000711100f),
        RX_PULSESHAPER_SCALE(  -0.0006638061f),
        RX_PULSESHAPER_SCALE(  -0.0023624737f),
        RX_PULSESHAPER_SCALE(   0.0006597092f),
        RX_PULSESHAPER_SCALE(  -0.0032289258f),
        RX_PULSESHAPER_SCALE(   0.0036408324f),
        RX_PULSESHAPER_SCALE(  -0.0086454895f),
        RX_PULSESHAPER_SCALE(   0.0101774283f),
        RX_PULSESHAPER_SCALE(  -0.0270576598f),
        RX_PULSESHAPER_SCALE(  -0.0216556379f),
        RX_PULSESHAPER_SCALE(  -0.0270868701f),
        RX_PULSESHAPER_SCALE(  -0.2410543647f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2932574618f),
        RX_PULSESHAPER_SCALE(   0.0472914095f),
        RX_PULSESHAPER_SCALE(  -0.0105789975f),
        RX_PULSESHAPER_SCALE(   0.0276231491f),
        RX_PULSESHAPER_SCALE(  -0.0210713706f),
        RX_PULSESHAPER_SCALE(   0.0029237599f),
        RX_PULSESHAPER_SCALE(  -0.0053461076f),
        RX_PULSESHAPER_SCALE(  -0.0006914705f),
        RX_PULSESHAPER_SCALE(  -0.0008506775f),
        RX_PULSESHAPER_SCALE(  -0.0004006107f),
        RX_PULSESHAPER_SCALE(   0.0006970274f),
        RX_PULSESHAPER_SCALE(  -0.0019894807f),
        RX_PULSESHAPER_SCALE(   0.0009286405f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011465199f),     /* Filter 57 */
        RX_PULSESHAPER_SCALE(   0.0000941954f),
        RX_PULSESHAPER_SCALE(  -0.0006655126f),
        RX_PULSESHAPER_SCALE(  -0.0023326209f),
        RX_PULSESHAPER_SCALE(   0.0006637786f),
        RX_PULSESHAPER_SCALE(  -0.0031915037f),
        RX_PULSESHAPER_SCALE(   0.0036683351f),
        RX_PULSESHAPER_SCALE(  -0.0086016158f),
        RX_PULSESHAPER_SCALE(   0.0103113789f),
        RX_PULSESHAPER_SCALE(  -0.0271053936f),
        RX_PULSESHAPER_SCALE(  -0.0213455123f),
        RX_PULSESHAPER_SCALE(  -0.0273274438f),
        RX_PULSESHAPER_SCALE(  -0.2417930752f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2927063328f),
        RX_PULSESHAPER_SCALE(   0.0470317410f),
        RX_PULSESHAPER_SCALE(  -0.0100855790f),
        RX_PULSESHAPER_SCALE(   0.0276620437f),
        RX_PULSESHAPER_SCALE(  -0.0209390727f),
        RX_PULSESHAPER_SCALE(   0.0030224825f),
        RX_PULSESHAPER_SCALE(  -0.0053329281f),
        RX_PULSESHAPER_SCALE(  -0.0006329049f),
        RX_PULSESHAPER_SCALE(  -0.0008502347f),
        RX_PULSESHAPER_SCALE(  -0.0003631879f),
        RX_PULSESHAPER_SCALE(   0.0006979910f),
        RX_PULSESHAPER_SCALE(  -0.0019659094f),
        RX_PULSESHAPER_SCALE(   0.0009340440f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011464033f),     /* Filter 58 */
        RX_PULSESHAPER_SCALE(   0.0001173348f),
        RX_PULSESHAPER_SCALE(  -0.0006671893f),
        RX_PULSESHAPER_SCALE(  -0.0023026088f),
        RX_PULSESHAPER_SCALE(   0.0006678129f),
        RX_PULSESHAPER_SCALE(  -0.0031537477f),
        RX_PULSESHAPER_SCALE(   0.0036957313f),
        RX_PULSESHAPER_SCALE(  -0.0085570471f),
        RX_PULSESHAPER_SCALE(   0.0104455288f),
        RX_PULSESHAPER_SCALE(  -0.0271522403f),
        RX_PULSESHAPER_SCALE(  -0.0210330125f),
        RX_PULSESHAPER_SCALE(  -0.0275684372f),
        RX_PULSESHAPER_SCALE(  -0.2425300116f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2921522758f),
        RX_PULSESHAPER_SCALE(   0.0467721233f),
        RX_PULSESHAPER_SCALE(  -0.0095943581f),
        RX_PULSESHAPER_SCALE(   0.0276996504f),
        RX_PULSESHAPER_SCALE(  -0.0208065119f),
        RX_PULSESHAPER_SCALE(   0.0031205445f),
        RX_PULSESHAPER_SCALE(  -0.0053194948f),
        RX_PULSESHAPER_SCALE(  -0.0005745202f),
        RX_PULSESHAPER_SCALE(  -0.0008497370f),
        RX_PULSESHAPER_SCALE(  -0.0003257881f),
        RX_PULSESHAPER_SCALE(   0.0006989183f),
        RX_PULSESHAPER_SCALE(  -0.0019422936f),
        RX_PULSESHAPER_SCALE(   0.0009393814f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011462208f),     /* Filter 59 */
        RX_PULSESHAPER_SCALE(   0.0001405270f),
        RX_PULSESHAPER_SCALE(  -0.0006688363f),
        RX_PULSESHAPER_SCALE(  -0.0022724386f),
        RX_PULSESHAPER_SCALE(   0.0006718118f),
        RX_PULSESHAPER_SCALE(  -0.0031156587f),
        RX_PULSESHAPER_SCALE(   0.0037230191f),
        RX_PULSESHAPER_SCALE(  -0.0085117825f),
        RX_PULSESHAPER_SCALE(   0.0105798731f),
        RX_PULSESHAPER_SCALE(  -0.0271981943f),
        RX_PULSESHAPER_SCALE(  -0.0207181381f),
        RX_PULSESHAPER_SCALE(  -0.0278098462f),
        RX_PULSESHAPER_SCALE(  -0.2432651575f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2915953033f),
        RX_PULSESHAPER_SCALE(   0.0465125614f),
        RX_PULSESHAPER_SCALE(  -0.0091053396f),
        RX_PULSESHAPER_SCALE(   0.0277359738f),
        RX_PULSESHAPER_SCALE(  -0.0206736950f),
        RX_PULSESHAPER_SCALE(   0.0032179443f),
        RX_PULSESHAPER_SCALE(  -0.0053058094f),
        RX_PULSESHAPER_SCALE(  -0.0005163189f),
        RX_PULSESHAPER_SCALE(  -0.0008491846f),
        RX_PULSESHAPER_SCALE(  -0.0002884136f),
        RX_PULSESHAPER_SCALE(   0.0006998094f),
        RX_PULSESHAPER_SCALE(  -0.0019186347f),
        RX_PULSESHAPER_SCALE(   0.0009446525f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011459724f),     /* Filter 60 */
        RX_PULSESHAPER_SCALE(   0.0001637710f),
        RX_PULSESHAPER_SCALE(  -0.0006704533f),
        RX_PULSESHAPER_SCALE(  -0.0022421118f),
        RX_PULSESHAPER_SCALE(   0.0006757750f),
        RX_PULSESHAPER_SCALE(  -0.0030772381f),
        RX_PULSESHAPER_SCALE(   0.0037501965f),
        RX_PULSESHAPER_SCALE(  -0.0084658212f),
        RX_PULSESHAPER_SCALE(   0.0107144066f),
        RX_PULSESHAPER_SCALE(  -0.0272432498f),
        RX_PULSESHAPER_SCALE(  -0.0204008889f),
        RX_PULSESHAPER_SCALE(  -0.0280516665f),
        RX_PULSESHAPER_SCALE(  -0.2439984964f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2910354284f),
        RX_PULSESHAPER_SCALE(   0.0462530605f),
        RX_PULSESHAPER_SCALE(  -0.0086185284f),
        RX_PULSESHAPER_SCALE(   0.0277710180f),
        RX_PULSESHAPER_SCALE(  -0.0205406287f),
        RX_PULSESHAPER_SCALE(   0.0033146802f),
        RX_PULSESHAPER_SCALE(  -0.0052918737f),
        RX_PULSESHAPER_SCALE(  -0.0004583037f),
        RX_PULSESHAPER_SCALE(  -0.0008485777f),
        RX_PULSESHAPER_SCALE(  -0.0002510662f),
        RX_PULSESHAPER_SCALE(   0.0007006643f),
        RX_PULSESHAPER_SCALE(  -0.0018949339f),
        RX_PULSESHAPER_SCALE(   0.0009498574f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011456579f),     /* Filter 61 */
        RX_PULSESHAPER_SCALE(   0.0001870654f),
        RX_PULSESHAPER_SCALE(  -0.0006720403f),
        RX_PULSESHAPER_SCALE(  -0.0022116298f),
        RX_PULSESHAPER_SCALE(   0.0006797022f),
        RX_PULSESHAPER_SCALE(  -0.0030384869f),
        RX_PULSESHAPER_SCALE(   0.0037772617f),
        RX_PULSESHAPER_SCALE(  -0.0084191626f),
        RX_PULSESHAPER_SCALE(   0.0108491242f),
        RX_PULSESHAPER_SCALE(  -0.0272874011f),
        RX_PULSESHAPER_SCALE(  -0.0200812646f),
        RX_PULSESHAPER_SCALE(  -0.0282938940f),
        RX_PULSESHAPER_SCALE(  -0.2447300123f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2904726640f),
        RX_PULSESHAPER_SCALE(   0.0459936258f),
        RX_PULSESHAPER_SCALE(  -0.0081339293f),
        RX_PULSESHAPER_SCALE(   0.0278047875f),
        RX_PULSESHAPER_SCALE(  -0.0204073196f),
        RX_PULSESHAPER_SCALE(   0.0034107504f),
        RX_PULSESHAPER_SCALE(  -0.0052776894f),
        RX_PULSESHAPER_SCALE(  -0.0004004775f),
        RX_PULSESHAPER_SCALE(  -0.0008479165f),
        RX_PULSESHAPER_SCALE(  -0.0002137482f),
        RX_PULSESHAPER_SCALE(   0.0007014829f),
        RX_PULSESHAPER_SCALE(  -0.0018711927f),
        RX_PULSESHAPER_SCALE(   0.0009549957f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011452772f),     /* Filter 62 */
        RX_PULSESHAPER_SCALE(   0.0002104094f),
        RX_PULSESHAPER_SCALE(  -0.0006735970f),
        RX_PULSESHAPER_SCALE(  -0.0021809939f),
        RX_PULSESHAPER_SCALE(   0.0006835929f),
        RX_PULSESHAPER_SCALE(  -0.0029994065f),
        RX_PULSESHAPER_SCALE(   0.0038042127f),
        RX_PULSESHAPER_SCALE(  -0.0083718059f),
        RX_PULSESHAPER_SCALE(   0.0109840210f),
        RX_PULSESHAPER_SCALE(  -0.0273306425f),
        RX_PULSESHAPER_SCALE(  -0.0197592650f),
        RX_PULSESHAPER_SCALE(  -0.0285365244f),
        RX_PULSESHAPER_SCALE(  -0.2454596887f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2899070230f),
        RX_PULSESHAPER_SCALE(   0.0457342624f),
        RX_PULSESHAPER_SCALE(  -0.0076515471f),
        RX_PULSESHAPER_SCALE(   0.0278372867f),
        RX_PULSESHAPER_SCALE(  -0.0202737743f),
        RX_PULSESHAPER_SCALE(   0.0035061533f),
        RX_PULSESHAPER_SCALE(  -0.0052632584f),
        RX_PULSESHAPER_SCALE(  -0.0003428428f),
        RX_PULSESHAPER_SCALE(  -0.0008472012f),
        RX_PULSESHAPER_SCALE(  -0.0001764614f),
        RX_PULSESHAPER_SCALE(   0.0007022654f),
        RX_PULSESHAPER_SCALE(  -0.0018474124f),
        RX_PULSESHAPER_SCALE(   0.0009600674f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011448302f),     /* Filter 63 */
        RX_PULSESHAPER_SCALE(   0.0002338015f),
        RX_PULSESHAPER_SCALE(  -0.0006751233f),
        RX_PULSESHAPER_SCALE(  -0.0021502055f),
        RX_PULSESHAPER_SCALE(   0.0006874471f),
        RX_PULSESHAPER_SCALE(  -0.0029599981f),
        RX_PULSESHAPER_SCALE(   0.0038310475f),
        RX_PULSESHAPER_SCALE(  -0.0083237505f),
        RX_PULSESHAPER_SCALE(   0.0111190917f),
        RX_PULSESHAPER_SCALE(  -0.0273729684f),
        RX_PULSESHAPER_SCALE(  -0.0194348902f),
        RX_PULSESHAPER_SCALE(  -0.0287795535f),
        RX_PULSESHAPER_SCALE(  -0.2461875094f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2893385184f),
        RX_PULSESHAPER_SCALE(   0.0454749754f),
        RX_PULSESHAPER_SCALE(  -0.0071713862f),
        RX_PULSESHAPER_SCALE(   0.0278685200f),
        RX_PULSESHAPER_SCALE(  -0.0201399994f),
        RX_PULSESHAPER_SCALE(   0.0036008873f),
        RX_PULSESHAPER_SCALE(  -0.0052485823f),
        RX_PULSESHAPER_SCALE(  -0.0002854023f),
        RX_PULSESHAPER_SCALE(  -0.0008464318f),
        RX_PULSESHAPER_SCALE(  -0.0001392080f),
        RX_PULSESHAPER_SCALE(   0.0007030117f),
        RX_PULSESHAPER_SCALE(  -0.0018235942f),
        RX_PULSESHAPER_SCALE(   0.0009650724f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011443166f),     /* Filter 64 */
        RX_PULSESHAPER_SCALE(   0.0002572409f),
        RX_PULSESHAPER_SCALE(  -0.0006766191f),
        RX_PULSESHAPER_SCALE(  -0.0021192661f),
        RX_PULSESHAPER_SCALE(   0.0006912642f),
        RX_PULSESHAPER_SCALE(  -0.0029202630f),
        RX_PULSESHAPER_SCALE(   0.0038577642f),
        RX_PULSESHAPER_SCALE(  -0.0082749958f),
        RX_PULSESHAPER_SCALE(   0.0112543312f),
        RX_PULSESHAPER_SCALE(  -0.0274143729f),
        RX_PULSESHAPER_SCALE(  -0.0191081400f),
        RX_PULSESHAPER_SCALE(  -0.0290229770f),
        RX_PULSESHAPER_SCALE(  -0.2469134582f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2887671634f),
        RX_PULSESHAPER_SCALE(   0.0452157700f),
        RX_PULSESHAPER_SCALE(  -0.0066934514f),
        RX_PULSESHAPER_SCALE(   0.0278984919f),
        RX_PULSESHAPER_SCALE(  -0.0200060016f),
        RX_PULSESHAPER_SCALE(   0.0036949508f),
        RX_PULSESHAPER_SCALE(  -0.0052336631f),
        RX_PULSESHAPER_SCALE(  -0.0002281587f),
        RX_PULSESHAPER_SCALE(  -0.0008456087f),
        RX_PULSESHAPER_SCALE(  -0.0001019900f),
        RX_PULSESHAPER_SCALE(   0.0007037219f),
        RX_PULSESHAPER_SCALE(  -0.0017997396f),
        RX_PULSESHAPER_SCALE(   0.0009700105f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011437365f),     /* Filter 65 */
        RX_PULSESHAPER_SCALE(   0.0002807262f),
        RX_PULSESHAPER_SCALE(  -0.0006780843f),
        RX_PULSESHAPER_SCALE(  -0.0020881772f),
        RX_PULSESHAPER_SCALE(   0.0006950441f),
        RX_PULSESHAPER_SCALE(  -0.0028802024f),
        RX_PULSESHAPER_SCALE(   0.0038843610f),
        RX_PULSESHAPER_SCALE(  -0.0082255412f),
        RX_PULSESHAPER_SCALE(   0.0113897343f),
        RX_PULSESHAPER_SCALE(  -0.0274548505f),
        RX_PULSESHAPER_SCALE(  -0.0187790146f),
        RX_PULSESHAPER_SCALE(  -0.0292667907f),
        RX_PULSESHAPER_SCALE(  -0.2476375189f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2881929711f),
        RX_PULSESHAPER_SCALE(   0.0449566513f),
        RX_PULSESHAPER_SCALE(  -0.0062177471f),
        RX_PULSESHAPER_SCALE(   0.0279272070f),
        RX_PULSESHAPER_SCALE(  -0.0198717875f),
        RX_PULSESHAPER_SCALE(   0.0037883424f),
        RX_PULSESHAPER_SCALE(  -0.0052185024f),
        RX_PULSESHAPER_SCALE(  -0.0001711145f),
        RX_PULSESHAPER_SCALE(  -0.0008447320f),
        RX_PULSESHAPER_SCALE(  -0.0000648094f),
        RX_PULSESHAPER_SCALE(   0.0007043960f),
        RX_PULSESHAPER_SCALE(  -0.0017758498f),
        RX_PULSESHAPER_SCALE(   0.0009748816f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011430896f),     /* Filter 66 */
        RX_PULSESHAPER_SCALE(   0.0003042563f),
        RX_PULSESHAPER_SCALE(  -0.0006795187f),
        RX_PULSESHAPER_SCALE(  -0.0020569400f),
        RX_PULSESHAPER_SCALE(   0.0006987863f),
        RX_PULSESHAPER_SCALE(  -0.0028398176f),
        RX_PULSESHAPER_SCALE(   0.0039108357f),
        RX_PULSESHAPER_SCALE(  -0.0081753860f),
        RX_PULSESHAPER_SCALE(   0.0115252958f),
        RX_PULSESHAPER_SCALE(  -0.0274943955f),
        RX_PULSESHAPER_SCALE(  -0.0184475141f),
        RX_PULSESHAPER_SCALE(  -0.0295109903f),
        RX_PULSESHAPER_SCALE(  -0.2483596753f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2876159548f),
        RX_PULSESHAPER_SCALE(   0.0446976244f),
        RX_PULSESHAPER_SCALE(  -0.0057442777f),
        RX_PULSESHAPER_SCALE(   0.0279546695f),
        RX_PULSESHAPER_SCALE(  -0.0197373635f),
        RX_PULSESHAPER_SCALE(   0.0038810604f),
        RX_PULSESHAPER_SCALE(  -0.0052031021f),
        RX_PULSESHAPER_SCALE(  -0.0001142724f),
        RX_PULSESHAPER_SCALE(  -0.0008438020f),
        RX_PULSESHAPER_SCALE(  -0.0000276682f),
        RX_PULSESHAPER_SCALE(   0.0007050340f),
        RX_PULSESHAPER_SCALE(  -0.0017519263f),
        RX_PULSESHAPER_SCALE(   0.0009796856f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011423758f),     /* Filter 67 */
        RX_PULSESHAPER_SCALE(   0.0003278301f),
        RX_PULSESHAPER_SCALE(  -0.0006809222f),
        RX_PULSESHAPER_SCALE(  -0.0020255562f),
        RX_PULSESHAPER_SCALE(   0.0007024907f),
        RX_PULSESHAPER_SCALE(  -0.0027991100f),
        RX_PULSESHAPER_SCALE(   0.0039371866f),
        RX_PULSESHAPER_SCALE(  -0.0081245298f),
        RX_PULSESHAPER_SCALE(   0.0116610105f),
        RX_PULSESHAPER_SCALE(  -0.0275330022f),
        RX_PULSESHAPER_SCALE(  -0.0181136386f),
        RX_PULSESHAPER_SCALE(  -0.0297555714f),
        RX_PULSESHAPER_SCALE(  -0.2490799114f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2870361277f),
        RX_PULSESHAPER_SCALE(   0.0444386944f),
        RX_PULSESHAPER_SCALE(  -0.0052730476f),
        RX_PULSESHAPER_SCALE(   0.0279808843f),
        RX_PULSESHAPER_SCALE(  -0.0196027363f),
        RX_PULSESHAPER_SCALE(   0.0039731035f),
        RX_PULSESHAPER_SCALE(  -0.0051874639f),
        RX_PULSESHAPER_SCALE(  -0.0000576350f),
        RX_PULSESHAPER_SCALE(  -0.0008428187f),
        RX_PULSESHAPER_SCALE(   0.0000094316f),
        RX_PULSESHAPER_SCALE(   0.0007056360f),
        RX_PULSESHAPER_SCALE(  -0.0017279703f),
        RX_PULSESHAPER_SCALE(   0.0009844223f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011415951f),     /* Filter 68 */
        RX_PULSESHAPER_SCALE(   0.0003514465f),
        RX_PULSESHAPER_SCALE(  -0.0006822946f),
        RX_PULSESHAPER_SCALE(  -0.0019940271f),
        RX_PULSESHAPER_SCALE(   0.0007061569f),
        RX_PULSESHAPER_SCALE(  -0.0027580810f),
        RX_PULSESHAPER_SCALE(   0.0039634116f),
        RX_PULSESHAPER_SCALE(  -0.0080729720f),
        RX_PULSESHAPER_SCALE(   0.0117968732f),
        RX_PULSESHAPER_SCALE(  -0.0275706649f),
        RX_PULSESHAPER_SCALE(  -0.0177773885f),
        RX_PULSESHAPER_SCALE(  -0.0300005297f),
        RX_PULSESHAPER_SCALE(  -0.2497982110f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2864535032f),
        RX_PULSESHAPER_SCALE(   0.0441798664f),
        RX_PULSESHAPER_SCALE(  -0.0048040612f),
        RX_PULSESHAPER_SCALE(   0.0280058556f),
        RX_PULSESHAPER_SCALE(  -0.0194679123f),
        RX_PULSESHAPER_SCALE(   0.0040644702f),
        RX_PULSESHAPER_SCALE(  -0.0051715897f),
        RX_PULSESHAPER_SCALE(  -0.0000012048f),
        RX_PULSESHAPER_SCALE(  -0.0008417824f),
        RX_PULSESHAPER_SCALE(   0.0000464879f),
        RX_PULSESHAPER_SCALE(   0.0007062019f),
        RX_PULSESHAPER_SCALE(  -0.0017039832f),
        RX_PULSESHAPER_SCALE(   0.0009890918f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011407473f),     /* Filter 69 */
        RX_PULSESHAPER_SCALE(   0.0003751041f),
        RX_PULSESHAPER_SCALE(  -0.0006836359f),
        RX_PULSESHAPER_SCALE(  -0.0019623542f),
        RX_PULSESHAPER_SCALE(   0.0007097846f),
        RX_PULSESHAPER_SCALE(  -0.0027167319f),
        RX_PULSESHAPER_SCALE(   0.0039895089f),
        RX_PULSESHAPER_SCALE(  -0.0080207122f),
        RX_PULSESHAPER_SCALE(   0.0119328784f),
        RX_PULSESHAPER_SCALE(  -0.0276073781f),
        RX_PULSESHAPER_SCALE(  -0.0174387640f),
        RX_PULSESHAPER_SCALE(  -0.0302458609f),
        RX_PULSESHAPER_SCALE(  -0.2505145580f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2858680946f),
        RX_PULSESHAPER_SCALE(   0.0439211455f),
        RX_PULSESHAPER_SCALE(  -0.0043373225f),
        RX_PULSESHAPER_SCALE(   0.0280295883f),
        RX_PULSESHAPER_SCALE(  -0.0193328982f),
        RX_PULSESHAPER_SCALE(   0.0041551591f),
        RX_PULSESHAPER_SCALE(  -0.0051554813f),
        RX_PULSESHAPER_SCALE(   0.0000550157f),
        RX_PULSESHAPER_SCALE(  -0.0008406932f),
        RX_PULSESHAPER_SCALE(   0.0000834988f),
        RX_PULSESHAPER_SCALE(   0.0007067319f),
        RX_PULSESHAPER_SCALE(  -0.0016799663f),
        RX_PULSESHAPER_SCALE(   0.0009936938f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011398323f),     /* Filter 70 */
        RX_PULSESHAPER_SCALE(   0.0003988019f),
        RX_PULSESHAPER_SCALE(  -0.0006849458f),
        RX_PULSESHAPER_SCALE(  -0.0019305390f),
        RX_PULSESHAPER_SCALE(   0.0007133734f),
        RX_PULSESHAPER_SCALE(  -0.0026750641f),
        RX_PULSESHAPER_SCALE(   0.0040154764f),
        RX_PULSESHAPER_SCALE(  -0.0079677498f),
        RX_PULSESHAPER_SCALE(   0.0120690210f),
        RX_PULSESHAPER_SCALE(  -0.0276431362f),
        RX_PULSESHAPER_SCALE(  -0.0170977655f),
        RX_PULSESHAPER_SCALE(  -0.0304915606f),
        RX_PULSESHAPER_SCALE(  -0.2512289366f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2852799154f),
        RX_PULSESHAPER_SCALE(   0.0436625367f),
        RX_PULSESHAPER_SCALE(  -0.0038728358f),
        RX_PULSESHAPER_SCALE(   0.0280520868f),
        RX_PULSESHAPER_SCALE(  -0.0191977003f),
        RX_PULSESHAPER_SCALE(   0.0042451688f),
        RX_PULSESHAPER_SCALE(  -0.0051391404f),
        RX_PULSESHAPER_SCALE(   0.0001110239f),
        RX_PULSESHAPER_SCALE(  -0.0008395515f),
        RX_PULSESHAPER_SCALE(   0.0001204623f),
        RX_PULSESHAPER_SCALE(   0.0007072260f),
        RX_PULSESHAPER_SCALE(  -0.0016559210f),
        RX_PULSESHAPER_SCALE(   0.0009982283f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011388501f),     /* Filter 71 */
        RX_PULSESHAPER_SCALE(   0.0004225387f),
        RX_PULSESHAPER_SCALE(  -0.0006862243f),
        RX_PULSESHAPER_SCALE(  -0.0018985831f),
        RX_PULSESHAPER_SCALE(   0.0007169232f),
        RX_PULSESHAPER_SCALE(  -0.0026330790f),
        RX_PULSESHAPER_SCALE(   0.0040413123f),
        RX_PULSESHAPER_SCALE(  -0.0079140845f),
        RX_PULSESHAPER_SCALE(   0.0122052955f),
        RX_PULSESHAPER_SCALE(  -0.0276779335f),
        RX_PULSESHAPER_SCALE(  -0.0167543935f),
        RX_PULSESHAPER_SCALE(  -0.0307376244f),
        RX_PULSESHAPER_SCALE(  -0.2519413306f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2846889792f),
        RX_PULSESHAPER_SCALE(   0.0434040452f),
        RX_PULSESHAPER_SCALE(  -0.0034106052f),
        RX_PULSESHAPER_SCALE(   0.0280733559f),
        RX_PULSESHAPER_SCALE(  -0.0190623252f),
        RX_PULSESHAPER_SCALE(   0.0043344980f),
        RX_PULSESHAPER_SCALE(  -0.0051225690f),
        RX_PULSESHAPER_SCALE(   0.0001668173f),
        RX_PULSESHAPER_SCALE(  -0.0008383573f),
        RX_PULSESHAPER_SCALE(   0.0001573763f),
        RX_PULSESHAPER_SCALE(   0.0007076841f),
        RX_PULSESHAPER_SCALE(  -0.0016318485f),
        RX_PULSESHAPER_SCALE(   0.0010026952f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011378004f),     /* Filter 72 */
        RX_PULSESHAPER_SCALE(   0.0004463132f),
        RX_PULSESHAPER_SCALE(  -0.0006874712f),
        RX_PULSESHAPER_SCALE(  -0.0018664879f),
        RX_PULSESHAPER_SCALE(   0.0007204335f),
        RX_PULSESHAPER_SCALE(  -0.0025907781f),
        RX_PULSESHAPER_SCALE(   0.0040670146f),
        RX_PULSESHAPER_SCALE(  -0.0078597159f),
        RX_PULSESHAPER_SCALE(   0.0123416967f),
        RX_PULSESHAPER_SCALE(  -0.0277117645f),
        RX_PULSESHAPER_SCALE(  -0.0164086485f),
        RX_PULSESHAPER_SCALE(  -0.0309840481f),
        RX_PULSESHAPER_SCALE(  -0.2526517241f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2840952995f),
        RX_PULSESHAPER_SCALE(   0.0431456759f),
        RX_PULSESHAPER_SCALE(  -0.0029506347f),
        RX_PULSESHAPER_SCALE(   0.0280934001f),
        RX_PULSESHAPER_SCALE(  -0.0189267794f),
        RX_PULSESHAPER_SCALE(   0.0044231455f),
        RX_PULSESHAPER_SCALE(  -0.0051057688f),
        RX_PULSESHAPER_SCALE(   0.0002223935f),
        RX_PULSESHAPER_SCALE(  -0.0008371110f),
        RX_PULSESHAPER_SCALE(   0.0001942390f),
        RX_PULSESHAPER_SCALE(   0.0007081064f),
        RX_PULSESHAPER_SCALE(  -0.0016077502f),
        RX_PULSESHAPER_SCALE(   0.0010070944f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011366832f),     /* Filter 73 */
        RX_PULSESHAPER_SCALE(   0.0004701243f),
        RX_PULSESHAPER_SCALE(  -0.0006886865f),
        RX_PULSESHAPER_SCALE(  -0.0018342549f),
        RX_PULSESHAPER_SCALE(   0.0007239042f),
        RX_PULSESHAPER_SCALE(  -0.0025481628f),
        RX_PULSESHAPER_SCALE(   0.0040925813f),
        RX_PULSESHAPER_SCALE(  -0.0078046436f),
        RX_PULSESHAPER_SCALE(   0.0124782191f),
        RX_PULSESHAPER_SCALE(  -0.0277446235f),
        RX_PULSESHAPER_SCALE(  -0.0160605311f),
        RX_PULSESHAPER_SCALE(  -0.0312308270f),
        RX_PULSESHAPER_SCALE(  -0.2533601012f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2834988899f),
        RX_PULSESHAPER_SCALE(   0.0428874340f),
        RX_PULSESHAPER_SCALE(  -0.0024929283f),
        RX_PULSESHAPER_SCALE(   0.0281122241f),
        RX_PULSESHAPER_SCALE(  -0.0187910693f),
        RX_PULSESHAPER_SCALE(   0.0045111099f),
        RX_PULSESHAPER_SCALE(  -0.0050887416f),
        RX_PULSESHAPER_SCALE(   0.0002777499f),
        RX_PULSESHAPER_SCALE(  -0.0008358126f),
        RX_PULSESHAPER_SCALE(   0.0002310483f),
        RX_PULSESHAPER_SCALE(   0.0007084929f),
        RX_PULSESHAPER_SCALE(  -0.0015836275f),
        RX_PULSESHAPER_SCALE(   0.0010114257f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011354985f),     /* Filter 74 */
        RX_PULSESHAPER_SCALE(   0.0004939709f),
        RX_PULSESHAPER_SCALE(  -0.0006898699f),
        RX_PULSESHAPER_SCALE(  -0.0018018856f),
        RX_PULSESHAPER_SCALE(   0.0007273348f),
        RX_PULSESHAPER_SCALE(  -0.0025052346f),
        RX_PULSESHAPER_SCALE(   0.0041180105f),
        RX_PULSESHAPER_SCALE(  -0.0077488674f),
        RX_PULSESHAPER_SCALE(   0.0126148574f),
        RX_PULSESHAPER_SCALE(  -0.0277765050f),
        RX_PULSESHAPER_SCALE(  -0.0157100419f),
        RX_PULSESHAPER_SCALE(  -0.0314779569f),
        RX_PULSESHAPER_SCALE(  -0.2540664460f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2828997642f),
        RX_PULSESHAPER_SCALE(   0.0426293244f),
        RX_PULSESHAPER_SCALE(  -0.0020374897f),
        RX_PULSESHAPER_SCALE(   0.0281298327f),
        RX_PULSESHAPER_SCALE(  -0.0186552012f),
        RX_PULSESHAPER_SCALE(   0.0045983900f),
        RX_PULSESHAPER_SCALE(  -0.0050714894f),
        RX_PULSESHAPER_SCALE(   0.0003328841f),
        RX_PULSESHAPER_SCALE(  -0.0008344625f),
        RX_PULSESHAPER_SCALE(   0.0002678023f),
        RX_PULSESHAPER_SCALE(   0.0007088437f),
        RX_PULSESHAPER_SCALE(  -0.0015594816f),
        RX_PULSESHAPER_SCALE(   0.0010156892f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011342461f),     /* Filter 75 */
        RX_PULSESHAPER_SCALE(   0.0005178517f),
        RX_PULSESHAPER_SCALE(  -0.0006910214f),
        RX_PULSESHAPER_SCALE(  -0.0017693817f),
        RX_PULSESHAPER_SCALE(   0.0007307252f),
        RX_PULSESHAPER_SCALE(  -0.0024619950f),
        RX_PULSESHAPER_SCALE(   0.0041433004f),
        RX_PULSESHAPER_SCALE(  -0.0076923868f),
        RX_PULSESHAPER_SCALE(   0.0127516060f),
        RX_PULSESHAPER_SCALE(  -0.0278074035f),
        RX_PULSESHAPER_SCALE(  -0.0153571817f),
        RX_PULSESHAPER_SCALE(  -0.0317254333f),
        RX_PULSESHAPER_SCALE(  -0.2547707427f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2822979360f),
        RX_PULSESHAPER_SCALE(   0.0423713522f),
        RX_PULSESHAPER_SCALE(  -0.0015843228f),
        RX_PULSESHAPER_SCALE(   0.0281462306f),
        RX_PULSESHAPER_SCALE(  -0.0185191817f),
        RX_PULSESHAPER_SCALE(   0.0046849848f),
        RX_PULSESHAPER_SCALE(  -0.0050540138f),
        RX_PULSESHAPER_SCALE(   0.0003877937f),
        RX_PULSESHAPER_SCALE(  -0.0008330608f),
        RX_PULSESHAPER_SCALE(   0.0003044990f),
        RX_PULSESHAPER_SCALE(   0.0007091587f),
        RX_PULSESHAPER_SCALE(  -0.0015353139f),
        RX_PULSESHAPER_SCALE(   0.0010198847f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011329259f),     /* Filter 76 */
        RX_PULSESHAPER_SCALE(   0.0005417654f),
        RX_PULSESHAPER_SCALE(  -0.0006921409f),
        RX_PULSESHAPER_SCALE(  -0.0017367447f),
        RX_PULSESHAPER_SCALE(   0.0007340749f),
        RX_PULSESHAPER_SCALE(  -0.0024184456f),
        RX_PULSESHAPER_SCALE(   0.0041684488f),
        RX_PULSESHAPER_SCALE(  -0.0076352016f),
        RX_PULSESHAPER_SCALE(   0.0128884596f),
        RX_PULSESHAPER_SCALE(  -0.0278373134f),
        RX_PULSESHAPER_SCALE(  -0.0150019512f),
        RX_PULSESHAPER_SCALE(  -0.0319732517f),
        RX_PULSESHAPER_SCALE(  -0.2554729754f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2816934193f),
        RX_PULSESHAPER_SCALE(   0.0421135224f),
        RX_PULSESHAPER_SCALE(  -0.0011334314f),
        RX_PULSESHAPER_SCALE(   0.0281614225f),
        RX_PULSESHAPER_SCALE(  -0.0183830172f),
        RX_PULSESHAPER_SCALE(   0.0047708929f),
        RX_PULSESHAPER_SCALE(  -0.0050363169f),
        RX_PULSESHAPER_SCALE(   0.0004424763f),
        RX_PULSESHAPER_SCALE(  -0.0008316077f),
        RX_PULSESHAPER_SCALE(   0.0003411366f),
        RX_PULSESHAPER_SCALE(   0.0007094380f),
        RX_PULSESHAPER_SCALE(  -0.0015111258f),
        RX_PULSESHAPER_SCALE(   0.0010240122f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011315379f),     /* Filter 77 */
        RX_PULSESHAPER_SCALE(   0.0005657110f),
        RX_PULSESHAPER_SCALE(  -0.0006932281f),
        RX_PULSESHAPER_SCALE(  -0.0017039760f),
        RX_PULSESHAPER_SCALE(   0.0007373838f),
        RX_PULSESHAPER_SCALE(  -0.0023745879f),
        RX_PULSESHAPER_SCALE(   0.0041934540f),
        RX_PULSESHAPER_SCALE(  -0.0075773116f),
        RX_PULSESHAPER_SCALE(   0.0130254126f),
        RX_PULSESHAPER_SCALE(  -0.0278662291f),
        RX_PULSESHAPER_SCALE(  -0.0146443513f),
        RX_PULSESHAPER_SCALE(  -0.0322214077f),
        RX_PULSESHAPER_SCALE(  -0.2561731284f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2810862277f),
        RX_PULSESHAPER_SCALE(   0.0418558399f),
        RX_PULSESHAPER_SCALE(  -0.0006848192f),
        RX_PULSESHAPER_SCALE(   0.0281754132f),
        RX_PULSESHAPER_SCALE(  -0.0182467139f),
        RX_PULSESHAPER_SCALE(   0.0048561133f),
        RX_PULSESHAPER_SCALE(  -0.0050184003f),
        RX_PULSESHAPER_SCALE(   0.0004969295f),
        RX_PULSESHAPER_SCALE(  -0.0008301034f),
        RX_PULSESHAPER_SCALE(   0.0003777129f),
        RX_PULSESHAPER_SCALE(   0.0007096818f),
        RX_PULSESHAPER_SCALE(  -0.0014869184f),
        RX_PULSESHAPER_SCALE(   0.0010280716f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011300819f),     /* Filter 78 */
        RX_PULSESHAPER_SCALE(   0.0005896871f),
        RX_PULSESHAPER_SCALE(  -0.0006942831f),
        RX_PULSESHAPER_SCALE(  -0.0016710773f),
        RX_PULSESHAPER_SCALE(   0.0007406515f),
        RX_PULSESHAPER_SCALE(  -0.0023304234f),
        RX_PULSESHAPER_SCALE(   0.0042183139f),
        RX_PULSESHAPER_SCALE(  -0.0075187166f),
        RX_PULSESHAPER_SCALE(   0.0131624595f),
        RX_PULSESHAPER_SCALE(  -0.0278941453f),
        RX_PULSESHAPER_SCALE(  -0.0142843830f),
        RX_PULSESHAPER_SCALE(  -0.0324698968f),
        RX_PULSESHAPER_SCALE(  -0.2568711860f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2804763753f),
        RX_PULSESHAPER_SCALE(   0.0415983099f),
        RX_PULSESHAPER_SCALE(  -0.0002384897f),
        RX_PULSESHAPER_SCALE(   0.0281882074f),
        RX_PULSESHAPER_SCALE(  -0.0181102783f),
        RX_PULSESHAPER_SCALE(   0.0049406450f),
        RX_PULSESHAPER_SCALE(  -0.0050002660f),
        RX_PULSESHAPER_SCALE(   0.0005511509f),
        RX_PULSESHAPER_SCALE(  -0.0008285482f),
        RX_PULSESHAPER_SCALE(   0.0004142262f),
        RX_PULSESHAPER_SCALE(   0.0007098899f),
        RX_PULSESHAPER_SCALE(  -0.0014626933f),
        RX_PULSESHAPER_SCALE(   0.0010320628f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011285580f),     /* Filter 79 */
        RX_PULSESHAPER_SCALE(   0.0006136927f),
        RX_PULSESHAPER_SCALE(  -0.0006953057f),
        RX_PULSESHAPER_SCALE(  -0.0016380502f),
        RX_PULSESHAPER_SCALE(   0.0007438777f),
        RX_PULSESHAPER_SCALE(  -0.0022859537f),
        RX_PULSESHAPER_SCALE(   0.0042430266f),
        RX_PULSESHAPER_SCALE(  -0.0074594164f),
        RX_PULSESHAPER_SCALE(   0.0132995949f),
        RX_PULSESHAPER_SCALE(  -0.0279210563f),
        RX_PULSESHAPER_SCALE(  -0.0139220472f),
        RX_PULSESHAPER_SCALE(  -0.0327187145f),
        RX_PULSESHAPER_SCALE(  -0.2575671325f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2798638760f),
        RX_PULSESHAPER_SCALE(   0.0413409373f),
        RX_PULSESHAPER_SCALE(   0.0002055536f),
        RX_PULSESHAPER_SCALE(   0.0281998101f),
        RX_PULSESHAPER_SCALE(  -0.0179737167f),
        RX_PULSESHAPER_SCALE(   0.0050244868f),
        RX_PULSESHAPER_SCALE(  -0.0049819159f),
        RX_PULSESHAPER_SCALE(   0.0006051382f),
        RX_PULSESHAPER_SCALE(  -0.0008269423f),
        RX_PULSESHAPER_SCALE(   0.0004506744f),
        RX_PULSESHAPER_SCALE(   0.0007100626f),
        RX_PULSESHAPER_SCALE(  -0.0014384516f),
        RX_PULSESHAPER_SCALE(   0.0010359857f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011269660f),     /* Filter 80 */
        RX_PULSESHAPER_SCALE(   0.0006377264f),
        RX_PULSESHAPER_SCALE(  -0.0006962957f),
        RX_PULSESHAPER_SCALE(  -0.0016048963f),
        RX_PULSESHAPER_SCALE(   0.0007470622f),
        RX_PULSESHAPER_SCALE(  -0.0022411805f),
        RX_PULSESHAPER_SCALE(   0.0042675902f),
        RX_PULSESHAPER_SCALE(  -0.0073994108f),
        RX_PULSESHAPER_SCALE(   0.0134368130f),
        RX_PULSESHAPER_SCALE(  -0.0279469568f),
        RX_PULSESHAPER_SCALE(  -0.0135573450f),
        RX_PULSESHAPER_SCALE(  -0.0329678562f),
        RX_PULSESHAPER_SCALE(  -0.2582609521f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2792487438f),
        RX_PULSESHAPER_SCALE(   0.0410837270f),
        RX_PULSESHAPER_SCALE(   0.0006473071f),
        RX_PULSESHAPER_SCALE(   0.0282102260f),
        RX_PULSESHAPER_SCALE(  -0.0178370354f),
        RX_PULSESHAPER_SCALE(   0.0051076377f),
        RX_PULSESHAPER_SCALE(  -0.0049633517f),
        RX_PULSESHAPER_SCALE(   0.0006588890f),
        RX_PULSESHAPER_SCALE(  -0.0008252860f),
        RX_PULSESHAPER_SCALE(   0.0004870557f),
        RX_PULSESHAPER_SCALE(   0.0007101997f),
        RX_PULSESHAPER_SCALE(  -0.0014141947f),
        RX_PULSESHAPER_SCALE(   0.0010398403f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011253058f),     /* Filter 81 */
        RX_PULSESHAPER_SCALE(   0.0006617870f),
        RX_PULSESHAPER_SCALE(  -0.0006972531f),
        RX_PULSESHAPER_SCALE(  -0.0015716171f),
        RX_PULSESHAPER_SCALE(   0.0007502046f),
        RX_PULSESHAPER_SCALE(  -0.0021961054f),
        RX_PULSESHAPER_SCALE(   0.0042920027f),
        RX_PULSESHAPER_SCALE(  -0.0073386998f),
        RX_PULSESHAPER_SCALE(   0.0135741084f),
        RX_PULSESHAPER_SCALE(  -0.0279718412f),
        RX_PULSESHAPER_SCALE(  -0.0131902775f),
        RX_PULSESHAPER_SCALE(  -0.0332173174f),
        RX_PULSESHAPER_SCALE(  -0.2589526294f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2786309928f),
        RX_PULSESHAPER_SCALE(   0.0408266840f),
        RX_PULSESHAPER_SCALE(   0.0010867675f),
        RX_PULSESHAPER_SCALE(   0.0282194600f),
        RX_PULSESHAPER_SCALE(  -0.0177002407f),
        RX_PULSESHAPER_SCALE(   0.0051900968f),
        RX_PULSESHAPER_SCALE(  -0.0049445753f),
        RX_PULSESHAPER_SCALE(   0.0007124011f),
        RX_PULSESHAPER_SCALE(  -0.0008235793f),
        RX_PULSESHAPER_SCALE(   0.0005233682f),
        RX_PULSESHAPER_SCALE(   0.0007103015f),
        RX_PULSESHAPER_SCALE(  -0.0013899240f),
        RX_PULSESHAPER_SCALE(   0.0010436266f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011235774f),     /* Filter 82 */
        RX_PULSESHAPER_SCALE(   0.0006858733f),
        RX_PULSESHAPER_SCALE(  -0.0006981777f),
        RX_PULSESHAPER_SCALE(  -0.0015382144f),
        RX_PULSESHAPER_SCALE(   0.0007533047f),
        RX_PULSESHAPER_SCALE(  -0.0021507300f),
        RX_PULSESHAPER_SCALE(   0.0043162622f),
        RX_PULSESHAPER_SCALE(  -0.0072772833f),
        RX_PULSESHAPER_SCALE(   0.0137114755f),
        RX_PULSESHAPER_SCALE(  -0.0279957041f),
        RX_PULSESHAPER_SCALE(  -0.0128208458f),
        RX_PULSESHAPER_SCALE(  -0.0334670937f),
        RX_PULSESHAPER_SCALE(  -0.2596421486f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2780106372f),
        RX_PULSESHAPER_SCALE(   0.0405698133f),
        RX_PULSESHAPER_SCALE(   0.0015239315f),
        RX_PULSESHAPER_SCALE(   0.0282275169f),
        RX_PULSESHAPER_SCALE(  -0.0175633390f),
        RX_PULSESHAPER_SCALE(   0.0052718632f),
        RX_PULSESHAPER_SCALE(  -0.0049255887f),
        RX_PULSESHAPER_SCALE(   0.0007656721f),
        RX_PULSESHAPER_SCALE(  -0.0008218226f),
        RX_PULSESHAPER_SCALE(   0.0005596100f),
        RX_PULSESHAPER_SCALE(   0.0007103680f),
        RX_PULSESHAPER_SCALE(  -0.0013656406f),
        RX_PULSESHAPER_SCALE(   0.0010473445f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011217808f),     /* Filter 83 */
        RX_PULSESHAPER_SCALE(   0.0007099841f),
        RX_PULSESHAPER_SCALE(  -0.0006990695f),
        RX_PULSESHAPER_SCALE(  -0.0015046896f),
        RX_PULSESHAPER_SCALE(   0.0007563622f),
        RX_PULSESHAPER_SCALE(  -0.0021050560f),
        RX_PULSESHAPER_SCALE(   0.0043403668f),
        RX_PULSESHAPER_SCALE(  -0.0072151612f),
        RX_PULSESHAPER_SCALE(   0.0138489085f),
        RX_PULSESHAPER_SCALE(  -0.0280185401f),
        RX_PULSESHAPER_SCALE(  -0.0124490514f),
        RX_PULSESHAPER_SCALE(  -0.0337171803f),
        RX_PULSESHAPER_SCALE(  -0.2603294944f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2773876911f),
        RX_PULSESHAPER_SCALE(   0.0403131198f),
        RX_PULSESHAPER_SCALE(   0.0019587958f),
        RX_PULSESHAPER_SCALE(   0.0282344018f),
        RX_PULSESHAPER_SCALE(  -0.0174263364f),
        RX_PULSESHAPER_SCALE(   0.0053529358f),
        RX_PULSESHAPER_SCALE(  -0.0049063936f),
        RX_PULSESHAPER_SCALE(   0.0008186998f),
        RX_PULSESHAPER_SCALE(  -0.0008200161f),
        RX_PULSESHAPER_SCALE(   0.0005957791f),
        RX_PULSESHAPER_SCALE(   0.0007103991f),
        RX_PULSESHAPER_SCALE(  -0.0013413460f),
        RX_PULSESHAPER_SCALE(   0.0010509939f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011199159f),     /* Filter 84 */
        RX_PULSESHAPER_SCALE(   0.0007341182f),
        RX_PULSESHAPER_SCALE(  -0.0006999283f),
        RX_PULSESHAPER_SCALE(  -0.0014710444f),
        RX_PULSESHAPER_SCALE(   0.0007593768f),
        RX_PULSESHAPER_SCALE(  -0.0020590851f),
        RX_PULSESHAPER_SCALE(   0.0043643146f),
        RX_PULSESHAPER_SCALE(  -0.0071523335f),
        RX_PULSESHAPER_SCALE(   0.0139864020f),
        RX_PULSESHAPER_SCALE(  -0.0280403436f),
        RX_PULSESHAPER_SCALE(  -0.0120748954f),
        RX_PULSESHAPER_SCALE(  -0.0339675728f),
        RX_PULSESHAPER_SCALE(  -0.2610146511f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2767621687f),
        RX_PULSESHAPER_SCALE(   0.0400566084f),
        RX_PULSESHAPER_SCALE(   0.0023913572f),
        RX_PULSESHAPER_SCALE(   0.0282401195f),
        RX_PULSESHAPER_SCALE(  -0.0172892392f),
        RX_PULSESHAPER_SCALE(   0.0054333139f),
        RX_PULSESHAPER_SCALE(  -0.0048869920f),
        RX_PULSESHAPER_SCALE(   0.0008714818f),
        RX_PULSESHAPER_SCALE(  -0.0008181601f),
        RX_PULSESHAPER_SCALE(   0.0006318737f),
        RX_PULSESHAPER_SCALE(   0.0007103951f),
        RX_PULSESHAPER_SCALE(  -0.0013170415f),
        RX_PULSESHAPER_SCALE(   0.0010545748f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011179825f),     /* Filter 85 */
        RX_PULSESHAPER_SCALE(   0.0007582742f),
        RX_PULSESHAPER_SCALE(  -0.0007007541f),
        RX_PULSESHAPER_SCALE(  -0.0014372806f),
        RX_PULSESHAPER_SCALE(   0.0007623483f),
        RX_PULSESHAPER_SCALE(  -0.0020128190f),
        RX_PULSESHAPER_SCALE(   0.0043881035f),
        RX_PULSESHAPER_SCALE(  -0.0070888002f),
        RX_PULSESHAPER_SCALE(   0.0141239500f),
        RX_PULSESHAPER_SCALE(  -0.0280611095f),
        RX_PULSESHAPER_SCALE(  -0.0116983794f),
        RX_PULSESHAPER_SCALE(  -0.0342182666f),
        RX_PULSESHAPER_SCALE(  -0.2616976033f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2761340843f),
        RX_PULSESHAPER_SCALE(   0.0398002840f),
        RX_PULSESHAPER_SCALE(   0.0028216125f),
        RX_PULSESHAPER_SCALE(   0.0282446749f),
        RX_PULSESHAPER_SCALE(  -0.0171520536f),
        RX_PULSESHAPER_SCALE(   0.0055129966f),
        RX_PULSESHAPER_SCALE(  -0.0048673857f),
        RX_PULSESHAPER_SCALE(   0.0009240161f),
        RX_PULSESHAPER_SCALE(  -0.0008162547f),
        RX_PULSESHAPER_SCALE(   0.0006678919f),
        RX_PULSESHAPER_SCALE(   0.0007103559f),
        RX_PULSESHAPER_SCALE(  -0.0012927284f),
        RX_PULSESHAPER_SCALE(   0.0010580871f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011159808f),     /* Filter 86 */
        RX_PULSESHAPER_SCALE(   0.0007824510f),
        RX_PULSESHAPER_SCALE(  -0.0007015466f),
        RX_PULSESHAPER_SCALE(  -0.0014033996f),
        RX_PULSESHAPER_SCALE(   0.0007652763f),
        RX_PULSESHAPER_SCALE(  -0.0019662594f),
        RX_PULSESHAPER_SCALE(   0.0044117317f),
        RX_PULSESHAPER_SCALE(  -0.0070245614f),
        RX_PULSESHAPER_SCALE(   0.0142615471f),
        RX_PULSESHAPER_SCALE(  -0.0280808321f),
        RX_PULSESHAPER_SCALE(  -0.0113195047f),
        RX_PULSESHAPER_SCALE(  -0.0344692571f),
        RX_PULSESHAPER_SCALE(  -0.2623783356f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2755034524f),
        RX_PULSESHAPER_SCALE(   0.0395441516f),
        RX_PULSESHAPER_SCALE(   0.0032495589f),
        RX_PULSESHAPER_SCALE(   0.0282480730f),
        RX_PULSESHAPER_SCALE(  -0.0170147859f),
        RX_PULSESHAPER_SCALE(   0.0055919831f),
        RX_PULSESHAPER_SCALE(  -0.0048475767f),
        RX_PULSESHAPER_SCALE(   0.0009763004f),
        RX_PULSESHAPER_SCALE(  -0.0008143001f),
        RX_PULSESHAPER_SCALE(   0.0007038319f),
        RX_PULSESHAPER_SCALE(   0.0007102816f),
        RX_PULSESHAPER_SCALE(  -0.0012684079f),
        RX_PULSESHAPER_SCALE(   0.0010615309f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011139105f),     /* Filter 87 */
        RX_PULSESHAPER_SCALE(   0.0008066474f),
        RX_PULSESHAPER_SCALE(  -0.0007023059f),
        RX_PULSESHAPER_SCALE(  -0.0013694033f),
        RX_PULSESHAPER_SCALE(   0.0007681606f),
        RX_PULSESHAPER_SCALE(  -0.0019194082f),
        RX_PULSESHAPER_SCALE(   0.0044351972f),
        RX_PULSESHAPER_SCALE(  -0.0069596172f),
        RX_PULSESHAPER_SCALE(   0.0143991874f),
        RX_PULSESHAPER_SCALE(  -0.0280995063f),
        RX_PULSESHAPER_SCALE(  -0.0109382728f),
        RX_PULSESHAPER_SCALE(  -0.0347205396f),
        RX_PULSESHAPER_SCALE(  -0.2630568327f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2748702872f),
        RX_PULSESHAPER_SCALE(   0.0392882160f),
        RX_PULSESHAPER_SCALE(   0.0036751932f),
        RX_PULSESHAPER_SCALE(   0.0282503189f),
        RX_PULSESHAPER_SCALE(  -0.0168774422f),
        RX_PULSESHAPER_SCALE(   0.0056702725f),
        RX_PULSESHAPER_SCALE(  -0.0048275667f),
        RX_PULSESHAPER_SCALE(   0.0010283325f),
        RX_PULSESHAPER_SCALE(  -0.0008122967f),
        RX_PULSESHAPER_SCALE(   0.0007396917f),
        RX_PULSESHAPER_SCALE(   0.0007101723f),
        RX_PULSESHAPER_SCALE(  -0.0012440814f),
        RX_PULSESHAPER_SCALE(   0.0010649060f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011117717f),     /* Filter 88 */
        RX_PULSESHAPER_SCALE(   0.0008308620f),
        RX_PULSESHAPER_SCALE(  -0.0007030318f),
        RX_PULSESHAPER_SCALE(  -0.0013352933f),
        RX_PULSESHAPER_SCALE(   0.0007710009f),
        RX_PULSESHAPER_SCALE(  -0.0018722670f),
        RX_PULSESHAPER_SCALE(   0.0044584981f),
        RX_PULSESHAPER_SCALE(  -0.0068939676f),
        RX_PULSESHAPER_SCALE(   0.0145368652f),
        RX_PULSESHAPER_SCALE(  -0.0281171265f),
        RX_PULSESHAPER_SCALE(  -0.0105546855f),
        RX_PULSESHAPER_SCALE(  -0.0349721095f),
        RX_PULSESHAPER_SCALE(  -0.2637330792f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2742346032f),
        RX_PULSESHAPER_SCALE(   0.0390324822f),
        RX_PULSESHAPER_SCALE(   0.0040985126f),
        RX_PULSESHAPER_SCALE(   0.0282514175f),
        RX_PULSESHAPER_SCALE(  -0.0167400286f),
        RX_PULSESHAPER_SCALE(   0.0057478643f),
        RX_PULSESHAPER_SCALE(  -0.0048073577f),
        RX_PULSESHAPER_SCALE(   0.0010801102f),
        RX_PULSESHAPER_SCALE(  -0.0008102447f),
        RX_PULSESHAPER_SCALE(   0.0007754696f),
        RX_PULSESHAPER_SCALE(   0.0007100281f),
        RX_PULSESHAPER_SCALE(  -0.0012197501f),
        RX_PULSESHAPER_SCALE(   0.0010682125f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011095644f),     /* Filter 89 */
        RX_PULSESHAPER_SCALE(   0.0008550936f),
        RX_PULSESHAPER_SCALE(  -0.0007037242f),
        RX_PULSESHAPER_SCALE(  -0.0013010712f),
        RX_PULSESHAPER_SCALE(   0.0007737969f),
        RX_PULSESHAPER_SCALE(  -0.0018248377f),
        RX_PULSESHAPER_SCALE(   0.0044816324f),
        RX_PULSESHAPER_SCALE(  -0.0068276127f),
        RX_PULSESHAPER_SCALE(   0.0146745747f),
        RX_PULSESHAPER_SCALE(  -0.0281336875f),
        RX_PULSESHAPER_SCALE(  -0.0101687444f),
        RX_PULSESHAPER_SCALE(  -0.0352239622f),
        RX_PULSESHAPER_SCALE(  -0.2644070598f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2735964149f),
        RX_PULSESHAPER_SCALE(   0.0387769549f),
        RX_PULSESHAPER_SCALE(   0.0045195142f),
        RX_PULSESHAPER_SCALE(   0.0282513738f),
        RX_PULSESHAPER_SCALE(  -0.0166025514f),
        RX_PULSESHAPER_SCALE(   0.0058247576f),
        RX_PULSESHAPER_SCALE(  -0.0047869516f),
        RX_PULSESHAPER_SCALE(   0.0011316314f),
        RX_PULSESHAPER_SCALE(  -0.0008081443f),
        RX_PULSESHAPER_SCALE(   0.0008111637f),
        RX_PULSESHAPER_SCALE(   0.0007098490f),
        RX_PULSESHAPER_SCALE(  -0.0011954155f),
        RX_PULSESHAPER_SCALE(   0.0010714504f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011072885f),     /* Filter 90 */
        RX_PULSESHAPER_SCALE(   0.0008793411f),
        RX_PULSESHAPER_SCALE(  -0.0007043830f),
        RX_PULSESHAPER_SCALE(  -0.0012667387f),
        RX_PULSESHAPER_SCALE(   0.0007765484f),
        RX_PULSESHAPER_SCALE(  -0.0017771221f),
        RX_PULSESHAPER_SCALE(   0.0045045984f),
        RX_PULSESHAPER_SCALE(  -0.0067605529f),
        RX_PULSESHAPER_SCALE(   0.0148123101f),
        RX_PULSESHAPER_SCALE(  -0.0281491840f),
        RX_PULSESHAPER_SCALE(  -0.0097804511f),
        RX_PULSESHAPER_SCALE(  -0.0354760929f),
        RX_PULSESHAPER_SCALE(  -0.2650787592f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2729557368f),
        RX_PULSESHAPER_SCALE(   0.0385216391f),
        RX_PULSESHAPER_SCALE(   0.0049381952f),
        RX_PULSESHAPER_SCALE(   0.0282501929f),
        RX_PULSESHAPER_SCALE(  -0.0164650166f),
        RX_PULSESHAPER_SCALE(   0.0059009518f),
        RX_PULSESHAPER_SCALE(  -0.0047663502f),
        RX_PULSESHAPER_SCALE(   0.0011828939f),
        RX_PULSESHAPER_SCALE(  -0.0008059957f),
        RX_PULSESHAPER_SCALE(   0.0008467721f),
        RX_PULSESHAPER_SCALE(   0.0007096351f),
        RX_PULSESHAPER_SCALE(  -0.0011710787f),
        RX_PULSESHAPER_SCALE(   0.0010746195f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011049440f),     /* Filter 91 */
        RX_PULSESHAPER_SCALE(   0.0009036030f),
        RX_PULSESHAPER_SCALE(  -0.0007050081f),
        RX_PULSESHAPER_SCALE(  -0.0012322977f),
        RX_PULSESHAPER_SCALE(   0.0007792551f),
        RX_PULSESHAPER_SCALE(  -0.0017291220f),
        RX_PULSESHAPER_SCALE(   0.0045273939f),
        RX_PULSESHAPER_SCALE(  -0.0066927883f),
        RX_PULSESHAPER_SCALE(   0.0149500656f),
        RX_PULSESHAPER_SCALE(  -0.0281636106f),
        RX_PULSESHAPER_SCALE(  -0.0093898076f),
        RX_PULSESHAPER_SCALE(  -0.0357284972f),
        RX_PULSESHAPER_SCALE(  -0.2657481624f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2723125836f),
        RX_PULSESHAPER_SCALE(   0.0382665396f),
        RX_PULSESHAPER_SCALE(   0.0053545530f),
        RX_PULSESHAPER_SCALE(   0.0282478799f),
        RX_PULSESHAPER_SCALE(  -0.0163274304f),
        RX_PULSESHAPER_SCALE(   0.0059764463f),
        RX_PULSESHAPER_SCALE(  -0.0047455555f),
        RX_PULSESHAPER_SCALE(   0.0012338956f),
        RX_PULSESHAPER_SCALE(  -0.0008037992f),
        RX_PULSESHAPER_SCALE(   0.0008822931f),
        RX_PULSESHAPER_SCALE(   0.0007093864f),
        RX_PULSESHAPER_SCALE(  -0.0011467411f),
        RX_PULSESHAPER_SCALE(   0.0010777199f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011025308f),     /* Filter 92 */
        RX_PULSESHAPER_SCALE(   0.0009278781f),
        RX_PULSESHAPER_SCALE(  -0.0007055995f),
        RX_PULSESHAPER_SCALE(  -0.0011977496f),
        RX_PULSESHAPER_SCALE(   0.0007819167f),
        RX_PULSESHAPER_SCALE(  -0.0016808394f),
        RX_PULSESHAPER_SCALE(   0.0045500171f),
        RX_PULSESHAPER_SCALE(  -0.0066243190f),
        RX_PULSESHAPER_SCALE(   0.0150878354f),
        RX_PULSESHAPER_SCALE(  -0.0281769621f),
        RX_PULSESHAPER_SCALE(  -0.0089968156f),
        RX_PULSESHAPER_SCALE(  -0.0359811701f),
        RX_PULSESHAPER_SCALE(  -0.2664152540f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2716669698f),
        RX_PULSESHAPER_SCALE(   0.0380116612f),
        RX_PULSESHAPER_SCALE(   0.0057685850f),
        RX_PULSESHAPER_SCALE(   0.0282444398f),
        RX_PULSESHAPER_SCALE(  -0.0161897988f),
        RX_PULSESHAPER_SCALE(   0.0060512404f),
        RX_PULSESHAPER_SCALE(  -0.0047245693f),
        RX_PULSESHAPER_SCALE(   0.0012846346f),
        RX_PULSESHAPER_SCALE(  -0.0008015551f),
        RX_PULSESHAPER_SCALE(   0.0009177248f),
        RX_PULSESHAPER_SCALE(   0.0007091031f),
        RX_PULSESHAPER_SCALE(  -0.0011224040f),
        RX_PULSESHAPER_SCALE(   0.0010807516f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0011000489f),     /* Filter 93 */
        RX_PULSESHAPER_SCALE(   0.0009521653f),
        RX_PULSESHAPER_SCALE(  -0.0007061569f),
        RX_PULSESHAPER_SCALE(  -0.0011630964f),
        RX_PULSESHAPER_SCALE(   0.0007845329f),
        RX_PULSESHAPER_SCALE(  -0.0016322760f),
        RX_PULSESHAPER_SCALE(   0.0045724661f),
        RX_PULSESHAPER_SCALE(  -0.0065551455f),
        RX_PULSESHAPER_SCALE(   0.0152256136f),
        RX_PULSESHAPER_SCALE(  -0.0281892332f),
        RX_PULSESHAPER_SCALE(  -0.0086014772f),
        RX_PULSESHAPER_SCALE(  -0.0362341071f),
        RX_PULSESHAPER_SCALE(  -0.2670800191f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2710189102f),
        RX_PULSESHAPER_SCALE(   0.0377570087f),
        RX_PULSESHAPER_SCALE(   0.0061802885f),
        RX_PULSESHAPER_SCALE(   0.0282398778f),
        RX_PULSESHAPER_SCALE(  -0.0160521279f),
        RX_PULSESHAPER_SCALE(   0.0061253336f),
        RX_PULSESHAPER_SCALE(  -0.0047033936f),
        RX_PULSESHAPER_SCALE(   0.0013351085f),
        RX_PULSESHAPER_SCALE(  -0.0007992635f),
        RX_PULSESHAPER_SCALE(   0.0009530655f),
        RX_PULSESHAPER_SCALE(   0.0007087853f),
        RX_PULSESHAPER_SCALE(  -0.0010980686f),
        RX_PULSESHAPER_SCALE(   0.0010837146f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010974984f),     /* Filter 94 */
        RX_PULSESHAPER_SCALE(   0.0009764632f),
        RX_PULSESHAPER_SCALE(  -0.0007066804f),
        RX_PULSESHAPER_SCALE(  -0.0011283397f),
        RX_PULSESHAPER_SCALE(   0.0007871036f),
        RX_PULSESHAPER_SCALE(  -0.0015834338f),
        RX_PULSESHAPER_SCALE(   0.0045947389f),
        RX_PULSESHAPER_SCALE(  -0.0064852680f),
        RX_PULSESHAPER_SCALE(   0.0153633943f),
        RX_PULSESHAPER_SCALE(  -0.0282004185f),
        RX_PULSESHAPER_SCALE(  -0.0082037943f),
        RX_PULSESHAPER_SCALE(  -0.0364873034f),
        RX_PULSESHAPER_SCALE(  -0.2677424425f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2703684196f),
        RX_PULSESHAPER_SCALE(   0.0375025870f),
        RX_PULSESHAPER_SCALE(   0.0065896610f),
        RX_PULSESHAPER_SCALE(   0.0282341990f),
        RX_PULSESHAPER_SCALE(  -0.0159144237f),
        RX_PULSESHAPER_SCALE(   0.0061987253f),
        RX_PULSESHAPER_SCALE(  -0.0046820303f),
        RX_PULSESHAPER_SCALE(   0.0013853156f),
        RX_PULSESHAPER_SCALE(  -0.0007969248f),
        RX_PULSESHAPER_SCALE(   0.0009883132f),
        RX_PULSESHAPER_SCALE(   0.0007084330f),
        RX_PULSESHAPER_SCALE(  -0.0010737363f),
        RX_PULSESHAPER_SCALE(   0.0010866088f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010948791f),     /* Filter 95 */
        RX_PULSESHAPER_SCALE(   0.0010007705f),
        RX_PULSESHAPER_SCALE(  -0.0007071699f),
        RX_PULSESHAPER_SCALE(  -0.0010934813f),
        RX_PULSESHAPER_SCALE(   0.0007896283f),
        RX_PULSESHAPER_SCALE(  -0.0015343147f),
        RX_PULSESHAPER_SCALE(   0.0046168337f),
        RX_PULSESHAPER_SCALE(  -0.0064146869f),
        RX_PULSESHAPER_SCALE(   0.0155011716f),
        RX_PULSESHAPER_SCALE(  -0.0282105130f),
        RX_PULSESHAPER_SCALE(  -0.0078037691f),
        RX_PULSESHAPER_SCALE(  -0.0367407543f),
        RX_PULSESHAPER_SCALE(  -0.2684025092f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2697155126f),
        RX_PULSESHAPER_SCALE(   0.0372484008f),
        RX_PULSESHAPER_SCALE(   0.0069967002f),
        RX_PULSESHAPER_SCALE(   0.0282274084f),
        RX_PULSESHAPER_SCALE(  -0.0157766923f),
        RX_PULSESHAPER_SCALE(   0.0062714151f),
        RX_PULSESHAPER_SCALE(  -0.0046604813f),
        RX_PULSESHAPER_SCALE(   0.0014352536f),
        RX_PULSESHAPER_SCALE(  -0.0007945392f),
        RX_PULSESHAPER_SCALE(   0.0010234663f),
        RX_PULSESHAPER_SCALE(   0.0007080462f),
        RX_PULSESHAPER_SCALE(  -0.0010494083f),
        RX_PULSESHAPER_SCALE(   0.0010894343f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010921911f),     /* Filter 96 */
        RX_PULSESHAPER_SCALE(   0.0010250859f),
        RX_PULSESHAPER_SCALE(  -0.0007076252f),
        RX_PULSESHAPER_SCALE(  -0.0010585229f),
        RX_PULSESHAPER_SCALE(   0.0007921070f),
        RX_PULSESHAPER_SCALE(  -0.0014849206f),
        RX_PULSESHAPER_SCALE(   0.0046387484f),
        RX_PULSESHAPER_SCALE(  -0.0063434024f),
        RX_PULSESHAPER_SCALE(   0.0156389396f),
        RX_PULSESHAPER_SCALE(  -0.0282195114f),
        RX_PULSESHAPER_SCALE(  -0.0074014036f),
        RX_PULSESHAPER_SCALE(  -0.0369944550f),
        RX_PULSESHAPER_SCALE(  -0.2690602042f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2690602042f),
        RX_PULSESHAPER_SCALE(   0.0369944550f),
        RX_PULSESHAPER_SCALE(   0.0074014037f),
        RX_PULSESHAPER_SCALE(   0.0282195114f),
        RX_PULSESHAPER_SCALE(  -0.0156389396f),
        RX_PULSESHAPER_SCALE(   0.0063434024f),
        RX_PULSESHAPER_SCALE(  -0.0046387484f),
        RX_PULSESHAPER_SCALE(   0.0014849206f),
        RX_PULSESHAPER_SCALE(  -0.0007921070f),
        RX_PULSESHAPER_SCALE(   0.0010585229f),
        RX_PULSESHAPER_SCALE(   0.0007076252f),
        RX_PULSESHAPER_SCALE(  -0.0010250859f),
        RX_PULSESHAPER_SCALE(   0.0010921911f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010894343f),     /* Filter 97 */
        RX_PULSESHAPER_SCALE(   0.0010494083f),
        RX_PULSESHAPER_SCALE(  -0.0007080462f),
        RX_PULSESHAPER_SCALE(  -0.0010234663f),
        RX_PULSESHAPER_SCALE(   0.0007945392f),
        RX_PULSESHAPER_SCALE(  -0.0014352536f),
        RX_PULSESHAPER_SCALE(   0.0046604813f),
        RX_PULSESHAPER_SCALE(  -0.0062714151f),
        RX_PULSESHAPER_SCALE(   0.0157766923f),
        RX_PULSESHAPER_SCALE(  -0.0282274084f),
        RX_PULSESHAPER_SCALE(  -0.0069967002f),
        RX_PULSESHAPER_SCALE(  -0.0372484008f),
        RX_PULSESHAPER_SCALE(  -0.2697155126f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2684025091f),
        RX_PULSESHAPER_SCALE(   0.0367407542f),
        RX_PULSESHAPER_SCALE(   0.0078037692f),
        RX_PULSESHAPER_SCALE(   0.0282105130f),
        RX_PULSESHAPER_SCALE(  -0.0155011716f),
        RX_PULSESHAPER_SCALE(   0.0064146868f),
        RX_PULSESHAPER_SCALE(  -0.0046168337f),
        RX_PULSESHAPER_SCALE(   0.0015343147f),
        RX_PULSESHAPER_SCALE(  -0.0007896283f),
        RX_PULSESHAPER_SCALE(   0.0010934813f),
        RX_PULSESHAPER_SCALE(   0.0007071699f),
        RX_PULSESHAPER_SCALE(  -0.0010007705f),
        RX_PULSESHAPER_SCALE(   0.0010948791f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010866088f),     /* Filter 98 */
        RX_PULSESHAPER_SCALE(   0.0010737363f),
        RX_PULSESHAPER_SCALE(  -0.0007084330f),
        RX_PULSESHAPER_SCALE(  -0.0009883132f),
        RX_PULSESHAPER_SCALE(   0.0007969248f),
        RX_PULSESHAPER_SCALE(  -0.0013853156f),
        RX_PULSESHAPER_SCALE(   0.0046820303f),
        RX_PULSESHAPER_SCALE(  -0.0061987253f),
        RX_PULSESHAPER_SCALE(   0.0159144237f),
        RX_PULSESHAPER_SCALE(  -0.0282341989f),
        RX_PULSESHAPER_SCALE(  -0.0065896610f),
        RX_PULSESHAPER_SCALE(  -0.0375025870f),
        RX_PULSESHAPER_SCALE(  -0.2703684196f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2677424424f),
        RX_PULSESHAPER_SCALE(   0.0364873034f),
        RX_PULSESHAPER_SCALE(   0.0082037944f),
        RX_PULSESHAPER_SCALE(   0.0282004186f),
        RX_PULSESHAPER_SCALE(  -0.0153633943f),
        RX_PULSESHAPER_SCALE(   0.0064852680f),
        RX_PULSESHAPER_SCALE(  -0.0045947389f),
        RX_PULSESHAPER_SCALE(   0.0015834338f),
        RX_PULSESHAPER_SCALE(  -0.0007871036f),
        RX_PULSESHAPER_SCALE(   0.0011283397f),
        RX_PULSESHAPER_SCALE(   0.0007066804f),
        RX_PULSESHAPER_SCALE(  -0.0009764631f),
        RX_PULSESHAPER_SCALE(   0.0010974984f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010837146f),     /* Filter 99 */
        RX_PULSESHAPER_SCALE(   0.0010980686f),
        RX_PULSESHAPER_SCALE(  -0.0007087853f),
        RX_PULSESHAPER_SCALE(  -0.0009530655f),
        RX_PULSESHAPER_SCALE(   0.0007992635f),
        RX_PULSESHAPER_SCALE(  -0.0013351085f),
        RX_PULSESHAPER_SCALE(   0.0047033937f),
        RX_PULSESHAPER_SCALE(  -0.0061253336f),
        RX_PULSESHAPER_SCALE(   0.0160521279f),
        RX_PULSESHAPER_SCALE(  -0.0282398778f),
        RX_PULSESHAPER_SCALE(  -0.0061802884f),
        RX_PULSESHAPER_SCALE(  -0.0377570087f),
        RX_PULSESHAPER_SCALE(  -0.2710189103f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2670800190f),
        RX_PULSESHAPER_SCALE(   0.0362341070f),
        RX_PULSESHAPER_SCALE(   0.0086014773f),
        RX_PULSESHAPER_SCALE(   0.0281892332f),
        RX_PULSESHAPER_SCALE(  -0.0152256136f),
        RX_PULSESHAPER_SCALE(   0.0065551455f),
        RX_PULSESHAPER_SCALE(  -0.0045724661f),
        RX_PULSESHAPER_SCALE(   0.0016322760f),
        RX_PULSESHAPER_SCALE(  -0.0007845329f),
        RX_PULSESHAPER_SCALE(   0.0011630964f),
        RX_PULSESHAPER_SCALE(   0.0007061569f),
        RX_PULSESHAPER_SCALE(  -0.0009521653f),
        RX_PULSESHAPER_SCALE(   0.0011000489f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010807516f),     /* Filter 100 */
        RX_PULSESHAPER_SCALE(   0.0011224040f),
        RX_PULSESHAPER_SCALE(  -0.0007091032f),
        RX_PULSESHAPER_SCALE(  -0.0009177248f),
        RX_PULSESHAPER_SCALE(   0.0008015551f),
        RX_PULSESHAPER_SCALE(  -0.0012846345f),
        RX_PULSESHAPER_SCALE(   0.0047245693f),
        RX_PULSESHAPER_SCALE(  -0.0060512404f),
        RX_PULSESHAPER_SCALE(   0.0161897988f),
        RX_PULSESHAPER_SCALE(  -0.0282444398f),
        RX_PULSESHAPER_SCALE(  -0.0057685849f),
        RX_PULSESHAPER_SCALE(  -0.0380116612f),
        RX_PULSESHAPER_SCALE(  -0.2716669699f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2664152540f),
        RX_PULSESHAPER_SCALE(   0.0359811701f),
        RX_PULSESHAPER_SCALE(   0.0089968157f),
        RX_PULSESHAPER_SCALE(   0.0281769621f),
        RX_PULSESHAPER_SCALE(  -0.0150878355f),
        RX_PULSESHAPER_SCALE(   0.0066243190f),
        RX_PULSESHAPER_SCALE(  -0.0045500171f),
        RX_PULSESHAPER_SCALE(   0.0016808394f),
        RX_PULSESHAPER_SCALE(  -0.0007819167f),
        RX_PULSESHAPER_SCALE(   0.0011977496f),
        RX_PULSESHAPER_SCALE(   0.0007055995f),
        RX_PULSESHAPER_SCALE(  -0.0009278781f),
        RX_PULSESHAPER_SCALE(   0.0011025308f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010777199f),     /* Filter 101 */
        RX_PULSESHAPER_SCALE(   0.0011467411f),
        RX_PULSESHAPER_SCALE(  -0.0007093864f),
        RX_PULSESHAPER_SCALE(  -0.0008822931f),
        RX_PULSESHAPER_SCALE(   0.0008037992f),
        RX_PULSESHAPER_SCALE(  -0.0012338956f),
        RX_PULSESHAPER_SCALE(   0.0047455555f),
        RX_PULSESHAPER_SCALE(  -0.0059764463f),
        RX_PULSESHAPER_SCALE(   0.0163274304f),
        RX_PULSESHAPER_SCALE(  -0.0282478799f),
        RX_PULSESHAPER_SCALE(  -0.0053545530f),
        RX_PULSESHAPER_SCALE(  -0.0382665396f),
        RX_PULSESHAPER_SCALE(  -0.2723125836f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2657481623f),
        RX_PULSESHAPER_SCALE(   0.0357284971f),
        RX_PULSESHAPER_SCALE(   0.0093898077f),
        RX_PULSESHAPER_SCALE(   0.0281636107f),
        RX_PULSESHAPER_SCALE(  -0.0149500657f),
        RX_PULSESHAPER_SCALE(   0.0066927883f),
        RX_PULSESHAPER_SCALE(  -0.0045273939f),
        RX_PULSESHAPER_SCALE(   0.0017291220f),
        RX_PULSESHAPER_SCALE(  -0.0007792551f),
        RX_PULSESHAPER_SCALE(   0.0012322976f),
        RX_PULSESHAPER_SCALE(   0.0007050081f),
        RX_PULSESHAPER_SCALE(  -0.0009036030f),
        RX_PULSESHAPER_SCALE(   0.0011049440f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010746195f),     /* Filter 102 */
        RX_PULSESHAPER_SCALE(   0.0011710787f),
        RX_PULSESHAPER_SCALE(  -0.0007096351f),
        RX_PULSESHAPER_SCALE(  -0.0008467722f),
        RX_PULSESHAPER_SCALE(   0.0008059957f),
        RX_PULSESHAPER_SCALE(  -0.0011828939f),
        RX_PULSESHAPER_SCALE(   0.0047663502f),
        RX_PULSESHAPER_SCALE(  -0.0059009518f),
        RX_PULSESHAPER_SCALE(   0.0164650166f),
        RX_PULSESHAPER_SCALE(  -0.0282501929f),
        RX_PULSESHAPER_SCALE(  -0.0049381952f),
        RX_PULSESHAPER_SCALE(  -0.0385216391f),
        RX_PULSESHAPER_SCALE(  -0.2729557369f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2650787592f),
        RX_PULSESHAPER_SCALE(   0.0354760929f),
        RX_PULSESHAPER_SCALE(   0.0097804512f),
        RX_PULSESHAPER_SCALE(   0.0281491840f),
        RX_PULSESHAPER_SCALE(  -0.0148123101f),
        RX_PULSESHAPER_SCALE(   0.0067605529f),
        RX_PULSESHAPER_SCALE(  -0.0045045984f),
        RX_PULSESHAPER_SCALE(   0.0017771221f),
        RX_PULSESHAPER_SCALE(  -0.0007765484f),
        RX_PULSESHAPER_SCALE(   0.0012667387f),
        RX_PULSESHAPER_SCALE(   0.0007043830f),
        RX_PULSESHAPER_SCALE(  -0.0008793410f),
        RX_PULSESHAPER_SCALE(   0.0011072885f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010714504f),     /* Filter 103 */
        RX_PULSESHAPER_SCALE(   0.0011954155f),
        RX_PULSESHAPER_SCALE(  -0.0007098490f),
        RX_PULSESHAPER_SCALE(  -0.0008111637f),
        RX_PULSESHAPER_SCALE(   0.0008081443f),
        RX_PULSESHAPER_SCALE(  -0.0011316313f),
        RX_PULSESHAPER_SCALE(   0.0047869516f),
        RX_PULSESHAPER_SCALE(  -0.0058247576f),
        RX_PULSESHAPER_SCALE(   0.0166025514f),
        RX_PULSESHAPER_SCALE(  -0.0282513738f),
        RX_PULSESHAPER_SCALE(  -0.0045195141f),
        RX_PULSESHAPER_SCALE(  -0.0387769549f),
        RX_PULSESHAPER_SCALE(  -0.2735964149f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2644070597f),
        RX_PULSESHAPER_SCALE(   0.0352239621f),
        RX_PULSESHAPER_SCALE(   0.0101687444f),
        RX_PULSESHAPER_SCALE(   0.0281336876f),
        RX_PULSESHAPER_SCALE(  -0.0146745747f),
        RX_PULSESHAPER_SCALE(   0.0068276127f),
        RX_PULSESHAPER_SCALE(  -0.0044816324f),
        RX_PULSESHAPER_SCALE(   0.0018248377f),
        RX_PULSESHAPER_SCALE(  -0.0007737969f),
        RX_PULSESHAPER_SCALE(   0.0013010712f),
        RX_PULSESHAPER_SCALE(   0.0007037242f),
        RX_PULSESHAPER_SCALE(  -0.0008550936f),
        RX_PULSESHAPER_SCALE(   0.0011095644f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010682125f),     /* Filter 104 */
        RX_PULSESHAPER_SCALE(   0.0012197501f),
        RX_PULSESHAPER_SCALE(  -0.0007100281f),
        RX_PULSESHAPER_SCALE(  -0.0007754696f),
        RX_PULSESHAPER_SCALE(   0.0008102447f),
        RX_PULSESHAPER_SCALE(  -0.0010801102f),
        RX_PULSESHAPER_SCALE(   0.0048073577f),
        RX_PULSESHAPER_SCALE(  -0.0057478643f),
        RX_PULSESHAPER_SCALE(   0.0167400286f),
        RX_PULSESHAPER_SCALE(  -0.0282514175f),
        RX_PULSESHAPER_SCALE(  -0.0040985125f),
        RX_PULSESHAPER_SCALE(  -0.0390324822f),
        RX_PULSESHAPER_SCALE(  -0.2742346032f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2637330791f),
        RX_PULSESHAPER_SCALE(   0.0349721095f),
        RX_PULSESHAPER_SCALE(   0.0105546856f),
        RX_PULSESHAPER_SCALE(   0.0281171265f),
        RX_PULSESHAPER_SCALE(  -0.0145368652f),
        RX_PULSESHAPER_SCALE(   0.0068939675f),
        RX_PULSESHAPER_SCALE(  -0.0044584981f),
        RX_PULSESHAPER_SCALE(   0.0018722670f),
        RX_PULSESHAPER_SCALE(  -0.0007710009f),
        RX_PULSESHAPER_SCALE(   0.0013352933f),
        RX_PULSESHAPER_SCALE(   0.0007030318f),
        RX_PULSESHAPER_SCALE(  -0.0008308620f),
        RX_PULSESHAPER_SCALE(   0.0011117718f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010649060f),     /* Filter 105 */
        RX_PULSESHAPER_SCALE(   0.0012440814f),
        RX_PULSESHAPER_SCALE(  -0.0007101723f),
        RX_PULSESHAPER_SCALE(  -0.0007396917f),
        RX_PULSESHAPER_SCALE(   0.0008122967f),
        RX_PULSESHAPER_SCALE(  -0.0010283325f),
        RX_PULSESHAPER_SCALE(   0.0048275667f),
        RX_PULSESHAPER_SCALE(  -0.0056702725f),
        RX_PULSESHAPER_SCALE(   0.0168774421f),
        RX_PULSESHAPER_SCALE(  -0.0282503189f),
        RX_PULSESHAPER_SCALE(  -0.0036751931f),
        RX_PULSESHAPER_SCALE(  -0.0392882161f),
        RX_PULSESHAPER_SCALE(  -0.2748702872f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2630568326f),
        RX_PULSESHAPER_SCALE(   0.0347205396f),
        RX_PULSESHAPER_SCALE(   0.0109382729f),
        RX_PULSESHAPER_SCALE(   0.0280995063f),
        RX_PULSESHAPER_SCALE(  -0.0143991874f),
        RX_PULSESHAPER_SCALE(   0.0069596172f),
        RX_PULSESHAPER_SCALE(  -0.0044351972f),
        RX_PULSESHAPER_SCALE(   0.0019194082f),
        RX_PULSESHAPER_SCALE(  -0.0007681606f),
        RX_PULSESHAPER_SCALE(   0.0013694033f),
        RX_PULSESHAPER_SCALE(   0.0007023059f),
        RX_PULSESHAPER_SCALE(  -0.0008066474f),
        RX_PULSESHAPER_SCALE(   0.0011139105f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010615309f),     /* Filter 106 */
        RX_PULSESHAPER_SCALE(   0.0012684079f),
        RX_PULSESHAPER_SCALE(  -0.0007102816f),
        RX_PULSESHAPER_SCALE(  -0.0007038319f),
        RX_PULSESHAPER_SCALE(   0.0008143001f),
        RX_PULSESHAPER_SCALE(  -0.0009763004f),
        RX_PULSESHAPER_SCALE(   0.0048475767f),
        RX_PULSESHAPER_SCALE(  -0.0055919831f),
        RX_PULSESHAPER_SCALE(   0.0170147859f),
        RX_PULSESHAPER_SCALE(  -0.0282480730f),
        RX_PULSESHAPER_SCALE(  -0.0032495588f),
        RX_PULSESHAPER_SCALE(  -0.0395441516f),
        RX_PULSESHAPER_SCALE(  -0.2755034524f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2623783356f),
        RX_PULSESHAPER_SCALE(   0.0344692571f),
        RX_PULSESHAPER_SCALE(   0.0113195047f),
        RX_PULSESHAPER_SCALE(   0.0280808322f),
        RX_PULSESHAPER_SCALE(  -0.0142615471f),
        RX_PULSESHAPER_SCALE(   0.0070245614f),
        RX_PULSESHAPER_SCALE(  -0.0044117317f),
        RX_PULSESHAPER_SCALE(   0.0019662594f),
        RX_PULSESHAPER_SCALE(  -0.0007652763f),
        RX_PULSESHAPER_SCALE(   0.0014033996f),
        RX_PULSESHAPER_SCALE(   0.0007015466f),
        RX_PULSESHAPER_SCALE(  -0.0007824510f),
        RX_PULSESHAPER_SCALE(   0.0011159808f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010580871f),     /* Filter 107 */
        RX_PULSESHAPER_SCALE(   0.0012927284f),
        RX_PULSESHAPER_SCALE(  -0.0007103559f),
        RX_PULSESHAPER_SCALE(  -0.0006678919f),
        RX_PULSESHAPER_SCALE(   0.0008162547f),
        RX_PULSESHAPER_SCALE(  -0.0009240161f),
        RX_PULSESHAPER_SCALE(   0.0048673857f),
        RX_PULSESHAPER_SCALE(  -0.0055129966f),
        RX_PULSESHAPER_SCALE(   0.0171520536f),
        RX_PULSESHAPER_SCALE(  -0.0282446749f),
        RX_PULSESHAPER_SCALE(  -0.0028216125f),
        RX_PULSESHAPER_SCALE(  -0.0398002840f),
        RX_PULSESHAPER_SCALE(  -0.2761340844f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2616976032f),
        RX_PULSESHAPER_SCALE(   0.0342182666f),
        RX_PULSESHAPER_SCALE(   0.0116983794f),
        RX_PULSESHAPER_SCALE(   0.0280611095f),
        RX_PULSESHAPER_SCALE(  -0.0141239501f),
        RX_PULSESHAPER_SCALE(   0.0070888002f),
        RX_PULSESHAPER_SCALE(  -0.0043881035f),
        RX_PULSESHAPER_SCALE(   0.0020128190f),
        RX_PULSESHAPER_SCALE(  -0.0007623483f),
        RX_PULSESHAPER_SCALE(   0.0014372806f),
        RX_PULSESHAPER_SCALE(   0.0007007541f),
        RX_PULSESHAPER_SCALE(  -0.0007582742f),
        RX_PULSESHAPER_SCALE(   0.0011179825f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010545748f),     /* Filter 108 */
        RX_PULSESHAPER_SCALE(   0.0013170415f),
        RX_PULSESHAPER_SCALE(  -0.0007103951f),
        RX_PULSESHAPER_SCALE(  -0.0006318737f),
        RX_PULSESHAPER_SCALE(   0.0008181601f),
        RX_PULSESHAPER_SCALE(  -0.0008714818f),
        RX_PULSESHAPER_SCALE(   0.0048869920f),
        RX_PULSESHAPER_SCALE(  -0.0054333139f),
        RX_PULSESHAPER_SCALE(   0.0172892392f),
        RX_PULSESHAPER_SCALE(  -0.0282401194f),
        RX_PULSESHAPER_SCALE(  -0.0023913571f),
        RX_PULSESHAPER_SCALE(  -0.0400566084f),
        RX_PULSESHAPER_SCALE(  -0.2767621687f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2610146510f),
        RX_PULSESHAPER_SCALE(   0.0339675728f),
        RX_PULSESHAPER_SCALE(   0.0120748955f),
        RX_PULSESHAPER_SCALE(   0.0280403437f),
        RX_PULSESHAPER_SCALE(  -0.0139864020f),
        RX_PULSESHAPER_SCALE(   0.0071523335f),
        RX_PULSESHAPER_SCALE(  -0.0043643146f),
        RX_PULSESHAPER_SCALE(   0.0020590851f),
        RX_PULSESHAPER_SCALE(  -0.0007593768f),
        RX_PULSESHAPER_SCALE(   0.0014710444f),
        RX_PULSESHAPER_SCALE(   0.0006999283f),
        RX_PULSESHAPER_SCALE(  -0.0007341181f),
        RX_PULSESHAPER_SCALE(   0.0011199159f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010509939f),     /* Filter 109 */
        RX_PULSESHAPER_SCALE(   0.0013413461f),
        RX_PULSESHAPER_SCALE(  -0.0007103992f),
        RX_PULSESHAPER_SCALE(  -0.0005957791f),
        RX_PULSESHAPER_SCALE(   0.0008200161f),
        RX_PULSESHAPER_SCALE(  -0.0008186997f),
        RX_PULSESHAPER_SCALE(   0.0049063936f),
        RX_PULSESHAPER_SCALE(  -0.0053529358f),
        RX_PULSESHAPER_SCALE(   0.0174263364f),
        RX_PULSESHAPER_SCALE(  -0.0282344018f),
        RX_PULSESHAPER_SCALE(  -0.0019587957f),
        RX_PULSESHAPER_SCALE(  -0.0403131198f),
        RX_PULSESHAPER_SCALE(  -0.2773876911f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2603294943f),
        RX_PULSESHAPER_SCALE(   0.0337171803f),
        RX_PULSESHAPER_SCALE(   0.0124490514f),
        RX_PULSESHAPER_SCALE(   0.0280185401f),
        RX_PULSESHAPER_SCALE(  -0.0138489086f),
        RX_PULSESHAPER_SCALE(   0.0072151612f),
        RX_PULSESHAPER_SCALE(  -0.0043403668f),
        RX_PULSESHAPER_SCALE(   0.0021050560f),
        RX_PULSESHAPER_SCALE(  -0.0007563622f),
        RX_PULSESHAPER_SCALE(   0.0015046896f),
        RX_PULSESHAPER_SCALE(   0.0006990695f),
        RX_PULSESHAPER_SCALE(  -0.0007099841f),
        RX_PULSESHAPER_SCALE(   0.0011217808f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010473445f),     /* Filter 110 */
        RX_PULSESHAPER_SCALE(   0.0013656406f),
        RX_PULSESHAPER_SCALE(  -0.0007103680f),
        RX_PULSESHAPER_SCALE(  -0.0005596100f),
        RX_PULSESHAPER_SCALE(   0.0008218226f),
        RX_PULSESHAPER_SCALE(  -0.0007656721f),
        RX_PULSESHAPER_SCALE(   0.0049255887f),
        RX_PULSESHAPER_SCALE(  -0.0052718632f),
        RX_PULSESHAPER_SCALE(   0.0175633390f),
        RX_PULSESHAPER_SCALE(  -0.0282275169f),
        RX_PULSESHAPER_SCALE(  -0.0015239314f),
        RX_PULSESHAPER_SCALE(  -0.0405698133f),
        RX_PULSESHAPER_SCALE(  -0.2780106372f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2596421486f),
        RX_PULSESHAPER_SCALE(   0.0334670936f),
        RX_PULSESHAPER_SCALE(   0.0128208459f),
        RX_PULSESHAPER_SCALE(   0.0279957041f),
        RX_PULSESHAPER_SCALE(  -0.0137114755f),
        RX_PULSESHAPER_SCALE(   0.0072772833f),
        RX_PULSESHAPER_SCALE(  -0.0043162622f),
        RX_PULSESHAPER_SCALE(   0.0021507300f),
        RX_PULSESHAPER_SCALE(  -0.0007533047f),
        RX_PULSESHAPER_SCALE(   0.0015382143f),
        RX_PULSESHAPER_SCALE(   0.0006981777f),
        RX_PULSESHAPER_SCALE(  -0.0006858733f),
        RX_PULSESHAPER_SCALE(   0.0011235775f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010436266f),     /* Filter 111 */
        RX_PULSESHAPER_SCALE(   0.0013899240f),
        RX_PULSESHAPER_SCALE(  -0.0007103015f),
        RX_PULSESHAPER_SCALE(  -0.0005233682f),
        RX_PULSESHAPER_SCALE(   0.0008235793f),
        RX_PULSESHAPER_SCALE(  -0.0007124011f),
        RX_PULSESHAPER_SCALE(   0.0049445753f),
        RX_PULSESHAPER_SCALE(  -0.0051900969f),
        RX_PULSESHAPER_SCALE(   0.0177002407f),
        RX_PULSESHAPER_SCALE(  -0.0282194599f),
        RX_PULSESHAPER_SCALE(  -0.0010867675f),
        RX_PULSESHAPER_SCALE(  -0.0408266840f),
        RX_PULSESHAPER_SCALE(  -0.2786309929f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2589526293f),
        RX_PULSESHAPER_SCALE(   0.0332173174f),
        RX_PULSESHAPER_SCALE(   0.0131902775f),
        RX_PULSESHAPER_SCALE(   0.0279718412f),
        RX_PULSESHAPER_SCALE(  -0.0135741085f),
        RX_PULSESHAPER_SCALE(   0.0073386998f),
        RX_PULSESHAPER_SCALE(  -0.0042920027f),
        RX_PULSESHAPER_SCALE(   0.0021961054f),
        RX_PULSESHAPER_SCALE(  -0.0007502046f),
        RX_PULSESHAPER_SCALE(   0.0015716171f),
        RX_PULSESHAPER_SCALE(   0.0006972531f),
        RX_PULSESHAPER_SCALE(  -0.0006617870f),
        RX_PULSESHAPER_SCALE(   0.0011253058f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010398403f),     /* Filter 112 */
        RX_PULSESHAPER_SCALE(   0.0014141947f),
        RX_PULSESHAPER_SCALE(  -0.0007101997f),
        RX_PULSESHAPER_SCALE(  -0.0004870557f),
        RX_PULSESHAPER_SCALE(   0.0008252860f),
        RX_PULSESHAPER_SCALE(  -0.0006588890f),
        RX_PULSESHAPER_SCALE(   0.0049633517f),
        RX_PULSESHAPER_SCALE(  -0.0051076377f),
        RX_PULSESHAPER_SCALE(   0.0178370354f),
        RX_PULSESHAPER_SCALE(  -0.0282102259f),
        RX_PULSESHAPER_SCALE(  -0.0006473071f),
        RX_PULSESHAPER_SCALE(  -0.0410837270f),
        RX_PULSESHAPER_SCALE(  -0.2792487438f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2582609521f),
        RX_PULSESHAPER_SCALE(   0.0329678561f),
        RX_PULSESHAPER_SCALE(   0.0135573450f),
        RX_PULSESHAPER_SCALE(   0.0279469568f),
        RX_PULSESHAPER_SCALE(  -0.0134368130f),
        RX_PULSESHAPER_SCALE(   0.0073994108f),
        RX_PULSESHAPER_SCALE(  -0.0042675902f),
        RX_PULSESHAPER_SCALE(   0.0022411805f),
        RX_PULSESHAPER_SCALE(  -0.0007470622f),
        RX_PULSESHAPER_SCALE(   0.0016048963f),
        RX_PULSESHAPER_SCALE(   0.0006962957f),
        RX_PULSESHAPER_SCALE(  -0.0006377263f),
        RX_PULSESHAPER_SCALE(   0.0011269660f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010359857f),     /* Filter 113 */
        RX_PULSESHAPER_SCALE(   0.0014384516f),
        RX_PULSESHAPER_SCALE(  -0.0007100626f),
        RX_PULSESHAPER_SCALE(  -0.0004506744f),
        RX_PULSESHAPER_SCALE(   0.0008269423f),
        RX_PULSESHAPER_SCALE(  -0.0006051382f),
        RX_PULSESHAPER_SCALE(   0.0049819159f),
        RX_PULSESHAPER_SCALE(  -0.0050244868f),
        RX_PULSESHAPER_SCALE(   0.0179737167f),
        RX_PULSESHAPER_SCALE(  -0.0281998100f),
        RX_PULSESHAPER_SCALE(  -0.0002055535f),
        RX_PULSESHAPER_SCALE(  -0.0413409373f),
        RX_PULSESHAPER_SCALE(  -0.2798638760f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2575671324f),
        RX_PULSESHAPER_SCALE(   0.0327187144f),
        RX_PULSESHAPER_SCALE(   0.0139220472f),
        RX_PULSESHAPER_SCALE(   0.0279210564f),
        RX_PULSESHAPER_SCALE(  -0.0132995949f),
        RX_PULSESHAPER_SCALE(   0.0074594164f),
        RX_PULSESHAPER_SCALE(  -0.0042430266f),
        RX_PULSESHAPER_SCALE(   0.0022859538f),
        RX_PULSESHAPER_SCALE(  -0.0007438777f),
        RX_PULSESHAPER_SCALE(   0.0016380502f),
        RX_PULSESHAPER_SCALE(   0.0006953056f),
        RX_PULSESHAPER_SCALE(  -0.0006136927f),
        RX_PULSESHAPER_SCALE(   0.0011285580f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010320628f),     /* Filter 114 */
        RX_PULSESHAPER_SCALE(   0.0014626933f),
        RX_PULSESHAPER_SCALE(  -0.0007098899f),
        RX_PULSESHAPER_SCALE(  -0.0004142262f),
        RX_PULSESHAPER_SCALE(   0.0008285482f),
        RX_PULSESHAPER_SCALE(  -0.0005511509f),
        RX_PULSESHAPER_SCALE(   0.0050002660f),
        RX_PULSESHAPER_SCALE(  -0.0049406450f),
        RX_PULSESHAPER_SCALE(   0.0181102783f),
        RX_PULSESHAPER_SCALE(  -0.0281882074f),
        RX_PULSESHAPER_SCALE(   0.0002384897f),
        RX_PULSESHAPER_SCALE(  -0.0415983099f),
        RX_PULSESHAPER_SCALE(  -0.2804763753f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2568711860f),
        RX_PULSESHAPER_SCALE(   0.0324698968f),
        RX_PULSESHAPER_SCALE(   0.0142843831f),
        RX_PULSESHAPER_SCALE(   0.0278941453f),
        RX_PULSESHAPER_SCALE(  -0.0131624595f),
        RX_PULSESHAPER_SCALE(   0.0075187166f),
        RX_PULSESHAPER_SCALE(  -0.0042183139f),
        RX_PULSESHAPER_SCALE(   0.0023304234f),
        RX_PULSESHAPER_SCALE(  -0.0007406515f),
        RX_PULSESHAPER_SCALE(   0.0016710773f),
        RX_PULSESHAPER_SCALE(   0.0006942831f),
        RX_PULSESHAPER_SCALE(  -0.0005896871f),
        RX_PULSESHAPER_SCALE(   0.0011300819f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010280716f),     /* Filter 115 */
        RX_PULSESHAPER_SCALE(   0.0014869185f),
        RX_PULSESHAPER_SCALE(  -0.0007096818f),
        RX_PULSESHAPER_SCALE(  -0.0003777129f),
        RX_PULSESHAPER_SCALE(   0.0008301034f),
        RX_PULSESHAPER_SCALE(  -0.0004969295f),
        RX_PULSESHAPER_SCALE(   0.0050184003f),
        RX_PULSESHAPER_SCALE(  -0.0048561134f),
        RX_PULSESHAPER_SCALE(   0.0182467139f),
        RX_PULSESHAPER_SCALE(  -0.0281754131f),
        RX_PULSESHAPER_SCALE(   0.0006848193f),
        RX_PULSESHAPER_SCALE(  -0.0418558400f),
        RX_PULSESHAPER_SCALE(  -0.2810862278f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2561731284f),
        RX_PULSESHAPER_SCALE(   0.0322214077f),
        RX_PULSESHAPER_SCALE(   0.0146443514f),
        RX_PULSESHAPER_SCALE(   0.0278662292f),
        RX_PULSESHAPER_SCALE(  -0.0130254126f),
        RX_PULSESHAPER_SCALE(   0.0075773116f),
        RX_PULSESHAPER_SCALE(  -0.0041934539f),
        RX_PULSESHAPER_SCALE(   0.0023745879f),
        RX_PULSESHAPER_SCALE(  -0.0007373838f),
        RX_PULSESHAPER_SCALE(   0.0017039760f),
        RX_PULSESHAPER_SCALE(   0.0006932281f),
        RX_PULSESHAPER_SCALE(  -0.0005657110f),
        RX_PULSESHAPER_SCALE(   0.0011315379f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010240122f),     /* Filter 116 */
        RX_PULSESHAPER_SCALE(   0.0015111258f),
        RX_PULSESHAPER_SCALE(  -0.0007094380f),
        RX_PULSESHAPER_SCALE(  -0.0003411366f),
        RX_PULSESHAPER_SCALE(   0.0008316077f),
        RX_PULSESHAPER_SCALE(  -0.0004424763f),
        RX_PULSESHAPER_SCALE(   0.0050363169f),
        RX_PULSESHAPER_SCALE(  -0.0047708929f),
        RX_PULSESHAPER_SCALE(   0.0183830172f),
        RX_PULSESHAPER_SCALE(  -0.0281614225f),
        RX_PULSESHAPER_SCALE(   0.0011334315f),
        RX_PULSESHAPER_SCALE(  -0.0421135224f),
        RX_PULSESHAPER_SCALE(  -0.2816934193f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2554729753f),
        RX_PULSESHAPER_SCALE(   0.0319732517f),
        RX_PULSESHAPER_SCALE(   0.0150019512f),
        RX_PULSESHAPER_SCALE(   0.0278373134f),
        RX_PULSESHAPER_SCALE(  -0.0128884596f),
        RX_PULSESHAPER_SCALE(   0.0076352016f),
        RX_PULSESHAPER_SCALE(  -0.0041684488f),
        RX_PULSESHAPER_SCALE(   0.0024184456f),
        RX_PULSESHAPER_SCALE(  -0.0007340749f),
        RX_PULSESHAPER_SCALE(   0.0017367446f),
        RX_PULSESHAPER_SCALE(   0.0006921409f),
        RX_PULSESHAPER_SCALE(  -0.0005417654f),
        RX_PULSESHAPER_SCALE(   0.0011329259f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010198847f),     /* Filter 117 */
        RX_PULSESHAPER_SCALE(   0.0015353139f),
        RX_PULSESHAPER_SCALE(  -0.0007091587f),
        RX_PULSESHAPER_SCALE(  -0.0003044991f),
        RX_PULSESHAPER_SCALE(   0.0008330608f),
        RX_PULSESHAPER_SCALE(  -0.0003877937f),
        RX_PULSESHAPER_SCALE(   0.0050540138f),
        RX_PULSESHAPER_SCALE(  -0.0046849848f),
        RX_PULSESHAPER_SCALE(   0.0185191817f),
        RX_PULSESHAPER_SCALE(  -0.0281462306f),
        RX_PULSESHAPER_SCALE(   0.0015843229f),
        RX_PULSESHAPER_SCALE(  -0.0423713522f),
        RX_PULSESHAPER_SCALE(  -0.2822979361f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2547707426f),
        RX_PULSESHAPER_SCALE(   0.0317254333f),
        RX_PULSESHAPER_SCALE(   0.0153571817f),
        RX_PULSESHAPER_SCALE(   0.0278074035f),
        RX_PULSESHAPER_SCALE(  -0.0127516060f),
        RX_PULSESHAPER_SCALE(   0.0076923867f),
        RX_PULSESHAPER_SCALE(  -0.0041433003f),
        RX_PULSESHAPER_SCALE(   0.0024619951f),
        RX_PULSESHAPER_SCALE(  -0.0007307252f),
        RX_PULSESHAPER_SCALE(   0.0017693817f),
        RX_PULSESHAPER_SCALE(   0.0006910214f),
        RX_PULSESHAPER_SCALE(  -0.0005178517f),
        RX_PULSESHAPER_SCALE(   0.0011342461f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010156892f),     /* Filter 118 */
        RX_PULSESHAPER_SCALE(   0.0015594816f),
        RX_PULSESHAPER_SCALE(  -0.0007088437f),
        RX_PULSESHAPER_SCALE(  -0.0002678023f),
        RX_PULSESHAPER_SCALE(   0.0008344625f),
        RX_PULSESHAPER_SCALE(  -0.0003328841f),
        RX_PULSESHAPER_SCALE(   0.0050714894f),
        RX_PULSESHAPER_SCALE(  -0.0045983901f),
        RX_PULSESHAPER_SCALE(   0.0186552012f),
        RX_PULSESHAPER_SCALE(  -0.0281298327f),
        RX_PULSESHAPER_SCALE(   0.0020374897f),
        RX_PULSESHAPER_SCALE(  -0.0426293244f),
        RX_PULSESHAPER_SCALE(  -0.2828997643f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2540664459f),
        RX_PULSESHAPER_SCALE(   0.0314779569f),
        RX_PULSESHAPER_SCALE(   0.0157100419f),
        RX_PULSESHAPER_SCALE(   0.0277765050f),
        RX_PULSESHAPER_SCALE(  -0.0126148574f),
        RX_PULSESHAPER_SCALE(   0.0077488673f),
        RX_PULSESHAPER_SCALE(  -0.0041180105f),
        RX_PULSESHAPER_SCALE(   0.0025052346f),
        RX_PULSESHAPER_SCALE(  -0.0007273348f),
        RX_PULSESHAPER_SCALE(   0.0018018856f),
        RX_PULSESHAPER_SCALE(   0.0006898699f),
        RX_PULSESHAPER_SCALE(  -0.0004939709f),
        RX_PULSESHAPER_SCALE(   0.0011354985f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010114257f),     /* Filter 119 */
        RX_PULSESHAPER_SCALE(   0.0015836275f),
        RX_PULSESHAPER_SCALE(  -0.0007084929f),
        RX_PULSESHAPER_SCALE(  -0.0002310483f),
        RX_PULSESHAPER_SCALE(   0.0008358126f),
        RX_PULSESHAPER_SCALE(  -0.0002777499f),
        RX_PULSESHAPER_SCALE(   0.0050887416f),
        RX_PULSESHAPER_SCALE(  -0.0045111099f),
        RX_PULSESHAPER_SCALE(   0.0187910692f),
        RX_PULSESHAPER_SCALE(  -0.0281122241f),
        RX_PULSESHAPER_SCALE(   0.0024929283f),
        RX_PULSESHAPER_SCALE(  -0.0428874340f),
        RX_PULSESHAPER_SCALE(  -0.2834988900f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2533601011f),
        RX_PULSESHAPER_SCALE(   0.0312308270f),
        RX_PULSESHAPER_SCALE(   0.0160605311f),
        RX_PULSESHAPER_SCALE(   0.0277446235f),
        RX_PULSESHAPER_SCALE(  -0.0124782192f),
        RX_PULSESHAPER_SCALE(   0.0078046436f),
        RX_PULSESHAPER_SCALE(  -0.0040925813f),
        RX_PULSESHAPER_SCALE(   0.0025481628f),
        RX_PULSESHAPER_SCALE(  -0.0007239042f),
        RX_PULSESHAPER_SCALE(   0.0018342549f),
        RX_PULSESHAPER_SCALE(   0.0006886865f),
        RX_PULSESHAPER_SCALE(  -0.0004701243f),
        RX_PULSESHAPER_SCALE(   0.0011366832f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010070944f),     /* Filter 120 */
        RX_PULSESHAPER_SCALE(   0.0016077502f),
        RX_PULSESHAPER_SCALE(  -0.0007081064f),
        RX_PULSESHAPER_SCALE(  -0.0001942390f),
        RX_PULSESHAPER_SCALE(   0.0008371110f),
        RX_PULSESHAPER_SCALE(  -0.0002223935f),
        RX_PULSESHAPER_SCALE(   0.0051057688f),
        RX_PULSESHAPER_SCALE(  -0.0044231455f),
        RX_PULSESHAPER_SCALE(   0.0189267794f),
        RX_PULSESHAPER_SCALE(  -0.0280934001f),
        RX_PULSESHAPER_SCALE(   0.0029506348f),
        RX_PULSESHAPER_SCALE(  -0.0431456759f),
        RX_PULSESHAPER_SCALE(  -0.2840952996f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2526517240f),
        RX_PULSESHAPER_SCALE(   0.0309840480f),
        RX_PULSESHAPER_SCALE(   0.0164086485f),
        RX_PULSESHAPER_SCALE(   0.0277117645f),
        RX_PULSESHAPER_SCALE(  -0.0123416967f),
        RX_PULSESHAPER_SCALE(   0.0078597159f),
        RX_PULSESHAPER_SCALE(  -0.0040670146f),
        RX_PULSESHAPER_SCALE(   0.0025907781f),
        RX_PULSESHAPER_SCALE(  -0.0007204335f),
        RX_PULSESHAPER_SCALE(   0.0018664878f),
        RX_PULSESHAPER_SCALE(   0.0006874712f),
        RX_PULSESHAPER_SCALE(  -0.0004463132f),
        RX_PULSESHAPER_SCALE(   0.0011378004f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0010026952f),     /* Filter 121 */
        RX_PULSESHAPER_SCALE(   0.0016318485f),
        RX_PULSESHAPER_SCALE(  -0.0007076841f),
        RX_PULSESHAPER_SCALE(  -0.0001573764f),
        RX_PULSESHAPER_SCALE(   0.0008383573f),
        RX_PULSESHAPER_SCALE(  -0.0001668173f),
        RX_PULSESHAPER_SCALE(   0.0051225690f),
        RX_PULSESHAPER_SCALE(  -0.0043344980f),
        RX_PULSESHAPER_SCALE(   0.0190623252f),
        RX_PULSESHAPER_SCALE(  -0.0280733559f),
        RX_PULSESHAPER_SCALE(   0.0034106053f),
        RX_PULSESHAPER_SCALE(  -0.0434040452f),
        RX_PULSESHAPER_SCALE(  -0.2846889793f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2519413305f),
        RX_PULSESHAPER_SCALE(   0.0307376244f),
        RX_PULSESHAPER_SCALE(   0.0167543936f),
        RX_PULSESHAPER_SCALE(   0.0276779335f),
        RX_PULSESHAPER_SCALE(  -0.0122052956f),
        RX_PULSESHAPER_SCALE(   0.0079140845f),
        RX_PULSESHAPER_SCALE(  -0.0040413123f),
        RX_PULSESHAPER_SCALE(   0.0026330790f),
        RX_PULSESHAPER_SCALE(  -0.0007169232f),
        RX_PULSESHAPER_SCALE(   0.0018985831f),
        RX_PULSESHAPER_SCALE(   0.0006862243f),
        RX_PULSESHAPER_SCALE(  -0.0004225386f),
        RX_PULSESHAPER_SCALE(   0.0011388501f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009982283f),     /* Filter 122 */
        RX_PULSESHAPER_SCALE(   0.0016559210f),
        RX_PULSESHAPER_SCALE(  -0.0007072260f),
        RX_PULSESHAPER_SCALE(  -0.0001204623f),
        RX_PULSESHAPER_SCALE(   0.0008395515f),
        RX_PULSESHAPER_SCALE(  -0.0001110239f),
        RX_PULSESHAPER_SCALE(   0.0051391404f),
        RX_PULSESHAPER_SCALE(  -0.0042451688f),
        RX_PULSESHAPER_SCALE(   0.0191977003f),
        RX_PULSESHAPER_SCALE(  -0.0280520868f),
        RX_PULSESHAPER_SCALE(   0.0038728359f),
        RX_PULSESHAPER_SCALE(  -0.0436625367f),
        RX_PULSESHAPER_SCALE(  -0.2852799155f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2512289365f),
        RX_PULSESHAPER_SCALE(   0.0304915606f),
        RX_PULSESHAPER_SCALE(   0.0170977656f),
        RX_PULSESHAPER_SCALE(   0.0276431362f),
        RX_PULSESHAPER_SCALE(  -0.0120690210f),
        RX_PULSESHAPER_SCALE(   0.0079677498f),
        RX_PULSESHAPER_SCALE(  -0.0040154764f),
        RX_PULSESHAPER_SCALE(   0.0026750641f),
        RX_PULSESHAPER_SCALE(  -0.0007133734f),
        RX_PULSESHAPER_SCALE(   0.0019305390f),
        RX_PULSESHAPER_SCALE(   0.0006849458f),
        RX_PULSESHAPER_SCALE(  -0.0003988019f),
        RX_PULSESHAPER_SCALE(   0.0011398323f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009936938f),     /* Filter 123 */
        RX_PULSESHAPER_SCALE(   0.0016799663f),
        RX_PULSESHAPER_SCALE(  -0.0007067319f),
        RX_PULSESHAPER_SCALE(  -0.0000834988f),
        RX_PULSESHAPER_SCALE(   0.0008406932f),
        RX_PULSESHAPER_SCALE(  -0.0000550157f),
        RX_PULSESHAPER_SCALE(   0.0051554813f),
        RX_PULSESHAPER_SCALE(  -0.0041551591f),
        RX_PULSESHAPER_SCALE(   0.0193328982f),
        RX_PULSESHAPER_SCALE(  -0.0280295883f),
        RX_PULSESHAPER_SCALE(   0.0043373226f),
        RX_PULSESHAPER_SCALE(  -0.0439211455f),
        RX_PULSESHAPER_SCALE(  -0.2858680946f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2505145580f),
        RX_PULSESHAPER_SCALE(   0.0302458608f),
        RX_PULSESHAPER_SCALE(   0.0174387641f),
        RX_PULSESHAPER_SCALE(   0.0276073782f),
        RX_PULSESHAPER_SCALE(  -0.0119328784f),
        RX_PULSESHAPER_SCALE(   0.0080207121f),
        RX_PULSESHAPER_SCALE(  -0.0039895089f),
        RX_PULSESHAPER_SCALE(   0.0027167319f),
        RX_PULSESHAPER_SCALE(  -0.0007097846f),
        RX_PULSESHAPER_SCALE(   0.0019623542f),
        RX_PULSESHAPER_SCALE(   0.0006836359f),
        RX_PULSESHAPER_SCALE(  -0.0003751041f),
        RX_PULSESHAPER_SCALE(   0.0011407473f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009890918f),     /* Filter 124 */
        RX_PULSESHAPER_SCALE(   0.0017039832f),
        RX_PULSESHAPER_SCALE(  -0.0007062019f),
        RX_PULSESHAPER_SCALE(  -0.0000464880f),
        RX_PULSESHAPER_SCALE(   0.0008417823f),
        RX_PULSESHAPER_SCALE(   0.0000012048f),
        RX_PULSESHAPER_SCALE(   0.0051715897f),
        RX_PULSESHAPER_SCALE(  -0.0040644702f),
        RX_PULSESHAPER_SCALE(   0.0194679123f),
        RX_PULSESHAPER_SCALE(  -0.0280058556f),
        RX_PULSESHAPER_SCALE(   0.0048040612f),
        RX_PULSESHAPER_SCALE(  -0.0441798664f),
        RX_PULSESHAPER_SCALE(  -0.2864535032f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2497982109f),
        RX_PULSESHAPER_SCALE(   0.0300005296f),
        RX_PULSESHAPER_SCALE(   0.0177773886f),
        RX_PULSESHAPER_SCALE(   0.0275706649f),
        RX_PULSESHAPER_SCALE(  -0.0117968732f),
        RX_PULSESHAPER_SCALE(   0.0080729720f),
        RX_PULSESHAPER_SCALE(  -0.0039634116f),
        RX_PULSESHAPER_SCALE(   0.0027580810f),
        RX_PULSESHAPER_SCALE(  -0.0007061569f),
        RX_PULSESHAPER_SCALE(   0.0019940270f),
        RX_PULSESHAPER_SCALE(   0.0006822946f),
        RX_PULSESHAPER_SCALE(  -0.0003514464f),
        RX_PULSESHAPER_SCALE(   0.0011415951f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009844223f),     /* Filter 125 */
        RX_PULSESHAPER_SCALE(   0.0017279703f),
        RX_PULSESHAPER_SCALE(  -0.0007056360f),
        RX_PULSESHAPER_SCALE(  -0.0000094316f),
        RX_PULSESHAPER_SCALE(   0.0008428187f),
        RX_PULSESHAPER_SCALE(   0.0000576350f),
        RX_PULSESHAPER_SCALE(   0.0051874639f),
        RX_PULSESHAPER_SCALE(  -0.0039731035f),
        RX_PULSESHAPER_SCALE(   0.0196027363f),
        RX_PULSESHAPER_SCALE(  -0.0279808842f),
        RX_PULSESHAPER_SCALE(   0.0052730477f),
        RX_PULSESHAPER_SCALE(  -0.0444386944f),
        RX_PULSESHAPER_SCALE(  -0.2870361277f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2490799113f),
        RX_PULSESHAPER_SCALE(   0.0297555713f),
        RX_PULSESHAPER_SCALE(   0.0181136387f),
        RX_PULSESHAPER_SCALE(   0.0275330022f),
        RX_PULSESHAPER_SCALE(  -0.0116610106f),
        RX_PULSESHAPER_SCALE(   0.0081245298f),
        RX_PULSESHAPER_SCALE(  -0.0039371866f),
        RX_PULSESHAPER_SCALE(   0.0027991100f),
        RX_PULSESHAPER_SCALE(  -0.0007024907f),
        RX_PULSESHAPER_SCALE(   0.0020255561f),
        RX_PULSESHAPER_SCALE(   0.0006809222f),
        RX_PULSESHAPER_SCALE(  -0.0003278301f),
        RX_PULSESHAPER_SCALE(   0.0011423758f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009796855f),     /* Filter 126 */
        RX_PULSESHAPER_SCALE(   0.0017519263f),
        RX_PULSESHAPER_SCALE(  -0.0007050340f),
        RX_PULSESHAPER_SCALE(   0.0000276681f),
        RX_PULSESHAPER_SCALE(   0.0008438020f),
        RX_PULSESHAPER_SCALE(   0.0001142725f),
        RX_PULSESHAPER_SCALE(   0.0052031021f),
        RX_PULSESHAPER_SCALE(  -0.0038810605f),
        RX_PULSESHAPER_SCALE(   0.0197373635f),
        RX_PULSESHAPER_SCALE(  -0.0279546695f),
        RX_PULSESHAPER_SCALE(   0.0057442778f),
        RX_PULSESHAPER_SCALE(  -0.0446976244f),
        RX_PULSESHAPER_SCALE(  -0.2876159549f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2483596752f),
        RX_PULSESHAPER_SCALE(   0.0295109902f),
        RX_PULSESHAPER_SCALE(   0.0184475142f),
        RX_PULSESHAPER_SCALE(   0.0274943955f),
        RX_PULSESHAPER_SCALE(  -0.0115252958f),
        RX_PULSESHAPER_SCALE(   0.0081753860f),
        RX_PULSESHAPER_SCALE(  -0.0039108357f),
        RX_PULSESHAPER_SCALE(   0.0028398176f),
        RX_PULSESHAPER_SCALE(  -0.0006987863f),
        RX_PULSESHAPER_SCALE(   0.0020569400f),
        RX_PULSESHAPER_SCALE(   0.0006795187f),
        RX_PULSESHAPER_SCALE(  -0.0003042563f),
        RX_PULSESHAPER_SCALE(   0.0011430896f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009748816f),     /* Filter 127 */
        RX_PULSESHAPER_SCALE(   0.0017758499f),
        RX_PULSESHAPER_SCALE(  -0.0007043960f),
        RX_PULSESHAPER_SCALE(   0.0000648093f),
        RX_PULSESHAPER_SCALE(   0.0008447320f),
        RX_PULSESHAPER_SCALE(   0.0001711146f),
        RX_PULSESHAPER_SCALE(   0.0052185024f),
        RX_PULSESHAPER_SCALE(  -0.0037883424f),
        RX_PULSESHAPER_SCALE(   0.0198717874f),
        RX_PULSESHAPER_SCALE(  -0.0279272069f),
        RX_PULSESHAPER_SCALE(   0.0062177472f),
        RX_PULSESHAPER_SCALE(  -0.0449566513f),
        RX_PULSESHAPER_SCALE(  -0.2881929712f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2476375188f),
        RX_PULSESHAPER_SCALE(   0.0292667907f),
        RX_PULSESHAPER_SCALE(   0.0187790147f),
        RX_PULSESHAPER_SCALE(   0.0274548505f),
        RX_PULSESHAPER_SCALE(  -0.0113897343f),
        RX_PULSESHAPER_SCALE(   0.0082255412f),
        RX_PULSESHAPER_SCALE(  -0.0038843610f),
        RX_PULSESHAPER_SCALE(   0.0028802024f),
        RX_PULSESHAPER_SCALE(  -0.0006950441f),
        RX_PULSESHAPER_SCALE(   0.0020881771f),
        RX_PULSESHAPER_SCALE(   0.0006780843f),
        RX_PULSESHAPER_SCALE(  -0.0002807262f),
        RX_PULSESHAPER_SCALE(   0.0011437365f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009700105f),     /* Filter 128 */
        RX_PULSESHAPER_SCALE(   0.0017997396f),
        RX_PULSESHAPER_SCALE(  -0.0007037219f),
        RX_PULSESHAPER_SCALE(   0.0001019900f),
        RX_PULSESHAPER_SCALE(   0.0008456087f),
        RX_PULSESHAPER_SCALE(   0.0002281587f),
        RX_PULSESHAPER_SCALE(   0.0052336631f),
        RX_PULSESHAPER_SCALE(  -0.0036949509f),
        RX_PULSESHAPER_SCALE(   0.0200060016f),
        RX_PULSESHAPER_SCALE(  -0.0278984919f),
        RX_PULSESHAPER_SCALE(   0.0066934515f),
        RX_PULSESHAPER_SCALE(  -0.0452157700f),
        RX_PULSESHAPER_SCALE(  -0.2887671634f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2469134581f),
        RX_PULSESHAPER_SCALE(   0.0290229770f),
        RX_PULSESHAPER_SCALE(   0.0191081401f),
        RX_PULSESHAPER_SCALE(   0.0274143729f),
        RX_PULSESHAPER_SCALE(  -0.0112543312f),
        RX_PULSESHAPER_SCALE(   0.0082749958f),
        RX_PULSESHAPER_SCALE(  -0.0038577642f),
        RX_PULSESHAPER_SCALE(   0.0029202630f),
        RX_PULSESHAPER_SCALE(  -0.0006912642f),
        RX_PULSESHAPER_SCALE(   0.0021192661f),
        RX_PULSESHAPER_SCALE(   0.0006766191f),
        RX_PULSESHAPER_SCALE(  -0.0002572409f),
        RX_PULSESHAPER_SCALE(   0.0011443166f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009650724f),     /* Filter 129 */
        RX_PULSESHAPER_SCALE(   0.0018235942f),
        RX_PULSESHAPER_SCALE(  -0.0007030117f),
        RX_PULSESHAPER_SCALE(   0.0001392080f),
        RX_PULSESHAPER_SCALE(   0.0008464318f),
        RX_PULSESHAPER_SCALE(   0.0002854023f),
        RX_PULSESHAPER_SCALE(   0.0052485823f),
        RX_PULSESHAPER_SCALE(  -0.0036008873f),
        RX_PULSESHAPER_SCALE(   0.0201399994f),
        RX_PULSESHAPER_SCALE(  -0.0278685200f),
        RX_PULSESHAPER_SCALE(   0.0071713863f),
        RX_PULSESHAPER_SCALE(  -0.0454749754f),
        RX_PULSESHAPER_SCALE(  -0.2893385184f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2461875093f),
        RX_PULSESHAPER_SCALE(   0.0287795535f),
        RX_PULSESHAPER_SCALE(   0.0194348902f),
        RX_PULSESHAPER_SCALE(   0.0273729684f),
        RX_PULSESHAPER_SCALE(  -0.0111190917f),
        RX_PULSESHAPER_SCALE(   0.0083237505f),
        RX_PULSESHAPER_SCALE(  -0.0038310475f),
        RX_PULSESHAPER_SCALE(   0.0029599981f),
        RX_PULSESHAPER_SCALE(  -0.0006874471f),
        RX_PULSESHAPER_SCALE(   0.0021502055f),
        RX_PULSESHAPER_SCALE(   0.0006751233f),
        RX_PULSESHAPER_SCALE(  -0.0002338015f),
        RX_PULSESHAPER_SCALE(   0.0011448302f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009600674f),     /* Filter 130 */
        RX_PULSESHAPER_SCALE(   0.0018474124f),
        RX_PULSESHAPER_SCALE(  -0.0007022654f),
        RX_PULSESHAPER_SCALE(   0.0001764614f),
        RX_PULSESHAPER_SCALE(   0.0008472012f),
        RX_PULSESHAPER_SCALE(   0.0003428428f),
        RX_PULSESHAPER_SCALE(   0.0052632584f),
        RX_PULSESHAPER_SCALE(  -0.0035061533f),
        RX_PULSESHAPER_SCALE(   0.0202737742f),
        RX_PULSESHAPER_SCALE(  -0.0278372867f),
        RX_PULSESHAPER_SCALE(   0.0076515471f),
        RX_PULSESHAPER_SCALE(  -0.0457342624f),
        RX_PULSESHAPER_SCALE(  -0.2899070230f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2454596886f),
        RX_PULSESHAPER_SCALE(   0.0285365244f),
        RX_PULSESHAPER_SCALE(   0.0197592651f),
        RX_PULSESHAPER_SCALE(   0.0273306426f),
        RX_PULSESHAPER_SCALE(  -0.0109840210f),
        RX_PULSESHAPER_SCALE(   0.0083718059f),
        RX_PULSESHAPER_SCALE(  -0.0038042127f),
        RX_PULSESHAPER_SCALE(   0.0029994066f),
        RX_PULSESHAPER_SCALE(  -0.0006835929f),
        RX_PULSESHAPER_SCALE(   0.0021809939f),
        RX_PULSESHAPER_SCALE(   0.0006735970f),
        RX_PULSESHAPER_SCALE(  -0.0002104093f),
        RX_PULSESHAPER_SCALE(   0.0011452772f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009549957f),     /* Filter 131 */
        RX_PULSESHAPER_SCALE(   0.0018711927f),
        RX_PULSESHAPER_SCALE(  -0.0007014829f),
        RX_PULSESHAPER_SCALE(   0.0002137482f),
        RX_PULSESHAPER_SCALE(   0.0008479165f),
        RX_PULSESHAPER_SCALE(   0.0004004775f),
        RX_PULSESHAPER_SCALE(   0.0052776894f),
        RX_PULSESHAPER_SCALE(  -0.0034107504f),
        RX_PULSESHAPER_SCALE(   0.0204073195f),
        RX_PULSESHAPER_SCALE(  -0.0278047875f),
        RX_PULSESHAPER_SCALE(   0.0081339294f),
        RX_PULSESHAPER_SCALE(  -0.0459936258f),
        RX_PULSESHAPER_SCALE(  -0.2904726640f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2447300122f),
        RX_PULSESHAPER_SCALE(   0.0282938940f),
        RX_PULSESHAPER_SCALE(   0.0200812646f),
        RX_PULSESHAPER_SCALE(   0.0272874011f),
        RX_PULSESHAPER_SCALE(  -0.0108491242f),
        RX_PULSESHAPER_SCALE(   0.0084191626f),
        RX_PULSESHAPER_SCALE(  -0.0037772617f),
        RX_PULSESHAPER_SCALE(   0.0030384869f),
        RX_PULSESHAPER_SCALE(  -0.0006797022f),
        RX_PULSESHAPER_SCALE(   0.0022116298f),
        RX_PULSESHAPER_SCALE(   0.0006720403f),
        RX_PULSESHAPER_SCALE(  -0.0001870654f),
        RX_PULSESHAPER_SCALE(   0.0011456579f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009498574f),     /* Filter 132 */
        RX_PULSESHAPER_SCALE(   0.0018949340f),
        RX_PULSESHAPER_SCALE(  -0.0007006643f),
        RX_PULSESHAPER_SCALE(   0.0002510662f),
        RX_PULSESHAPER_SCALE(   0.0008485777f),
        RX_PULSESHAPER_SCALE(   0.0004583038f),
        RX_PULSESHAPER_SCALE(   0.0052918737f),
        RX_PULSESHAPER_SCALE(  -0.0033146802f),
        RX_PULSESHAPER_SCALE(   0.0205406287f),
        RX_PULSESHAPER_SCALE(  -0.0277710180f),
        RX_PULSESHAPER_SCALE(   0.0086185285f),
        RX_PULSESHAPER_SCALE(  -0.0462530606f),
        RX_PULSESHAPER_SCALE(  -0.2910354285f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2439984964f),
        RX_PULSESHAPER_SCALE(   0.0280516665f),
        RX_PULSESHAPER_SCALE(   0.0204008889f),
        RX_PULSESHAPER_SCALE(   0.0272432498f),
        RX_PULSESHAPER_SCALE(  -0.0107144066f),
        RX_PULSESHAPER_SCALE(   0.0084658212f),
        RX_PULSESHAPER_SCALE(  -0.0037501965f),
        RX_PULSESHAPER_SCALE(   0.0030772381f),
        RX_PULSESHAPER_SCALE(  -0.0006757750f),
        RX_PULSESHAPER_SCALE(   0.0022421118f),
        RX_PULSESHAPER_SCALE(   0.0006704533f),
        RX_PULSESHAPER_SCALE(  -0.0001637710f),
        RX_PULSESHAPER_SCALE(   0.0011459724f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009446525f),     /* Filter 133 */
        RX_PULSESHAPER_SCALE(   0.0019186347f),
        RX_PULSESHAPER_SCALE(  -0.0006998094f),
        RX_PULSESHAPER_SCALE(   0.0002884136f),
        RX_PULSESHAPER_SCALE(   0.0008491846f),
        RX_PULSESHAPER_SCALE(   0.0005163189f),
        RX_PULSESHAPER_SCALE(   0.0053058094f),
        RX_PULSESHAPER_SCALE(  -0.0032179443f),
        RX_PULSESHAPER_SCALE(   0.0206736950f),
        RX_PULSESHAPER_SCALE(  -0.0277359737f),
        RX_PULSESHAPER_SCALE(   0.0091053397f),
        RX_PULSESHAPER_SCALE(  -0.0465125615f),
        RX_PULSESHAPER_SCALE(  -0.2915953034f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2432651574f),
        RX_PULSESHAPER_SCALE(   0.0278098461f),
        RX_PULSESHAPER_SCALE(   0.0207181382f),
        RX_PULSESHAPER_SCALE(   0.0271981943f),
        RX_PULSESHAPER_SCALE(  -0.0105798731f),
        RX_PULSESHAPER_SCALE(   0.0085117824f),
        RX_PULSESHAPER_SCALE(  -0.0037230191f),
        RX_PULSESHAPER_SCALE(   0.0031156587f),
        RX_PULSESHAPER_SCALE(  -0.0006718118f),
        RX_PULSESHAPER_SCALE(   0.0022724386f),
        RX_PULSESHAPER_SCALE(   0.0006688363f),
        RX_PULSESHAPER_SCALE(  -0.0001405270f),
        RX_PULSESHAPER_SCALE(   0.0011462208f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009393814f),     /* Filter 134 */
        RX_PULSESHAPER_SCALE(   0.0019422936f),
        RX_PULSESHAPER_SCALE(  -0.0006989183f),
        RX_PULSESHAPER_SCALE(   0.0003257881f),
        RX_PULSESHAPER_SCALE(   0.0008497370f),
        RX_PULSESHAPER_SCALE(   0.0005745202f),
        RX_PULSESHAPER_SCALE(   0.0053194948f),
        RX_PULSESHAPER_SCALE(  -0.0031205445f),
        RX_PULSESHAPER_SCALE(   0.0208065119f),
        RX_PULSESHAPER_SCALE(  -0.0276996504f),
        RX_PULSESHAPER_SCALE(   0.0095943581f),
        RX_PULSESHAPER_SCALE(  -0.0467721233f),
        RX_PULSESHAPER_SCALE(  -0.2921522758f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2425300115f),
        RX_PULSESHAPER_SCALE(   0.0275684372f),
        RX_PULSESHAPER_SCALE(   0.0210330126f),
        RX_PULSESHAPER_SCALE(   0.0271522403f),
        RX_PULSESHAPER_SCALE(  -0.0104455288f),
        RX_PULSESHAPER_SCALE(   0.0085570471f),
        RX_PULSESHAPER_SCALE(  -0.0036957313f),
        RX_PULSESHAPER_SCALE(   0.0031537477f),
        RX_PULSESHAPER_SCALE(  -0.0006678129f),
        RX_PULSESHAPER_SCALE(   0.0023026087f),
        RX_PULSESHAPER_SCALE(   0.0006671893f),
        RX_PULSESHAPER_SCALE(  -0.0001173348f),
        RX_PULSESHAPER_SCALE(   0.0011464033f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009340440f),     /* Filter 135 */
        RX_PULSESHAPER_SCALE(   0.0019659094f),
        RX_PULSESHAPER_SCALE(  -0.0006979910f),
        RX_PULSESHAPER_SCALE(   0.0003631878f),
        RX_PULSESHAPER_SCALE(   0.0008502347f),
        RX_PULSESHAPER_SCALE(   0.0006329050f),
        RX_PULSESHAPER_SCALE(   0.0053329281f),
        RX_PULSESHAPER_SCALE(  -0.0030224825f),
        RX_PULSESHAPER_SCALE(   0.0209390726f),
        RX_PULSESHAPER_SCALE(  -0.0276620436f),
        RX_PULSESHAPER_SCALE(   0.0100855791f),
        RX_PULSESHAPER_SCALE(  -0.0470317411f),
        RX_PULSESHAPER_SCALE(  -0.2927063329f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2417930752f),
        RX_PULSESHAPER_SCALE(   0.0273274437f),
        RX_PULSESHAPER_SCALE(   0.0213455124f),
        RX_PULSESHAPER_SCALE(   0.0271053936f),
        RX_PULSESHAPER_SCALE(  -0.0103113789f),
        RX_PULSESHAPER_SCALE(   0.0086016158f),
        RX_PULSESHAPER_SCALE(  -0.0036683351f),
        RX_PULSESHAPER_SCALE(   0.0031915037f),
        RX_PULSESHAPER_SCALE(  -0.0006637786f),
        RX_PULSESHAPER_SCALE(   0.0023326209f),
        RX_PULSESHAPER_SCALE(   0.0006655125f),
        RX_PULSESHAPER_SCALE(  -0.0000941954f),
        RX_PULSESHAPER_SCALE(   0.0011465199f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009286405f),     /* Filter 136 */
        RX_PULSESHAPER_SCALE(   0.0019894807f),
        RX_PULSESHAPER_SCALE(  -0.0006970274f),
        RX_PULSESHAPER_SCALE(   0.0004006107f),
        RX_PULSESHAPER_SCALE(   0.0008506775f),
        RX_PULSESHAPER_SCALE(   0.0006914705f),
        RX_PULSESHAPER_SCALE(   0.0053461076f),
        RX_PULSESHAPER_SCALE(  -0.0029237599f),
        RX_PULSESHAPER_SCALE(   0.0210713706f),
        RX_PULSESHAPER_SCALE(  -0.0276231491f),
        RX_PULSESHAPER_SCALE(   0.0105789975f),
        RX_PULSESHAPER_SCALE(  -0.0472914095f),
        RX_PULSESHAPER_SCALE(  -0.2932574619f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2410543647f),
        RX_PULSESHAPER_SCALE(   0.0270868701f),
        RX_PULSESHAPER_SCALE(   0.0216556379f),
        RX_PULSESHAPER_SCALE(   0.0270576599f),
        RX_PULSESHAPER_SCALE(  -0.0101774283f),
        RX_PULSESHAPER_SCALE(   0.0086454895f),
        RX_PULSESHAPER_SCALE(  -0.0036408324f),
        RX_PULSESHAPER_SCALE(   0.0032289258f),
        RX_PULSESHAPER_SCALE(  -0.0006597092f),
        RX_PULSESHAPER_SCALE(   0.0023624737f),
        RX_PULSESHAPER_SCALE(   0.0006638061f),
        RX_PULSESHAPER_SCALE(  -0.0000711100f),
        RX_PULSESHAPER_SCALE(   0.0011465709f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009231711f),     /* Filter 137 */
        RX_PULSESHAPER_SCALE(   0.0020130061f),
        RX_PULSESHAPER_SCALE(  -0.0006960276f),
        RX_PULSESHAPER_SCALE(   0.0004380545f),
        RX_PULSESHAPER_SCALE(   0.0008510654f),
        RX_PULSESHAPER_SCALE(   0.0007502140f),
        RX_PULSESHAPER_SCALE(   0.0053590316f),
        RX_PULSESHAPER_SCALE(  -0.0028243787f),
        RX_PULSESHAPER_SCALE(   0.0212033992f),
        RX_PULSESHAPER_SCALE(  -0.0275829624f),
        RX_PULSESHAPER_SCALE(   0.0110746086f),
        RX_PULSESHAPER_SCALE(  -0.0475511234f),
        RX_PULSESHAPER_SCALE(  -0.2938056500f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2403138965f),
        RX_PULSESHAPER_SCALE(   0.0268467203f),
        RX_PULSESHAPER_SCALE(   0.0219633896f),
        RX_PULSESHAPER_SCALE(   0.0270090449f),
        RX_PULSESHAPER_SCALE(  -0.0100436820f),
        RX_PULSESHAPER_SCALE(   0.0086886688f),
        RX_PULSESHAPER_SCALE(  -0.0036132252f),
        RX_PULSESHAPER_SCALE(   0.0032660126f),
        RX_PULSESHAPER_SCALE(  -0.0006556050f),
        RX_PULSESHAPER_SCALE(   0.0023921657f),
        RX_PULSESHAPER_SCALE(   0.0006620701f),
        RX_PULSESHAPER_SCALE(  -0.0000480796f),
        RX_PULSESHAPER_SCALE(   0.0011465563f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009176359f),     /* Filter 138 */
        RX_PULSESHAPER_SCALE(   0.0020364844f),
        RX_PULSESHAPER_SCALE(  -0.0006949914f),
        RX_PULSESHAPER_SCALE(   0.0004755173f),
        RX_PULSESHAPER_SCALE(   0.0008513980f),
        RX_PULSESHAPER_SCALE(   0.0008091327f),
        RX_PULSESHAPER_SCALE(   0.0053716982f),
        RX_PULSESHAPER_SCALE(  -0.0027243405f),
        RX_PULSESHAPER_SCALE(   0.0213351515f),
        RX_PULSESHAPER_SCALE(  -0.0275414794f),
        RX_PULSESHAPER_SCALE(   0.0115724071f),
        RX_PULSESHAPER_SCALE(  -0.0478108776f),
        RX_PULSESHAPER_SCALE(  -0.2943508846f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2395716869f),
        RX_PULSESHAPER_SCALE(   0.0266069985f),
        RX_PULSESHAPER_SCALE(   0.0222687679f),
        RX_PULSESHAPER_SCALE(   0.0269595544f),
        RX_PULSESHAPER_SCALE(  -0.0099101450f),
        RX_PULSESHAPER_SCALE(   0.0087311547f),
        RX_PULSESHAPER_SCALE(  -0.0035855154f),
        RX_PULSESHAPER_SCALE(   0.0033027632f),
        RX_PULSESHAPER_SCALE(  -0.0006514663f),
        RX_PULSESHAPER_SCALE(   0.0024216957f),
        RX_PULSESHAPER_SCALE(   0.0006603048f),
        RX_PULSESHAPER_SCALE(  -0.0000251054f),
        RX_PULSESHAPER_SCALE(   0.0011464765f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009120351f),     /* Filter 139 */
        RX_PULSESHAPER_SCALE(   0.0020599141f),
        RX_PULSESHAPER_SCALE(  -0.0006939190f),
        RX_PULSESHAPER_SCALE(   0.0005129970f),
        RX_PULSESHAPER_SCALE(   0.0008516753f),
        RX_PULSESHAPER_SCALE(   0.0008682239f),
        RX_PULSESHAPER_SCALE(   0.0053841057f),
        RX_PULSESHAPER_SCALE(  -0.0026236473f),
        RX_PULSESHAPER_SCALE(   0.0214666210f),
        RX_PULSESHAPER_SCALE(  -0.0274986957f),
        RX_PULSESHAPER_SCALE(   0.0120723880f),
        RX_PULSESHAPER_SCALE(  -0.0480706669f),
        RX_PULSESHAPER_SCALE(  -0.2948931532f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2388277525f),
        RX_PULSESHAPER_SCALE(   0.0263677088f),
        RX_PULSESHAPER_SCALE(   0.0225717734f),
        RX_PULSESHAPER_SCALE(   0.0269091942f),
        RX_PULSESHAPER_SCALE(  -0.0097768223f),
        RX_PULSESHAPER_SCALE(   0.0087729480f),
        RX_PULSESHAPER_SCALE(  -0.0035577049f),
        RX_PULSESHAPER_SCALE(   0.0033391764f),
        RX_PULSESHAPER_SCALE(  -0.0006472936f),
        RX_PULSESHAPER_SCALE(   0.0024510624f),
        RX_PULSESHAPER_SCALE(   0.0006585103f),
        RX_PULSESHAPER_SCALE(  -0.0000021885f),
        RX_PULSESHAPER_SCALE(   0.0011463314f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009063689f),     /* Filter 140 */
        RX_PULSESHAPER_SCALE(   0.0020832940f),
        RX_PULSESHAPER_SCALE(  -0.0006928102f),
        RX_PULSESHAPER_SCALE(   0.0005504915f),
        RX_PULSESHAPER_SCALE(   0.0008518970f),
        RX_PULSESHAPER_SCALE(   0.0009274847f),
        RX_PULSESHAPER_SCALE(   0.0053962525f),
        RX_PULSESHAPER_SCALE(  -0.0025223009f),
        RX_PULSESHAPER_SCALE(   0.0215978008f),
        RX_PULSESHAPER_SCALE(  -0.0274546072f),
        RX_PULSESHAPER_SCALE(   0.0125745461f),
        RX_PULSESHAPER_SCALE(  -0.0483304861f),
        RX_PULSESHAPER_SCALE(  -0.2954324430f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2380821098f),
        RX_PULSESHAPER_SCALE(   0.0261288555f),
        RX_PULSESHAPER_SCALE(   0.0228724066f),
        RX_PULSESHAPER_SCALE(   0.0268579701f),
        RX_PULSESHAPER_SCALE(  -0.0096437186f),
        RX_PULSESHAPER_SCALE(   0.0088140495f),
        RX_PULSESHAPER_SCALE(  -0.0035297957f),
        RX_PULSESHAPER_SCALE(   0.0033752511f),
        RX_PULSESHAPER_SCALE(  -0.0006430869f),
        RX_PULSESHAPER_SCALE(   0.0024802643f),
        RX_PULSESHAPER_SCALE(   0.0006566867f),
        RX_PULSESHAPER_SCALE(   0.0000206700f),
        RX_PULSESHAPER_SCALE(   0.0011461212f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0009006373f),     /* Filter 141 */
        RX_PULSESHAPER_SCALE(   0.0021066227f),
        RX_PULSESHAPER_SCALE(  -0.0006916652f),
        RX_PULSESHAPER_SCALE(   0.0005879987f),
        RX_PULSESHAPER_SCALE(   0.0008520631f),
        RX_PULSESHAPER_SCALE(   0.0009869123f),
        RX_PULSESHAPER_SCALE(   0.0054081368f),
        RX_PULSESHAPER_SCALE(  -0.0024203034f),
        RX_PULSESHAPER_SCALE(   0.0217286842f),
        RX_PULSESHAPER_SCALE(  -0.0274092097f),
        RX_PULSESHAPER_SCALE(   0.0130788761f),
        RX_PULSESHAPER_SCALE(  -0.0485903300f),
        RX_PULSESHAPER_SCALE(  -0.2959687418f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2373347752f),
        RX_PULSESHAPER_SCALE(   0.0258904424f),
        RX_PULSESHAPER_SCALE(   0.0231706683f),
        RX_PULSESHAPER_SCALE(   0.0268058878f),
        RX_PULSESHAPER_SCALE(  -0.0095108390f),
        RX_PULSESHAPER_SCALE(   0.0088544603f),
        RX_PULSESHAPER_SCALE(  -0.0035017896f),
        RX_PULSESHAPER_SCALE(   0.0034109863f),
        RX_PULSESHAPER_SCALE(  -0.0006388468f),
        RX_PULSESHAPER_SCALE(   0.0025093002f),
        RX_PULSESHAPER_SCALE(   0.0006548341f),
        RX_PULSESHAPER_SCALE(   0.0000434691f),
        RX_PULSESHAPER_SCALE(   0.0011458462f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008948406f),     /* Filter 142 */
        RX_PULSESHAPER_SCALE(   0.0021298989f),
        RX_PULSESHAPER_SCALE(  -0.0006904838f),
        RX_PULSESHAPER_SCALE(   0.0006255165f),
        RX_PULSESHAPER_SCALE(   0.0008521733f),
        RX_PULSESHAPER_SCALE(   0.0010465040f),
        RX_PULSESHAPER_SCALE(   0.0054197569f),
        RX_PULSESHAPER_SCALE(  -0.0023176565f),
        RX_PULSESHAPER_SCALE(   0.0218592645f),
        RX_PULSESHAPER_SCALE(  -0.0273624989f),
        RX_PULSESHAPER_SCALE(   0.0135853728f),
        RX_PULSESHAPER_SCALE(  -0.0488501934f),
        RX_PULSESHAPER_SCALE(  -0.2965020370f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2365857653f),
        RX_PULSESHAPER_SCALE(   0.0256524738f),
        RX_PULSESHAPER_SCALE(   0.0234665591f),
        RX_PULSESHAPER_SCALE(   0.0267529532f),
        RX_PULSESHAPER_SCALE(  -0.0093781883f),
        RX_PULSESHAPER_SCALE(   0.0088941813f),
        RX_PULSESHAPER_SCALE(  -0.0034736886f),
        RX_PULSESHAPER_SCALE(   0.0034463809f),
        RX_PULSESHAPER_SCALE(  -0.0006345735f),
        RX_PULSESHAPER_SCALE(   0.0025381689f),
        RX_PULSESHAPER_SCALE(   0.0006529528f),
        RX_PULSESHAPER_SCALE(   0.0000662075f),
        RX_PULSESHAPER_SCALE(   0.0011455065f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008889789f),     /* Filter 143 */
        RX_PULSESHAPER_SCALE(   0.0021531212f),
        RX_PULSESHAPER_SCALE(  -0.0006892661f),
        RX_PULSESHAPER_SCALE(   0.0006630428f),
        RX_PULSESHAPER_SCALE(   0.0008522276f),
        RX_PULSESHAPER_SCALE(   0.0011062567f),
        RX_PULSESHAPER_SCALE(   0.0054311111f),
        RX_PULSESHAPER_SCALE(  -0.0022143624f),
        RX_PULSESHAPER_SCALE(   0.0219895349f),
        RX_PULSESHAPER_SCALE(  -0.0273144708f),
        RX_PULSESHAPER_SCALE(   0.0140940306f),
        RX_PULSESHAPER_SCALE(  -0.0491100711f),
        RX_PULSESHAPER_SCALE(  -0.2970323163f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2358350966f),
        RX_PULSESHAPER_SCALE(   0.0254149536f),
        RX_PULSESHAPER_SCALE(   0.0237600798f),
        RX_PULSESHAPER_SCALE(   0.0266991720f),
        RX_PULSESHAPER_SCALE(  -0.0092457713f),
        RX_PULSESHAPER_SCALE(   0.0089332134f),
        RX_PULSESHAPER_SCALE(  -0.0034454946f),
        RX_PULSESHAPER_SCALE(   0.0034814339f),
        RX_PULSESHAPER_SCALE(  -0.0006302674f),
        RX_PULSESHAPER_SCALE(   0.0025668690f),
        RX_PULSESHAPER_SCALE(   0.0006510429f),
        RX_PULSESHAPER_SCALE(   0.0000888843f),
        RX_PULSESHAPER_SCALE(   0.0011451022f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008830524f),     /* Filter 144 */
        RX_PULSESHAPER_SCALE(   0.0021762883f),
        RX_PULSESHAPER_SCALE(  -0.0006880121f),
        RX_PULSESHAPER_SCALE(   0.0007005755f),
        RX_PULSESHAPER_SCALE(   0.0008522257f),
        RX_PULSESHAPER_SCALE(   0.0011661677f),
        RX_PULSESHAPER_SCALE(   0.0054421976f),
        RX_PULSESHAPER_SCALE(  -0.0021104231f),
        RX_PULSESHAPER_SCALE(   0.0221194886f),
        RX_PULSESHAPER_SCALE(  -0.0272651212f),
        RX_PULSESHAPER_SCALE(   0.0146048441f),
        RX_PULSESHAPER_SCALE(  -0.0493699578f),
        RX_PULSESHAPER_SCALE(  -0.2975595675f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2350827857f),
        RX_PULSESHAPER_SCALE(   0.0251778859f),
        RX_PULSESHAPER_SCALE(   0.0240512313f),
        RX_PULSESHAPER_SCALE(   0.0266445501f),
        RX_PULSESHAPER_SCALE(  -0.0091135929f),
        RX_PULSESHAPER_SCALE(   0.0089715577f),
        RX_PULSESHAPER_SCALE(  -0.0034172096f),
        RX_PULSESHAPER_SCALE(   0.0035161444f),
        RX_PULSESHAPER_SCALE(  -0.0006259287f),
        RX_PULSESHAPER_SCALE(   0.0025953992f),
        RX_PULSESHAPER_SCALE(   0.0006491046f),
        RX_PULSESHAPER_SCALE(   0.0001114984f),
        RX_PULSESHAPER_SCALE(   0.0011446335f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008770614f),     /* Filter 145 */
        RX_PULSESHAPER_SCALE(   0.0021993988f),
        RX_PULSESHAPER_SCALE(  -0.0006867218f),
        RX_PULSESHAPER_SCALE(   0.0007381125f),
        RX_PULSESHAPER_SCALE(   0.0008521675f),
        RX_PULSESHAPER_SCALE(   0.0012262340f),
        RX_PULSESHAPER_SCALE(   0.0054530148f),
        RX_PULSESHAPER_SCALE(  -0.0020058407f),
        RX_PULSESHAPER_SCALE(   0.0222491188f),
        RX_PULSESHAPER_SCALE(  -0.0272144460f),
        RX_PULSESHAPER_SCALE(   0.0151178079f),
        RX_PULSESHAPER_SCALE(  -0.0496298482f),
        RX_PULSESHAPER_SCALE(  -0.2980837783f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2343288493f),
        RX_PULSESHAPER_SCALE(   0.0249412747f),
        RX_PULSESHAPER_SCALE(   0.0243400145f),
        RX_PULSESHAPER_SCALE(   0.0265890933f),
        RX_PULSESHAPER_SCALE(  -0.0089816577f),
        RX_PULSESHAPER_SCALE(   0.0090092152f),
        RX_PULSESHAPER_SCALE(  -0.0033888354f),
        RX_PULSESHAPER_SCALE(   0.0035505114f),
        RX_PULSESHAPER_SCALE(  -0.0006215578f),
        RX_PULSESHAPER_SCALE(   0.0026237584f),
        RX_PULSESHAPER_SCALE(   0.0006471379f),
        RX_PULSESHAPER_SCALE(   0.0001340486f),
        RX_PULSESHAPER_SCALE(   0.0011441007f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008710059f),     /* Filter 146 */
        RX_PULSESHAPER_SCALE(   0.0022224515f),
        RX_PULSESHAPER_SCALE(  -0.0006853952f),
        RX_PULSESHAPER_SCALE(   0.0007756516f),
        RX_PULSESHAPER_SCALE(   0.0008520528f),
        RX_PULSESHAPER_SCALE(   0.0012864528f),
        RX_PULSESHAPER_SCALE(   0.0054635610f),
        RX_PULSESHAPER_SCALE(  -0.0019006172f),
        RX_PULSESHAPER_SCALE(   0.0223784186f),
        RX_PULSESHAPER_SCALE(  -0.0271624412f),
        RX_PULSESHAPER_SCALE(   0.0156329162f),
        RX_PULSESHAPER_SCALE(  -0.0498897372f),
        RX_PULSESHAPER_SCALE(  -0.2986049366f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2335733040f),
        RX_PULSESHAPER_SCALE(   0.0247051240f),
        RX_PULSESHAPER_SCALE(   0.0246264305f),
        RX_PULSESHAPER_SCALE(   0.0265328074f),
        RX_PULSESHAPER_SCALE(  -0.0088499706f),
        RX_PULSESHAPER_SCALE(   0.0090461869f),
        RX_PULSESHAPER_SCALE(  -0.0033603740f),
        RX_PULSESHAPER_SCALE(   0.0035845338f),
        RX_PULSESHAPER_SCALE(  -0.0006171550f),
        RX_PULSESHAPER_SCALE(   0.0026519452f),
        RX_PULSESHAPER_SCALE(   0.0006451431f),
        RX_PULSESHAPER_SCALE(   0.0001565340f),
        RX_PULSESHAPER_SCALE(   0.0011435038f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008648861f),     /* Filter 147 */
        RX_PULSESHAPER_SCALE(   0.0022454449f),
        RX_PULSESHAPER_SCALE(  -0.0006840322f),
        RX_PULSESHAPER_SCALE(   0.0008131908f),
        RX_PULSESHAPER_SCALE(   0.0008518816f),
        RX_PULSESHAPER_SCALE(   0.0013468211f),
        RX_PULSESHAPER_SCALE(   0.0054738345f),
        RX_PULSESHAPER_SCALE(  -0.0017947547f),
        RX_PULSESHAPER_SCALE(   0.0225073813f),
        RX_PULSESHAPER_SCALE(  -0.0271091027f),
        RX_PULSESHAPER_SCALE(   0.0161501635f),
        RX_PULSESHAPER_SCALE(  -0.0501496196f),
        RX_PULSESHAPER_SCALE(  -0.2991230303f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2328161664f),
        RX_PULSESHAPER_SCALE(   0.0244694377f),
        RX_PULSESHAPER_SCALE(   0.0249104802f),
        RX_PULSESHAPER_SCALE(   0.0264756982f),
        RX_PULSESHAPER_SCALE(  -0.0087185362f),
        RX_PULSESHAPER_SCALE(   0.0090824740f),
        RX_PULSESHAPER_SCALE(  -0.0033318272f),
        RX_PULSESHAPER_SCALE(   0.0036182109f),
        RX_PULSESHAPER_SCALE(  -0.0006127207f),
        RX_PULSESHAPER_SCALE(   0.0026799584f),
        RX_PULSESHAPER_SCALE(   0.0006431203f),
        RX_PULSESHAPER_SCALE(   0.0001789534f),
        RX_PULSESHAPER_SCALE(   0.0011428431f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008587023f),     /* Filter 148 */
        RX_PULSESHAPER_SCALE(   0.0022683778f),
        RX_PULSESHAPER_SCALE(  -0.0006826330f),
        RX_PULSESHAPER_SCALE(   0.0008507279f),
        RX_PULSESHAPER_SCALE(   0.0008516536f),
        RX_PULSESHAPER_SCALE(   0.0014073359f),
        RX_PULSESHAPER_SCALE(   0.0054838337f),
        RX_PULSESHAPER_SCALE(  -0.0016882556f),
        RX_PULSESHAPER_SCALE(   0.0226360000f),
        RX_PULSESHAPER_SCALE(  -0.0270544266f),
        RX_PULSESHAPER_SCALE(   0.0166695439f),
        RX_PULSESHAPER_SCALE(  -0.0504094899f),
        RX_PULSESHAPER_SCALE(  -0.2996380474f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2320574532f),
        RX_PULSESHAPER_SCALE(   0.0242342199f),
        RX_PULSESHAPER_SCALE(   0.0251921647f),
        RX_PULSESHAPER_SCALE(   0.0264177717f),
        RX_PULSESHAPER_SCALE(  -0.0085873593f),
        RX_PULSESHAPER_SCALE(   0.0091180776f),
        RX_PULSESHAPER_SCALE(  -0.0033031971f),
        RX_PULSESHAPER_SCALE(   0.0036515417f),
        RX_PULSESHAPER_SCALE(  -0.0006082552f),
        RX_PULSESHAPER_SCALE(   0.0027077969f),
        RX_PULSESHAPER_SCALE(   0.0006410697f),
        RX_PULSESHAPER_SCALE(   0.0002013058f),
        RX_PULSESHAPER_SCALE(   0.0011421188f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008524546f),     /* Filter 149 */
        RX_PULSESHAPER_SCALE(   0.0022912487f),
        RX_PULSESHAPER_SCALE(  -0.0006811974f),
        RX_PULSESHAPER_SCALE(   0.0008882608f),
        RX_PULSESHAPER_SCALE(   0.0008513688f),
        RX_PULSESHAPER_SCALE(   0.0014679944f),
        RX_PULSESHAPER_SCALE(   0.0054935568f),
        RX_PULSESHAPER_SCALE(  -0.0015811220f),
        RX_PULSESHAPER_SCALE(   0.0227642679f),
        RX_PULSESHAPER_SCALE(  -0.0269984088f),
        RX_PULSESHAPER_SCALE(   0.0171910517f),
        RX_PULSESHAPER_SCALE(  -0.0506693430f),
        RX_PULSESHAPER_SCALE(  -0.3001499759f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2312971812f),
        RX_PULSESHAPER_SCALE(   0.0239994745f),
        RX_PULSESHAPER_SCALE(   0.0254714854f),
        RX_PULSESHAPER_SCALE(   0.0263590336f),
        RX_PULSESHAPER_SCALE(  -0.0084564445f),
        RX_PULSESHAPER_SCALE(   0.0091529987f),
        RX_PULSESHAPER_SCALE(  -0.0032744854f),
        RX_PULSESHAPER_SCALE(   0.0036845253f),
        RX_PULSESHAPER_SCALE(  -0.0006037588f),
        RX_PULSESHAPER_SCALE(   0.0027354594f),
        RX_PULSESHAPER_SCALE(   0.0006389915f),
        RX_PULSESHAPER_SCALE(   0.0002235902f),
        RX_PULSESHAPER_SCALE(   0.0011413310f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008461432f),     /* Filter 150 */
        RX_PULSESHAPER_SCALE(   0.0023140564f),
        RX_PULSESHAPER_SCALE(  -0.0006797256f),
        RX_PULSESHAPER_SCALE(   0.0009257874f),
        RX_PULSESHAPER_SCALE(   0.0008510270f),
        RX_PULSESHAPER_SCALE(   0.0015287936f),
        RX_PULSESHAPER_SCALE(   0.0055030023f),
        RX_PULSESHAPER_SCALE(  -0.0014733561f),
        RX_PULSESHAPER_SCALE(   0.0228921780f),
        RX_PULSESHAPER_SCALE(  -0.0269410455f),
        RX_PULSESHAPER_SCALE(   0.0177146810f),
        RX_PULSESHAPER_SCALE(  -0.0509291736f),
        RX_PULSESHAPER_SCALE(  -0.3006588040f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2305353671f),
        RX_PULSESHAPER_SCALE(   0.0237652053f),
        RX_PULSESHAPER_SCALE(   0.0257484433f),
        RX_PULSESHAPER_SCALE(   0.0262994898f),
        RX_PULSESHAPER_SCALE(  -0.0083257964f),
        RX_PULSESHAPER_SCALE(   0.0091872387f),
        RX_PULSESHAPER_SCALE(  -0.0032456942f),
        RX_PULSESHAPER_SCALE(   0.0037171608f),
        RX_PULSESHAPER_SCALE(  -0.0005992318f),
        RX_PULSESHAPER_SCALE(   0.0027629447f),
        RX_PULSESHAPER_SCALE(   0.0006368857f),
        RX_PULSESHAPER_SCALE(   0.0002458054f),
        RX_PULSESHAPER_SCALE(   0.0011404799f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008397684f),     /* Filter 151 */
        RX_PULSESHAPER_SCALE(   0.0023367996f),
        RX_PULSESHAPER_SCALE(  -0.0006782175f),
        RX_PULSESHAPER_SCALE(   0.0009633054f),
        RX_PULSESHAPER_SCALE(   0.0008506280f),
        RX_PULSESHAPER_SCALE(   0.0015897303f),
        RX_PULSESHAPER_SCALE(   0.0055121684f),
        RX_PULSESHAPER_SCALE(  -0.0013649602f),
        RX_PULSESHAPER_SCALE(   0.0230197236f),
        RX_PULSESHAPER_SCALE(  -0.0268823326f),
        RX_PULSESHAPER_SCALE(   0.0182404258f),
        RX_PULSESHAPER_SCALE(  -0.0511889765f),
        RX_PULSESHAPER_SCALE(  -0.3011645199f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2297720275f),
        RX_PULSESHAPER_SCALE(   0.0235314164f),
        RX_PULSESHAPER_SCALE(   0.0260230397f),
        RX_PULSESHAPER_SCALE(   0.0262391462f),
        RX_PULSESHAPER_SCALE(  -0.0081954197f),
        RX_PULSESHAPER_SCALE(   0.0092207986f),
        RX_PULSESHAPER_SCALE(  -0.0032168253f),
        RX_PULSESHAPER_SCALE(   0.0037494474f),
        RX_PULSESHAPER_SCALE(  -0.0005946746f),
        RX_PULSESHAPER_SCALE(   0.0027902517f),
        RX_PULSESHAPER_SCALE(   0.0006347526f),
        RX_PULSESHAPER_SCALE(   0.0002679505f),
        RX_PULSESHAPER_SCALE(   0.0011395657f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008333304f),     /* Filter 152 */
        RX_PULSESHAPER_SCALE(   0.0023594768f),
        RX_PULSESHAPER_SCALE(  -0.0006766731f),
        RX_PULSESHAPER_SCALE(   0.0010008128f),
        RX_PULSESHAPER_SCALE(   0.0008501718f),
        RX_PULSESHAPER_SCALE(   0.0016508017f),
        RX_PULSESHAPER_SCALE(   0.0055210536f),
        RX_PULSESHAPER_SCALE(  -0.0012559367f),
        RX_PULSESHAPER_SCALE(   0.0231468976f),
        RX_PULSESHAPER_SCALE(  -0.0268222664f),
        RX_PULSESHAPER_SCALE(   0.0187682801f),
        RX_PULSESHAPER_SCALE(  -0.0514487463f),
        RX_PULSESHAPER_SCALE(  -0.3016671118f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2290071794f),
        RX_PULSESHAPER_SCALE(   0.0232981115f),
        RX_PULSESHAPER_SCALE(   0.0262952762f),
        RX_PULSESHAPER_SCALE(   0.0261780087f),
        RX_PULSESHAPER_SCALE(  -0.0080653190f),
        RX_PULSESHAPER_SCALE(   0.0092536797f),
        RX_PULSESHAPER_SCALE(  -0.0031878805f),
        RX_PULSESHAPER_SCALE(   0.0037813843f),
        RX_PULSESHAPER_SCALE(  -0.0005900874f),
        RX_PULSESHAPER_SCALE(   0.0028173791f),
        RX_PULSESHAPER_SCALE(   0.0006325923f),
        RX_PULSESHAPER_SCALE(   0.0002900244f),
        RX_PULSESHAPER_SCALE(   0.0011385887f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008268292f),     /* Filter 153 */
        RX_PULSESHAPER_SCALE(   0.0023820868f),
        RX_PULSESHAPER_SCALE(  -0.0006750925f),
        RX_PULSESHAPER_SCALE(   0.0010383075f),
        RX_PULSESHAPER_SCALE(   0.0008496582f),
        RX_PULSESHAPER_SCALE(   0.0017120047f),
        RX_PULSESHAPER_SCALE(   0.0055296561f),
        RX_PULSESHAPER_SCALE(  -0.0011462879f),
        RX_PULSESHAPER_SCALE(   0.0232736933f),
        RX_PULSESHAPER_SCALE(  -0.0267608429f),
        RX_PULSESHAPER_SCALE(   0.0192982379f),
        RX_PULSESHAPER_SCALE(  -0.0517084777f),
        RX_PULSESHAPER_SCALE(  -0.3021665681f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2282408395f),
        RX_PULSESHAPER_SCALE(   0.0230652946f),
        RX_PULSESHAPER_SCALE(   0.0265651540f),
        RX_PULSESHAPER_SCALE(   0.0261160831f),
        RX_PULSESHAPER_SCALE(  -0.0079354987f),
        RX_PULSESHAPER_SCALE(   0.0092858833f),
        RX_PULSESHAPER_SCALE(  -0.0031588619f),
        RX_PULSESHAPER_SCALE(   0.0038129707f),
        RX_PULSESHAPER_SCALE(  -0.0005854707f),
        RX_PULSESHAPER_SCALE(   0.0028443259f),
        RX_PULSESHAPER_SCALE(   0.0006304051f),
        RX_PULSESHAPER_SCALE(   0.0003120261f),
        RX_PULSESHAPER_SCALE(   0.0011375490f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008202653f),     /* Filter 154 */
        RX_PULSESHAPER_SCALE(   0.0024046282f),
        RX_PULSESHAPER_SCALE(  -0.0006734757f),
        RX_PULSESHAPER_SCALE(   0.0010757872f),
        RX_PULSESHAPER_SCALE(   0.0008490870f),
        RX_PULSESHAPER_SCALE(   0.0017733362f),
        RX_PULSESHAPER_SCALE(   0.0055379744f),
        RX_PULSESHAPER_SCALE(  -0.0010360162f),
        RX_PULSESHAPER_SCALE(   0.0234001037f),
        RX_PULSESHAPER_SCALE(  -0.0266980583f),
        RX_PULSESHAPER_SCALE(   0.0198302930f),
        RX_PULSESHAPER_SCALE(  -0.0519681655f),
        RX_PULSESHAPER_SCALE(  -0.3026628770f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2274730246f),
        RX_PULSESHAPER_SCALE(   0.0228329695f),
        RX_PULSESHAPER_SCALE(   0.0268326747f),
        RX_PULSESHAPER_SCALE(   0.0260533754f),
        RX_PULSESHAPER_SCALE(  -0.0078059635f),
        RX_PULSESHAPER_SCALE(   0.0093174106f),
        RX_PULSESHAPER_SCALE(  -0.0031297713f),
        RX_PULSESHAPER_SCALE(   0.0038442058f),
        RX_PULSESHAPER_SCALE(  -0.0005808248f),
        RX_PULSESHAPER_SCALE(   0.0028710908f),
        RX_PULSESHAPER_SCALE(   0.0006281909f),
        RX_PULSESHAPER_SCALE(   0.0003339546f),
        RX_PULSESHAPER_SCALE(   0.0011364468f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008136387f),     /* Filter 155 */
        RX_PULSESHAPER_SCALE(   0.0024270997f),
        RX_PULSESHAPER_SCALE(  -0.0006718227f),
        RX_PULSESHAPER_SCALE(   0.0011132498f),
        RX_PULSESHAPER_SCALE(   0.0008484582f),
        RX_PULSESHAPER_SCALE(   0.0018347932f),
        RX_PULSESHAPER_SCALE(   0.0055460068f),
        RX_PULSESHAPER_SCALE(  -0.0009251240f),
        RX_PULSESHAPER_SCALE(   0.0235261219f),
        RX_PULSESHAPER_SCALE(  -0.0266339089f),
        RX_PULSESHAPER_SCALE(   0.0203644392f),
        RX_PULSESHAPER_SCALE(  -0.0522278044f),
        RX_PULSESHAPER_SCALE(  -0.3031560272f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2267037515f),
        RX_PULSESHAPER_SCALE(   0.0226011400f),
        RX_PULSESHAPER_SCALE(   0.0270978398f),
        RX_PULSESHAPER_SCALE(   0.0259898914f),
        RX_PULSESHAPER_SCALE(  -0.0076767177f),
        RX_PULSESHAPER_SCALE(   0.0093482630f),
        RX_PULSESHAPER_SCALE(  -0.0031006106f),
        RX_PULSESHAPER_SCALE(   0.0038750888f),
        RX_PULSESHAPER_SCALE(  -0.0005761500f),
        RX_PULSESHAPER_SCALE(   0.0028976727f),
        RX_PULSESHAPER_SCALE(   0.0006259502f),
        RX_PULSESHAPER_SCALE(   0.0003558089f),
        RX_PULSESHAPER_SCALE(   0.0011352824f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008069497f),     /* Filter 156 */
        RX_PULSESHAPER_SCALE(   0.0024495000f),
        RX_PULSESHAPER_SCALE(  -0.0006701335f),
        RX_PULSESHAPER_SCALE(   0.0011506931f),
        RX_PULSESHAPER_SCALE(   0.0008477717f),
        RX_PULSESHAPER_SCALE(   0.0018963727f),
        RX_PULSESHAPER_SCALE(   0.0055537517f),
        RX_PULSESHAPER_SCALE(  -0.0008136138f),
        RX_PULSESHAPER_SCALE(   0.0236517409f),
        RX_PULSESHAPER_SCALE(  -0.0265683908f),
        RX_PULSESHAPER_SCALE(   0.0209006701f),
        RX_PULSESHAPER_SCALE(  -0.0524873890f),
        RX_PULSESHAPER_SCALE(  -0.3036460072f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2259330372f),
        RX_PULSESHAPER_SCALE(   0.0223698100f),
        RX_PULSESHAPER_SCALE(   0.0273606510f),
        RX_PULSESHAPER_SCALE(   0.0259256370f),
        RX_PULSESHAPER_SCALE(  -0.0075477659f),
        RX_PULSESHAPER_SCALE(   0.0093784417f),
        RX_PULSESHAPER_SCALE(  -0.0030713817f),
        RX_PULSESHAPER_SCALE(   0.0039056190f),
        RX_PULSESHAPER_SCALE(  -0.0005714466f),
        RX_PULSESHAPER_SCALE(   0.0029240705f),
        RX_PULSESHAPER_SCALE(   0.0006236829f),
        RX_PULSESHAPER_SCALE(   0.0003775879f),
        RX_PULSESHAPER_SCALE(   0.0011340559f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0008001985f),     /* Filter 157 */
        RX_PULSESHAPER_SCALE(   0.0024718278f),
        RX_PULSESHAPER_SCALE(  -0.0006684082f),
        RX_PULSESHAPER_SCALE(   0.0011881150f),
        RX_PULSESHAPER_SCALE(   0.0008470272f),
        RX_PULSESHAPER_SCALE(   0.0019580714f),
        RX_PULSESHAPER_SCALE(   0.0055612076f),
        RX_PULSESHAPER_SCALE(  -0.0007014881f),
        RX_PULSESHAPER_SCALE(   0.0237769538f),
        RX_PULSESHAPER_SCALE(  -0.0265015003f),
        RX_PULSESHAPER_SCALE(   0.0214389795f),
        RX_PULSESHAPER_SCALE(  -0.0527469141f),
        RX_PULSESHAPER_SCALE(  -0.3041328055f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2251608984f),
        RX_PULSESHAPER_SCALE(   0.0221389831f),
        RX_PULSESHAPER_SCALE(   0.0276211099f),
        RX_PULSESHAPER_SCALE(   0.0258606181f),
        RX_PULSESHAPER_SCALE(  -0.0074191125f),
        RX_PULSESHAPER_SCALE(   0.0094079482f),
        RX_PULSESHAPER_SCALE(  -0.0030420864f),
        RX_PULSESHAPER_SCALE(   0.0039357958f),
        RX_PULSESHAPER_SCALE(  -0.0005667150f),
        RX_PULSESHAPER_SCALE(   0.0029502832f),
        RX_PULSESHAPER_SCALE(   0.0006213893f),
        RX_PULSESHAPER_SCALE(   0.0003992906f),
        RX_PULSESHAPER_SCALE(   0.0011327676f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007933854f),     /* Filter 158 */
        RX_PULSESHAPER_SCALE(   0.0024940816f),
        RX_PULSESHAPER_SCALE(  -0.0006666467f),
        RX_PULSESHAPER_SCALE(   0.0012255133f),
        RX_PULSESHAPER_SCALE(   0.0008462248f),
        RX_PULSESHAPER_SCALE(   0.0020198864f),
        RX_PULSESHAPER_SCALE(   0.0055683728f),
        RX_PULSESHAPER_SCALE(  -0.0005887495f),
        RX_PULSESHAPER_SCALE(   0.0239017537f),
        RX_PULSESHAPER_SCALE(  -0.0264332338f),
        RX_PULSESHAPER_SCALE(   0.0219793609f),
        RX_PULSESHAPER_SCALE(  -0.0530063743f),
        RX_PULSESHAPER_SCALE(  -0.3046164108f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2243873521f),
        RX_PULSESHAPER_SCALE(   0.0219086633f),
        RX_PULSESHAPER_SCALE(   0.0278792183f),
        RX_PULSESHAPER_SCALE(   0.0257948406f),
        RX_PULSESHAPER_SCALE(  -0.0072907619f),
        RX_PULSESHAPER_SCALE(   0.0094367838f),
        RX_PULSESHAPER_SCALE(  -0.0030127267f),
        RX_PULSESHAPER_SCALE(   0.0039656183f),
        RX_PULSESHAPER_SCALE(  -0.0005619554f),
        RX_PULSESHAPER_SCALE(   0.0029763095f),
        RX_PULSESHAPER_SCALE(   0.0006190695f),
        RX_PULSESHAPER_SCALE(   0.0004209161f),
        RX_PULSESHAPER_SCALE(   0.0011314176f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007865106f),     /* Filter 159 */
        RX_PULSESHAPER_SCALE(   0.0025162602f),
        RX_PULSESHAPER_SCALE(  -0.0006648492f),
        RX_PULSESHAPER_SCALE(   0.0012628858f),
        RX_PULSESHAPER_SCALE(   0.0008453642f),
        RX_PULSESHAPER_SCALE(   0.0020818144f),
        RX_PULSESHAPER_SCALE(   0.0055752457f),
        RX_PULSESHAPER_SCALE(  -0.0004754005f),
        RX_PULSESHAPER_SCALE(   0.0240261335f),
        RX_PULSESHAPER_SCALE(  -0.0263635874f),
        RX_PULSESHAPER_SCALE(   0.0225218078f),
        RX_PULSESHAPER_SCALE(  -0.0532657643f),
        RX_PULSESHAPER_SCALE(  -0.3050968119f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2236124152f),
        RX_PULSESHAPER_SCALE(   0.0216788541f),
        RX_PULSESHAPER_SCALE(   0.0281349780f),
        RX_PULSESHAPER_SCALE(   0.0257283106f),
        RX_PULSESHAPER_SCALE(  -0.0071627185f),
        RX_PULSESHAPER_SCALE(   0.0094649500f),
        RX_PULSESHAPER_SCALE(  -0.0029833045f),
        RX_PULSESHAPER_SCALE(   0.0039950860f),
        RX_PULSESHAPER_SCALE(  -0.0005571684f),
        RX_PULSESHAPER_SCALE(   0.0030021485f),
        RX_PULSESHAPER_SCALE(   0.0006167238f),
        RX_PULSESHAPER_SCALE(   0.0004424633f),
        RX_PULSESHAPER_SCALE(   0.0011300063f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007795743f),     /* Filter 160 */
        RX_PULSESHAPER_SCALE(   0.0025383623f),
        RX_PULSESHAPER_SCALE(  -0.0006630155f),
        RX_PULSESHAPER_SCALE(   0.0013002304f),
        RX_PULSESHAPER_SCALE(   0.0008444455f),
        RX_PULSESHAPER_SCALE(   0.0021438523f),
        RX_PULSESHAPER_SCALE(   0.0055818247f),
        RX_PULSESHAPER_SCALE(  -0.0003614437f),
        RX_PULSESHAPER_SCALE(   0.0241500864f),
        RX_PULSESHAPER_SCALE(  -0.0262925577f),
        RX_PULSESHAPER_SCALE(   0.0230663136f),
        RX_PULSESHAPER_SCALE(  -0.0535250789f),
        RX_PULSESHAPER_SCALE(  -0.3055739975f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2228361046f),
        RX_PULSESHAPER_SCALE(   0.0214495595f),
        RX_PULSESHAPER_SCALE(   0.0283883908f),
        RX_PULSESHAPER_SCALE(   0.0256610338f),
        RX_PULSESHAPER_SCALE(  -0.0070349866f),
        RX_PULSESHAPER_SCALE(   0.0094924482f),
        RX_PULSESHAPER_SCALE(  -0.0029538216f),
        RX_PULSESHAPER_SCALE(   0.0040241981f),
        RX_PULSESHAPER_SCALE(  -0.0005523541f),
        RX_PULSESHAPER_SCALE(   0.0030277990f),
        RX_PULSESHAPER_SCALE(   0.0006143522f),
        RX_PULSESHAPER_SCALE(   0.0004639312f),
        RX_PULSESHAPER_SCALE(   0.0011285338f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007725768f),     /* Filter 161 */
        RX_PULSESHAPER_SCALE(   0.0025603865f),
        RX_PULSESHAPER_SCALE(  -0.0006611459f),
        RX_PULSESHAPER_SCALE(   0.0013375449f),
        RX_PULSESHAPER_SCALE(   0.0008434684f),
        RX_PULSESHAPER_SCALE(   0.0022059971f),
        RX_PULSESHAPER_SCALE(   0.0055881084f),
        RX_PULSESHAPER_SCALE(  -0.0002468818f),
        RX_PULSESHAPER_SCALE(   0.0242736052f),
        RX_PULSESHAPER_SCALE(  -0.0262201409f),
        RX_PULSESHAPER_SCALE(   0.0236128718f),
        RX_PULSESHAPER_SCALE(  -0.0537843126f),
        RX_PULSESHAPER_SCALE(  -0.3060479567f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2220584373f),
        RX_PULSESHAPER_SCALE(   0.0212207830f),
        RX_PULSESHAPER_SCALE(   0.0286394587f),
        RX_PULSESHAPER_SCALE(   0.0255930162f),
        RX_PULSESHAPER_SCALE(  -0.0069075706f),
        RX_PULSESHAPER_SCALE(   0.0095192797f),
        RX_PULSESHAPER_SCALE(  -0.0029242798f),
        RX_PULSESHAPER_SCALE(   0.0040529541f),
        RX_PULSESHAPER_SCALE(  -0.0005475129f),
        RX_PULSESHAPER_SCALE(   0.0030532601f),
        RX_PULSESHAPER_SCALE(   0.0006119550f),
        RX_PULSESHAPER_SCALE(   0.0004853190f),
        RX_PULSESHAPER_SCALE(   0.0011270003f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007655182f),     /* Filter 162 */
        RX_PULSESHAPER_SCALE(   0.0025823316f),
        RX_PULSESHAPER_SCALE(  -0.0006592403f),
        RX_PULSESHAPER_SCALE(   0.0013748270f),
        RX_PULSESHAPER_SCALE(   0.0008424329f),
        RX_PULSESHAPER_SCALE(   0.0022682454f),
        RX_PULSESHAPER_SCALE(   0.0055940951f),
        RX_PULSESHAPER_SCALE(  -0.0001317174f),
        RX_PULSESHAPER_SCALE(   0.0243966831f),
        RX_PULSESHAPER_SCALE(  -0.0261463334f),
        RX_PULSESHAPER_SCALE(   0.0241614756f),
        RX_PULSESHAPER_SCALE(  -0.0540434601f),
        RX_PULSESHAPER_SCALE(  -0.3065186783f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2212794302f),
        RX_PULSESHAPER_SCALE(   0.0209925284f),
        RX_PULSESHAPER_SCALE(   0.0288881836f),
        RX_PULSESHAPER_SCALE(   0.0255242637f),
        RX_PULSESHAPER_SCALE(  -0.0067804747f),
        RX_PULSESHAPER_SCALE(   0.0095454462f),
        RX_PULSESHAPER_SCALE(  -0.0028946812f),
        RX_PULSESHAPER_SCALE(   0.0040813534f),
        RX_PULSESHAPER_SCALE(  -0.0005426452f),
        RX_PULSESHAPER_SCALE(   0.0030785306f),
        RX_PULSESHAPER_SCALE(   0.0006095323f),
        RX_PULSESHAPER_SCALE(   0.0005066256f),
        RX_PULSESHAPER_SCALE(   0.0011254061f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007583989f),     /* Filter 163 */
        RX_PULSESHAPER_SCALE(   0.0026041961f),
        RX_PULSESHAPER_SCALE(  -0.0006572987f),
        RX_PULSESHAPER_SCALE(   0.0014120747f),
        RX_PULSESHAPER_SCALE(   0.0008413389f),
        RX_PULSESHAPER_SCALE(   0.0023305941f),
        RX_PULSESHAPER_SCALE(   0.0055997832f),
        RX_PULSESHAPER_SCALE(  -0.0000159533f),
        RX_PULSESHAPER_SCALE(   0.0245193130f),
        RX_PULSESHAPER_SCALE(  -0.0260711318f),
        RX_PULSESHAPER_SCALE(   0.0247121184f),
        RX_PULSESHAPER_SCALE(  -0.0543025161f),
        RX_PULSESHAPER_SCALE(  -0.3069861513f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2204991004f),
        RX_PULSESHAPER_SCALE(   0.0207647994f),
        RX_PULSESHAPER_SCALE(   0.0291345677f),
        RX_PULSESHAPER_SCALE(   0.0254547824f),
        RX_PULSESHAPER_SCALE(  -0.0066537032f),
        RX_PULSESHAPER_SCALE(   0.0095709492f),
        RX_PULSESHAPER_SCALE(  -0.0028650274f),
        RX_PULSESHAPER_SCALE(   0.0041093953f),
        RX_PULSESHAPER_SCALE(  -0.0005377513f),
        RX_PULSESHAPER_SCALE(   0.0031036095f),
        RX_PULSESHAPER_SCALE(   0.0006070844f),
        RX_PULSESHAPER_SCALE(   0.0005278500f),
        RX_PULSESHAPER_SCALE(   0.0011237514f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007512192f),     /* Filter 164 */
        RX_PULSESHAPER_SCALE(   0.0026259788f),
        RX_PULSESHAPER_SCALE(  -0.0006553212f),
        RX_PULSESHAPER_SCALE(   0.0014492856f),
        RX_PULSESHAPER_SCALE(   0.0008401862f),
        RX_PULSESHAPER_SCALE(   0.0023930400f),
        RX_PULSESHAPER_SCALE(   0.0056051713f),
        RX_PULSESHAPER_SCALE(   0.0001004077f),
        RX_PULSESHAPER_SCALE(   0.0246414879f),
        RX_PULSESHAPER_SCALE(  -0.0259945325f),
        RX_PULSESHAPER_SCALE(   0.0252647932f),
        RX_PULSESHAPER_SCALE(  -0.0545614753f),
        RX_PULSESHAPER_SCALE(  -0.3074503650f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2197174647f),
        RX_PULSESHAPER_SCALE(   0.0205375995f),
        RX_PULSESHAPER_SCALE(   0.0293786129f),
        RX_PULSESHAPER_SCALE(   0.0253845780f),
        RX_PULSESHAPER_SCALE(  -0.0065272604f),
        RX_PULSESHAPER_SCALE(   0.0095957901f),
        RX_PULSESHAPER_SCALE(  -0.0028353205f),
        RX_PULSESHAPER_SCALE(   0.0041370793f),
        RX_PULSESHAPER_SCALE(  -0.0005328315f),
        RX_PULSESHAPER_SCALE(   0.0031284957f),
        RX_PULSESHAPER_SCALE(   0.0006046113f),
        RX_PULSESHAPER_SCALE(   0.0005489913f),
        RX_PULSESHAPER_SCALE(   0.0011220364f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007439791f),     /* Filter 165 */
        RX_PULSESHAPER_SCALE(   0.0026476784f),
        RX_PULSESHAPER_SCALE(  -0.0006533078f),
        RX_PULSESHAPER_SCALE(   0.0014864577f),
        RX_PULSESHAPER_SCALE(   0.0008389749f),
        RX_PULSESHAPER_SCALE(   0.0024555799f),
        RX_PULSESHAPER_SCALE(   0.0056102577f),
        RX_PULSESHAPER_SCALE(   0.0002173630f),
        RX_PULSESHAPER_SCALE(   0.0247632008f),
        RX_PULSESHAPER_SCALE(  -0.0259165320f),
        RX_PULSESHAPER_SCALE(   0.0258194932f),
        RX_PULSESHAPER_SCALE(  -0.0548203323f),
        RX_PULSESHAPER_SCALE(  -0.3079113084f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2189345403f),
        RX_PULSESHAPER_SCALE(   0.0203109325f),
        RX_PULSESHAPER_SCALE(   0.0296203216f),
        RX_PULSESHAPER_SCALE(   0.0253136566f),
        RX_PULSESHAPER_SCALE(  -0.0064011503f),
        RX_PULSESHAPER_SCALE(   0.0096199706f),
        RX_PULSESHAPER_SCALE(  -0.0028055622f),
        RX_PULSESHAPER_SCALE(   0.0041644048f),
        RX_PULSESHAPER_SCALE(  -0.0005278862f),
        RX_PULSESHAPER_SCALE(   0.0031531884f),
        RX_PULSESHAPER_SCALE(   0.0006021133f),
        RX_PULSESHAPER_SCALE(   0.0005700485f),
        RX_PULSESHAPER_SCALE(   0.0011202614f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007366791f),     /* Filter 166 */
        RX_PULSESHAPER_SCALE(   0.0026692935f),
        RX_PULSESHAPER_SCALE(  -0.0006512586f),
        RX_PULSESHAPER_SCALE(   0.0015235887f),
        RX_PULSESHAPER_SCALE(   0.0008377047f),
        RX_PULSESHAPER_SCALE(   0.0025182105f),
        RX_PULSESHAPER_SCALE(   0.0056150410f),
        RX_PULSESHAPER_SCALE(   0.0003349096f),
        RX_PULSESHAPER_SCALE(   0.0248844446f),
        RX_PULSESHAPER_SCALE(  -0.0258371268f),
        RX_PULSESHAPER_SCALE(   0.0263762114f),
        RX_PULSESHAPER_SCALE(  -0.0550790818f),
        RX_PULSESHAPER_SCALE(  -0.3083689708f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2181503441f),
        RX_PULSESHAPER_SCALE(   0.0200848019f),
        RX_PULSESHAPER_SCALE(   0.0298596959f),
        RX_PULSESHAPER_SCALE(   0.0252420241f),
        RX_PULSESHAPER_SCALE(  -0.0062753773f),
        RX_PULSESHAPER_SCALE(   0.0096434922f),
        RX_PULSESHAPER_SCALE(  -0.0027757545f),
        RX_PULSESHAPER_SCALE(   0.0041913713f),
        RX_PULSESHAPER_SCALE(  -0.0005229157f),
        RX_PULSESHAPER_SCALE(   0.0031776865f),
        RX_PULSESHAPER_SCALE(   0.0005995906f),
        RX_PULSESHAPER_SCALE(   0.0005910207f),
        RX_PULSESHAPER_SCALE(   0.0011184266f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007293194f),     /* Filter 167 */
        RX_PULSESHAPER_SCALE(   0.0026908229f),
        RX_PULSESHAPER_SCALE(  -0.0006491735f),
        RX_PULSESHAPER_SCALE(   0.0015606764f),
        RX_PULSESHAPER_SCALE(   0.0008363757f),
        RX_PULSESHAPER_SCALE(   0.0025809285f),
        RX_PULSESHAPER_SCALE(   0.0056195197f),
        RX_PULSESHAPER_SCALE(   0.0004530446f),
        RX_PULSESHAPER_SCALE(   0.0250052123f),
        RX_PULSESHAPER_SCALE(  -0.0257563136f),
        RX_PULSESHAPER_SCALE(   0.0269349408f),
        RX_PULSESHAPER_SCALE(  -0.0553377184f),
        RX_PULSESHAPER_SCALE(  -0.3088233415f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2173648932f),
        RX_PULSESHAPER_SCALE(   0.0198592114f),
        RX_PULSESHAPER_SCALE(   0.0300967381f),
        RX_PULSESHAPER_SCALE(   0.0251696864f),
        RX_PULSESHAPER_SCALE(  -0.0061499454f),
        RX_PULSESHAPER_SCALE(   0.0096663566f),
        RX_PULSESHAPER_SCALE(  -0.0027458991f),
        RX_PULSESHAPER_SCALE(   0.0042179784f),
        RX_PULSESHAPER_SCALE(  -0.0005179204f),
        RX_PULSESHAPER_SCALE(   0.0032019890f),
        RX_PULSESHAPER_SCALE(   0.0005970433f),
        RX_PULSESHAPER_SCALE(   0.0006119070f),
        RX_PULSESHAPER_SCALE(   0.0011165323f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007219003f),     /* Filter 168 */
        RX_PULSESHAPER_SCALE(   0.0027122652f),
        RX_PULSESHAPER_SCALE(  -0.0006470528f),
        RX_PULSESHAPER_SCALE(   0.0015977186f),
        RX_PULSESHAPER_SCALE(   0.0008349877f),
        RX_PULSESHAPER_SCALE(   0.0026437308f),
        RX_PULSESHAPER_SCALE(   0.0056236922f),
        RX_PULSESHAPER_SCALE(   0.0005717653f),
        RX_PULSESHAPER_SCALE(   0.0251254969f),
        RX_PULSESHAPER_SCALE(  -0.0256740889f),
        RX_PULSESHAPER_SCALE(   0.0274956742f),
        RX_PULSESHAPER_SCALE(  -0.0555962367f),
        RX_PULSESHAPER_SCALE(  -0.3092744100f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2165782047f),
        RX_PULSESHAPER_SCALE(   0.0196341644f),
        RX_PULSESHAPER_SCALE(   0.0303314506f),
        RX_PULSESHAPER_SCALE(   0.0250966496f),
        RX_PULSESHAPER_SCALE(  -0.0060248587f),
        RX_PULSESHAPER_SCALE(   0.0096885653f),
        RX_PULSESHAPER_SCALE(  -0.0027159979f),
        RX_PULSESHAPER_SCALE(   0.0042442254f),
        RX_PULSESHAPER_SCALE(  -0.0005129006f),
        RX_PULSESHAPER_SCALE(   0.0032260949f),
        RX_PULSESHAPER_SCALE(   0.0005944716f),
        RX_PULSESHAPER_SCALE(   0.0006327063f),
        RX_PULSESHAPER_SCALE(   0.0011145787f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007144219f),     /* Filter 169 */
        RX_PULSESHAPER_SCALE(   0.0027336191f),
        RX_PULSESHAPER_SCALE(  -0.0006448964f),
        RX_PULSESHAPER_SCALE(   0.0016347131f),
        RX_PULSESHAPER_SCALE(   0.0008335406f),
        RX_PULSESHAPER_SCALE(   0.0027066140f),
        RX_PULSESHAPER_SCALE(   0.0056275570f),
        RX_PULSESHAPER_SCALE(   0.0006910686f),
        RX_PULSESHAPER_SCALE(   0.0252452912f),
        RX_PULSESHAPER_SCALE(  -0.0255904493f),
        RX_PULSESHAPER_SCALE(   0.0280584046f),
        RX_PULSESHAPER_SCALE(  -0.0558546314f),
        RX_PULSESHAPER_SCALE(  -0.3097221657f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2157902956f),
        RX_PULSESHAPER_SCALE(   0.0194096646f),
        RX_PULSESHAPER_SCALE(   0.0305638358f),
        RX_PULSESHAPER_SCALE(   0.0250229195f),
        RX_PULSESHAPER_SCALE(  -0.0059001214f),
        RX_PULSESHAPER_SCALE(   0.0097101202f),
        RX_PULSESHAPER_SCALE(  -0.0026860528f),
        RX_PULSESHAPER_SCALE(   0.0042701120f),
        RX_PULSESHAPER_SCALE(  -0.0005078566f),
        RX_PULSESHAPER_SCALE(   0.0032500034f),
        RX_PULSESHAPER_SCALE(   0.0005918757f),
        RX_PULSESHAPER_SCALE(   0.0006534178f),
        RX_PULSESHAPER_SCALE(   0.0011125661f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0007068847f),     /* Filter 170 */
        RX_PULSESHAPER_SCALE(   0.0027548834f),
        RX_PULSESHAPER_SCALE(  -0.0006427043f),
        RX_PULSESHAPER_SCALE(   0.0016716577f),
        RX_PULSESHAPER_SCALE(   0.0008320344f),
        RX_PULSESHAPER_SCALE(   0.0027695749f),
        RX_PULSESHAPER_SCALE(   0.0056311126f),
        RX_PULSESHAPER_SCALE(   0.0008109515f),
        RX_PULSESHAPER_SCALE(   0.0253645883f),
        RX_PULSESHAPER_SCALE(  -0.0255053915f),
        RX_PULSESHAPER_SCALE(   0.0286231247f),
        RX_PULSESHAPER_SCALE(  -0.0561128972f),
        RX_PULSESHAPER_SCALE(  -0.3101665981f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2150011830f),
        RX_PULSESHAPER_SCALE(   0.0191857156f),
        RX_PULSESHAPER_SCALE(   0.0307938962f),
        RX_PULSESHAPER_SCALE(   0.0249485022f),
        RX_PULSESHAPER_SCALE(  -0.0057757375f),
        RX_PULSESHAPER_SCALE(   0.0097310227f),
        RX_PULSESHAPER_SCALE(  -0.0026560656f),
        RX_PULSESHAPER_SCALE(   0.0042956378f),
        RX_PULSESHAPER_SCALE(  -0.0005027888f),
        RX_PULSESHAPER_SCALE(   0.0032737133f),
        RX_PULSESHAPER_SCALE(   0.0005892558f),
        RX_PULSESHAPER_SCALE(   0.0006740406f),
        RX_PULSESHAPER_SCALE(   0.0011104946f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006992888f),     /* Filter 171 */
        RX_PULSESHAPER_SCALE(   0.0027760566f),
        RX_PULSESHAPER_SCALE(  -0.0006404767f),
        RX_PULSESHAPER_SCALE(   0.0017085502f),
        RX_PULSESHAPER_SCALE(   0.0008304690f),
        RX_PULSESHAPER_SCALE(   0.0028326100f),
        RX_PULSESHAPER_SCALE(   0.0056343577f),
        RX_PULSESHAPER_SCALE(   0.0009314112f),
        RX_PULSESHAPER_SCALE(   0.0254833811f),
        RX_PULSESHAPER_SCALE(  -0.0254189123f),
        RX_PULSESHAPER_SCALE(   0.0291898272f),
        RX_PULSESHAPER_SCALE(  -0.0563710286f),
        RX_PULSESHAPER_SCALE(  -0.3106076970f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2142108840f),
        RX_PULSESHAPER_SCALE(   0.0189623207f),
        RX_PULSESHAPER_SCALE(   0.0310216342f),
        RX_PULSESHAPER_SCALE(   0.0248734035f),
        RX_PULSESHAPER_SCALE(  -0.0056517110f),
        RX_PULSESHAPER_SCALE(   0.0097512747f),
        RX_PULSESHAPER_SCALE(  -0.0026260381f),
        RX_PULSESHAPER_SCALE(   0.0043208022f),
        RX_PULSESHAPER_SCALE(  -0.0004976976f),
        RX_PULSESHAPER_SCALE(   0.0032972239f),
        RX_PULSESHAPER_SCALE(   0.0005866120f),
        RX_PULSESHAPER_SCALE(   0.0006945738f),
        RX_PULSESHAPER_SCALE(   0.0011083646f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006916346f),     /* Filter 172 */
        RX_PULSESHAPER_SCALE(   0.0027971376f),
        RX_PULSESHAPER_SCALE(  -0.0006382135f),
        RX_PULSESHAPER_SCALE(   0.0017453884f),
        RX_PULSESHAPER_SCALE(   0.0008288442f),
        RX_PULSESHAPER_SCALE(   0.0028957161f),
        RX_PULSESHAPER_SCALE(   0.0056372906f),
        RX_PULSESHAPER_SCALE(   0.0010524444f),
        RX_PULSESHAPER_SCALE(   0.0256016624f),
        RX_PULSESHAPER_SCALE(  -0.0253310083f),
        RX_PULSESHAPER_SCALE(   0.0297585047f),
        RX_PULSESHAPER_SCALE(  -0.0566290203f),
        RX_PULSESHAPER_SCALE(  -0.3110454518f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2134194157f),
        RX_PULSESHAPER_SCALE(   0.0187394835f),
        RX_PULSESHAPER_SCALE(   0.0312470526f),
        RX_PULSESHAPER_SCALE(   0.0247976295f),
        RX_PULSESHAPER_SCALE(  -0.0055280459f),
        RX_PULSESHAPER_SCALE(   0.0097708779f),
        RX_PULSESHAPER_SCALE(  -0.0025959722f),
        RX_PULSESHAPER_SCALE(   0.0043456050f),
        RX_PULSESHAPER_SCALE(  -0.0004925832f),
        RX_PULSESHAPER_SCALE(   0.0033205342f),
        RX_PULSESHAPER_SCALE(   0.0005839447f),
        RX_PULSESHAPER_SCALE(   0.0007150163f),
        RX_PULSESHAPER_SCALE(   0.0011061764f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006839223f),     /* Filter 173 */
        RX_PULSESHAPER_SCALE(   0.0028181249f),
        RX_PULSESHAPER_SCALE(  -0.0006359148f),
        RX_PULSESHAPER_SCALE(   0.0017821701f),
        RX_PULSESHAPER_SCALE(   0.0008271602f),
        RX_PULSESHAPER_SCALE(   0.0029588899f),
        RX_PULSESHAPER_SCALE(   0.0056399099f),
        RX_PULSESHAPER_SCALE(   0.0011740482f),
        RX_PULSESHAPER_SCALE(   0.0257194252f),
        RX_PULSESHAPER_SCALE(  -0.0252416763f),
        RX_PULSESHAPER_SCALE(   0.0303291499f),
        RX_PULSESHAPER_SCALE(  -0.0568868670f),
        RX_PULSESHAPER_SCALE(  -0.3114798526f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2126267952f),
        RX_PULSESHAPER_SCALE(   0.0185172074f),
        RX_PULSESHAPER_SCALE(   0.0314701539f),
        RX_PULSESHAPER_SCALE(   0.0247211862f),
        RX_PULSESHAPER_SCALE(  -0.0054047462f),
        RX_PULSESHAPER_SCALE(   0.0097898341f),
        RX_PULSESHAPER_SCALE(  -0.0025658697f),
        RX_PULSESHAPER_SCALE(   0.0043700456f),
        RX_PULSESHAPER_SCALE(  -0.0004874461f),
        RX_PULSESHAPER_SCALE(   0.0033436432f),
        RX_PULSESHAPER_SCALE(   0.0005812538f),
        RX_PULSESHAPER_SCALE(   0.0007353674f),
        RX_PULSESHAPER_SCALE(   0.0011039301f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006761523f),     /* Filter 174 */
        RX_PULSESHAPER_SCALE(   0.0028390174f),
        RX_PULSESHAPER_SCALE(  -0.0006335808f),
        RX_PULSESHAPER_SCALE(   0.0018188930f),
        RX_PULSESHAPER_SCALE(   0.0008254167f),
        RX_PULSESHAPER_SCALE(   0.0030221279f),
        RX_PULSESHAPER_SCALE(   0.0056422142f),
        RX_PULSESHAPER_SCALE(   0.0012962195f),
        RX_PULSESHAPER_SCALE(   0.0258366624f),
        RX_PULSESHAPER_SCALE(  -0.0251509131f),
        RX_PULSESHAPER_SCALE(   0.0309017552f),
        RX_PULSESHAPER_SCALE(  -0.0571445632f),
        RX_PULSESHAPER_SCALE(  -0.3119108890f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2118330397f),
        RX_PULSESHAPER_SCALE(   0.0182954960f),
        RX_PULSESHAPER_SCALE(   0.0316909408f),
        RX_PULSESHAPER_SCALE(   0.0246440794f),
        RX_PULSESHAPER_SCALE(  -0.0052818157f),
        RX_PULSESHAPER_SCALE(   0.0098081450f),
        RX_PULSESHAPER_SCALE(  -0.0025357325f),
        RX_PULSESHAPER_SCALE(   0.0043941239f),
        RX_PULSESHAPER_SCALE(  -0.0004822865f),
        RX_PULSESHAPER_SCALE(   0.0033665502f),
        RX_PULSESHAPER_SCALE(   0.0005785397f),
        RX_PULSESHAPER_SCALE(   0.0007556261f),
        RX_PULSESHAPER_SCALE(   0.0011016260f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006683247f),     /* Filter 175 */
        RX_PULSESHAPER_SCALE(   0.0028598137f),
        RX_PULSESHAPER_SCALE(  -0.0006312113f),
        RX_PULSESHAPER_SCALE(   0.0018555550f),
        RX_PULSESHAPER_SCALE(   0.0008236137f),
        RX_PULSESHAPER_SCALE(   0.0030854268f),
        RX_PULSESHAPER_SCALE(   0.0056442020f),
        RX_PULSESHAPER_SCALE(   0.0014189550f),
        RX_PULSESHAPER_SCALE(   0.0259533669f),
        RX_PULSESHAPER_SCALE(  -0.0250587156f),
        RX_PULSESHAPER_SCALE(   0.0314763131f),
        RX_PULSESHAPER_SCALE(  -0.0574021036f),
        RX_PULSESHAPER_SCALE(  -0.3123385510f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2110381662f),
        RX_PULSESHAPER_SCALE(   0.0180743526f),
        RX_PULSESHAPER_SCALE(   0.0319094162f),
        RX_PULSESHAPER_SCALE(   0.0245663152f),
        RX_PULSESHAPER_SCALE(  -0.0051592585f),
        RX_PULSESHAPER_SCALE(   0.0098258124f),
        RX_PULSESHAPER_SCALE(  -0.0025055622f),
        RX_PULSESHAPER_SCALE(   0.0044178393f),
        RX_PULSESHAPER_SCALE(  -0.0004771049f),
        RX_PULSESHAPER_SCALE(   0.0033892541f),
        RX_PULSESHAPER_SCALE(   0.0005758024f),
        RX_PULSESHAPER_SCALE(   0.0007757916f),
        RX_PULSESHAPER_SCALE(   0.0010992645f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006604400f),     /* Filter 176 */
        RX_PULSESHAPER_SCALE(   0.0028805126f),
        RX_PULSESHAPER_SCALE(  -0.0006288066f),
        RX_PULSESHAPER_SCALE(   0.0018921537f),
        RX_PULSESHAPER_SCALE(   0.0008217512f),
        RX_PULSESHAPER_SCALE(   0.0031487833f),
        RX_PULSESHAPER_SCALE(   0.0056458719f),
        RX_PULSESHAPER_SCALE(   0.0015422516f),
        RX_PULSESHAPER_SCALE(   0.0260695316f),
        RX_PULSESHAPER_SCALE(  -0.0249650807f),
        RX_PULSESHAPER_SCALE(   0.0320528159f),
        RX_PULSESHAPER_SCALE(  -0.0576594827f),
        RX_PULSESHAPER_SCALE(  -0.3127628287f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2102421920f),
        RX_PULSESHAPER_SCALE(   0.0178537807f),
        RX_PULSESHAPER_SCALE(   0.0321255828f),
        RX_PULSESHAPER_SCALE(   0.0244878996f),
        RX_PULSESHAPER_SCALE(  -0.0050370783f),
        RX_PULSESHAPER_SCALE(   0.0098428382f),
        RX_PULSESHAPER_SCALE(  -0.0024753609f),
        RX_PULSESHAPER_SCALE(   0.0044411916f),
        RX_PULSESHAPER_SCALE(  -0.0004719015f),
        RX_PULSESHAPER_SCALE(   0.0034117542f),
        RX_PULSESHAPER_SCALE(   0.0005730423f),
        RX_PULSESHAPER_SCALE(   0.0007958629f),
        RX_PULSESHAPER_SCALE(   0.0010968457f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006524984f),     /* Filter 177 */
        RX_PULSESHAPER_SCALE(   0.0029011126f),
        RX_PULSESHAPER_SCALE(  -0.0006263667f),
        RX_PULSESHAPER_SCALE(   0.0019286870f),
        RX_PULSESHAPER_SCALE(   0.0008198290f),
        RX_PULSESHAPER_SCALE(   0.0032121939f),
        RX_PULSESHAPER_SCALE(   0.0056472225f),
        RX_PULSESHAPER_SCALE(   0.0016661060f),
        RX_PULSESHAPER_SCALE(   0.0261851494f),
        RX_PULSESHAPER_SCALE(  -0.0248700051f),
        RX_PULSESHAPER_SCALE(   0.0326312561f),
        RX_PULSESHAPER_SCALE(  -0.0579166953f),
        RX_PULSESHAPER_SCALE(  -0.3131837120f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2094451342f),
        RX_PULSESHAPER_SCALE(   0.0176337835f),
        RX_PULSESHAPER_SCALE(   0.0323394436f),
        RX_PULSESHAPER_SCALE(   0.0244088385f),
        RX_PULSESHAPER_SCALE(  -0.0049152791f),
        RX_PULSESHAPER_SCALE(   0.0098592243f),
        RX_PULSESHAPER_SCALE(  -0.0024451302f),
        RX_PULSESHAPER_SCALE(   0.0044641806f),
        RX_PULSESHAPER_SCALE(  -0.0004666767f),
        RX_PULSESHAPER_SCALE(   0.0034340496f),
        RX_PULSESHAPER_SCALE(   0.0005702595f),
        RX_PULSESHAPER_SCALE(   0.0008158393f),
        RX_PULSESHAPER_SCALE(   0.0010943700f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006445003f),     /* Filter 178 */
        RX_PULSESHAPER_SCALE(   0.0029216127f),
        RX_PULSESHAPER_SCALE(  -0.0006238917f),
        RX_PULSESHAPER_SCALE(   0.0019651527f),
        RX_PULSESHAPER_SCALE(   0.0008178472f),
        RX_PULSESHAPER_SCALE(   0.0032756551f),
        RX_PULSESHAPER_SCALE(   0.0056482524f),
        RX_PULSESHAPER_SCALE(   0.0017905151f),
        RX_PULSESHAPER_SCALE(   0.0263002131f),
        RX_PULSESHAPER_SCALE(  -0.0247734859f),
        RX_PULSESHAPER_SCALE(   0.0332116257f),
        RX_PULSESHAPER_SCALE(  -0.0581737360f),
        RX_PULSESHAPER_SCALE(  -0.3136011912f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2086470099f),
        RX_PULSESHAPER_SCALE(   0.0174143647f),
        RX_PULSESHAPER_SCALE(   0.0325510015f),
        RX_PULSESHAPER_SCALE(   0.0243291378f),
        RX_PULSESHAPER_SCALE(  -0.0047938646f),
        RX_PULSESHAPER_SCALE(   0.0098749724f),
        RX_PULSESHAPER_SCALE(  -0.0024148720f),
        RX_PULSESHAPER_SCALE(   0.0044868059f),
        RX_PULSESHAPER_SCALE(  -0.0004614309f),
        RX_PULSESHAPER_SCALE(   0.0034561395f),
        RX_PULSESHAPER_SCALE(   0.0005674541f),
        RX_PULSESHAPER_SCALE(   0.0008357197f),
        RX_PULSESHAPER_SCALE(   0.0010918376f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006364459f),     /* Filter 179 */
        RX_PULSESHAPER_SCALE(   0.0029420114f),
        RX_PULSESHAPER_SCALE(  -0.0006213815f),
        RX_PULSESHAPER_SCALE(   0.0020015486f),
        RX_PULSESHAPER_SCALE(   0.0008158057f),
        RX_PULSESHAPER_SCALE(   0.0033391637f),
        RX_PULSESHAPER_SCALE(   0.0056489601f),
        RX_PULSESHAPER_SCALE(   0.0019154755f),
        RX_PULSESHAPER_SCALE(   0.0264147156f),
        RX_PULSESHAPER_SCALE(  -0.0246755200f),
        RX_PULSESHAPER_SCALE(   0.0337939170f),
        RX_PULSESHAPER_SCALE(  -0.0584305992f),
        RX_PULSESHAPER_SCALE(  -0.3140152565f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2078478364f),
        RX_PULSESHAPER_SCALE(   0.0171955273f),
        RX_PULSESHAPER_SCALE(   0.0327602595f),
        RX_PULSESHAPER_SCALE(   0.0242488037f),
        RX_PULSESHAPER_SCALE(  -0.0046728386f),
        RX_PULSESHAPER_SCALE(   0.0098900846f),
        RX_PULSESHAPER_SCALE(  -0.0023845881f),
        RX_PULSESHAPER_SCALE(   0.0045090672f),
        RX_PULSESHAPER_SCALE(  -0.0004561643f),
        RX_PULSESHAPER_SCALE(   0.0034780229f),
        RX_PULSESHAPER_SCALE(   0.0005646264f),
        RX_PULSESHAPER_SCALE(   0.0008555035f),
        RX_PULSESHAPER_SCALE(   0.0010892488f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006283355f),     /* Filter 180 */
        RX_PULSESHAPER_SCALE(   0.0029623075f),
        RX_PULSESHAPER_SCALE(  -0.0006188364f),
        RX_PULSESHAPER_SCALE(   0.0020378723f),
        RX_PULSESHAPER_SCALE(   0.0008137045f),
        RX_PULSESHAPER_SCALE(   0.0034027160f),
        RX_PULSESHAPER_SCALE(   0.0056493443f),
        RX_PULSESHAPER_SCALE(   0.0020409838f),
        RX_PULSESHAPER_SCALE(   0.0265286498f),
        RX_PULSESHAPER_SCALE(  -0.0245761044f),
        RX_PULSESHAPER_SCALE(   0.0343781221f),
        RX_PULSESHAPER_SCALE(  -0.0586872798f),
        RX_PULSESHAPER_SCALE(  -0.3144258981f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2070476308f),
        RX_PULSESHAPER_SCALE(   0.0169772748f),
        RX_PULSESHAPER_SCALE(   0.0329672206f),
        RX_PULSESHAPER_SCALE(   0.0241678420f),
        RX_PULSESHAPER_SCALE(  -0.0045522048f),
        RX_PULSESHAPER_SCALE(   0.0099045627f),
        RX_PULSESHAPER_SCALE(  -0.0023542803f),
        RX_PULSESHAPER_SCALE(   0.0045309644f),
        RX_PULSESHAPER_SCALE(  -0.0004508774f),
        RX_PULSESHAPER_SCALE(   0.0034996992f),
        RX_PULSESHAPER_SCALE(   0.0005617766f),
        RX_PULSESHAPER_SCALE(   0.0008751896f),
        RX_PULSESHAPER_SCALE(   0.0010866038f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006201695f),     /* Filter 181 */
        RX_PULSESHAPER_SCALE(   0.0029824998f),
        RX_PULSESHAPER_SCALE(  -0.0006162563f),
        RX_PULSESHAPER_SCALE(   0.0020741218f),
        RX_PULSESHAPER_SCALE(   0.0008115434f),
        RX_PULSESHAPER_SCALE(   0.0034663088f),
        RX_PULSESHAPER_SCALE(   0.0056494036f),
        RX_PULSESHAPER_SCALE(   0.0021670367f),
        RX_PULSESHAPER_SCALE(   0.0266420086f),
        RX_PULSESHAPER_SCALE(  -0.0244752361f),
        RX_PULSESHAPER_SCALE(   0.0349642331f),
        RX_PULSESHAPER_SCALE(  -0.0589437722f),
        RX_PULSESHAPER_SCALE(  -0.3148331065f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2062464103f),
        RX_PULSESHAPER_SCALE(   0.0167596105f),
        RX_PULSESHAPER_SCALE(   0.0331718881f),
        RX_PULSESHAPER_SCALE(   0.0240862588f),
        RX_PULSESHAPER_SCALE(  -0.0044319670f),
        RX_PULSESHAPER_SCALE(   0.0099184087f),
        RX_PULSESHAPER_SCALE(  -0.0023239503f),
        RX_PULSESHAPER_SCALE(   0.0045524972f),
        RX_PULSESHAPER_SCALE(  -0.0004455706f),
        RX_PULSESHAPER_SCALE(   0.0035211675f),
        RX_PULSESHAPER_SCALE(   0.0005589049f),
        RX_PULSESHAPER_SCALE(   0.0008947773f),
        RX_PULSESHAPER_SCALE(   0.0010839031f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006119481f),     /* Filter 182 */
        RX_PULSESHAPER_SCALE(   0.0030025869f),
        RX_PULSESHAPER_SCALE(  -0.0006136413f),
        RX_PULSESHAPER_SCALE(   0.0021102946f),
        RX_PULSESHAPER_SCALE(   0.0008093225f),
        RX_PULSESHAPER_SCALE(   0.0035299384f),
        RX_PULSESHAPER_SCALE(   0.0056491366f),
        RX_PULSESHAPER_SCALE(   0.0022936309f),
        RX_PULSESHAPER_SCALE(   0.0267547847f),
        RX_PULSESHAPER_SCALE(  -0.0243729123f),
        RX_PULSESHAPER_SCALE(   0.0355522419f),
        RX_PULSESHAPER_SCALE(  -0.0592000711f),
        RX_PULSESHAPER_SCALE(  -0.3152368721f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2054441922f),
        RX_PULSESHAPER_SCALE(   0.0165425377f),
        RX_PULSESHAPER_SCALE(   0.0333742650f),
        RX_PULSESHAPER_SCALE(   0.0240040600f),
        RX_PULSESHAPER_SCALE(  -0.0043121289f),
        RX_PULSESHAPER_SCALE(   0.0099316245f),
        RX_PULSESHAPER_SCALE(  -0.0022936000f),
        RX_PULSESHAPER_SCALE(   0.0045736654f),
        RX_PULSESHAPER_SCALE(  -0.0004402440f),
        RX_PULSESHAPER_SCALE(   0.0035424270f),
        RX_PULSESHAPER_SCALE(   0.0005560114f),
        RX_PULSESHAPER_SCALE(   0.0009142658f),
        RX_PULSESHAPER_SCALE(   0.0010811467f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0006036718f),     /* Filter 183 */
        RX_PULSESHAPER_SCALE(   0.0030225676f),
        RX_PULSESHAPER_SCALE(  -0.0006109916f),
        RX_PULSESHAPER_SCALE(   0.0021463887f),
        RX_PULSESHAPER_SCALE(   0.0008070417f),
        RX_PULSESHAPER_SCALE(   0.0035936014f),
        RX_PULSESHAPER_SCALE(   0.0056485419f),
        RX_PULSESHAPER_SCALE(   0.0024207628f),
        RX_PULSESHAPER_SCALE(   0.0268669712f),
        RX_PULSESHAPER_SCALE(  -0.0242691300f),
        RX_PULSESHAPER_SCALE(   0.0361421405f),
        RX_PULSESHAPER_SCALE(  -0.0594561711f),
        RX_PULSESHAPER_SCALE(  -0.3156371856f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2046409935f),
        RX_PULSESHAPER_SCALE(   0.0163260596f),
        RX_PULSESHAPER_SCALE(   0.0335743546f),
        RX_PULSESHAPER_SCALE(   0.0239212516f),
        RX_PULSESHAPER_SCALE(  -0.0041926942f),
        RX_PULSESHAPER_SCALE(   0.0099442122f),
        RX_PULSESHAPER_SCALE(  -0.0022632312f),
        RX_PULSESHAPER_SCALE(   0.0045944688f),
        RX_PULSESHAPER_SCALE(  -0.0004348982f),
        RX_PULSESHAPER_SCALE(   0.0035634770f),
        RX_PULSESHAPER_SCALE(   0.0005530963f),
        RX_PULSESHAPER_SCALE(   0.0009336541f),
        RX_PULSESHAPER_SCALE(   0.0010783351f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005953408f),     /* Filter 184 */
        RX_PULSESHAPER_SCALE(   0.0030424405f),
        RX_PULSESHAPER_SCALE(  -0.0006083072f),
        RX_PULSESHAPER_SCALE(   0.0021824019f),
        RX_PULSESHAPER_SCALE(   0.0008047009f),
        RX_PULSESHAPER_SCALE(   0.0036572944f),
        RX_PULSESHAPER_SCALE(   0.0056476183f),
        RX_PULSESHAPER_SCALE(   0.0025484289f),
        RX_PULSESHAPER_SCALE(   0.0269785608f),
        RX_PULSESHAPER_SCALE(  -0.0241638864f),
        RX_PULSESHAPER_SCALE(   0.0367339206f),
        RX_PULSESHAPER_SCALE(  -0.0597120668f),
        RX_PULSESHAPER_SCALE(  -0.3160340374f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2038368316f),
        RX_PULSESHAPER_SCALE(   0.0161101794f),
        RX_PULSESHAPER_SCALE(   0.0337721602f),
        RX_PULSESHAPER_SCALE(   0.0238378395f),
        RX_PULSESHAPER_SCALE(  -0.0040736663f),
        RX_PULSESHAPER_SCALE(   0.0099561737f),
        RX_PULSESHAPER_SCALE(  -0.0022328455f),
        RX_PULSESHAPER_SCALE(   0.0046149074f),
        RX_PULSESHAPER_SCALE(  -0.0004295334f),
        RX_PULSESHAPER_SCALE(   0.0035843166f),
        RX_PULSESHAPER_SCALE(   0.0005501599f),
        RX_PULSESHAPER_SCALE(   0.0009529415f),
        RX_PULSESHAPER_SCALE(   0.0010754685f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005869555f),     /* Filter 185 */
        RX_PULSESHAPER_SCALE(   0.0030622046f),
        RX_PULSESHAPER_SCALE(  -0.0006055881f),
        RX_PULSESHAPER_SCALE(   0.0022183317f),
        RX_PULSESHAPER_SCALE(   0.0008023003f),
        RX_PULSESHAPER_SCALE(   0.0037210138f),
        RX_PULSESHAPER_SCALE(   0.0056463643f),
        RX_PULSESHAPER_SCALE(   0.0026766259f),
        RX_PULSESHAPER_SCALE(   0.0270895463f),
        RX_PULSESHAPER_SCALE(  -0.0240571786f),
        RX_PULSESHAPER_SCALE(   0.0373275742f),
        RX_PULSESHAPER_SCALE(  -0.0599677528f),
        RX_PULSESHAPER_SCALE(  -0.3164274183f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2030317237f),
        RX_PULSESHAPER_SCALE(   0.0158949005f),
        RX_PULSESHAPER_SCALE(   0.0339676851f),
        RX_PULSESHAPER_SCALE(   0.0237538299f),
        RX_PULSESHAPER_SCALE(  -0.0039550491f),
        RX_PULSESHAPER_SCALE(   0.0099675111f),
        RX_PULSESHAPER_SCALE(  -0.0022024449f),
        RX_PULSESHAPER_SCALE(   0.0046349809f),
        RX_PULSESHAPER_SCALE(  -0.0004241500f),
        RX_PULSESHAPER_SCALE(   0.0036049452f),
        RX_PULSESHAPER_SCALE(   0.0005472024f),
        RX_PULSESHAPER_SCALE(   0.0009721272f),
        RX_PULSESHAPER_SCALE(   0.0010725472f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005785161f),     /* Filter 186 */
        RX_PULSESHAPER_SCALE(   0.0030818584f),
        RX_PULSESHAPER_SCALE(  -0.0006028345f),
        RX_PULSESHAPER_SCALE(   0.0022541761f),
        RX_PULSESHAPER_SCALE(   0.0007998396f),
        RX_PULSESHAPER_SCALE(   0.0037847561f),
        RX_PULSESHAPER_SCALE(   0.0056447786f),
        RX_PULSESHAPER_SCALE(   0.0028053500f),
        RX_PULSESHAPER_SCALE(   0.0271999206f),
        RX_PULSESHAPER_SCALE(  -0.0239490038f),
        RX_PULSESHAPER_SCALE(   0.0379230930f),
        RX_PULSESHAPER_SCALE(  -0.0602232237f),
        RX_PULSESHAPER_SCALE(  -0.3168173190f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2022256869f),
        RX_PULSESHAPER_SCALE(   0.0156802259f),
        RX_PULSESHAPER_SCALE(   0.0341609328f),
        RX_PULSESHAPER_SCALE(   0.0236692286f),
        RX_PULSESHAPER_SCALE(  -0.0038368459f),
        RX_PULSESHAPER_SCALE(   0.0099782265f),
        RX_PULSESHAPER_SCALE(  -0.0021720310f),
        RX_PULSESHAPER_SCALE(   0.0046546892f),
        RX_PULSESHAPER_SCALE(  -0.0004187483f),
        RX_PULSESHAPER_SCALE(   0.0036253619f),
        RX_PULSESHAPER_SCALE(   0.0005442238f),
        RX_PULSESHAPER_SCALE(   0.0009912103f),
        RX_PULSESHAPER_SCALE(   0.0010695715f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005700231f),     /* Filter 187 */
        RX_PULSESHAPER_SCALE(   0.0031014008f),
        RX_PULSESHAPER_SCALE(  -0.0006000465f),
        RX_PULSESHAPER_SCALE(   0.0022899328f),
        RX_PULSESHAPER_SCALE(   0.0007973189f),
        RX_PULSESHAPER_SCALE(   0.0038485177f),
        RX_PULSESHAPER_SCALE(   0.0056428600f),
        RX_PULSESHAPER_SCALE(   0.0029345978f),
        RX_PULSESHAPER_SCALE(   0.0273096765f),
        RX_PULSESHAPER_SCALE(  -0.0238393594f),
        RX_PULSESHAPER_SCALE(   0.0385204685f),
        RX_PULSESHAPER_SCALE(  -0.0604784742f),
        RX_PULSESHAPER_SCALE(  -0.3172037305f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2014187385f),
        RX_PULSESHAPER_SCALE(   0.0154661588f),
        RX_PULSESHAPER_SCALE(   0.0343519068f),
        RX_PULSESHAPER_SCALE(   0.0235840416f),
        RX_PULSESHAPER_SCALE(  -0.0037190604f),
        RX_PULSESHAPER_SCALE(   0.0099883219f),
        RX_PULSESHAPER_SCALE(  -0.0021416057f),
        RX_PULSESHAPER_SCALE(   0.0046740323f),
        RX_PULSESHAPER_SCALE(  -0.0004133287f),
        RX_PULSESHAPER_SCALE(   0.0036455661f),
        RX_PULSESHAPER_SCALE(   0.0005412245f),
        RX_PULSESHAPER_SCALE(   0.0010101900f),
        RX_PULSESHAPER_SCALE(   0.0010665416f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005614768f),     /* Filter 188 */
        RX_PULSESHAPER_SCALE(   0.0031208304f),
        RX_PULSESHAPER_SCALE(  -0.0005972241f),
        RX_PULSESHAPER_SCALE(   0.0023255995f),
        RX_PULSESHAPER_SCALE(   0.0007947382f),
        RX_PULSESHAPER_SCALE(   0.0039122951f),
        RX_PULSESHAPER_SCALE(   0.0056406071f),
        RX_PULSESHAPER_SCALE(   0.0030643656f),
        RX_PULSESHAPER_SCALE(   0.0274188069f),
        RX_PULSESHAPER_SCALE(  -0.0237282425f),
        RX_PULSESHAPER_SCALE(   0.0391196924f),
        RX_PULSESHAPER_SCALE(  -0.0607334987f),
        RX_PULSESHAPER_SCALE(  -0.3175866437f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.2006108957f),
        RX_PULSESHAPER_SCALE(   0.0152527025f),
        RX_PULSESHAPER_SCALE(   0.0345406104f),
        RX_PULSESHAPER_SCALE(   0.0234982749f),
        RX_PULSESHAPER_SCALE(  -0.0036016961f),
        RX_PULSESHAPER_SCALE(   0.0099977994f),
        RX_PULSESHAPER_SCALE(  -0.0021111706f),
        RX_PULSESHAPER_SCALE(   0.0046930101f),
        RX_PULSESHAPER_SCALE(  -0.0004078915f),
        RX_PULSESHAPER_SCALE(   0.0036655571f),
        RX_PULSESHAPER_SCALE(   0.0005382047f),
        RX_PULSESHAPER_SCALE(   0.0010290656f),
        RX_PULSESHAPER_SCALE(   0.0010634580f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005528775f),     /* Filter 189 */
        RX_PULSESHAPER_SCALE(   0.0031401461f),
        RX_PULSESHAPER_SCALE(  -0.0005943675f),
        RX_PULSESHAPER_SCALE(   0.0023611741f),
        RX_PULSESHAPER_SCALE(   0.0007920974f),
        RX_PULSESHAPER_SCALE(   0.0039760847f),
        RX_PULSESHAPER_SCALE(   0.0056380186f),
        RX_PULSESHAPER_SCALE(   0.0031946498f),
        RX_PULSESHAPER_SCALE(   0.0275273046f),
        RX_PULSESHAPER_SCALE(  -0.0236156505f),
        RX_PULSESHAPER_SCALE(   0.0397207563f),
        RX_PULSESHAPER_SCALE(  -0.0609882920f),
        RX_PULSESHAPER_SCALE(  -0.3179660495f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.1998021758f),
        RX_PULSESHAPER_SCALE(   0.0150398600f),
        RX_PULSESHAPER_SCALE(   0.0347270474f),
        RX_PULSESHAPER_SCALE(   0.0234119345f),
        RX_PULSESHAPER_SCALE(  -0.0034847564f),
        RX_PULSESHAPER_SCALE(   0.0100066612f),
        RX_PULSESHAPER_SCALE(  -0.0020807276f),
        RX_PULSESHAPER_SCALE(   0.0047116224f),
        RX_PULSESHAPER_SCALE(  -0.0004024372f),
        RX_PULSESHAPER_SCALE(   0.0036853342f),
        RX_PULSESHAPER_SCALE(   0.0005351645f),
        RX_PULSESHAPER_SCALE(   0.0010478363f),
        RX_PULSESHAPER_SCALE(   0.0010603209f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005442255f),     /* Filter 190 */
        RX_PULSESHAPER_SCALE(   0.0031593466f),
        RX_PULSESHAPER_SCALE(  -0.0005914766f),
        RX_PULSESHAPER_SCALE(   0.0023966543f),
        RX_PULSESHAPER_SCALE(   0.0007893966f),
        RX_PULSESHAPER_SCALE(   0.0040398831f),
        RX_PULSESHAPER_SCALE(   0.0056350932f),
        RX_PULSESHAPER_SCALE(   0.0033254467f),
        RX_PULSESHAPER_SCALE(   0.0276351624f),
        RX_PULSESHAPER_SCALE(  -0.0235015807f),
        RX_PULSESHAPER_SCALE(   0.0403236516f),
        RX_PULSESHAPER_SCALE(  -0.0612428487f),
        RX_PULSESHAPER_SCALE(  -0.3183419391f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.1989925959f),
        RX_PULSESHAPER_SCALE(   0.0148276345f),
        RX_PULSESHAPER_SCALE(   0.0349112213f),
        RX_PULSESHAPER_SCALE(   0.0233250263f),
        RX_PULSESHAPER_SCALE(  -0.0033682448f),
        RX_PULSESHAPER_SCALE(   0.0100149094f),
        RX_PULSESHAPER_SCALE(  -0.0020502783f),
        RX_PULSESHAPER_SCALE(   0.0047298694f),
        RX_PULSESHAPER_SCALE(  -0.0003969659f),
        RX_PULSESHAPER_SCALE(   0.0037048966f),
        RX_PULSESHAPER_SCALE(   0.0005321041f),
        RX_PULSESHAPER_SCALE(   0.0010665012f),
        RX_PULSESHAPER_SCALE(   0.0010571305f)
    },
    {
        RX_PULSESHAPER_SCALE(  -0.0005355213f),     /* Filter 191 */
        RX_PULSESHAPER_SCALE(   0.0031784306f),
        RX_PULSESHAPER_SCALE(  -0.0005885517f),
        RX_PULSESHAPER_SCALE(   0.0024320378f),
        RX_PULSESHAPER_SCALE(   0.0007866356f),
        RX_PULSESHAPER_SCALE(   0.0041036865f),
        RX_PULSESHAPER_SCALE(   0.0056318297f),
        RX_PULSESHAPER_SCALE(   0.0034567525f),
        RX_PULSESHAPER_SCALE(   0.0277423732f),
        RX_PULSESHAPER_SCALE(  -0.0233860305f),
        RX_PULSESHAPER_SCALE(   0.0409283697f),
        RX_PULSESHAPER_SCALE(  -0.0614971632f),
        RX_PULSESHAPER_SCALE(  -0.3187143037f),
        RX_PULSESHAPER_SCALE(   0.0000000000f),
        RX_PULSESHAPER_SCALE(   0.1981821735f),
        RX_PULSESHAPER_SCALE(   0.0146160290f),
        RX_PULSESHAPER_SCALE(   0.0350931358f),
        RX_PULSESHAPER_SCALE(   0.0232375564f),
        RX_PULSESHAPER_SCALE(  -0.0032521647f),
        RX_PULSESHAPER_SCALE(   0.0100225461f),
        RX_PULSESHAPER_SCALE(  -0.0020198246f),
        RX_PULSESHAPER_SCALE(   0.0047477509f),
        RX_PULSESHAPER_SCALE(  -0.0003914782f),
        RX_PULSESHAPER_SCALE(   0.0037242437f),
        RX_PULSESHAPER_SCALE(   0.0005290237f),
        RX_PULSESHAPER_SCALE(   0.0010850596f),
        RX_PULSESHAPER_SCALE(   0.0010538873f)
    }
};
